/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 61 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 61 "conf/gen_parser.m4"

#line 1044 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM_TOKEN = 20,                /* ENUM_TOKEN  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '+'  */
  YYSYMBOL_37_ = 37,                       /* '-'  */
  YYSYMBOL_38_ = 38,                       /* '*'  */
  YYSYMBOL_39_ = 39,                       /* '/'  */
  YYSYMBOL_40_ = 40,                       /* '%'  */
  YYSYMBOL_41_ = 41,                       /* '!'  */
  YYSYMBOL_42_ = 42,                       /* '.'  */
  YYSYMBOL_DEFINE = 43,                    /* DEFINE  */
  YYSYMBOL_ON = 44,                        /* ON  */
  YYSYMBOL_OFF = 45,                       /* OFF  */
  YYSYMBOL_YES = 46,                       /* YES  */
  YYSYMBOL_NO = 47,                        /* NO  */
  YYSYMBOL_S = 48,                         /* S  */
  YYSYMBOL_MS = 49,                        /* MS  */
  YYSYMBOL_US = 50,                        /* US  */
  YYSYMBOL_PORT = 51,                      /* PORT  */
  YYSYMBOL_VPN = 52,                       /* VPN  */
  YYSYMBOL_MPLS = 53,                      /* MPLS  */
  YYSYMBOL_FROM = 54,                      /* FROM  */
  YYSYMBOL_MAX = 55,                       /* MAX  */
  YYSYMBOL_AS = 56,                        /* AS  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '('  */
  YYSYMBOL_59_ = 59,                       /* ')'  */
  YYSYMBOL_FLOW4 = 60,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 61,                     /* FLOW6  */
  YYSYMBOL_DST = 62,                       /* DST  */
  YYSYMBOL_SRC = 63,                       /* SRC  */
  YYSYMBOL_PROTO = 64,                     /* PROTO  */
  YYSYMBOL_NEXT = 65,                      /* NEXT  */
  YYSYMBOL_HEADER = 66,                    /* HEADER  */
  YYSYMBOL_DPORT = 67,                     /* DPORT  */
  YYSYMBOL_SPORT = 68,                     /* SPORT  */
  YYSYMBOL_ICMP = 69,                      /* ICMP  */
  YYSYMBOL_TYPE = 70,                      /* TYPE  */
  YYSYMBOL_CODE = 71,                      /* CODE  */
  YYSYMBOL_TCP = 72,                       /* TCP  */
  YYSYMBOL_FLAGS = 73,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 74,                    /* LENGTH  */
  YYSYMBOL_DSCP = 75,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 76,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 77,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 78,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 79,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 80,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 81,                     /* LABEL  */
  YYSYMBOL_OFFSET = 82,                    /* OFFSET  */
  YYSYMBOL_83_ = 83,                       /* ','  */
  YYSYMBOL_84_ = 84,                       /* '{'  */
  YYSYMBOL_85_ = 85,                       /* '}'  */
  YYSYMBOL_IN = 86,                        /* IN  */
  YYSYMBOL_FUNCTION = 87,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 88,                     /* PRINT  */
  YYSYMBOL_PRINTN = 89,                    /* PRINTN  */
  YYSYMBOL_UNSET = 90,                     /* UNSET  */
  YYSYMBOL_RETURN = 91,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 92,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 93,                    /* REJECT  */
  YYSYMBOL_ERROR = 94,                     /* ERROR  */
  YYSYMBOL_INT = 95,                       /* INT  */
  YYSYMBOL_BOOL = 96,                      /* BOOL  */
  YYSYMBOL_IP = 97,                        /* IP  */
  YYSYMBOL_PREFIX = 98,                    /* PREFIX  */
  YYSYMBOL_RD = 99,                        /* RD  */
  YYSYMBOL_PAIR = 100,                     /* PAIR  */
  YYSYMBOL_QUAD = 101,                     /* QUAD  */
  YYSYMBOL_EC = 102,                       /* EC  */
  YYSYMBOL_LC = 103,                       /* LC  */
  YYSYMBOL_ENUM = 104,                     /* ENUM  */
  YYSYMBOL_SET = 105,                      /* SET  */
  YYSYMBOL_STRING = 106,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 107,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 108,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 109,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 110,                    /* CLIST  */
  YYSYMBOL_ECLIST = 111,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 112,                   /* LCLIST  */
  YYSYMBOL_IF = 113,                       /* IF  */
  YYSYMBOL_THEN = 114,                     /* THEN  */
  YYSYMBOL_ELSE = 115,                     /* ELSE  */
  YYSYMBOL_CASE = 116,                     /* CASE  */
  YYSYMBOL_FOR = 117,                      /* FOR  */
  YYSYMBOL_DO = 118,                       /* DO  */
  YYSYMBOL_TRUE = 119,                     /* TRUE  */
  YYSYMBOL_FALSE = 120,                    /* FALSE  */
  YYSYMBOL_RT = 121,                       /* RT  */
  YYSYMBOL_RO = 122,                       /* RO  */
  YYSYMBOL_UNKNOWN = 123,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 124,                  /* GENERIC  */
  YYSYMBOL_GW = 125,                       /* GW  */
  YYSYMBOL_NET = 126,                      /* NET  */
  YYSYMBOL_SOURCE = 127,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 128,                    /* SCOPE  */
  YYSYMBOL_DEST = 129,                     /* DEST  */
  YYSYMBOL_IFNAME = 130,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 131,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 132,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 133,                  /* GW_MPLS  */
  YYSYMBOL_GW_MPLS_STACK = 134,            /* GW_MPLS_STACK  */
  YYSYMBOL_ONLINK = 135,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 136,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 137,                /* ROA_CHECK  */
  YYSYMBOL_ASPA_CHECK = 138,               /* ASPA_CHECK  */
  YYSYMBOL_DEFINED = 139,                  /* DEFINED  */
  YYSYMBOL_ADD = 140,                      /* ADD  */
  YYSYMBOL_DELETE = 141,                   /* DELETE  */
  YYSYMBOL_RESET = 142,                    /* RESET  */
  YYSYMBOL_PREPEND = 143,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 144,                    /* EMPTY  */
  YYSYMBOL_FILTER = 145,                   /* FILTER  */
  YYSYMBOL_WHERE = 146,                    /* WHERE  */
  YYSYMBOL_EVAL = 147,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 148,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 149,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 150,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 151,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 152,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 153,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 154,                   /* FORMAT  */
  YYSYMBOL_155_ = 155,                     /* ':'  */
  YYSYMBOL_156_ = 156,                     /* '['  */
  YYSYMBOL_157_ = 157,                     /* ']'  */
  YYSYMBOL_158_ = 158,                     /* '?'  */
  YYSYMBOL_ROUTER = 159,                   /* ROUTER  */
  YYSYMBOL_ID = 160,                       /* ID  */
  YYSYMBOL_HOSTNAME = 161,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 162,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 163,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 164,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 165,                    /* DEBUG  */
  YYSYMBOL_ALL = 166,                      /* ALL  */
  YYSYMBOL_DIRECT = 167,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 168,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 169,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 170,                   /* EXPORT  */
  YYSYMBOL_NONE = 171,                     /* NONE  */
  YYSYMBOL_VRF = 172,                      /* VRF  */
  YYSYMBOL_DEFAULT = 173,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 174,                    /* TABLE  */
  YYSYMBOL_TABLES = 175,                   /* TABLES  */
  YYSYMBOL_STATES = 176,                   /* STATES  */
  YYSYMBOL_ROUTES = 177,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 178,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 179,                     /* IPV4  */
  YYSYMBOL_IPV6 = 180,                     /* IPV6  */
  YYSYMBOL_VPN4 = 181,                     /* VPN4  */
  YYSYMBOL_VPN6 = 182,                     /* VPN6  */
  YYSYMBOL_ROA4 = 183,                     /* ROA4  */
  YYSYMBOL_ROA6 = 184,                     /* ROA6  */
  YYSYMBOL_SADR = 185,                     /* SADR  */
  YYSYMBOL_ASPA = 186,                     /* ASPA  */
  YYSYMBOL_RECEIVE = 187,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 188,                    /* LIMIT  */
  YYSYMBOL_ACTION = 189,                   /* ACTION  */
  YYSYMBOL_WARN = 190,                     /* WARN  */
  YYSYMBOL_BLOCK = 191,                    /* BLOCK  */
  YYSYMBOL_RESTART = 192,                  /* RESTART  */
  YYSYMBOL_DISABLE = 193,                  /* DISABLE  */
  YYSYMBOL_KEEP = 194,                     /* KEEP  */
  YYSYMBOL_FILTERED = 195,                 /* FILTERED  */
  YYSYMBOL_RPKI = 196,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 197,                 /* PASSWORD  */
  YYSYMBOL_KEY = 198,                      /* KEY  */
  YYSYMBOL_PASSIVE = 199,                  /* PASSIVE  */
  YYSYMBOL_TO = 200,                       /* TO  */
  YYSYMBOL_EVENTS = 201,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 202,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 203,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 204,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 205,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 206,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 207,                    /* KEYED  */
  YYSYMBOL_HMAC = 208,                     /* HMAC  */
  YYSYMBOL_MD5 = 209,                      /* MD5  */
  YYSYMBOL_SHA1 = 210,                     /* SHA1  */
  YYSYMBOL_SHA256 = 211,                   /* SHA256  */
  YYSYMBOL_SHA384 = 212,                   /* SHA384  */
  YYSYMBOL_SHA512 = 213,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 214,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 215,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 216,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 217,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 218,                  /* PRIMARY  */
  YYSYMBOL_STATS = 219,                    /* STATS  */
  YYSYMBOL_COUNT = 220,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 221,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 222,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 223,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 224,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 225,                 /* GENERATE  */
  YYSYMBOL_BGP = 226,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 227,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 228,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 229,                   /* RELOAD  */
  YYSYMBOL_OUT = 230,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 231,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 232,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 233,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 234,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 235,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 236,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 237,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 238,                      /* ISO  */
  YYSYMBOL_SHORT = 239,                    /* SHORT  */
  YYSYMBOL_LONG = 240,                     /* LONG  */
  YYSYMBOL_ROUTE = 241,                    /* ROUTE  */
  YYSYMBOL_BASE = 242,                     /* BASE  */
  YYSYMBOL_LOG = 243,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 244,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 245,                     /* WAIT  */
  YYSYMBOL_CHECK = 246,                    /* CHECK  */
  YYSYMBOL_LINK = 247,                     /* LINK  */
  YYSYMBOL_SORTED = 248,                   /* SORTED  */
  YYSYMBOL_TRIE = 249,                     /* TRIE  */
  YYSYMBOL_MIN = 250,                      /* MIN  */
  YYSYMBOL_SETTLE = 251,                   /* SETTLE  */
  YYSYMBOL_TIME = 252,                     /* TIME  */
  YYSYMBOL_GC = 253,                       /* GC  */
  YYSYMBOL_THRESHOLD = 254,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 255,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 256,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 257,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 258,               /* MPLS_CLASS  */
  YYSYMBOL_ASPA_PROVIDERS = 259,           /* ASPA_PROVIDERS  */
  YYSYMBOL_IPV4_MC = 260,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 261,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 262,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 263,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 264,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 265,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 266,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 267,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 268,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 269,                      /* PRI  */
  YYSYMBOL_SEC = 270,                      /* SEC  */
  YYSYMBOL_NET_TYPE = 271,                 /* NET_TYPE  */
  YYSYMBOL_RTS = 272,                      /* RTS  */
  YYSYMBOL_RTD = 273,                      /* RTD  */
  YYSYMBOL_ROA = 274,                      /* ROA  */
  YYSYMBOL_AF = 275,                       /* AF  */
  YYSYMBOL_SHOW = 276,                     /* SHOW  */
  YYSYMBOL_STATUS = 277,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 278,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 279,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 280,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 281,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 282,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 283,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 284,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 285,                     /* ECHO  */
  YYSYMBOL_ENABLE = 286,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 287,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 288,                    /* RANGE  */
  YYSYMBOL_STATIC = 289,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 290,                  /* DYNAMIC  */
  YYSYMBOL_START = 291,                    /* START  */
  YYSYMBOL_POLICY = 292,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 293,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 294,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 295,               /* AGGREGATOR  */
  YYSYMBOL_PEER = 296,                     /* PEER  */
  YYSYMBOL_MERGE = 297,                    /* MERGE  */
  YYSYMBOL_BY = 298,                       /* BY  */
  YYSYMBOL_BABEL = 299,                    /* BABEL  */
  YYSYMBOL_METRIC = 300,                   /* METRIC  */
  YYSYMBOL_RXCOST = 301,                   /* RXCOST  */
  YYSYMBOL_HELLO = 302,                    /* HELLO  */
  YYSYMBOL_UPDATE = 303,                   /* UPDATE  */
  YYSYMBOL_WIRED = 304,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 305,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 306,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 307,                 /* PRIORITY  */
  YYSYMBOL_HOP = 308,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 309,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 310,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 311,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 312,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 313,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 314,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 315,                   /* TUNNEL  */
  YYSYMBOL_RTT = 316,                      /* RTT  */
  YYSYMBOL_DECAY = 317,                    /* DECAY  */
  YYSYMBOL_SEND = 318,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 319,               /* TIMESTAMPS  */
  YYSYMBOL_COST = 320,                     /* COST  */
  YYSYMBOL_DELAY = 321,                    /* DELAY  */
  YYSYMBOL_BFD = 322,                      /* BFD  */
  YYSYMBOL_IDLE = 323,                     /* IDLE  */
  YYSYMBOL_RX = 324,                       /* RX  */
  YYSYMBOL_TX = 325,                       /* TX  */
  YYSYMBOL_INTERVAL = 326,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 327,               /* MULTIPLIER  */
  YYSYMBOL_MULTIHOP = 328,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 329,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 330,                      /* DEV  */
  YYSYMBOL_LOCAL = 331,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 332,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 333,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 334,               /* METICULOUS  */
  YYSYMBOL_STRICT = 335,                   /* STRICT  */
  YYSYMBOL_BIND = 336,                     /* BIND  */
  YYSYMBOL_ZERO = 337,                     /* ZERO  */
  YYSYMBOL_UDP6 = 338,                     /* UDP6  */
  YYSYMBOL_CHECKSUM = 339,                 /* CHECKSUM  */
  YYSYMBOL_SESSIONS = 340,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 341,                     /* HOLD  */
  YYSYMBOL_CONNECT = 342,                  /* CONNECT  */
  YYSYMBOL_RETRY = 343,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 344,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 345,                  /* STARTUP  */
  YYSYMBOL_VIA = 346,                      /* VIA  */
  YYSYMBOL_SELF = 347,                     /* SELF  */
  YYSYMBOL_PATH = 348,                     /* PATH  */
  YYSYMBOL_FORGET = 349,                   /* FORGET  */
  YYSYMBOL_AFTER = 350,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 351,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 352,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 353,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 354,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 355,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 356,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 357,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 358,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 359,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 360,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 361,                  /* ADDRESS  */
  YYSYMBOL_RR = 362,                       /* RR  */
  YYSYMBOL_RS = 363,                       /* RS  */
  YYSYMBOL_CLIENT = 364,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 365,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 366,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 367,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 368,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 369,                   /* PREFER  */
  YYSYMBOL_OLDER = 370,                    /* OLDER  */
  YYSYMBOL_MISSING = 371,                  /* MISSING  */
  YYSYMBOL_LLADDR = 372,                   /* LLADDR  */
  YYSYMBOL_DROP = 373,                     /* DROP  */
  YYSYMBOL_IGNORE = 374,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 375,                 /* ENHANCED  */
  YYSYMBOL_REFRESH = 376,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 377,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 378,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 379,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 380,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 381,                      /* IGP  */
  YYSYMBOL_GATEWAY = 382,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 383,                /* RECURSIVE  */
  YYSYMBOL_MED = 384,                      /* MED  */
  YYSYMBOL_TTL = 385,                      /* TTL  */
  YYSYMBOL_SECURITY = 386,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 387,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 388,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 389,                    /* ALLOW  */
  YYSYMBOL_PATHS = 390,                    /* PATHS  */
  YYSYMBOL_AWARE = 391,                    /* AWARE  */
  YYSYMBOL_SETKEY = 392,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 393,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 394,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 395,                /* MULTICAST  */
  YYSYMBOL_LIVED = 396,                    /* LIVED  */
  YYSYMBOL_STALE = 397,                    /* STALE  */
  YYSYMBOL_IBGP = 398,                     /* IBGP  */
  YYSYMBOL_EBGP = 399,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 400,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 401,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 402,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 403,                     /* SETS  */
  YYSYMBOL_NAME = 404,                     /* NAME  */
  YYSYMBOL_DIGITS = 405,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 406,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 407,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 408,                /* ORIGINATE  */
  YYSYMBOL_ENFORCE = 409,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 410,                    /* FIRST  */
  YYSYMBOL_FREE = 411,                     /* FREE  */
  YYSYMBOL_VALIDATE = 412,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 413,                     /* ROLE  */
  YYSYMBOL_ROLES = 414,                    /* ROLES  */
  YYSYMBOL_PROVIDER = 415,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 416,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 417,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 418,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 419,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 420,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 421,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 422,                    /* CEASE  */
  YYSYMBOL_HIT = 423,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 424,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 425,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 426,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 427,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 428,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 429,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 430,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 431,                /* COLLISION  */
  YYSYMBOL_OF = 432,                       /* OF  */
  YYSYMBOL_ASPA_CHECK_UPSTREAM = 433,      /* ASPA_CHECK_UPSTREAM  */
  YYSYMBOL_ASPA_CHECK_DOWNSTREAM = 434,    /* ASPA_CHECK_DOWNSTREAM  */
  YYSYMBOL_L3VPN = 435,                    /* L3VPN  */
  YYSYMBOL_TARGET = 436,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 437,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 438,                      /* MRT  */
  YYSYMBOL_FILENAME = 439,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 440,                   /* ALWAYS  */
  YYSYMBOL_V2 = 441,                       /* V2  */
  YYSYMBOL_V3 = 442,                       /* V3  */
  YYSYMBOL_OSPF = 443,                     /* OSPF  */
  YYSYMBOL_OSPF_METRIC1 = 444,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 445,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 446,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 447,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 448,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 449,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 450,                     /* STUB  */
  YYSYMBOL_TICK = 451,                     /* TICK  */
  YYSYMBOL_COST2 = 452,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 453,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 454,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 455,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 456,                /* BROADCAST  */
  YYSYMBOL_BCAST = 457,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 458,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 459,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 460,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 461,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 462,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 463,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 464,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 465,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 466,                     /* POLL  */
  YYSYMBOL_NETWORKS = 467,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 468,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 469,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 470,                     /* ONLY  */
  YYSYMBOL_LARGE = 471,                    /* LARGE  */
  YYSYMBOL_NORMAL = 472,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 473,                  /* STUBNET  */
  YYSYMBOL_TAG = 474,                      /* TAG  */
  YYSYMBOL_LSADB = 475,                    /* LSADB  */
  YYSYMBOL_ECMP = 476,                     /* ECMP  */
  YYSYMBOL_NSSA = 477,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 478,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 479,                /* STABILITY  */
  YYSYMBOL_LSID = 480,                     /* LSID  */
  YYSYMBOL_INSTANCE = 481,                 /* INSTANCE  */
  YYSYMBOL_REAL = 482,                     /* REAL  */
  YYSYMBOL_NETMASK = 483,                  /* NETMASK  */
  YYSYMBOL_LSA = 484,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 485,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 486,                  /* RFC5838  */
  YYSYMBOL_PE = 487,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 488,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 489,                    /* STATE  */
  YYSYMBOL_PERF = 490,                     /* PERF  */
  YYSYMBOL_EXP = 491,                      /* EXP  */
  YYSYMBOL_REPEAT = 492,                   /* REPEAT  */
  YYSYMBOL_MODE = 493,                     /* MODE  */
  YYSYMBOL_PIPE = 494,                     /* PIPE  */
  YYSYMBOL_RADV = 495,                     /* RADV  */
  YYSYMBOL_RA = 496,                       /* RA  */
  YYSYMBOL_SOLICITED = 497,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 498,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 499,                  /* MANAGED  */
  YYSYMBOL_OTHER = 500,                    /* OTHER  */
  YYSYMBOL_CONFIG = 501,                   /* CONFIG  */
  YYSYMBOL_LINGER = 502,                   /* LINGER  */
  YYSYMBOL_MTU = 503,                      /* MTU  */
  YYSYMBOL_REACHABLE = 504,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 505,                  /* RETRANS  */
  YYSYMBOL_TIMER = 506,                    /* TIMER  */
  YYSYMBOL_CURRENT = 507,                  /* CURRENT  */
  YYSYMBOL_VALID = 508,                    /* VALID  */
  YYSYMBOL_PREFERRED = 509,                /* PREFERRED  */
  YYSYMBOL_MULT = 510,                     /* MULT  */
  YYSYMBOL_LIFETIME = 511,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 512,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 513,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 514,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 515,                    /* DNSSL  */
  YYSYMBOL_NS = 516,                       /* NS  */
  YYSYMBOL_TRIGGER = 517,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 518,                /* SENSITIVE  */
  YYSYMBOL_LOW = 519,                      /* LOW  */
  YYSYMBOL_MEDIUM = 520,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 521,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 522,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 523,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 524,              /* RA_LIFETIME  */
  YYSYMBOL_CUSTOM = 525,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 526,                   /* OPTION  */
  YYSYMBOL_VALUE = 527,                    /* VALUE  */
  YYSYMBOL_NG = 528,                       /* NG  */
  YYSYMBOL_RIP = 529,                      /* RIP  */
  YYSYMBOL_INFINITY = 530,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 531,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 532,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 533,                  /* VERSION  */
  YYSYMBOL_SPLIT = 534,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 535,                  /* HORIZON  */
  YYSYMBOL_POISON = 536,                   /* POISON  */
  YYSYMBOL_REVERSE = 537,                  /* REVERSE  */
  YYSYMBOL_PLAINTEXT = 538,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 539,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 540,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 541,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 542,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 543,                   /* REMOTE  */
  YYSYMBOL_BIRD = 544,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 545,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 546,                   /* PUBLIC  */
  YYSYMBOL_SSH = 547,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 548,                /* TRANSPORT  */
  YYSYMBOL_USER = 549,                     /* USER  */
  YYSYMBOL_EXPIRE = 550,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 551,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 552,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 553,              /* UNREACHABLE  */
  YYSYMBOL_TRANSIT = 554,                  /* TRANSIT  */
  YYSYMBOL_PROVIDERS = 555,                /* PROVIDERS  */
  YYSYMBOL_KERNEL = 556,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 557,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 558,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 559,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 560,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 561,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 562,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 563,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 564,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTHRESH = 565,             /* KRT_SSTHRESH  */
  YYSYMBOL_KRT_CWND = 566,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 567,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 568,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 569,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 570,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 571,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 572,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 573,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_CONGCTL = 574,              /* KRT_CONGCTL  */
  YYSYMBOL_KRT_FASTOPEN_NO_COOKIE = 575,   /* KRT_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_LOCK_MTU = 576,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 577,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 578,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 579,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTHRESH = 580,        /* KRT_LOCK_SSTHRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 581,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 582,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 583,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 584,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_INITCWND = 585,        /* KRT_LOCK_INITCWND  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 586,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_LOCK_INITRWND = 587,        /* KRT_LOCK_INITRWND  */
  YYSYMBOL_KRT_LOCK_QUICKACK = 588,        /* KRT_LOCK_QUICKACK  */
  YYSYMBOL_KRT_LOCK_CONGCTL = 589,         /* KRT_LOCK_CONGCTL  */
  YYSYMBOL_KRT_LOCK_FASTOPEN_NO_COOKIE = 590, /* KRT_LOCK_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_FEATURE_ECN = 591,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 592,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_KRT_SSTRESH = 593,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 594,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_SYSLOG = 595,                   /* SYSLOG  */
  YYSYMBOL_STDERR = 596,                   /* STDERR  */
  YYSYMBOL_UDP = 597,                      /* UDP  */
  YYSYMBOL_CLI = 598,                      /* CLI  */
  YYSYMBOL_TRACE = 599,                    /* TRACE  */
  YYSYMBOL_INFO = 600,                     /* INFO  */
  YYSYMBOL_WARNING = 601,                  /* WARNING  */
  YYSYMBOL_AUTH = 602,                     /* AUTH  */
  YYSYMBOL_FATAL = 603,                    /* FATAL  */
  YYSYMBOL_BUG = 604,                      /* BUG  */
  YYSYMBOL_LATENCY = 605,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 606,                 /* WATCHDOG  */
  YYSYMBOL_THREADS = 607,                  /* THREADS  */
  YYSYMBOL_CONFIGURE = 608,                /* CONFIGURE  */
  YYSYMBOL_SOFT = 609,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 610,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 611,                     /* UNDO  */
  YYSYMBOL_DOWN = 612,                     /* DOWN  */
  YYSYMBOL_PERSIST = 613,                  /* PERSIST  */
  YYSYMBOL_SCAN = 614,                     /* SCAN  */
  YYSYMBOL_LEARN = 615,                    /* LEARN  */
  YYSYMBOL_DEVICE = 616,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 617,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 618,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 619,                 /* $accept  */
  YYSYMBOL_cli_cmd = 620,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 621,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 622,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 623,                 /* cmd_HELP  */
  YYSYMBOL_config = 624,                   /* config  */
  YYSYMBOL_conf_entries = 625,             /* conf_entries  */
  YYSYMBOL_conf = 626,                     /* conf  */
  YYSYMBOL_definition = 627,               /* definition  */
  YYSYMBOL_expr = 628,                     /* expr  */
  YYSYMBOL_expr_us = 629,                  /* expr_us  */
  YYSYMBOL_symbol = 630,                   /* symbol  */
  YYSYMBOL_symbol_known = 631,             /* symbol_known  */
  YYSYMBOL_bool = 632,                     /* bool  */
  YYSYMBOL_ipa = 633,                      /* ipa  */
  YYSYMBOL_ipa_scope = 634,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 635,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 636,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 637,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 638,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 639,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 640,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 641,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 642,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 643,                /* net_mpls_  */
  YYSYMBOL_net_aspa_ = 644,                /* net_aspa_  */
  YYSYMBOL_net_ip_ = 645,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 646,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 647,                 /* net_roa_  */
  YYSYMBOL_net_ = 648,                     /* net_  */
  YYSYMBOL_net_ip4 = 649,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 650,                  /* net_ip6  */
  YYSYMBOL_net_ip = 651,                   /* net_ip  */
  YYSYMBOL_net_any = 652,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 653,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 654,        /* label_stack_start  */
  YYSYMBOL_label_stack = 655,              /* label_stack  */
  YYSYMBOL_time = 656,                     /* time  */
  YYSYMBOL_text = 657,                     /* text  */
  YYSYMBOL_opttext = 658,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 659,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 660,               /* bytestring  */
  YYSYMBOL_bytestring_text = 661,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 662,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 663,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 664,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 665,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 666,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 667,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 668,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 669,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 670,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 671,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 672,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 673,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 674,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 675,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 676,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 677,               /* flow4_item  */
  YYSYMBOL_flow6_item = 678,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 679,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 680,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 681,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 682,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 683,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 684,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 685,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 686,                /* net_flow_  */
  YYSYMBOL_KEYWORD = 687,                  /* KEYWORD  */
  YYSYMBOL_enum_type = 688,                /* enum_type  */
  YYSYMBOL_filter_def = 689,               /* filter_def  */
  YYSYMBOL_690_1 = 690,                    /* $@1  */
  YYSYMBOL_filter_eval = 691,              /* filter_eval  */
  YYSYMBOL_custom_attr = 692,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 693,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 694,             /* bt_test_same  */
  YYSYMBOL_type = 695,                     /* type  */
  YYSYMBOL_function_argsn = 696,           /* function_argsn  */
  YYSYMBOL_function_args = 697,            /* function_args  */
  YYSYMBOL_function_vars = 698,            /* function_vars  */
  YYSYMBOL_function_type = 699,            /* function_type  */
  YYSYMBOL_filter_body = 700,              /* filter_body  */
  YYSYMBOL_filter = 701,                   /* filter  */
  YYSYMBOL_702_2 = 702,                    /* $@2  */
  YYSYMBOL_where_filter = 703,             /* where_filter  */
  YYSYMBOL_function_body = 704,            /* function_body  */
  YYSYMBOL_function_def = 705,             /* function_def  */
  YYSYMBOL_706_3 = 706,                    /* $@3  */
  YYSYMBOL_707_4 = 707,                    /* $@4  */
  YYSYMBOL_cmds = 708,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 709,              /* cmds_scoped  */
  YYSYMBOL_710_5 = 710,                    /* $@5  */
  YYSYMBOL_cmd_var = 711,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 712,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 713,                 /* cmds_int  */
  YYSYMBOL_fipa = 714,                     /* fipa  */
  YYSYMBOL_set_atom0 = 715,                /* set_atom0  */
  YYSYMBOL_set_atom = 716,                 /* set_atom  */
  YYSYMBOL_switch_atom = 717,              /* switch_atom  */
  YYSYMBOL_cnum = 718,                     /* cnum  */
  YYSYMBOL_pair_item = 719,                /* pair_item  */
  YYSYMBOL_ec_kind = 720,                  /* ec_kind  */
  YYSYMBOL_ec_item = 721,                  /* ec_item  */
  YYSYMBOL_lc_item = 722,                  /* lc_item  */
  YYSYMBOL_set_item = 723,                 /* set_item  */
  YYSYMBOL_switch_item = 724,              /* switch_item  */
  YYSYMBOL_ec_items = 725,                 /* ec_items  */
  YYSYMBOL_set_items = 726,                /* set_items  */
  YYSYMBOL_switch_items = 727,             /* switch_items  */
  YYSYMBOL_fprefix = 728,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 729,              /* fprefix_set  */
  YYSYMBOL_switch_body = 730,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 731,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 732,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 733,            /* bgp_path_tail  */
  YYSYMBOL_constant = 734,                 /* constant  */
  YYSYMBOL_constructor = 735,              /* constructor  */
  YYSYMBOL_var_list_r = 736,               /* var_list_r  */
  YYSYMBOL_var_list = 737,                 /* var_list  */
  YYSYMBOL_function_call = 738,            /* function_call  */
  YYSYMBOL_symbol_value = 739,             /* symbol_value  */
  YYSYMBOL_static_attr = 740,              /* static_attr  */
  YYSYMBOL_term_dot_method = 741,          /* term_dot_method  */
  YYSYMBOL_742_6 = 742,                    /* $@6  */
  YYSYMBOL_method_name_cont = 743,         /* method_name_cont  */
  YYSYMBOL_744_7 = 744,                    /* $@7  */
  YYSYMBOL_term = 745,                     /* term  */
  YYSYMBOL_term_bs = 746,                  /* term_bs  */
  YYSYMBOL_break_command = 747,            /* break_command  */
  YYSYMBOL_var = 748,                      /* var  */
  YYSYMBOL_for_var = 749,                  /* for_var  */
  YYSYMBOL_cmd = 750,                      /* cmd  */
  YYSYMBOL_751_8 = 751,                    /* $@8  */
  YYSYMBOL_752_9 = 752,                    /* $@9  */
  YYSYMBOL_753_10 = 753,                   /* $@10  */
  YYSYMBOL_754_11 = 754,                   /* $@11  */
  YYSYMBOL_get_cf_position = 755,          /* get_cf_position  */
  YYSYMBOL_lvalue = 756,                   /* lvalue  */
  YYSYMBOL_rtrid = 757,                    /* rtrid  */
  YYSYMBOL_idval = 758,                    /* idval  */
  YYSYMBOL_hostname_override = 759,        /* hostname_override  */
  YYSYMBOL_gr_opts = 760,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 761,            /* net_type_base  */
  YYSYMBOL_net_type = 762,                 /* net_type  */
  YYSYMBOL_table = 763,                    /* table  */
  YYSYMBOL_table_start = 764,              /* table_start  */
  YYSYMBOL_table_sorted = 765,             /* table_sorted  */
  YYSYMBOL_table_opt = 766,                /* table_opt  */
  YYSYMBOL_table_opts = 767,               /* table_opts  */
  YYSYMBOL_table_opt_list = 768,           /* table_opt_list  */
  YYSYMBOL_proto_start = 769,              /* proto_start  */
  YYSYMBOL_proto_name = 770,               /* proto_name  */
  YYSYMBOL_proto_item = 771,               /* proto_item  */
  YYSYMBOL_channel_start = 772,            /* channel_start  */
  YYSYMBOL_channel_item_ = 773,            /* channel_item_  */
  YYSYMBOL_channel_item = 774,             /* channel_item  */
  YYSYMBOL_channel_opts = 775,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 776,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 777,              /* channel_end  */
  YYSYMBOL_proto_channel = 778,            /* proto_channel  */
  YYSYMBOL_rtable = 779,                   /* rtable  */
  YYSYMBOL_imexport = 780,                 /* imexport  */
  YYSYMBOL_limit_action = 781,             /* limit_action  */
  YYSYMBOL_limit_spec = 782,               /* limit_spec  */
  YYSYMBOL_debug_default = 783,            /* debug_default  */
  YYSYMBOL_timeformat_base = 784,          /* timeformat_base  */
  YYSYMBOL_timeformat_which = 785,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 786,          /* timeformat_spec  */
  YYSYMBOL_iface_patt_node_init = 787,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 788,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 789,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 790,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 791,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 792,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 793,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 794,               /* iface_patt  */
  YYSYMBOL_tos = 795,                      /* tos  */
  YYSYMBOL_proto = 796,                    /* proto  */
  YYSYMBOL_dev_proto_start = 797,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 798,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 799,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 800,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 801,               /* debug_mask  */
  YYSYMBOL_debug_list = 802,               /* debug_list  */
  YYSYMBOL_debug_flag = 803,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 804,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 805,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 806,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 807,            /* password_list  */
  YYSYMBOL_password_list_body = 808,       /* password_list_body  */
  YYSYMBOL_password_items = 809,           /* password_items  */
  YYSYMBOL_password_item = 810,            /* password_item  */
  YYSYMBOL_pass_key = 811,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 812,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 813,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 814,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 815,        /* password_item_end  */
  YYSYMBOL_bfd_opts = 816,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 817,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 818,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 819,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 820,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 821,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 822,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 823, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 824,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 825,                   /* r_args  */
  YYSYMBOL_r_args_for = 826,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 827,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 828,              /* export_mode  */
  YYSYMBOL_channel_sym = 829,              /* channel_sym  */
  YYSYMBOL_channel_arg = 830,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 831,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 832,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 833,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 834,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 835,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 836,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 837,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 838,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 839,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 840,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 841,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 842,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 843,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 844,                /* echo_mask  */
  YYSYMBOL_echo_size = 845,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 846,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 847,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 848,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 849,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 850,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 851,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 852,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 853,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 854,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 855,             /* cmd_RESTRICT  */
  YYSYMBOL_cmd_TIMEFORMAT = 856,           /* cmd_TIMEFORMAT  */
  YYSYMBOL_proto_patt = 857,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 858,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 859,             /* dynamic_attr  */
  YYSYMBOL_mpls_domain = 860,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 861,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 862,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 863,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 864,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 865,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 866,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 867,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 868,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 869,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 870,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 871,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 872,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 873,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 874,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 875,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 876,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 877,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 878,         /* mpls_channel_end  */
  YYSYMBOL_879_12 = 879,                   /* $@12  */
  YYSYMBOL_show_mpls_ranges_args = 880,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 881,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 882,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 883,    /* aggregator_proto_item  */
  YYSYMBOL_884_13 = 884,                   /* $@13  */
  YYSYMBOL_aggregator_proto_opts = 885,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 886,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 887,                /* aggr_list  */
  YYSYMBOL_aggr_item = 888,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 889,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 890,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 891,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 892,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 893,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 894,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 895,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 896,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 897,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 898,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 899, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 900, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 901,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 902,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 903,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 904,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 905,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 906,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 907,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 908,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 909,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 910,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 911,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 912,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 913,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 914,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 915,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 916,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 917,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 918,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 919,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 920,             /* bfd_neighbor  */
  YYSYMBOL_bfd_item = 921,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 922,                /* bfd_items  */
  YYSYMBOL_bfd_opts_start = 923,           /* bfd_opts_start  */
  YYSYMBOL_bfd_opts_end = 924,             /* bfd_opts_end  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 925,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bfd_show_sessions_args = 926,   /* bfd_show_sessions_args  */
  YYSYMBOL_bgp_proto_start = 927,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 928,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 929,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 930,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 931,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 932,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 933,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 934,                /* bgp_proto  */
  YYSYMBOL_935_14 = 935,                   /* $@14  */
  YYSYMBOL_936_15 = 936,                   /* $@15  */
  YYSYMBOL_bgp_afi = 937,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 938,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 939,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 940,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 941,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 942,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 943,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 944,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 945,        /* bgp_proto_channel  */
  YYSYMBOL_l3vpn_channel_start = 946,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 947,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 948,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 949,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 950,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 951,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 952,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 953,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 954,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 955,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 956,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 957,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 958,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 959,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 960,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 961,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 962,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 963,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 964,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 965,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 966,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 967,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 968,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 969,           /* ospf_area_item  */
  YYSYMBOL_970_16 = 970,                   /* $@16  */
  YYSYMBOL_971_17 = 971,                   /* $@17  */
  YYSYMBOL_ospf_stubnet = 972,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 973,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 974,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 975,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 976,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 977,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 978,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 979,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 980,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 981,                /* pref_list  */
  YYSYMBOL_pref_item = 982,                /* pref_item  */
  YYSYMBOL_pref_base = 983,                /* pref_base  */
  YYSYMBOL_pref_opt = 984,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 985,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 986,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 987,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 988,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 989,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 990,     /* ospf_iface_patt_list  */
  YYSYMBOL_991_18 = 991,                   /* $@18  */
  YYSYMBOL_ospf_iface_opts = 992,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 993,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 994,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 995,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 996,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 997,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 998,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 999, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 1000,     /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 1001, /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 1002,     /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 1003,              /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 1004,        /* perf_proto_start  */
  YYSYMBOL_perf_proto = 1005,              /* perf_proto  */
  YYSYMBOL_perf_proto_item = 1006,         /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 1007,        /* pipe_proto_start  */
  YYSYMBOL_1008_19 = 1008,                 /* $@19  */
  YYSYMBOL_pipe_proto = 1009,              /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 1010,        /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 1011,         /* radv_proto_item  */
  YYSYMBOL_1012_20 = 1012,                 /* $@20  */
  YYSYMBOL_1013_21 = 1013,                 /* $@21  */
  YYSYMBOL_radv_proto_opts = 1014,         /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 1015,              /* radv_proto  */
  YYSYMBOL_radv_iface_start = 1016,        /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 1017,         /* radv_iface_item  */
  YYSYMBOL_1018_22 = 1018,                 /* $@22  */
  YYSYMBOL_1019_23 = 1019,                 /* $@23  */
  YYSYMBOL_radv_preference = 1020,         /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 1021,       /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 1022,         /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 1023,     /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 1024,              /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 1025,       /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 1026,        /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 1027,      /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 1028,        /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 1029,    /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 1030,             /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 1031,         /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 1032,        /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 1033,         /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 1034,       /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1035,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1036,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1037,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1038,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1039,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1040,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1041,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1042,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1043,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1044,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1045,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1046,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1047,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1048,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1049,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1050,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1051,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1052,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1053,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1054,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1055,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1056,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1057, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1058,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1059,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1060,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1061,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1062,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1063,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1064,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1065,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1066,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1067, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_tcp_opts_list = 1068, /* rpki_transport_tcp_opts_list  */
  YYSYMBOL_rpki_transport_tcp_opts = 1069, /* rpki_transport_tcp_opts  */
  YYSYMBOL_rpki_transport_tcp_item = 1070, /* rpki_transport_tcp_item  */
  YYSYMBOL_rpki_transport_tcp_check = 1071, /* rpki_transport_tcp_check  */
  YYSYMBOL_rpki_transport_ssh_init = 1072, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1073, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1074, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1075, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1076,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1077,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1078,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1079,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1080,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1081,             /* stat_route0  */
  YYSYMBOL_1082_24 = 1082,                 /* $@24  */
  YYSYMBOL_stat_route = 1083,              /* stat_route  */
  YYSYMBOL_1084_25 = 1084,                 /* $@25  */
  YYSYMBOL_stat_aspa_provider = 1085,      /* stat_aspa_provider  */
  YYSYMBOL_stat_aspa_providers = 1086,     /* stat_aspa_providers  */
  YYSYMBOL_stat_route_item = 1087,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1088,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1089,     /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 1090,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1091,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1092,           /* kern_sys_item  */
  YYSYMBOL_log_begin = 1093,               /* log_begin  */
  YYSYMBOL_log_config = 1094,              /* log_config  */
  YYSYMBOL_syslog_name = 1095,             /* syslog_name  */
  YYSYMBOL_log_limit = 1096,               /* log_limit  */
  YYSYMBOL_log_file = 1097,                /* log_file  */
  YYSYMBOL_log_udp_host = 1098,            /* log_udp_host  */
  YYSYMBOL_log_udp_port = 1099,            /* log_udp_port  */
  YYSYMBOL_log_mask = 1100,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1101,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1102,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1103,            /* mrtdump_base  */
  YYSYMBOL_cli = 1104,                     /* cli  */
  YYSYMBOL_cli_opts = 1105,                /* cli_opts  */
  YYSYMBOL_cli_opts_begin = 1106,          /* cli_opts_begin  */
  YYSYMBOL_cli_opts_block = 1107,          /* cli_opts_block  */
  YYSYMBOL_debug_unix = 1108,              /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 1109,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1110,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1111,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1112,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1113,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1114,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1115,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1116,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1117,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1118,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1119,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1120,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1121,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1122,            /* kern_channel  */
  YYSYMBOL_kern_item = 1123,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1124,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1125,               /* kif_proto  */
  YYSYMBOL_kif_item = 1126,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1127,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1128,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1129,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1130,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1131                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  82
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   12309

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  619
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  513
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2241
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3651

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   852


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    41,     2,     2,     2,    40,     2,     2,
      58,    59,    38,    36,    83,    37,    42,    39,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   155,    57,
      32,    31,    33,   158,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   156,     2,   157,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    84,     2,    85,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,   149,   150,   153,   155,   158,   163,   166,   174,
     175,   176,   182,   183,   184,   187,   187,   187,   188,   193,
     194,   195,   196,   197,   198,   205,   206,   207,   214,   215,
     222,   228,   238,   251,   270,   276,   282,   290,   298,   304,
     310,   310,   311,   311,   312,   312,   315,   316,   317,   318,
     319,   320,   321,   328,   329,   337,   338,   346,   347,   355,
     356,   364,   365,   366,   367,   368,   378,   386,   387,   396,
     404,   405,   412,   413,   417,   418,   419,   420,   427,   435,
     436,   440,   441,   442,   450,   451,   452,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   400,   402,
     402,   415,   417,   420,   421,   425,   427,   438,   440,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   492,   496,   497,
     506,   507,   515,   516,   523,   524,   527,   530,   534,   534,
     547,   554,   560,   563,   567,   563,   594,   595,   598,   598,
     600,   600,   602,   610,   611,   628,   629,   642,   643,   644,
     645,   646,   654,   655,   664,   668,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   685,   686,   687,   688,
     692,   693,   694,   698,   699,   700,   701,   702,   703,   704,
     705,   710,   711,   712,   713,   714,   718,   719,   720,   721,
     722,   726,   727,   731,   732,   736,   737,   741,   742,   743,
     744,   752,   753,   756,   757,   764,   774,   775,   779,   783,
     784,   785,   786,   790,   791,   792,   793,   794,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   812,   813,
     817,   818,   819,   820,   826,   827,   828,   831,   847,   856,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   891,   891,   893,   896,   896,   901,
     906,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   929,   930,   932,   933,
     934,   936,   938,   940,   942,   943,   944,   945,   947,   948,
     949,   950,   952,   953,   954,   956,   958,   959,   963,   967,
     968,   969,   973,   977,   984,   985,   989,   992,   995,   998,
    1004,  1006,   998,  1011,  1023,  1039,  1042,  1047,  1050,  1059,
    1062,  1065,  1068,  1069,  1072,  1072,  1078,  1079,  1083,  1088,
    1101,  1102,   167,   170,   171,   175,   176,   177,   178,   188,
     190,   192,   194,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   213,   214,   220,   222,   224,   229,   231,
     235,   236,   237,   242,   243,   244,   245,   248,   250,   253,
     255,   261,   264,   265,   269,   275,   279,   289,   299,   301,
     302,   303,   304,   305,   306,   307,   311,   317,   322,   323,
     324,   325,   326,   327,   328,   329,   334,   335,   338,   340,
     343,   345,   349,   356,   359,   362,   363,   364,   365,   369,
     370,   371,   372,   373,   377,   378,   382,   385,   386,   387,
     388,   393,   396,   400,   401,   402,   403,   407,   408,   409,
     410,   411,   412,   413,   414,   421,   429,   430,   434,   435,
     439,   444,   445,   449,   451,   459,   463,   464,   469,   471,
     478,   479,   480,   481,   482,   486,   494,   500,   501,   502,
     506,   507,   511,   512,   513,   514,   515,   516,   522,   523,
     524,   528,   529,   533,   534,   540,   544,   545,   548,   550,
     554,   555,   558,   558,   560,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   600,   606,
     612,   612,   615,   615,   618,   618,   621,   621,   625,   626,
     629,   629,   632,   632,   636,   636,   657,   663,   669,   675,
     682,   688,   695,   700,   705,   710,   715,   719,   723,   727,
     737,   744,   753,   757,   764,   768,   769,   770,   771,   775,
     779,   783,   797,   798,   799,   800,   803,   804,   805,   806,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   835,   845,   845,   855,   858,   859,   860,   861,   862,
     863,   867,   867,   869,   869,   871,   871,   873,   873,   875,
     875,   877,   877,   879,   879,   881,   881,   883,   883,   886,
     886,   890,   890,   896,   897,   898,   902,   903,   909,   909,
     911,   911,   913,   913,   915,   915,   917,   917,   919,   919,
     923,   923,   936,   937,   941,   941,   944,   944,   948,   948,
     958,   959,   960,   964,   965,   966,   969,   971,   973,   974,
     975,    31,    33,    35,    38,    41,    43,    46,    48,    51,
      54,    56,    67,    68,    71,    73,    76,    78,    82,    95,
      97,   117,   118,   119,   120,   124,   125,   126,   127,   128,
     129,   132,   134,   137,   139,   142,   142,   147,   153,   176,
     184,   194,   194,    29,    31,    41,    42,    43,    44,    74,
      74,    84,    84,    85,    89,    90,   101,   106,   120,   125,
      36,    38,    48,    49,    50,    51,    52,    53,    54,    57,
      59,    63,    67,    68,    69,    70,    74,    78,    82,    96,
     116,   117,   118,   119,   120,   121,   122,   123,   127,   128,
     129,   130,   131,   132,   135,   137,   140,   142,   146,   149,
     154,   155,   156,   160,   161,   165,   166,   169,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   201,   203,   207,
     210,   230,   236,   236,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    33,    35,    43,    44,    45,    46,
      49,    51,    55,    59,    80,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   173,   175,   178,   180,   185,   187,   191,   191,   194,
     194,   197,   197,   200,   200,    48,    50,    84,    86,    87,
      90,    92,    93,    94,    95,   100,   101,   105,   106,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   122,   123,
     124,   125,   126,   130,   131,   132,   133,   134,   135,   139,
     140,   146,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   223,
     223,   224,   225,   226,   227,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   245,   271,   272,
     273,   275,   275,   275,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     318,   330,   332,   335,   337,   341,   348,   351,   353,   355,
     357,   359,   361,   363,   365,   367,   369,   371,   373,   375,
     377,   380,   397,   408,    49,    52,    65,    67,    74,    75,
      76,    77,    78,    79,    80,    81,    84,    86,    90,    94,
      95,    26,    28,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    46,    50,    53,    53,    62,    63,    64,    65,
      66,    67,   212,   215,   216,   217,   220,   236,   237,   241,
     242,   246,   255,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   275,   290,
     293,   295,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   308,   309,   309,   310,   311,   312,   316,   317,
     321,   329,   331,   335,   336,   337,   341,   342,   345,   347,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   363,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   423,   425,   428,   430,   438,   440,   441,   444,   446,
     450,   451,   454,   464,   486,   488,   492,   492,   495,   497,
     500,   502,   506,   509,   510,   511,   512,   515,   515,   518,
     518,   521,   521,   526,   526,   529,   529,   534,   534,   537,
     537,   541,   541,   558,   561,   562,   563,   564,   565,   566,
     567,   568,    24,    26,    40,    41,    42,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    23,    26,    25,
      40,    41,    42,    43,    53,    55,    68,    69,    70,    71,
      72,    72,    73,    73,    74,    75,    76,    79,    81,    85,
      89,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   128,   132,   133,   134,   135,   136,   137,   137,
     138,   138,   139,   140,   141,   142,   146,   147,   148,   151,
     189,   191,   194,   196,   200,   203,   215,   216,   217,   218,
     222,   229,   237,   239,   242,   244,   248,   252,   262,   267,
     268,   269,   273,   285,   287,   291,   292,   296,   309,   314,
     315,   316,   320,   332,   334,   338,   339,   344,   345,   349,
     350,   353,   354,    47,    50,    51,    54,    68,    69,    70,
      71,    72,    73,    76,    78,    82,    86,   111,   141,   142,
     143,   144,   145,   146,   147,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   174,   175,   176,   177,   180,
     182,   185,   187,   191,   194,   195,   199,   199,   202,   202,
      43,    45,    54,    56,    58,    62,    63,    64,    65,    66,
      67,    68,    69,    75,    81,    87,    88,    92,    99,   100,
     103,   105,   123,   124,   128,   134,   136,   139,   141,   145,
     146,   147,   151,   157,   167,   169,   173,   174,   175,   179,
      56,    58,    65,    66,    67,    68,    69,    70,    78,    82,
      87,    92,    95,    98,   103,   107,   115,   116,   119,   121,
     124,   124,   137,   138,   142,   147,   148,   149,   150,   151,
     152,   153,   153,   158,   167,   180,   180,   183,   192,   194,
     197,   199,   203,   203,    31,    34,    35,    36,    39,    40,
      41,    43,    44,    45,    46,    47,    48,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    63,    64,    65,
      66,    67,    68,    70,    71,    72,    73,    74,    76,    77,
      78,    79,    80,    82,    83,    32,    34,    36,    38,    45,
      46,    49,    51,    55,    65,    66,    67,    75,    85,    86,
      90,    91,    95,    96,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   112,   115,   116,   126,   128,   134,   134,
     136,   144,   146,   149,   152,   153,   154,   155,   163,   163,
     166,   166,   173,   173,   176,   176,   179,   179,   182,   182,
     185,   185,   190,   190,   195,   196,   200,   201,   202,    43,
      45,    50,    51,    54,    55,    59,    60,    65,    66,    70,
      71,    72,    73,    77,    84,    85,    96,    98,   101,   102,
     105,   106,   107,   114,   121,   124,   126,   129,   131,   135,
     138,   139
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM_TOKEN", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'",
  "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN",
  "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "IN", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP",
  "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "ENUM", "SET", "STRING",
  "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK", "PREFERENCE",
  "ROA_CHECK", "ASPA_CHECK", "DEFINED", "ADD", "DELETE", "RESET",
  "PREPEND", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX",
  "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME",
  "FORMAT", "':'", "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "TABLES", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6",
  "ROA4", "ROA6", "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN",
  "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD",
  "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS",
  "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256",
  "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT",
  "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY",
  "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE",
  "BASE", "LOG", "GRACEFUL", "WAIT", "CHECK", "LINK", "SORTED", "TRIE",
  "MIN", "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL",
  "MPLS_POLICY", "MPLS_CLASS", "ASPA_PROVIDERS", "IPV4_MC", "IPV4_MPLS",
  "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC",
  "VPN6_MPLS", "PRI", "SEC", "NET_TYPE", "RTS", "RTD", "ROA", "AF", "SHOW",
  "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS",
  "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC",
  "DYNAMIC", "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR",
  "PEER", "MERGE", "BY", "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE",
  "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC",
  "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT",
  "DECAY", "SEND", "TIMESTAMPS", "COST", "DELAY", "BFD", "IDLE", "RX",
  "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "ZERO",
  "UDP6", "CHECKSUM", "SESSIONS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE",
  "STARTUP", "VIA", "SELF", "PATH", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "REFRESH",
  "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST",
  "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES",
  "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC",
  "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "ASPA_CHECK_UPSTREAM", "ASPA_CHECK_DOWNSTREAM", "L3VPN", "TARGET",
  "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "V2", "V3", "OSPF",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT",
  "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT",
  "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "LSID",
  "INSTANCE", "REAL", "NETMASK", "LSA", "SUPPRESSION", "RFC5838", "PE",
  "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE", "PIPE", "RADV",
  "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER",
  "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED",
  "MULT", "LIFETIME", "SKIP", "AUTONOMOUS", "RDNSS", "DNSSL", "NS",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM", "OPTION", "VALUE", "NG", "RIP",
  "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON",
  "POISON", "REVERSE", "PLAINTEXT", "DEMAND", "CIRCUIT", "RIP_METRIC",
  "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH", "TRANSPORT",
  "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "TRANSIT",
  "PROVIDERS", "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM",
  "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR",
  "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "CLI", "TRACE", "INFO", "WARNING", "AUTH", "FATAL",
  "BUG", "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM",
  "UNDO", "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE",
  "KRT_METRIC", "$accept", "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4",
  "net_ip4_", "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_",
  "net_roa4_", "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_",
  "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "text_or_ipa", "bytestring", "bytestring_text",
  "bytestring_expr", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "KEYWORD", "enum_type",
  "filter_def", "$@1", "filter_eval", "custom_attr", "bt_test_suite",
  "bt_test_same", "type", "function_argsn", "function_args",
  "function_vars", "function_type", "filter_body", "filter", "$@2",
  "where_filter", "function_body", "function_def", "$@3", "$@4", "cmds",
  "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int", "fipa",
  "set_atom0", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "symbol_value", "static_attr",
  "term_dot_method", "$@6", "method_name_cont", "$@7", "term", "term_bs",
  "break_command", "var", "for_var", "cmd", "$@8", "$@9", "$@10", "$@11",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_base", "timeformat_which",
  "timeformat_spec", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "cmd_TIMEFORMAT", "proto_patt",
  "proto_patt2", "dynamic_attr", "mpls_domain", "mpls_domain_start",
  "mpls_domain_opt", "mpls_domain_opts", "mpls_domain_opt_list",
  "mpls_domain_end", "mpls_range", "mpls_range_start", "mpls_range_opt",
  "mpls_range_opts", "mpls_range_opt_list", "mpls_range_end",
  "mpls_channel", "mpls_channel_start", "mpls_label_policy",
  "mpls_channel_opt", "mpls_channel_opts", "mpls_channel_opt_list",
  "mpls_channel_end", "$@12", "show_mpls_ranges_args",
  "cmd_SHOW_MPLS_RANGES", "aggregator_proto_start",
  "aggregator_proto_item", "$@13", "aggregator_proto_opts",
  "aggregator_proto", "aggr_list", "aggr_item", "babel_proto_start",
  "babel_proto_item", "babel_proto_opts", "babel_proto",
  "babel_iface_start", "babel_iface_finish", "babel_iface_item",
  "babel_iface_opts", "babel_iface_opt_list", "babel_iface",
  "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "bfd_item", "bfd_items",
  "bfd_opts_start", "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "$@25", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_udp_host",
  "log_udp_port", "log_mask", "log_mask_list", "log_cat", "mrtdump_base",
  "cli", "cli_opts", "cli_opts_begin", "cli_opts_block", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-3050)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1579)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     219,   101,   292,   136,   225,   296,   394,  9167,   240,   243,
     243,   194,   243,   430,   152,   289,    70,   976,   616,   243,
     251,    19,   541, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,  5877,   277, -3050, -3050, -3050,  5877,
    5877,  9167,  2790,   534,   539,   482,  1026, -3050, -3050,   -17,
   -3050,   652, -3050, -3050, -3050, -3050, -3050,   208,   613, -3050,
     625,  1026,  -246,   843, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,   476, -3050,   609,   279,
   -3050, -3050, -3050,  6493,  2082, -3050,   789,  6493, -3050,  6493,
   -3050,  6493, -3050,  6493, 11890,  6493, -3050,  6493, -3050,  6493,
    1399,  6493,  1313,   798,  1130,  6493, -3050,  6493, -3050,  6493,
   -3050,  6493,  1773,   276, -3050, -3050, -3050, -3050,  6493,  6493,
     -28, -3050, -3050, -3050,  1106, -3050, -3050,   855,   889,  1041,
   -3050, -3050, -3050,   769,   503,  9167,   934, -3050,  4196,   850,
     878, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,   951,   969,  1034,  1046,
    1054,  1062,  1069,  1091,  1125,  1627,  1178, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1145,  1186, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,  1192,  1208,  1216, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  3896, -3050, -3050,  1238, -3050, -3050,   635,  1286,   635,
   -3050,  1299,  1299,   243,   243,  1316,   708, -3050,   843,    22,
    1344,  1391,  1114,   437,   189,  1408, -3050,  1427, -3050,  1437,
     524,  1103,    44,   391,  1288,  1026,  1026,  1026,  1026,  1026,
    1026,  1026,  1026, -3050,   -20, -3050,  1462,  1299, -3050, -3050,
    1461,  1500,  1461,  1502,  1532,  1005, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1535,
   -3050,  5877, -3050, -3050,  4710, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,   197, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,   843, -3050,  7109,  1544,  1544,  1089, -3050, -3050,
    1527,   635,   635,   635,   843,  1126, -3050,   708,  1536, -3050,
   -3050, -3050, -3050,   152,    26,  1342, -3050,   843,   843, -3050,
    9167,  1539, -3050,  5877, -3050,  1516, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050,   726, -3050, -3050, -3050,  1087,
   -3050, -3050, -3050, -3050,  1611,  1601,  1573, -3050,  1503,  1530,
     635, -3050,   170,  1026,   708,  1415, -3050,  1608,  1582,  1612,
    1614, -3050, -3050,  1588,  1589,  1591,  1594, -3050, -3050, -3050,
   -3050,   359,  1318,  1623,  1655,   823,    71,    94,    99,   102,
     632,  1026,  1530,  1291,  1492,  1441,   349,   346,  1296,  1380,
    1361,  1090,  1190,   185,    89,  1368,  1456,   462,  1457,  1371,
    1414,   874,  1353,  1557,  1530,  1349,  1357,  1436,  1443,  1351,
    1356,   254,  1530,   106,  1335,  1412,   550,  1692,  1693,  1671,
   -3050,  1673,  1703,  1677,  1678,  1680,  1278, -3050, -3050,  1577,
    1372,  1254,  1530,  1620,   843,  1530,  1613,  1530,  1385, -3050,
    1582, -3050,  1734,  1709, -3050,  1710, -3050,  1530,   147,  1778,
     184,  1783,  1168,  1746, -3050,  1751, -3050, -3050,   843,  1235,
     738,  1786,  1626,  1590,  1643,  1761,  1763,  1738,  1739,  1747,
    1748, -3050,  1364,  1595,  1667,  1788,  1789,  1794,    64,  1759,
   -3050,  1661,  1464,   843,  1681,  1548,  1530,  1621,  1274, -3050,
   -3050, -3050,  1819, -3050,  1820,  1776,  1795, -3050, -3050,  1629,
   -3050,  1821,  1598,  1106,  1106,  9167,  1816,  1106, -3050,  1106,
    1864, -3050,  1865, -3050,  1867,   855,  1844, -3050, -3050,  1851,
     515,  1852,  1849, -3050, -3050, -3050,  1874, -3050,  1811,  2953,
   -3050, -3050,  1786,  1786,  9167,  9167,  9167,  9167,  9167,  9167,
    9167, -3050, -3050,  1844, -3050,  3825, -3050, -3050, -3050, -3050,
     952, -3050, -3050,  1885, -3050, -3050, -3050, -3050,   193, -3050,
     508, -3050,  1786,  1786,  9167,  1877,  1878, -3050,  9167,  9167,
    9167,  9167,  9167,  9167,  9167,  9167,  9167,  9167,  9167,  9167,
    9167,  9167, -3050,  2506, -3050,  1194, -3050, -3050, -3050, -3050,
   -3050,  1910,  1912,  1913,  1914, -3050, -3050,   594, -3050,  1915,
    1894,  1319,  1425, -3050, -3050, -3050, -3050, -3050,  1032,  1918,
   -3050,  1919, -3050,  2460, -3050,  1369, -3050,  1927,  1437,  1437,
    1437,  1437, -3050,  1437,  1437, -3050,   175,   204,  1928,  1437,
    1437,  1026,  1929,  1930,  1933,  1934,  1935,  1936,  1938,  1940,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   884,
   -3050, -3050,  1952,  1954,   561,  1960, -3050,  1005, -3050, -3050,
     843,  1961,  9167, -3050,  1923, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2826,   893,  1925,
    1888,  1889, -3050, -3050, -3050, -3050,  9167,  1931, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050,   843, -3050, -3050,
    1939, -3050,  1941,  1572, -3050,  1019,   843,   137,   843, -3050,
     821,  1341, -3050, -3050,  3582, -3050, -3050, -3050, -3050, -3050,
   -3050,  6493, -3050, -3050,  1963, -3050,  1254, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,  1530, -3050, -3050, -3050, -3050, -3050,
     998, -3050, -3050, -3050, -3050, -3050,  1740,  1745,  1325, -3050,
    1942,   843,   843, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  1530,    74,  1943,  1945,   -39,   130,  1530,  1764,  1765,
    1615,  1758,  1530,  1762,    58,  1768,  1769,  1958,  1965,  1944,
   -3050,  1967, -3050, -3050, -3050,  1355,  1990,    76,   615,  1990,
    1309,  1530,   843,  1779,  1780,   843,  1781,  1530,  1530,  1879,
    1530,  1530,  1977,  1530,  1530,  1530,  1530,  1530,  1530,  1634,
    1982,  1530,  1530,  1983,  1530,  1984,  1986,  1530,  1530,  1650,
    1669,  1856,  1817,  1530,  1802,  1530, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,  1530,   307,  1530, -3050,
   -3050,  1530, -3050,  1862,   843, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,   843,   843, -3050,  2032,  2035, -3050, -3050,
   -3050, -3050, -3050, -3050,  1544,  9167, -3050, -3050,  1107,  1871,
   -3050, -3050,  1107, -3050, -3050, -3050,  1107,  1530,  1786, -3050,
   -3050, -3050, -3050, -3050, -3050,   889,  1041, -3050, -3050, -3050,
    1530,  1786, -3050, -3050, -3050, -3050,  1458, -3050,  1325, -3050,
   -3050, -3050, -3050, -3050,   536,  1721, -3050,  2013,  1530,  1530,
   -3050,   843,  1767, -3050,   843, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,   843, -3050,  2052, -3050, -3050, -3050,
    3859, -3050, -3050,  1106,   593, -3050, -3050, -3050, -3050,  2018,
    2055, -3050,  1932,  2038, -3050, -3050,  9167, -3050,  9167, -3050,
   -3050,   231,  1995,  3981,  3131,  3206,  3419,  3505,  4013,  4054,
    1996,   224,  1997,  4086, -3050, -3050,  2062,  1766,  1907, -3050,
    1041, -3050,  2023,  2027,  2004,  2030,  4710,  2034,  2051,  2719,
    2719,  2719,  2986,  2986,  2719,  2719,  2719,  2719,  2719,   761,
     761,  1849,  1849, 11348, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,   933, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
    1222, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   264,  2085,
   -3050, -3050, -3050,  1364,  1538,  1544,  1544, -3050,  1949,  1950,
     324, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
    2086, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1299,
    1299,  1299,  1299,   458,  1299,  1299,    95,  1437,  1299,  1437,
    1299, -3050,  1299,  1299,  2103, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,   -20, -3050, -3050, -3050, -3050,  1544,  1180,
    1026, -3050, -3050,  2105, -3050, -3050,  4962,  2053,  2099,  2430,
   -3050, -3050,  7109, -3050,  1026,  1544, -3050,  2059,  4155, -3050,
   -3050, -3050, -3050,  1026, -3050, -3050, -3050, -3050, -3050,  9167,
   -3050,  2066,  1026, -3050,   -20, -3050,  2068,  2069, -3050, -3050,
   -3050, -3050, -3050, -3050,   710, -3050, -3050, -3050,  2092, -3050,
    2036,  2073,  1546, -3050,  1846, -3050,  2078, -3050,  2054,  2042,
    1430,  1176,   843,   843,  2079, -3050,  2080,  2084,  2087,  1530,
    1418, -3050, -3050,  1947,  1895,   843,  2089,  2091,  2093,   843,
     843,  1530,  1530,  2094,  1785,   843,  2095,   843,   843, -3050,
   -3050,  2147, -3050, -3050, -3050, -3050, -3050,  5877, -3050,   843,
     843, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2100,
   -3050,   843,   843, -3050,  2102,  2107,   843,   843,  2108,   843,
    2109,  2111,  1254,  2112,  2114, -3050,  2115,  2117,  2118,  2119,
    2120,  2122,  1530,  1266,  2123,  2124, -3050,  2125, -3050,  1530,
    2126,  2127,  1946,  1530,  1530,  1530,  2128,  1812,  2130,   915,
   -3050, -3050,  2204, -3050,  2643,   923, -3050,   843, -3050, -3050,
   -3050, -3050,   843, -3050, -3050,   655, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  4710, -3050,  2000, -3050,  1530, -3050, -3050,
   -3050,  2134,   842,   248,   505,  2139,  2136,  2138, -3050,  1990,
    2143,  2137,  2178,   843,  1530,  1530,  2171,   536,  9895, -3050,
   -3050,  2012, -3050,   843, -3050,  2036,  2121, -3050,  1106, -3050,
   -3050,  1106,  2180, -3050,  2166,  2167,  3539,  3042, -3050, -3050,
   -3050,  9167,  9167, -3050,  9167,  9167,  9167,  9167, -3050, -3050,
    4928,  9167,  7711,  9167, -3050,  2132,  9167, -3050, -3050, -3050,
   -3050, -3050,  9167, -3050,  2189,  2198, -3050, -3050, -3050, -3050,
   -3050,  1194, -3050,   594, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,   855,   267,  1512, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,  2194,  2194, -3050, -3050,  1238, -3050,
   -3050,  2214,  2215,  2216,  2218, -3050, -3050, -3050, -3050,  1026,
   -3050, -3050, -3050,  1026,  1417,  2219,  2220, -3050, -3050,  2208,
    1254, -3050, -3050, -3050,  1254,  1254,  1299,  2222,  1299,  2228,
    2233,  2238, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  2826,  2826, -3050,  9531,  7109,  2199,  2192,  2172,  2036,
   -3050, -3050, -3050,  4426,  2240, -3050, -3050,  1248, -3050, -3050,
     135,  2006, -3050,   635,  1530,  1530,  2009,  1293,  2210, -3050,
    2243, -3050, -3050, -3050,   635, -3050,  2225,  5877, -3050, -3050,
   -3050, -3050,  2242,  2098,  1992, -3050, -3050,  2227, -3050, -3050,
    2135, -3050, -3050,  2230, -3050, -3050, -3050, -3050,  1325,  1959,
    1962, -3050,  2239,  2223,  2241, -3050, -3050, -3050, -3050,  2244,
     273, -3050,  2245,   608,   843,  2246, -3050, -3050, -3050,  2248,
    2250,  2251,  2252, -3050,  1530,  2254, -3050,  2255,  2258,  2212,
   -3050,  2259,   134, -3050,   337, -3050, -3050, -3050,  1354, -3050,
   -3050, -3050, -3050,  2260,  2261, -3050,  2262, -3050, -3050,  2264,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2265, -3050,
    2266, -3050, -3050, -3050,  2267, -3050, -3050,  2133,  2273,  2274,
    2275, -3050,  1530, -3050,   924, -3050,  1544, -3050,  2279, -3050,
    2029, -3050,  1955,  1142,  1108,  1951,  2174,  2154,  2284,   843,
    1978,  2177,   -11,  1530,  1530,   205,  1530,    52, -3050,  2295,
   -3050,  2330,  1926,  1956,  1115, -3050, -3050, -3050,  1582, -3050,
    2297, -3050,  1544,  1273,   843,  1026,  2221, -3050, -3050,  2298,
   -3050, -3050, -3050, -3050,   300,  1530, -3050,   841, -3050,  2116,
    1355, -3050,   115,  2302, -3050,  1883, -3050,  1433, -3050, -3050,
   -3050, -3050,  1378, -3050, -3050, -3050,  1378,  2188,  1840, -3050,
   -3050,  2310, -3050, -3050,  1530,   843, -3050, -3050,  2311,   843,
    1837, -3050,  1842,  2010,  2182,  2322,  2182,  1019,    -6,  2182,
   -3050, -3050,  2323, -3050,   843, -3050, -3050, -3050, -3050,  2178,
   -3050, -3050,  2296, -3050, -3050,  2347, -3050, -3050, -3050, -3050,
    2345, -3050, -3050,  9167,  9167,  2332,  9167, -3050, -3050, -3050,
    9167,  9167, -3050,  2335,  2336,   883,  2338,  2357,  9167, -3050,
    2354,  2366, -3050,   843, -3050, -3050, -3050, -3050, -3050, -3050,
    2359,  2362, -3050,  9167, -3050,  9167,  2168,  4215,  3685,  3697,
    4465,  4477,  4546,  4620,  1056,   227,  4710,  2333,  1135,   739,
    2334,  2396,  4086,  4710, -3050, -3050,  2360, -3050, -3050,  2398,
     855,  1844,  1238, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,   855,  1844, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  2415, -3050,  2416, -3050, -3050, -3050,  7109,
    2318, -3050,  7109,  2339, -3050, -3050,  9531, -3050, -3050,  2368,
   -3050, -3050,  2407, -3050, -3050, -3050,  2373, -3050,  2179, -3050,
   -3050, -3050,  2181,   843,   843, -3050,  1488,  1417, -3050, -3050,
   -3050, -3050, -3050,    98, -3050, 10622,  1786, -3050, -3050, -3050,
   -3050,  2272, -3050,    80, -3050, -3050,  2350, -3050,   103, -3050,
    1530,  2096, -3050,   843, -3050, -3050,  2249,  2007,  2008, -3050,
      27,  2011,  1139,  1337, -3050, -3050,  2383,  2384,  2385, -3050,
   -3050, -3050, -3050, -3050,  2386, -3050, -3050, -3050, -3050,   919,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  1530, -3050, -3050, -3050,  2388,   350,   479, -3050, -3050,
     455,   713,  1530,  1530,   -34,  1786,  1530,  2141, -3050,   672,
    1786, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2057,  2387,
   -3050, -3050,   167,   167,   167,  2427, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  2110, -3050, -3050, -3050,   843,   843,  1530,
   -3050,  2367,   843, -3050,  2369,  1254, -3050, -3050,  2371,   843,
   -3050, -3050,   843,  2375, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  2376, -3050, -3050, -3050,   921,   765, -3050,  1530,  2392,
   -3050, -3050, -3050,  2276, -3050, -3050, -3050,   843,   843,  1325,
   -3050,   843,  2389,   843, -3050,  2414, -3050, -3050, -3050,   843,
   -3050, -3050,  2347,  2137,  2448,  2390,  9531,   928,   937,  3088,
    4994,  2702,  2370,  1803, -3050, -3050,  9167, -3050,  9167,  1024,
   -3050,  9167, -3050,    18,  2450,  2439,  4633,  4669, -3050, -3050,
   -3050, -3050,  2411, -3050, -3050,  1486,  2405, -3050, -3050, -3050,
   -3050, -3050, -3050,  1994,  2438,  2438,  1117,  2423, -3050,  1994,
    2438,  2438,  1378,  2428,  9167,  9167, -3050, -3050, -3050, -3050,
   -3050,  2449,  9167, -3050,  8075, -3050,  2451,  9167,  2476,  8439,
    8803,  2403,  9167, -3050, -3050, -3050,  1373, -3050, -3050,  1072,
   -3050, -3050, -3050,  2431, -3050,   843,   843, -3050, -3050, -3050,
     843, -3050,   843,  2434, -3050,  9167, -3050, -3050,  2409, -3050,
   -3050, -3050,  2417,  1530, -3050, -3050, -3050, -3050, -3050,  2350,
   -3050, -3050,  5877,  1026,  2162, -3050,  2175,  2447,  2072,  2224,
   -3050, -3050, -3050, -3050, -3050, -3050,   273, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050,  1530,  2422, -3050,  1294,  2185,
     843,   843,   496, -3050, -3050, -3050,   617,  2432,  2454,  2455,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   211,
     211,  1325,  2101, -3050, -3050, -3050, -3050, -3050,  2315,  2263,
   -3050, -3050,  1530, -3050, -3050, -3050, -3050, -3050,  1530,  2209,
    1571,  2461, -3050, -3050, -3050, -3050, -3050, -3050,  1530,  2036,
    2463, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,  2464, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,   843,  2465,   843, -3050, -3050, -3050,
   -3050,  1530, -3050, -3050,  2466,  2467, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  2485,  2486, -3050, 10259, -3050, -3050,  7109,
    2437,  9167, 10985,  5089,  5122, -3050, 11348,  5136, -3050,  1325,
    2496, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2544,   843,  1558,
   -3050,  2472, -3050,   748,   843,  1647,   770, -3050, -3050, -3050,
   -3050,  1558,   748,   770,  2474, -3050,  4784,  4796,  2498,  2501,
    1137,   269,  2502,  1154,  2504,  2505,   802,  2509,   811, -3050,
    2510, -3050, -3050,  9167, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  4833, 10622, -3050, -3050, -3050, -3050, -3050,  1440, -3050,
   -3050, -3050,  1325,  2235,  1530, -3050, -3050, -3050, -3050, -3050,
   -3050,  1393,  2247,  2253,  2256, -3050, -3050, -3050,  1419, -3050,
    2358, -3050, -3050, -3050,  9167, -3050, -3050, -3050, -3050,   980,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
    1530,   843, -3050, -3050,  1530, -3050,   658, -3050,  1883, -3050,
   -3050,   876,   944,    78,   465,    36, -3050, -3050, -3050, -3050,
   -3050,  2043, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  2514,
    2515,  2459,  1507, -3050, -3050,  4710, -3050, -3050, -3050, -3050,
   -3050, -3050,  2519, -3050, -3050, -3050,   843, -3050, -3050,   843,
    1937,   843, -3050,  2438,  2438,  2539, -3050, -3050, -3050, -3050,
   -3050,  2438,  2438,  2561, -3050, -3050, -3050, -3050, -3050,  2543,
    9167, -3050, -3050, -3050,  2545,  9167, -3050,  9167,  2577, -3050,
    9167, -3050, -3050,  5177, -3050, -3050,  1221, -3050, -3050, -3050,
    1530,  1308,  2268,   843,   843,   496, -3050,  2531, -3050,  1530,
   -3050, -3050,  2511,  2532,   843,   843,   843, -3050, -3050,  1431,
    4847,  2562,   218,   843,  2562,  1649,   223,  2512, -3050, -3050,
   -3050,  2461, -3050, -3050,  1838, -3050, -3050, -3050,   449, -3050,
   -3050,  1530,   843,  1530,  2534, -3050,   843,   843,   -42,   843,
    2277,   195, -3050,  2546, -3050,  1530,  2097,  2104,  1530,  1530,
    2550,   432, -3050,    -5,    13,   886,   311, -3050,    85, -3050,
     -15, -3050, -3050, 10259, -3050, -3050, -3050,  2590, -3050, -3050,
   -3050, -3050,   191,  9167,  2551,  2530, -3050, -3050,  2472,   843,
   -3050,   843,   843,   843,  1647,  1647, -3050,  2555,  2559,  2566,
    2537,  2568,  2570,  2572, -3050,   843,  2294,  1038, -3050,   843,
    2391,   843,  2306,  2307,  2571,   431,  2316,  2337,   142,   107,
   -3050,  2580, -3050,  2313,  2314,  2319, -3050, -3050, -3050, -3050,
   -3050, -3050,  1393, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
    2584,  2562,  2562,  2585,  2587,  1519,  1658, -3050, -3050, -3050,
   -3050,  2591,  2562,  2562, -3050, -3050,  1818, -3050,   843,  2400,
    2170,  2567,   843,   843,   843,  1530,  2346,   265,    62,  2201,
    2270,  1530,   843,  2340,   576,  -148,   843,  2536,  2206, -3050,
    2606, -3050,   843,  2607, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,   843,   843, -3050, -3050, -3050,   843,
     843, -3050, -3050, -3050,  2173, -3050,    40,   -37,   -58,  2163,
    -139,  2195,  1530,  2176,  2424,  2187,  2393,  2343,  2363,  2155,
    2638, -3050,    83,  1325,  2640, -3050,  2671,    83,  2645, -3050,
   -3050, -3050,   843, -3050,  1530,   -32,   843,  2453,  1530,  2394,
     301,   -43,  1325,  2320,  2456,  2575,   323,  2457,  2458,    93,
    2183,  2184,  2186, -3050,  2654, -3050,  1026,   618,  2655, -3050,
    2197,  2200,  1026,  2662, -3050, -3050,  1584,  1989, -3050,  4710,
    2663,  9167, -3050,  2683,  2685, -3050, -3050, -3050, -3050, -3050,
   -3050,  9167, -3050,  9167, -3050, -3050,  1465, -3050, -3050, -3050,
   -3050,  1530, -3050,   843,   843,  2419,   843,   843,   843,   843,
    1530,   843,   843,   843,   843,   843, -3050, -3050,  2433, -3050,
     843,   843,   843, -3050,   980,  2672,  2690,   980,   980, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   980,
    2691,  2703, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,  1530,  2278, -3050, -3050, -3050, -3050, -3050,    90,
     843,   843, -3050, -3050, -3050, -3050,  1530,   794, -3050, -3050,
     843,   843, -3050,  1530,  1530, -3050,   843,  1530, -3050, -3050,
   -3050, -3050, -3050,  2271,  2271,  2436,  2507, -3050,  1000,   843,
    1000,  2513,   843,   843,   843,  2452,  2283, -3050,  1530,   843,
     843,  2576,  1530,   921,  1530,   765,    68, -3050, -3050,   843,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
    1530,  1530, -3050,   843, -3050,   843,   843,   843, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050,  1020,   843,   843, -3050, -3050,
     843,   843,  1530, -3050,  1530,  1530,  1530, -3050, -3050, -3050,
   -3050, -3050, -3050,  2586,  2588, -3050, -3050, -3050, -3050, -3050,
    2664, -3050,  4896,   843,   843,  2726,  2705,  1325,  1325, -3050,
   -3050, -3050,  1530, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   980,   980,
   -3050, -3050, -3050,   980,   980, -3050,  1530,   991, -3050, -3050,
   -3050, -3050, -3050, -3050,  2321, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,  1530, -3050, -3050,   843,   843, -3050, -3050, -3050,
   -3050,  2271, -3050,   843,  2271, -3050, -3050,   843,  1530, -3050,
   -3050, -3050,   843, -3050, -3050, -3050, -3050,   843,  1530, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,  2324, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,  1026,  1026, 10259,  2735,
   -3050, -3050, -3050,  9167, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  2328, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050,  2269, -3050, -3050, -3050, -3050,
   -3050, -3050,  2712, -3050,  2740,   886,  9167, -3050, -3050,  2739,
   -3050
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
     574,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2204,     0,   573,   722,   724,   726,  1150,  1152,  1154,
    1156,  1160,  1162,  1164,  1222,  1231,  1233,  1235,  1237,  1239,
    1241,  1243,  1245,  1247,  1249,  1251,  1258,  1260,  1262,  1264,
    1266,  1268,  1270,  1274,  1276,  1278,  1331,  1467,  1469,  1471,
    1473,  1412,  1684,  1827,  1829,  1831,  1833,  1835,  1837,  1839,
    1841,  2016,  2018,  2102,  2188,  2190,  2192,  2194,  2196,  2198,
    2200,  2202,     1,   572,     0,   994,   576,   990,   991,     0,
       0,     0,     0,     0,     0,     0,     0,  1012,  1013,     0,
     983,   984,   986,   987,   988,   989,   992,     0,     0,  2147,
       0,     0,     0,     0,   575,   577,   728,   731,   733,   735,
     737,   772,   972,   979,   981,   993,     0,   995,   998,     0,
    1056,  1061,  1011,  1014,  1018,  1291,  1297,  1014,  1333,  1014,
    1424,  1014,  1350,  1014,  1018,  1014,  1654,  1014,  1671,  1014,
    1018,  1014,  1018,     0,  1018,  1014,  1874,  1014,  1963,  1014,
    2020,  1014,  1018,  1018,  2146,  2173,  2176,  2183,  1014,  1014,
    1018,   723,   725,   727,   857,   858,   869,   785,   786,   864,
     588,   861,   862,     0,     0,     0,     0,   880,     0,     0,
       0,   883,   859,   860,   881,   882,   884,   885,   886,   887,
     888,   889,   891,   892,   893,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1286,  1288,  1289,
    1290,  1287,  1466,  1638,  1641,  1640,  1637,  1639,  1642,  1643,
    1644,  1647,  1649,  1645,  1646,  1648,  1650,     0,     0,  1823,
    1824,  1825,  1826,  1961,  1962,  2014,  2015,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2117,  2118,  2119,  2120,  2121,
    2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2130,  2131,
    2133,  2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,
    2143,  2144,  2116,  2132,  2240,  2241,   879,   610,   611,   620,
     612,   613,   614,   615,   621,   622,   616,   617,   618,   865,
     720,   721,   619,   863,   873,   919,   920,   937,   918,   921,
     923,     0,   936,   922,  1280,  1282,  1281,     0,     0,     0,
    1280,   643,   643,     0,     0,     0,     0,  1277,  1067,     0,
       0,     0,     0,  1284,     0,     0,  1166,     0,  1224,  1159,
       0,     0,  1159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1254,     0,  1253,  1256,   643,  1686,  2205,
    2204,     0,  2204,     0,     0,  2206,  2201,    39,    40,    41,
     586,   585,     2,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,     0,
     587,     0,   773,   729,   732,   739,   740,   741,   743,   742,
     744,   745,   746,   747,     0,   748,   749,   750,   751,   752,
     753,   754,     0,   755,     0,     0,     0,     0,   641,   640,
       0,     0,     0,     0,     0,   594,   985,     0,     0,  1064,
    1063,  1065,  1066,     0,     0,     0,  2180,     0,     0,   579,
       0,     0,   581,     0,   999,  1009,  1089,  2021,  1476,  2061,
    1334,  1425,  1351,  1657,  1672,  1693,  1853,  1868,  1875,  1964,
    2210,  2227,  1696,  1966,    13,  1015,     0,  1088,     0,   594,
       0,  1095,     0,     0,     0,     0,  1026,     0,  1040,     0,
       0,  1295,  1299,     0,     0,     0,     0,  1310,  1595,  1596,
    1475,     0,     0,     0,     0,     0,  1585,  1586,     0,     0,
       0,     0,   594,     0,     0,     0,     0,     0,     0,     0,
       0,   594,     0,  1480,  1477,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   594,     0,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,     0,     0,     0,  1323,
    1597,  1633,     0,     0,     0,     0,     0,   994,  1692,     0,
       0,     0,   594,     0,     0,   594,     0,   594,  1699,  1703,
    1040,  1704,     0,     0,  1717,     0,  1852,   594,     0,     0,
       0,     0,     0,     0,  1857,     0,  1870,  1867,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2060,     0,     0,     0,     0,     0,     0,  2085,  2100,
    2209,     0,     0,     0,     0,     0,   594,     0,   594,  2219,
    2217,  2218,     0,  2220,     0,     0,     0,  2226,  2233,     0,
    2230,     0,   857,   857,   857,     0,     0,   857,   879,   857,
       0,   846,     0,   601,     0,     0,     0,   604,   605,     0,
       0,     0,   916,   608,   806,   807,     0,   809,     0,     0,
     715,   715,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   787,   790,   786,   789,     0,   866,   793,   610,   611,
     837,   788,   792,   824,   821,   822,   823,   833,     0,   841,
       0,   609,     0,     0,   874,     0,     0,  1250,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   894,     0,  1098,     0,  1097,  1273,  1271,  1272,
     642,     0,     0,     0,     0,  1265,  1109,     0,  1108,     0,
       0,  1069,  1072,  1279,  2203,  1327,  1283,  1285,  1284,     0,
    1161,     0,  1153,     0,  1151,     0,  1158,     0,  1159,  1159,
    1159,  1159,  1414,  1159,  1159,  1843,  1159,  1159,     0,  1159,
    1159,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2169,  2164,  2167,  2165,  2166,  2168,  2170,  2171,  2172,     0,
    2162,  1257,     0,     0,     0,     0,  2197,  2206,  2193,  2195,
    2207,     0,     0,  1293,     0,   762,   564,   567,   569,   562,
     563,   565,   566,   568,   570,   571,   757,     0,   756,     0,
       0,     0,   975,   977,   978,  1084,     0,     0,   980,  1059,
    1057,  1058,  1060,   590,   592,   591,   593,     0,   589,  2184,
       0,  2175,     0,  2150,  2155,     0,  2151,     0,     0,  2177,
       0,     0,  2187,  2186,     0,  2145,   997,  1007,   996,  1694,
    1695,  1014,  1965,  1016,     0,  1090,     0,  1019,  1020,  1075,
    1025,  1024,  1023,  1021,   594,  1091,  1038,  1042,  1092,  1093,
       0,  1292,  1341,  1430,  1359,  1503,     0,     0,     0,  1521,
       0,     0,     0,  1589,  1587,  1590,  1588,  1591,  1593,  1592,
    1594,   594,     0,     0,     0,     0,   594,   594,     0,     0,
       0,     0,   594,     0,     0,     0,     0,     0,     0,     0,
    1522,     0,   595,   596,   597,     0,   598,     0,     0,   598,
       0,   594,     0,     0,     0,     0,     0,   594,   594,     0,
     594,   594,     0,   594,   594,   594,   594,   594,   594,     0,
       0,   594,   594,     0,   594,     0,     0,   594,   594,     0,
       0,     0,     0,   594,     0,   594,  1504,  1506,  1321,  1325,
    1631,  1635,  1505,  1666,  1681,  1697,   594,   594,   594,  1718,
    1705,   594,  1715,  1712,     0,  1706,  1700,  1701,  1042,  1698,
    1720,  1854,  1864,     0,     0,  1863,     0,     0,  1860,  1865,
    1866,  1856,  1855,  1033,   768,     0,  1047,  1048,     0,     0,
    1046,  1028,     0,  1029,  1044,  1027,     0,   594,     0,  1871,
    1872,  1887,  1973,  2023,  2062,     0,     0,   630,   629,  2080,
     594,     0,  2063,  2064,  2065,  2087,     0,  2086,     0,  2090,
    2088,  2089,  2093,  2091,  2076,  2082,  2098,     0,   594,   594,
    2106,     0,     0,  2221,     0,  2214,  2213,  2223,  2104,  2212,
    2211,  2228,  1075,  2231,     0,  2229,     0,   849,   855,   853,
       0,   785,   786,   857,     0,   854,   856,   848,   600,   602,
       0,   924,     0,     0,   925,   808,     0,   901,     0,   716,
     717,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   795,   838,   839,     0,     0,     0,   867,
       0,   868,     0,     0,   877,     0,   875,     0,     0,   913,
     911,   909,   906,   907,   908,   910,   912,   914,   915,   902,
     903,   904,   905,     0,  1217,  1215,  1216,  1200,  1203,  1207,
    1210,  1213,  1214,  1218,  1201,  1202,  1204,  1205,  1206,  1208,
    1209,  1211,  1212,  1219,  1220,  1221,  1102,  1103,  1104,  1106,
    1107,  1105,     0,  1100,  1263,  1259,  1267,  1269,  1113,  1114,
       0,  1111,  1275,  1068,  1070,  1071,  1073,  1074,     0,     0,
    1155,  1163,  1165,     0,     0,   768,     0,  1176,     0,  1197,
       0,  1178,  1177,  1182,  1183,  1196,  1198,  1199,  1167,  1175,
       0,  1223,  1230,  1227,  1226,  1228,  1229,  1225,  2103,   643,
     643,   643,   643,     0,   643,   643,     0,  1159,   643,  1159,
     643,  1828,   643,   643,     0,  1244,  1236,  1246,  1238,  1232,
    1234,  1240,  1242,     0,  1255,  1252,  1261,  1685,   768,     0,
       0,  1690,  2199,     0,  2208,  2189,     0,   758,   764,     0,
     730,   766,     0,   734,     0,     0,  1075,     0,     0,   973,
    2185,  2174,  1062,     0,  2154,   645,   646,   647,   644,     0,
    2157,  2158,     0,  2153,     0,  2160,     0,     0,  2179,  2181,
     582,   583,   584,   580,     0,  1869,  1017,  1022,  1078,  1081,
    1096,     0,     0,  1043,     0,  1298,     0,  1294,  1306,  1018,
    1018,  1018,     0,     0,     0,  1512,     0,     0,     0,   594,
     594,  1559,  1561,     0,     0,     0,     0,     0,     0,     0,
       0,   594,   594,     0,     0,     0,     0,     0,     0,  1577,
    1576,  1409,  1579,  1523,   628,   627,  1480,     0,  1480,     0,
       0,  1509,  1483,  1484,  1498,  1499,  1500,  1501,  1502,     0,
    1477,     0,     0,  1507,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1558,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,  1560,     0,  1516,   594,
       0,     0,     0,   594,   594,   594,     0,     0,     0,     0,
    1309,  1042,     0,  1636,  1018,  1018,  1707,     0,  1710,  1709,
    1714,  1708,     0,  1716,  1702,     0,  1862,  1861,  1858,  1859,
     767,  1045,   762,   770,  1055,  1049,  1031,   594,  1032,  1030,
    1035,     0,  1018,  1018,  1018,  2078,     0,     0,  2070,   598,
    2083,     0,     0,     0,   594,   594,     0,  2077,     0,  2068,
    2224,  2215,  2105,     0,  2222,  1083,  2237,  2232,   857,   847,
     851,   857,     0,   602,     0,     0,     0,     0,   711,   713,
     932,     0,     0,   917,     0,     0,     0,     0,   938,   935,
       0,     0,     0,     0,   791,     0,     0,   825,   834,   842,
    1653,  1652,     0,   878,     0,     0,   896,   897,   899,   895,
     900,     0,  1099,     0,  1110,  1332,  1329,  1330,  1328,  1157,
    1169,  1194,  1195,     0,  1191,  1192,  1193,  1187,  1185,  1186,
    1168,  1184,  1174,  1181,     0,     0,  1171,  1170,   588,  1179,
    1180,     0,     0,     0,     0,  1413,  1415,  1419,  1422,     0,
    1420,  1421,  1423,     0,     0,     0,     0,  1842,  1851,     0,
       0,  1846,  1849,  1844,     0,     0,   643,     0,   643,     0,
       0,     0,  1248,  2163,  1689,  1688,  1687,  1691,  2191,   578,
     760,     0,     0,   774,   776,     0,     0,     0,     0,  1085,
     974,   976,  2149,     0,     0,  2156,  2152,     0,  2148,   982,
       0,     0,  1010,     0,   594,   594,     0,     0,     0,  1079,
     643,  1075,  1094,  1041,     0,  1036,     0,     0,  1296,  1304,
    1308,  1343,     0,     0,     0,  1335,  1336,     0,  1432,  1433,
       0,  1426,  1427,     0,  1361,  1366,  1368,  1368,     0,     0,
       0,  1352,     0,     0,     0,  1535,  1534,  1533,  1584,     0,
       0,  1485,     0,   594,     0,     0,  1569,  1568,  1575,     0,
       0,     0,     0,  1548,   594,     0,  1524,     0,     0,     0,
    1407,     0,     0,   599,     0,  1481,  1482,  1582,     0,  1478,
    1479,  1526,  1518,     0,     0,  1539,     0,  1528,  1514,     0,
    1515,  1550,  1531,  1562,  1530,  1529,  1574,  1532,     0,  1563,
       0,  1565,  1566,  1517,     0,  1527,  1555,     0,     0,     0,
       0,  1553,   594,  1583,     0,  1324,     0,  1315,     0,  1326,
       0,  1634,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   594,   594,   594,   594,     0,  1604,     0,
    1668,     0,     0,     0,     0,  1655,  1658,  1660,  1040,  1659,
       0,  1683,   768,     0,     0,     0,     0,  1677,  1673,     0,
    1711,  1713,  1719,  1813,     0,   594,  1733,   594,  1731,     0,
       0,  1723,   594,     0,  1737,  1814,   769,     0,  1054,  1034,
    1873,  1889,     0,  1890,  1880,  1882,     0,     0,     0,  1876,
    1877,     0,  1975,  1976,   594,     0,  1967,  1968,     0,     0,
       0,  2022,     0,     0,  2038,     0,  2038,     0,     0,  2038,
    2025,  2026,     0,  2029,     0,  2081,  2066,  2067,  2069,     0,
    2094,  2095,  2092,   636,   637,  2072,  2074,  2073,  2075,  2071,
     588,   778,  2101,   874,   874,     0,     0,   939,   940,   941,
       0,     0,   949,     0,     0,     0,     0,   970,   874,  2097,
       0,   971,  2099,     0,  2225,  2107,  2235,  2239,   850,   852,
       0,     0,   926,     0,   870,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   795,     0,     0,     0,
       0,     0,     0,   876,   606,   607,     0,  1101,  1112,     0,
    1188,  1189,     0,  1172,  1173,  1474,  1468,  1470,  1472,  1417,
    1418,   633,   634,   635,   631,   632,  1416,  1832,  1830,  1847,
    1850,  1845,  1848,     0,  1834,     0,  1838,  2017,  2019,     0,
     765,   762,     0,     0,   782,   783,   777,   780,   781,     0,
    1651,   736,     0,   648,  2159,  2161,     0,  2182,     0,  1001,
    1000,  1002,     0,     0,     0,  1008,  1076,     0,  1080,  1082,
    1037,  1039,  1301,     0,  1300,     0,     0,  1339,  1342,  1075,
    1428,     0,  1431,  1353,  1075,  1354,  1386,  1355,  1390,  1356,
     594,     0,  1360,     0,  1542,  1544,     0,     0,     0,  1489,
       0,     0,     0,     0,  1487,  1545,     0,     0,     0,  1570,
    1519,  1540,  1546,  1549,     0,  1525,  1536,  1541,  1149,     0,
    1580,  1511,  1510,  1508,  1537,  1538,  1520,  1513,  1567,  1564,
    1581,   594,  1551,  1556,  1554,     0,     0,     0,  1316,  1322,
       0,   594,   594,   594,     0,     0,   594,     0,  1628,     0,
       0,  1611,  1612,  1613,  1609,  1627,  1626,  1614,     0,     0,
    1632,  1661,     0,     0,     0,     0,  1042,  1667,  1676,  1675,
    1674,  1679,  1678,     0,  1682,  1075,  1736,     0,     0,   594,
    1724,     0,     0,  1722,     0,     0,  1740,  1735,  1739,     0,
    1729,  1721,     0,  1747,  1050,  1051,  1052,  1053,   626,   625,
    1925,  1934,  1879,  1075,  1878,     0,     0,  1885,   594,     0,
    1888,  1075,  1972,  1969,  1971,  1974,  2040,     0,     0,     0,
    2039,     0,     0,     0,  2041,  2027,  2044,  2053,  2031,     0,
    2024,  2079,  2084,     0,     0,     0,   776,     0,     0,     0,
       0,     0,     0,     0,   968,   968,     0,   962,     0,     0,
     964,     0,  2216,     0,     0,     0,     0,     0,   669,   680,
     681,   667,     0,   670,   671,     0,     0,   674,   675,   679,
     676,   718,   677,     0,   693,   693,     0,     0,   719,     0,
     693,   693,     0,     0,     0,     0,   929,   930,   928,   931,
     804,     0,     0,   802,     0,   798,     0,     0,   796,     0,
       0,     0,   874,  1190,  1836,  1840,     0,   756,   775,     0,
     771,   784,   763,     0,  2178,     0,     0,  1005,  1006,  1077,
       0,  1307,     0,     0,  1347,     0,  1349,  1348,  1338,  1344,
    1337,   762,  1463,   594,  1364,  1362,  1363,  1365,  1367,  1386,
    1384,  1369,     0,     0,  1393,  1357,     0,     0,     0,     0,
    1492,  1493,  1491,  1495,  1494,  1496,     0,  1486,  1572,  1571,
    1573,  1547,  1410,  1122,  1123,   594,     0,  1404,     0,     0,
       0,     0,     0,  1406,  1115,  1117,     0,  1148,     0,     0,
    1552,  1318,  1319,  1317,  1312,  1314,  1311,  1313,  1320,   594,
     594,     0,     0,  1620,  1621,  1622,  1624,  1625,     0,     0,
    1630,  1615,   594,  1601,  1602,  1603,  1610,  1629,   594,     0,
       0,     0,  1669,  1663,  1664,  1665,  1662,  1656,   594,  1816,
    1820,  1726,  1727,  1725,  1801,  1728,  1801,  1761,  1741,  1730,
    1815,  1748,  1932,  1931,  1922,  1938,  1937,  1945,  1881,  1947,
    1948,  1955,  1883,  1886,     0,  2011,     0,  2037,  2036,  2030,
    2033,   594,  2032,  2028,  2045,     0,  2034,  2096,   638,   946,
     779,   960,   961,     0,     0,   954,     0,   843,   945,     0,
       0,     0,     0,     0,     0,   959,     0,     0,  2238,     0,
       0,   603,   927,   871,   872,   668,   672,   673,   678,   663,
     661,   659,   658,   660,   662,   657,   664,   686,     0,   703,
     688,   684,   694,   704,     0,     0,   705,   624,   623,   702,
     712,   708,   709,   710,   706,   714,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   840,
       0,   759,   761,     0,   943,   738,  1004,  1003,  1303,  1302,
    1305,     0,     0,  1340,  1461,  1434,  1429,  1369,     0,  1389,
    1391,  1392,     0,  1395,   594,  1543,  1490,  1497,  1488,  1411,
    1403,  1118,     0,     0,     0,  1398,  1402,  1378,     0,  1379,
       0,  1405,   652,   651,     0,  1124,   653,   654,   655,  1125,
    1121,  1408,  1557,  1599,  1600,  1598,  1607,  1606,  1605,  1608,
     594,     0,  1618,  1623,   594,   831,     0,  1680,  1814,  1818,
    1822,     0,     0,     0,  1750,     0,  1936,  1920,  1919,  1943,
    1953,     0,  2009,  1977,  1970,  2035,  2047,  2052,  2054,     0,
       0,   947,     0,   944,   950,   968,   969,   970,   968,   971,
     953,   956,     0,   955,  2234,  2236,     0,   682,   666,   665,
       0,     0,   665,   693,   693,     0,   695,   696,   697,   698,
     699,   693,   693,     0,   933,   934,   819,   803,   801,     0,
       0,   799,   817,   797,     0,     0,   815,     0,   813,   812,
       0,   810,   898,     0,  1346,  1345,  1435,  1465,  1388,  1387,
     594,     0,     0,     0,     0,     0,  1377,     0,  1394,   594,
    1397,  1358,     0,     0,     0,     0,     0,  1380,  1381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1616,  1617,
    1619,     0,  1670,  1817,     0,  1734,  1804,  1802,  1805,  1732,
    1738,   594,     0,   594,     0,  1746,     0,     0,     0,     0,
       0,     0,  1760,     0,  1935,   594,     0,     0,   594,   594,
       0,     0,  1924,  1939,  1949,     0,     0,  2013,     0,  2042,
       0,   958,   957,     0,   778,   963,   794,   829,   826,   827,
     828,   835,     0,     0,     0,     0,   965,   687,   685,     0,
     689,     0,     0,     0,     0,     0,   707,     0,     0,     0,
       0,     0,     0,     0,   942,     0,     0,     0,  1464,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1460,     0,  1375,     0,     0,     0,  1370,  1374,  1376,  1385,
    1396,  1116,  1118,  1399,  1400,  1401,  1382,  1383,   656,   639,
       0,     0,     0,     0,     0,     0,     0,  1144,  1145,  1146,
    1147,     0,     0,     0,  1148,   832,     0,  1821,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,     0,     0,
       0,   594,     0,     0,     0,     0,     0,     0,     0,  1800,
       0,  1806,     0,     0,  1744,  1745,  1743,  1742,  1754,  1751,
    1757,  1758,  1759,  1752,     0,     0,  1755,  1749,  1927,     0,
       0,  1926,  1928,  1933,     0,  1923,     0,     0,     0,     0,
       0,     0,   594,     0,     0,     0,     0,  1908,  1910,     0,
       0,  1942,     0,     0,     0,  1952,     0,     0,     0,   649,
    1884,   650,     0,  2012,   594,     0,     0,     0,   594,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2004,     0,  2046,     0,     0,     0,  2059,
       0,     0,     0,     0,   948,   845,     0,     0,   778,   951,
       0,     0,   683,     0,     0,   690,   701,   700,   818,   800,
     816,     0,   814,     0,   811,  1436,     0,  1439,  1440,  1441,
    1438,   594,  1437,     0,     0,     0,     0,     0,     0,     0,
     594,     0,     0,     0,     0,     0,  1446,  1452,  1453,  1462,
       0,     0,     0,  1119,  1125,     0,     0,  1125,  1125,  1134,
    1135,  1136,  1137,  1138,  1139,  1140,  1141,  1142,  1143,  1125,
       0,     0,  1120,  1769,  1770,  1771,  1772,  1773,  1774,  1775,
    1776,  1766,   594,     0,  1808,  1763,  1781,  1762,  1799,     0,
       0,     0,  1794,  1788,  1789,  1790,   594,   594,  1783,  1765,
       0,     0,  1767,   594,   594,  1764,     0,   594,  1819,  1807,
    1803,  1753,  1756,  1959,  1959,     0,     0,  1907,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1895,   594,     0,
       0,     0,   594,     0,   594,     0,     0,  1921,  1946,     0,
    1957,  1941,  1940,  1944,  1956,  1950,  1951,  1954,  1983,  1981,
     594,   594,  1978,     0,  2002,     0,     0,     0,  1997,  2005,
    2008,  2007,  2006,  2003,  1982,   594,     0,     0,  1979,  1980,
       0,     0,   594,  1984,   594,   594,   594,  2010,  2051,  2049,
    2050,  2048,  2043,     0,     0,  2058,  2055,   830,   836,   844,
       0,   966,     0,     0,     0,     0,     0,     0,     0,  1448,
    1442,  1443,   594,  1456,  1455,  1458,  1457,  1459,  1444,  1445,
    1087,  1086,  1447,  1454,  1371,  1372,  1373,  1130,  1125,  1125,
    1132,  1131,  1133,  1125,  1125,  1784,   594,     0,  1792,  1791,
    1793,  1796,  1795,  1782,     0,  1797,  1780,  1768,  1779,  1778,
    1785,  1777,   594,  1929,  1930,     0,     0,  1916,  1917,  1918,
    1903,  1959,  1904,     0,  1959,  1897,  1893,     0,   594,  1896,
    1898,  1899,     0,  1913,  1909,  1914,  1911,     0,   594,  1958,
    2001,  1988,  1990,  1995,  1996,  1998,     0,  1999,  1993,  1994,
    1991,  1992,  1985,  1986,  1987,  1989,     0,     0,     0,     0,
     692,   691,   805,     0,  1449,  1450,  1451,  1128,  1129,  1126,
    1127,  1786,  1787,  1810,  1809,  1798,  1960,  1892,  1905,  1901,
    1906,  1902,  1891,  1894,  1900,     0,  1915,  2000,  2057,  2056,
     952,   967,     0,  1811,     0,     0,     0,  1812,  1912,     0,
     820
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  -101,
    -943,   -62,    -7,  2331, -1044, -1391, -3050,  -162,  -164,  1095,
    1096,  1097, -3050, -3050, -3050, -3050,  -202, -3050, -3050, -1072,
   -3050, -2171, -1411, -1188,   356, -3050,   485, -2486,  -106,  -285,
     498,  -839, -3050,    53,  -210, -1793, -3050,   444,   447,   454,
     461,   171,  -190,  -187,   173, -2539, -1502,   174, -3050, -3050,
   -3050, -3050,  1645, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050,   -88, -3050, -3050, -3050,
   -3050,   902, -1650, -3050, -1221, -2286, -3050, -3050, -3050,   221,
   -2923, -3050, -3050,   412, -3050,  -212, -2876,  1213,  -485, -1949,
   -2884,  2659, -2447, -2882,  1214,  -484, -3050,  1686, -3050,  1223,
   -3050, -3050, -3050, -3050, -1075, -3050, -3050, -1064,   172, -1938,
    -172, -1646, -3050, -3050,    -1, -3050,   864, -2723, -3050, -3050,
   -3050, -1934, -3050, -3050, -3050, -3050, -2525,     4, -3050, -1062,
   -3050, -3050,     3,  2707, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,   -78,  -114, -3050,  -143,  -657, -3050, -1082, -1485,  -131,
   -1147, -1101, -3050,  -207, -3050, -3050, -3050,  1886, -3050, -3050,
   -3050,   747, -1373, -1653, -3050, -3050, -2544, -3050, -3050, -3050,
   -3050, -3050,  -305, -3050,   851,  -142, -3050,   848, -2280, -3050,
    -329, -2791, -3050, -3050, -2303, -3050,  -350, -3050, -3050, -3050,
   -3050, -3050,  -303, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -1536, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   735,  1597,
   -1645, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  -137, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,   -55,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
     731,   -54, -3050,  -196, -3050,   153, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1006,
    -387, -3050, -3050,   139, -3050, -3050, -3050, -3050, -3050, -3050,
     108, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050,  -884, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,    73, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
     -98, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  -563, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050,  -385,  -401, -3050, -3050, -3050, -3050,  -570,  -391, -3050,
   -3050, -3050, -3050,  -552,  -383, -3049, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050,  -954,   302, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1340,
   -3050, -3050, -3050, -3050, -3050, -3050,   295, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050,  1116,  1156, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,  1138,  1596,
   -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050, -3050,
   -3050, -3050, -3050
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    23,    24,    25,    26,     2,     3,   114,   115,  1358,
    1372,  1005,   982,  2965,  2816,  1858,  1173,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
    2889,  2580,  3096,  1549,  2406,  2324,  2325,  3200,   960,  1251,
    1790,  3290,  2955,  3291,  2878,  3020,  2652,  2653,  2654,  2655,
    2656,  2879,  2880,  2881,  2883,  2884,  3030,  2886,  2657,  2663,
    2366,  2367,  1609,  1978,  1979,   300,   301,   302,   930,  1336,
     116,  1325,   117,   118,   119,   120,  2422,  2081,  1768,  1769,
    2083,  1770,  1931,  1932,  1530,  1771,   121,  1324,  2421,  2423,
    2615,  2616,  2424,  2425,  2426,   303,  1212,  1213,  3137,  1621,
    1214,  1622,  1215,  1216,  1217,  3141,  2976,  1218,  3142,  1219,
    1220,  3002,  1169,   304,  1170,   305,   306,  1634,  1635,   307,
     308,   309,   310,  1653,  2009,  2386,  2376,   312,  2348,  2427,
    2850,  2428,  2623,  3143,  3510,  2856,  2851,  2350,   122,  1347,
     123,   124,  1016,   126,   127,   128,   985,  2108,  1804,  1378,
     129,  1006,  1017,  1018,  2115,  2116,  1812,  1397,  1813,  1019,
    1535,  1531,  2278,  1936,   130,   131,   973,   330,  1808,  2448,
    2110,  1809,  1965,  1966,  1776,  1777,  3366,   132,   133,   134,
    1389,  1020,  1247,  1682,  1683,  1259,  1690,  1691,  2753,  2754,
    3072,  2755,  2756,  2757,  3087,  3211,  2960,  1852,    27,    28,
      29,    30,  1277,    31,    32,    33,  1273,  2030,  2031,  1720,
    1675,   317,    34,  1275,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,   356,  1312,    46,    47,    48,
      49,    50,    51,    52,   318,    53,    54,    55,   319,  1269,
     313,   135,   136,  1816,  1400,  1022,  1401,  1817,  1818,  2703,
    2453,  2120,  2454,  1078,  1079,  2768,  2218,  1909,  1489,  1910,
    1911,  1698,    56,   137,  2127,  2711,  1819,   138,  2708,  2709,
     139,  2133,  1820,   140,  2459,  3057,  3181,  3056,  2925,  2460,
      57,    58,    59,    60,   141,  2142,  1821,   142,  2718,  2463,
    2464,  2929,  3067,  2951,  2928,  2721,  2465,  2467,  2724,  2933,
    3070,  2469,  2758,  2499,  2170,  2939,    61,  1733,   143,  1450,
    1447,  2152,  2483,  2484,  1869,   144,  1439,  2171,  1080,  1081,
    2966,  2786,  2239,  1912,  1491,  1913,  1082,  2248,  2249,   145,
    2250,  1914,   146,  2793,   147,  2259,  1915,   148,    62,  1314,
    1002,   149,   150,  1507,  1100,  1101,  1102,  1103,  1104,  1925,
    2273,  2564,  2561,  2567,  2568,  2983,  3104,  2274,  2984,  3113,
    2275,  3240,  2981,  3097,  3098,  3243,  3547,  3644,  3624,  2555,
    2573,  2800,  2978,  3094,  2980,  2556,    63,    64,    65,    66,
      67,    68,    69,    70,  1736,   151,   152,  1115,   153,  1381,
     154,   155,  2291,  2585,  2586,  1942,   156,  2583,  3280,  3453,
    3455,  3570,  3122,  3121,  2988,  2584,  2581,  3120,  2986,  2985,
    2813,  2582,  2817,  2989,  3284,  3458,  3123,  2818,  2821,  2990,
    3288,  3464,  3124,  2822,  3461,  3563,  1003,   157,  2298,  1943,
     158,  2591,  3127,  3314,  3483,  3126,  2993,  2592,    71,    72,
     159,   160,  1944,  2312,  2601,  2313,  2605,  2608,  2834,  2997,
    3128,  3318,  3129,  2835,  3130,  3323,  3502,   161,   162,  1564,
    1565,  2315,  1138,  1945,  1139,  1951,  2321,  2322,  2352,  1958,
    1567,    73,   163,  1152,   974,   164,  1784,  1793,  1367,  1791,
    2095,  1796,  1309,  1310,   165,   166,  1369,  1370,  2100,   167,
      74,    75,    76,    77,    78,    79,    80,    81,   365,  1321,
     168,  1577,  2354,  1153,  1154,   169,   170,  1161,  1582,  2860,
    2633,  2357,  1583
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     286,   968,  1171,  1211,   954,   976,   125,  2008,  2010,  1446,
    1449,  1126,   981,  1210,  1249,  1178,  1810,  1177,  1508,  1533,
    2346,  1114,   929,  1924,  2349,  1137,  1151,   932,   933,  1499,
    1077,  1136,  1150,  2958,  1856,  1373,  1099,  1252,  1113,  1288,
    1125,  2375,  2377,  2379,  2380,  1611,  1612,   359,  1135,  1149,
     958,  1209,  1719,  1208,   959,  2032,  1160,  1157,  1870,  1023,
    1548,  1024,  1176,  1025,  2578,  1026,  2606,  1083,  1276,  1084,
    3319,  1085,  1313,  1105,  1300,  1632,  1633,  1127,  3440,  1128,
    3281,  1129,   958,  1130,   286,  1718,   959,  1587,  1588,  1589,
    1155,  1156,  1595,  1761,  1596,  2792,  2792,  2792,  3285,  3438,
    2852,  2057,   979,  2858,     4,     5,     6,   180,  2074,   979,
    1442,  1443,   979,  1444,   180,  2587,  2885,   180,  3138,  2058,
    3140,  3114,  2885,   332,  1413,   979,  3136,  1859,  3479,  3250,
     180,  1008,  1860,  1861,   979,  2688,  1009,  1010,  3587,   180,
    1158,   980,    83,  2722,  1012,  1301,  2346,  1415,   980,   979,
    3073,   980,  1417,   125,   180,  1419,  2531,  1555,   961,  1353,
    1354,  1355,  1356,  3100,   980,  2059,  3480,  1168,  1829,  2731,
    3315,  3115,  2700,   980,  1353,  1354,  1355,  1356,   286,    84,
     328,   286,  3444,  2701,  2040,  1859,   962,   963,   980,    85,
    1860,  2501,  2538,    86,   958,  1270,    87,    88,   959,  1276,
    1013,  1548,  1513,  1014,   964,  1833,  1442,  1443,  1207,  1444,
    2778,  3325,  1283,  3423,   979,  3470,  3362,  3363,   320,   180,
    2436,  1794,   315,    89,   979,  2790,     1,  1260,  1276,   180,
     979,   171,   958,  3413,  1991,   180,   959,  2672,  1516,  1292,
    1293,  1294,  1295,  1296,  1297,  1298,  1299,  2714,     7,  1353,
    1354,  1355,  1356,   980,  2060,  1353,  1354,  1355,  1356,  2715,
    2716,  1261,  1262,   980,   314,   360,     8,   320,   315,   980,
    2015,   315,  3201,   333,  3327,   334,  1628,  3212,  3367,  3040,
     323,    90,  3316,    91,    92,   977,  2673,    93,   180,    94,
    1980,  3251,    82,     9,    10,    95,   361,    96,    97,    98,
    3286,    99,   172,  1795,   335,  3471,  1174,  1992,    87,    88,
    1469,   336,  2347,  2351,  1981,   100,   101,   102,   103,   104,
     105,  2389,   106,  2791,  1807,  1326,   979,  1284,  3041,  1027,
      11,   180,    12,  2292,    13,  3424,    87,    88,    14,  3410,
    3363,  1737,  2061,  1390,  2975,    15,  3328,   337,   180,   338,
    1629,  1353,  1354,  1355,  1356,   978,  3101,  3445,  1834,   339,
     316,  1140,  3292,  2779,  1824,   980,  2539,   107,  2437,   340,
    1739,  2476,  2532,   108,   180,  3476,  3363,    16,  3364,   109,
     110,    17,  1835,  1327,  1517,  3564,    18,    19,  1859,  2702,
     329,  1941,   341,  1860,  2502,  3414,  3293,  1514,  3102,  3588,
     173,  3073,  2958,  2089,  1947,  3509,   316,  1008,  2717,   316,
    1556,   967,  1009,  1010,  1780,  3255,  2293,  3317,  3202,  3368,
    1012,  3481,  3252,  3213,   324,  2923,  2219,   100,   101,   102,
     103,   104,   105,  2723,   106,  1008,   327,  1557,  2347,  2351,
    1009,  1010,  2062,  3138,  3441,  3140,   986,  1558,  1012,  3365,
    3136,  3136,  2732,  3442,  1328,   100,   101,   102,   103,   104,
     105,  1266,   106,  1845,  2045,  1267,  1414,  1271,  1329,  1330,
    1331,  1332,  1333,  1445,  3439,   987,  1013,  1862,  1863,  1014,
    3144,   331,  2046,  3145,  3151,  3152,  3356,  3264,  2346,  1416,
    2036,  2894,  3154,  3155,  1418,  3482,  1830,  1420,  2393,  2394,
    1474,  3364,  1448,  2477,  1013,   988,  3282,  1014,  2743,  2744,
    3294,  3283,  1949,   342,  1950,  2020,  2063,  3265,  1970,  1285,
    1141,  1836,  3629,  1302,  3287,  3631,  3415,  2859,  3320,  3321,
    3266,   358,  1286,  1287,  3322,  1862,  1863,  3364,  2746,    20,
    1180,  2607,  3436,  2064,  3116,  3117,  3103,   366,  3118,  3119,
    3105,  1334,  1602,  2016,  2017,  3139,  2299,  3295,  2318,  1917,
    2300,  3548,  3549,  3492,   931,    87,    88,  1757,   989,  2478,
    1926,  1927,  3411,  1142,   990,  2065,  1143,  2764,   991,  1303,
    1304,  1305,  1306,  1307,  1308,  1470,  1159,  1430,   965,  1952,
    2301,  1630,   955,  3459,  2569,   979,  1289,   956,  3204,   343,
     180,   992,  2548,  1268,  1406,  3267,  1471,  1472,  3477,  2963,
    2964,  3296,  2076,  2535,  3297,  1559,  1560,  1561,  1562,  1563,
    2557,  1363,  1364,  1365,  2047,  2048,  2049,   979,   362,   363,
     364,  1548,   180,  3298,   980,  3299,  3300,  2050,  2051,  2761,
    2762,   180,   957,  3301,  3215,  2952,  2953,  1181,  3066,  2769,
     983,  2765,  1353,  1354,  1355,  1356,  1349,  1350,  1351,  1603,
    1431,   353,  2743,  2744,  1008,  1631,   980,  2947,  1953,  1009,
    1010,  1954,  3302,  3268,  1290,  2954,  1628,  1012,  2346,  3269,
    1244,  3357,  3270,  3412,   100,   101,   102,   103,   104,   105,
    1428,   106,  2746,  1429,  2257,  2479,  3303,  2480,  1918,  2481,
     354,  1278,  2482,  2948,  3112,  1388,  1758,  1525,  1407,    21,
    3106,  1478,  1432,    22,   993,  3375,  3376,   994,  3488,  1245,
    1335,  1433,   995,  2899,  2294,  2901,  3390,  3391,  2903,  1279,
    2906,  2908,   979,  1013,   111,  1759,  1014,   180,  1862,  1863,
    2262,  3091,   112,   113,   321,   322,   325,   326,  3358,  2677,
    1971,  3359,  2558,  1256,   357,  2302,  3478,  1353,  1354,  1355,
    1356,  1760,  3018,  3022,  3304,  2101,   213,  3107,  2766,   996,
    1688,   980,  2767,   997,   998,   969,  3180,  2559,  2295,  3489,
    2347,  2351,   355,  1453,  3018,  3022,  2052,  3305,  2053,  3499,
    1479,  1480,  1257,  2819,  1481,  2102,  3421,  3108,  2678,  1240,
    1241,  1246,  2770,  1242,  3306,  1454,  2712,  1280,   999,  2706,
    2707,  2719,  3047,   979,  3239,  3092,  2771,   975,   180,  2054,
    2189,  3050,  2679,  2263,  2772,  1360,  1689,  3500,  2264,  2949,
    2950,  3023,  1144,  1145,  1281,  1000,  2303,   966,  1353,  1354,
    1355,  1356,  3307,  3308,  3309,  3310,  3313,  3311,  2304,  2820,
    3312,  1337,   980,  3031,   970,   971,   972,   984,  1955,  2566,
     979,  3048,   979,  1352,  1482,   180,  1956,   180,  1366,  1323,
    3051,   311,  1393,  1021,  1258,  2103,  1371,  1371,  1798,  2305,
    3139,  2306,  1116,  1524,  1525,  1353,  1354,  1355,  1356,  1146,
    1147,  1148,  1339,  2358,  1172,  1001,  2359,  1175,  1176,   980,
    1854,   980,    87,    88,  1526,  1799,  1391,  1392,  2346,  1527,
     180,  1864,  3001,  1179,  2626,  3289,  1483,  3241,  3109,  3110,
    3111,  1376,  2958,  3242,   -60,  1484,  1532,  2281,  1174,  3271,
    2814,  3272,  3273,  2265,  1190,  1423,  3274,  3275,  2825,  3276,
    2282,  1224,  1442,  1443,  2954,  1444,  3277,  3278,  1340,  1341,
     -60,  1441,   -60,  1183,  1211,   934,  1421,  3279,  2104,  2105,
    2106,  3095,  1191,  2107,  1485,  1175,  1176,  1753,  1854,  1754,
    2347,  2351,  1475,   286,  2844,  1729,  1730,  1731,  1732,   -60,
    1734,  1735,  1422,  1738,  1740,  2841,  1742,  1743,  1624,  1625,
    1171,  1171,  1171,  1502,  2842,  1171,  2214,  1171,  2410,  2486,
    2215,  1008,  2411,  2412,  2742,  2815,  1009,  1010,  2251,  1192,
    2283,  2002,  1442,  1443,  1012,  1444,  2011,  1523,  2012,  2783,
    2002,   100,   101,   102,   103,   104,   105,  1193,   106,  3099,
    1865,  1866,  1867,  1868,  3081,   213,  1626,  2773,  2774,   979,
    1785,  1786,  1570,  1787,   180,  2784,  2785,  1788,  2307,  1182,
     958,  1118,  1189,  2308,   959,  2309,  1266,  2266,  1253,  1254,
    1267,  2797,  1175,  1176,  1353,  1354,  1355,  1356,  2252,  1525,
    1013,  3537,  3082,  1014,  3540,  3541,  3622,  1789,   980,  1814,
    2114,  2855,  1008,  1815,  1119,  1120,  3542,  1009,  1010,  1121,
    3024,  3158,  1194,  3032,  2468,  1012,  3160,  2253,  3161,  3024,
    3032,  3163,  1122,  2913,  1195,  2267,  2550,  2002,  1342,   979,
    1343,  1123,  1196,  1344,   180,  2670,  2743,  2744,  2745,  3554,
    1197,   344,  2268,  1533,  2269,  1162,   979,  1198,  2270,  2914,
     180,   180,  2271,  2272,  1353,  1354,  1355,  1356,  1175,  2671,
    3083,  2887,  1163,  1345,  1164,   979,  2746,  1346,   980,  1199,
     180,  1013,  1934,   345,  1014,  1168,  1168,  1168,   286,  1207,
    1168,  2562,  1168,  2747,  1165,   980,  2546,  1379,  1380,  2748,
    1353,  1354,  1355,  1356, -1578,  1411,  1412,   346,  2254,   347,
    3084,   348,  2799,  1200,   980,  1744,  3085,   286,   286,   286,
     286,   286,   286,   286,  2675,  2346,  3038,  1221,   286,  3324,
    2347,  2351,  2216,  1222,  1534,  3086,  3007,  3009,  2075,   979,
    2008,  2010,  2516,  3043,   180,  1117,  2517,   286,  2676,  1764,
    3039,   286,   286,   286,   286,   286,   286,   286,   286,   286,
     286,   286,   286,   286,   286,  3617,  3618,  3044,  1458,  1459,
    3619,  3620,  2749,  1855,  1223,  2750,  2751,  1440,   980,  1772,
    1224,  2752,  2217,  1524,  1525,  2238,  1371,   349,   350,   351,
     352,  2134,  1166,  1225,  1167,  1792,  1118,  1797,  2135,  2617,
    2618,  1226,  3165,  1342,  1526,  1343,  2706,  2707,  1344,  1527,
    1243,  1209,  2523,  1208,  2629,   979,  3166,  1524,  1525,  1008,
     180,  3167,  1248,   979,  1009,  1010,  1532,  1534,   180,  1119,
    1120,  2549,  1012,  1805,  1121,  2013,  3168,  2014,  1526,  2710,
    1826,  1827,  1346,  1527,  1357,   286,  2522,  1122,  1353,  1354,
    1355,  1356,  1255,  2199,   980,  1938,  1123,  1250,  1846,  1939,
    1528,  1753,   980,  2435,  1437,  1008,  1529,  1519,  1520,   286,
    1009,  1010,  3347,  3348,  2136,  3596,  1442,  1443,  1012,  1444,
    1263,  1875,  2603,  3349,  1878,  2609,  2284,  2285,  1013,  2286,
    1871,  1014,  2255,  2256,  2287,  1872,  1873,  2288,  1694,  1695,
    1676,  1677,  1678,    87,    88,  1721,  1175,  1176,  2780,  1854,
    1524,  1525,  1178,  2787,  1177,  1175,  1545,  1546,  1547,  1800,
    1801,  1802,  3515,  1722,  3516,  1679,  1680,  1264,  1106,  1681,
    1176,  1526,  2578,  1923,  1013,  1871,  1527,  1014,  1265,  3169,
    1872,  2503,  1371,  1371,  1272,  1211,  1211,   186,  2743,  2744,
    2736,  1171,  2737,  1528,   189,   190,  1124,  1935,  1210,  1529,
    2911,  1935,  2912,  1274,  2066,  1935,  2068,   979,  2401,  2402,
    1575,  2403,   180,  1282,  2041,  2042,  2043,  2044,  2746,  2055,
    2056,  1086,  1087,  2067,  1291,  2069,  1723,  2070,  2071,    87,
      88,  1276,  1353,  1354,  1355,  1356,  1209,  3170,  1208,  2172,
    1962,  2174,  1008,  1964,  1696,  1697,   980,  1009,  1010,  1442,
    1443,  1311,  1444,  1967,  1088,  1012,  1948,  2347,  2351,   359,
      87,    88,   100,   101,   102,   103,   104,   105,  1315,   106,
    1317,  2698,  2150,  2807,  2137,  2138,  1316,  1107,  1318,  -642,
    -642,  2139,  -642,  2140,  1724,  2128,  3134,  1930,   286,  3567,
    3568,  3569,  3171,  3172,  3173,  3059,  1201,  1202,  1591,  1592,
    1204,  1725,  1726,  2390,  2391,  3174,  1320,  3175,  1319,  3176,
    2026,  1013,  2025,  1727,  1014,  3177,  3178,  2443,  2444,   979,
     216,  2544,  2545,  3179,   180,  2829,  2866,  2867,  1008,  2021,
    2022,  2023,  2024,  1009,  1010,  1205,  1322,  1108,   180,  2734,
    2735,  1012,  3018,  3019,  1353,  1354,  1355,  1356,   100,   101,
     102,   103,   104,   105,  1348,   106,  1168,  1368,   980,  1008,
    2743,  2744,  3135,  1361,  1009,  1010,  1375,  1109,  2129,   286,
    1377,   286,  1012,  1201,  1202,  1591,  1592,  1204,  1586,   100,
     101,   102,   103,   104,   105,  1382,   106,  1162,  2942,  2943,
    1207,  1207,   180,  2574,  2575,  2576,  2577,  1013,  3077,  3078,
    1014,  2113,  3183,  3184,  1163,  1383,  1164,  2743,  2744,  3060,
    3196,  3197,  1996,  1089,  3517,  3518,  1201,  1202,   177,  1203,
    1204,   180,  3336,  3337,  2077,  1384,  1165,  1385,  1013,  2794,
    2795,  1014,  1394,  1386,  3642,  1395,  1396,  2746,  2087,  1398,
    2346,  1399,  1402,  1403,  3640,  1404,  2126,  2092,  1405,  1408,
    1409,  2085,  1118,  1410,  1426,  1205,  2096,  1425,  1427,  2132,
    3061,  2018,  1184,  1185,  1186,  1187,  1090,  3649,  1930,  2033,
    1434,  1435,  1436,  2037,  1451,  2125,  2131,  2141,  1452,  1455,
    2086,  2114,  1456,  2039,  1457,  1119,  1120,  1460,  1461,  1463,
    1121,  2143,  2144,  3026,  3027,  3028,  3029,  2968,  3379,  3380,
    3381,  3382,  3383,  1122,  2155,  1464,  1465,  1467,  2159,  2160,
    1468,  2130,  1123,  1466,  2165,  1476,  2167,  2168,  1477,  1486,
    1487,  1930,  2916,  2917,  1166,  1488,  1167,  1490,  2175,  2176,
    1492,  1493,  1494,  3062,  1495,  1496,  3063,  3064,  2088,  1497,
    2179,  2180,  3065,  1504,  1498,  2183,  2184,  2247,  2186,  1501,
    1506,  2413,   286,  2415,  1206,  1201,  1202,  1591,  1592,  1204,
     180,  1509,  2200,  1510,  1511,  2173,  1171,  1515,  2439,  1171,
    2246,  2258,  1518,  1521,  1110,  1111,  1112,  2945,  1522,  2450,
    1534,  2290,  2297,  2311,  1536,  3014,  2260,  1538,  1539,  1537,
    1540,  2261,  1541,  1542,  1996,  2447,  1027,  2848,  2289,  2296,
    2310,  1543,  1544,    87,    88,  1201,  1202,  1591,  1592,  1204,
     180,  1551,  1550,  1566,  1374,  1552,  1553,  1091,  1092,  1093,
    1094,  1554,  2326,  1568,  1569,  1571,  3205,  3206,  1131,  1178,
    1580,  1177,  2355,  3207,  3208,  3209,  3210,  3384,  3385,  3386,
    3387,  3388,  1572,  1574,  1205,  1095,  1578,  1579,  1585,  1581,
    1096,  1584,  1597,  1600,  1598,  1097,  1599,  1601,  3068,  1604,
    2405,  1242,  2404,  1605,  1606,  1627,  1637,  1638,   935,   936,
     937,   938,   939,   940,   941,   942,   943,   944,  3216,   945,
     946,   947,   948,   949,   950,   951,  1684,  2245,  1685,  1686,
    1687,  1692,  1693,  3217,  1700,  1701,  1201,  1202,  1591,  1592,
    1204,   180,  1008,  1728,  1741,  1745,  1746,  1009,  1010,  1747,
    1748,  1749,  1750,  2399,  1751,  1012,  1752,  2400,  2869,  2870,
    2871,  2345,   100,   101,   102,   103,   104,   105,  1755,   106,
    1756,  1168,  2347,  2351,  1168,  1205,  1762,  1765,  2872,  2873,
    2874,  1774,  1775,  1593,   286,   286,  1783,   286,   286,   286,
     286,  1767,  1773,   286,   286,   286,   286,  1806,  1779,   286,
    1842,  1841,  1822,  2419,  2420,   286,  1781,  1823,  1782,  1825,
    1831,  1013,  1832,  1844,  1014,  2869,  2870,  2871,  1201,  1202,
    1591,  1592,  1204,   979,  1132,  1849,  1839,  1840,   180,  1133,
    1847,  1848,  1850,  2429,  1853,  2872,  2873,  2874,  1851,  1590,
    1857,  1876,  1877,  1879,  1885,  2743,  2744,  1892,  1893,  1882,
    1896,  1898,  1899,  1907,   953,  1903,  1902,  1205,  1904,  1905,
    1922,  1928,   980,  2488,  1929,  2452,  2875,  2876,  1613,  1614,
    1615,  1616,  1617,  1618,  1619,  2746,  1937,  1556,  1855,  1623,
    1959,  1968,  1972,  1963,  1973,  1975,  1974,  2345,  1982,  1990,
    1993,  1995,  2000,  3218,  3219,  3220,  2001,  2002,  1636,  2003,
    2004,  2019,  1639,  1640,  1641,  1642,  1643,  1644,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,  1652,  1209,  2005,  1208,  2072,
    2038,  2078,  2080,  2875,  2876,  2082,  2090,  2094,  2579,  2111,
    3186,  3221,  2579,  2034,  2035,  2098,  2099,  2121,  2528,  2109,
    2112,  3193,  3194,  3195,  2117,  2118,  2145,  2146,  2119,  2153,
    3222,  2147,    87,    88,  2148,  3223,  2156,  2154,  2157,  2552,
    2158,  2163,  2166,  2551,  1134,  2169,  2320,  2177,  3224,  2181,
    3225,  2164,  3226,  3227,  2182,  2185,  2187,  1007,  2188,  2190,
    3228,  2191,  2192,  3229,  2193,  2194,  2195,  2196,  1118,  2197,
    2201,  2202,  2203,  2205,  2206,  2211,  1766,  2213,  2212,  2277,
    2207,  2280,  2314,  2316,  2594,  2317,  2319,  2323,  2596,  2329,
    2353,  1008,  2360,  2361,  2362,  2356,  1009,  1010,  2384,  2518,
    1778,  1119,  1120,  2611,  1012,  2381,  1121,  2385,  2392,  2638,
    2395,  2396,  2397,  3230,  2398,  2407,  2408,  2409,  2414,  1122,
    2639,  2640,  2641,  2642,  2416,  2643,  2644,  2645,  1123,  2417,
    2646,  1008,  2647,  2648,  2418,  1930,  1009,  1010,  2649,  2650,
    1011,  2431,  2632,  2651,  1012,  2432,  2430,  2438,  3484,  2434,
    2442,   100,   101,   102,   103,   104,   105,  2445,   106,  2220,
    1013,  2446,  2456,  1014,  3393,  3394,  3395,  3396,  3397,  3398,
    3399,  3400,  2451,  2405,  2458,  2404,  2455,  2462,  3231,  2221,
    2457,  3232,  3233,  3234,  2461,  2470,  2472,  2498,  2474,  3235,
    2471,  2475,  2485,  2489,  3236,  2490,  2473,  2491,  2492,  2493,
    1013,  2495,  2496,  1014,  3237,  2497,  2500,  2504,  2505,  2506,
    3238,  2507,  2508,  2509,  2510,  2511,   286,   286,  1015,   286,
    2512,  2513,  2514,   286,   286,  2122,  2519,  2520,  2123,  2124,
    1118,   286,  2697,  1371,  2222,  2521,  2526,  2524,  2525,  2527,
    2529,  2530,  2540,  2541,  2547,  2554,   286,  2686,   286,  2571,
    2689,  2553,  2542,  2565,  2572,  2588,  2589,  2590,  2595,  2114,
    2597,  2599,  2727,  2223,  2224,  2598,  2600,  2602,  1121,  2613,
    2610,  1228,  1229,  1230,  1231,  1232,  2614,  -969,  2628,  1933,
    2619,  1122,  2543,  2624,  2625,  2627,  2630,  2631,  2634,  2635,
    1123,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    3520,  3521,  1242,  3523,  3524,  2681,  2674,  2680,  2682,  2345,
    2683,  2684,  2685,  2687,  2690,  2692,  2693,  3534,  3535,  3536,
    2694,  2695,  2713,  2696,  2720,  2726,  2730,  2728,  2733,  2729,
    2738,  2739,  2740,  2741,  2225,  2760,  2226,  2788,  2227,  2782,
    2796,  2804,  2789,  2806,  2847,  2808,  2801,  2802,  2798,  2811,
    2812,  2805,  2824,  2831,  2826,  2299,  1702,  2838,  2809,  2861,
    1976,  2810,  1977,  3614,  3615,  2839,  2862,  2865,  2868,  2882,
    2890,  1175,  1545,  1546,  1547,  2895,  2904,  2898,  2909,  2902,
    2915,  2920,  2922,  2932,  2888,  2936,  2827,  2828,  2579,  2934,
    2830,  2924,  2832,  3623,  2935,  2937,  2941,  2970,  2836,  2763,
    2944,  2961,  2962,   186,  2084,  2971,  2959,  2974,  2228,  2790,
     189,   190,  2969,  3004,  2229,   935,   936,   937,   938,   939,
     940,   941,   942,   943,   944,  2849,   945,   946,   947,   948,
     949,   950,   951,  3598,  2999,  3000,  1703,  2979,  2987,  2992,
    2996,  2998,  2877,  3015,  3016,  3021,  3033,  3036,  2877,  1654,
    3037,  3042,  3045,  3069,  3046,  3079,  1655,  1656,  3049,  3052,
    3125,  3131,  3132,  3074,  3133,  2230,  3146,  1704,  3153,  3075,
    3156,  3157,  3076,  3159,  2957,  2231,  2232,  3162,  3189,  3192,
    3199,  3247,  2233,  3185,  1371,  1371,  3191,  3214,  3254,  2918,
    3326,  2919,  3346,  3257,  2234,  1705,  1525,  3263,  3259,  2345,
    3330,  2235,  2843,  3331,  3338,  3260,  2236,  2931,  3339,   286,
    3341,   286,  1706,  2237,   286,  3340,  1707,  3342,  3343,  1708,
    1709,  3344,  3353,  3354,  1710,  3360,  3355,  3369,  3351,  3370,
    3371,  3374,  3377,  3361,  3378,  3372,   216,  3402,  3389,  1371,
    2946,  3404,  3409,  2093,  3403,  1711,  3417,   286,   286,  3416,
    2930,  3420,  3427,  3428,  3430,   286,  3443,   286,  3426,  3435,
     286,   953,   286,   286,  3452,   286,  3449,  3448,  1712,  1713,
    1714,  3456,  1715,  1716,  1717,  1657,  1658,  1659,  1660,  1661,
    1662,  3446,  1663,  3450,  3454,  3457,  1027,  3463,   286,  2819,
    3475,  3451,  3467,    87,    88,  3473,  3485,  3487,  3486,  3490,
    3491,  3497,  3501,  1228,  1229,  1230,  1231,  1232,  3494,  3506,
    3511,  3495,  3513,  2991,  3514,  2994,  3496,  3522,  2240,  3538,
   -1579, -1579, -1579,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  2241,  3503,  1242,  3504,  3533,  3539,  3543,  1168,
   -1579, -1579, -1579, -1579, -1579,  1238,  1239,  1240,  1241,  3566,
    3544,  1242,  3565,  3546,  3582,  3573,  1664,  1665,  1666,  1667,
    1668,  1669,  1670,  1671,  1672,  1673,  1674,  3017,  3577,  1855,
    1855,  3578,  3608,  3025,  3606,  3612,  3607,  3003,  3613,  3562,
    1211,  3625,  3641,  3643,  3637,  3646,  3645,  3647,  3650,  2027,
    2028,  2029,  1008,  2699,  2612,  2604,  3648,  1009,  1010,  2956,
    3149,  2659,  2242,  2243,  2660,  1012,  2846,  1209,  1209,  1208,
    1208,  2661,   100,   101,   102,   103,   104,   105,  2662,   106,
    2891,  3150,  3148,  2892,  2276,  2893,  1610,  2840,  2691,  2345,
    1997,  3507,  1998,  3508,   286,  2368,  2369,  1188,  2370,  2371,
    2372,  2373,  1594,  1999,  2910,  3012,  3008,  1098,  2449,  1362,
    2382,  2388,  2387,  3373,  3392,  1699,  2383,  3055,  2466,  3188,
    3089,  1013,  2927,  3058,  1014,  2938,  2178,  3572,  2967,  2982,
    3093,  3437,  3462,  3584,  2244,   935,   936,   937,   938,   939,
     940,   941,   942,   943,   944,  3465,   945,   946,   947,   948,
     949,   950,   951,  3586,  3466,  1957,   286,  2833,  2837,  2073,
    2097,     0,     0,  1763,     0,  3147,     0,     0,  2877,     0,
    2877,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,     0,   945,   946,   947,   948,   949,   950,   951,     0,
       0,     0,     0,     0,     0,     0,     0,   286,     0,     0,
       0,     0,     0,  2957,     0,     0,     0,     0,     0,     0,
       0,     0,  1371,  3187,  1228,  1229,  1230,  1231,  1232,     0,
       0,     0,     0,  1371,  1371,  1371,     0,     0,     0,     0,
       0,     0,  3203,     0,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,  1228,  1229,  1230,
       0,  3245,     0,     0,     0,  3248,  3249,     0,  3253,     0,
    3256,     0,  1607,     0,     0,     0,   952,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,   953,     0,   286,     0,     0,  1608,     0,   286,     0,
     286,     0,     0,   286,     0,     0,     0,     0,  3332,     0,
    3333,  3334,  3335,  1228,  1229,  1230,  1231,  1232,     0,     0,
       0,     0,     0,     0,  3345,     0,     0,   953,  3350,     0,
    3352,     0,     0,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,     0,     0,  1242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2364,  2579,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   180,     0,  1211,  1211,     0,  3401,  1168,     0,
       0,  3405,  3406,  3407,     0,  2365,  2345,     0,     0,     0,
       0,  3419,     0,  3422,     0,  3425,   286,     0,     0,     0,
       0,  3429,  1228,  1229,  1230,  1231,  1232,     0,     0,     0,
       0,     0,     0,  3431,  3432,     0,     0,     0,  3433,  3434,
       0,     0,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,     0,     0,  1242,     0,     0,     0,     0,     0,     0,
       0,  3460,     0,     0,     0,     0,  3460,     0,     0,     0,
       0,  3468,     0,     0,     0,  3472,     0,  1636,  1636,     0,
    2620,     0,     0,     0,  2621,  2622,     0,     0,  3493,     0,
    3498,     0,  1636,     0,  1984,     0,  3505,  1228,  1229,  1230,
    1231,  1232,     0,     0,     0,     0,     0,  2636,     0,  2637,
       0,     0,     0,     0,     0,     0,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,  1371,  1371,     0,  1371,  1371,  3525,  3526,     0,
    3528,  3529,  3530,  3531,  3532,     0,     0,     0,     0,  1371,
    1371,  1371,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1985,
       0,     0,     0,     0,     0,     0,  1359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3550,  3551,
    3552,     0,     0,     0,     0,     0,     0,     0,     0,  3556,
    3557,     0,     0,   217,   286,  3560,     0,     0,     0,     0,
       0,     0,     0,     0,   286,     0,   286,     0,  3571,     0,
    1387,  3574,  3575,  3576,   218,   219,   220,   221,  3580,  3581,
       0,     0,     0,     0,     0,     0,     0,     0,  3589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3592,  1424,  3593,  3594,  3595,     0,     0,     0,
       0,     0,  1438,     0,     0,  1371,  3599,     0,     0,  3600,
    3601,     0,     0,     0,     0,  1462,     0,   222,     0,     0,
       0,     0,     0,  1473,     0,     0,     0,     0,     0,     0,
       0,     0,  3610,  3611,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1500,     0,     0,  1503,     0,  1505,     0,
    1228,  1229,  1230,  1231,  1232,     0,     0,     0,  1512,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,
       0,  1242,     0,     0,  3627,  3628,     0,   233,   234,     0,
       0,     0,  3630,  2957,     0,     0,  3632,  1573,     0,  1576,
       0,  3634,     0,     0,     0,     0,  3635,     0,     0,     0,
    2853,     0,  2854,     0,   235,  2857,     0,     0,     0,     0,
    3638,  3639,  1986,     0,     0,     0,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,  1228,  1229,  1230,  1231,
    1232,     0,     0,     0,     0,     0,     0,     0,  2896,  2897,
       0,     0,   239,   240,   241,   242,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,     0,  1636,  1242,     0,     0,
    1228,  1229,  1230,  1231,  1232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2921,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,
       0,  1242,     0,     0,     0,     0,     0,     0,  1987,     0,
       0,     0,     0,  1228,  1229,  1230,  1231,  1232,     0,     0,
       0,  2345,     0,     0,     0,     0,   286,     0,     0,     0,
       0,   243,   244,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  2363,     0,  1242,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,  1168,   286,
       0,  1803,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1228,  1229,  1230,  1231,
    1232,     0,     0,     0,     0,   284,   285,     0,  1228,  1229,
    1230,  1231,  1232,     0,     0,  3005,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1811,     0,  1242,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1828,     0,     0,     0,     0,  1837,  1838,     0,
       0,     0,     0,  1843,     0,     0,     0,     0,  2664,     0,
       0,     0,     0,     0,     0,     0,     0,  3053,     0,     0,
    2665,     0,  1874,     0,     0,     0,     0,     0,  1880,  1881,
       0,  1883,  1884,     0,  1886,  1887,  1888,  1889,  1890,  1891,
       0,     0,  1894,  1895,     0,  1897,     0,     0,  1900,  1901,
       0,     0,     0,     0,  1906,     0,  1908,     0,  3080,     0,
       0,     0,     0,     0,     0,     0,     0,  1916,  1919,  1920,
       0,     0,  1921,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,     0,   175,   176,   177,   178,   179,   180,
       0,     0,     0,   181,   182,     0,     0,     0,     0,     0,
       0,   183,   184,  1620,     0,     0,   185,     0,  1940,     0,
    1228,  1229,  1230,  1231,  1232,     0,     0,     0,   186,   187,
       0,  1946,     0,   188,     0,   189,   190,     0,     0,   191,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1960,
    1961,  1242,  1227,     0,     0,     0,     0,  1228,  1229,  1230,
    1231,  1232,     0,     0,     0,     0,     0,     0,  1969,     0,
       0,     0,     0,     0,     0,     0,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,     0,     0,   192,   193,  1184,  1185,  1186,  1187,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,     0,   211,     0,
     212,     0,     0,     0,   213,     0,     0,     0,     0,   214,
       0,   215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1228,  1229,  1230,  1231,  1232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3329,     0,     0,
       0,   216,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,     0,     0,  1242,  1228,  1229,  1230,  1231,  1232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1983,     0,     0,     0,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,     0,     0,     0,
     217,     0,     0,     0,     0,  1228,  1229,  1230,  1231,  1232,
       0,     0,  1988,     0,     0,     0,     0,     0,     0,     0,
       0,   218,   219,   220,   221,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,     0,     0,  1242,  1228,  1229,  1230,
    1231,  1232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1989,     0,     0,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1994,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2149,  2151,     0,     0,     0,     0,  1228,  1229,  1230,  1231,
    1232,     0,  2161,  2162,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  3512,     0,  1242,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,   174,  2091,   175,   176,   177,   178,   179,
     180,     0,     0,  2198,   181,   182,     0,     0,     0,     0,
    2204,   235,   183,   184,  2208,  2209,  2210,   185,     0,     0,
       0,     0,     0,     0,     0,   236,     0,     0,     0,   186,
     187,     0,     0,     0,   188,     0,   189,   190,   237,   238,
     191,     0,     0,     0,     0,     0,  2638,     0,  2279,   239,
     240,   241,   242,     0,     0,     0,     0,  2639,  2640,  2641,
    2642,     0,  2643,  2644,  2645,  2327,  2328,  2646,     0,  2647,
    2648,     0,     0,     0,     0,  2649,  2650,     0,     0,     0,
    2658,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   192,   193,  1184,  1185,  1186,
    1187,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,     0,   211,
       0,   212,     0,     0,     0,   213,     0,     0,   243,   244,
     214,     0,   215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   216,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,     0,  2440,  2441,  1228,  1229,  1230,
    1231,  1232,   284,   285,     0,     0,     0,     0,     0,     0,
       0,     0,   218,   219,   220,   221,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,     0,     0,     0,     0,  1228,  1229,  1230,  1231,
    1232,     0,     0,     0,  2487,  2433,     0,     0,  1228,  1229,
    1230,  1231,  1232,     0,     0,  2494,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,   222,     0,  1242,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,
       0,     0,     0,     0,  2666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2667,     0,     0,     0,
       0,     0,     0,  2515,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,  1228,  1229,  1230,
    1231,  1232,     0,     0,  2533,  2534,  2536,  2537,     0,     0,
       0,     0,     0,     0,     0,   233,   234,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,     0,     0,     0,     0,  2560,     0,  2563,     0,
       0,     0,   235,  2570,     0,  2668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,  2593,     0,     0,     0,   237,
     238,  1228,  1229,  1230,  1231,  1232,     0,     0,     0,     0,
     239,   240,   241,   242,  1228,  1229,  1230,  1231,  1232,     0,
       0,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
       0,     0,  1242,     0,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,     0,     0,  2669,
    1228,  1229,  1230,  1231,  1232,     0,     0,     0,     0,     0,
       0,     0,  2863,     0,     0,     0,     0,     0,     0,     0,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,
       0,  1242,     0,     0,     0,     0,     0,     0,     0,   243,
     244,  1228,  1229,  1230,  1231,  1232,     0,     0,  2864,     0,
       0,     0,     0,     0,     0,     0,     0,   245,   246,     0,
       0,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
       0,     0,  1242,     0,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,     0,     0,     0,     0,  1228,  1229,  1230,  1231,  1232,
       0,  2725,     0,     0,     0,     0,     0,  1228,  1229,  1230,
    1231,  1232,     0,   284,   285,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,     0,     0,  1242,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,  2759,  3034,  1228,  1229,  1230,  1231,  1232,     0,
       0,     0,  2775,  2776,  2777,  3035,     0,  2781,  1228,  1229,
    1230,  1231,  1232,     0,  1233,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,     0,     0,  1242,     0,     0,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,
    2803,     0,  3054,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3198,  1228,  1229,  1230,
    1231,  1232,     0,     0,     0,     0,     0,     0,     0,  2823,
       0,     0,     0,     0,     0,     0,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,     0,
       0,     0,     0,     0,     0,   174,     0,   175,   176,   177,
     178,   179,   180,     0,     0,  3609,   181,   182,     0,     0,
       0,     0,     0,     0,   183,   184,  2374,     0,     0,   185,
       0,     0,     0,  1228,  1229,  1230,  1231,  1232,     0,     0,
       0,   186,   187,     0,     0,     0,   188,     0,   189,   190,
       0,     0,   191,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,     0,     0,  1242,  1228,  1229,  1230,  1231,  1232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2079,
       0,     0,     0,     0,     0,  1233,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,     0,     0,  1242,     0,     0,     0,
       0,     0,     0,     0,  2926,     0,     0,   192,   193,     0,
       0,  2845,     0,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
       0,   211,     0,   212,     0,     0,  2940,   213,     0,     0,
       0,     0,   214,     0,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1228,  1229,  1230,  1231,  1232,     0,     0,     0,     0,     0,
       0,     0,     0,  2972,   216,     0,     0,     0,     0,  2973,
    1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  2977,
       0,  1242,     0,  1228,  1229,  1230,  1231,  1232,     0,     0,
       0,     0,     0,     0,     0,     0,  3010,  1228,  1229,  1230,
    1231,  1232,     0,  1233,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  2995,   217,  1242,     0,     0,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,  3011,
       0,     0,     0,     0,   218,   219,   220,   221,  1228,  1229,
    1230,  1231,  1232,  3013,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1233,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,     0,     0,  1242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3164,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3071,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3088,     0,     0,     0,  3090,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3182,     0,     0,     0,     0,     0,     0,     0,     0,
    3190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3244,     0,  3246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3258,     0,     0,  3261,
    3262,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   285,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3408,     0,     0,     0,
       0,     0,  3418,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3447,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3469,     0,     0,     0,  3474,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3519,     0,     0,     0,     0,     0,     0,     0,
       0,  3527,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3545,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3553,  3555,     0,
       0,     0,     0,     0,  3558,  3559,     0,     0,  3561,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3579,
       0,     0,     0,  3583,     0,  3585,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3590,  3591,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3597,     0,     0,     0,
       0,     0,     0,  3602,     0,  3603,  3604,  3605,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3616,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3621,     0,     0,
     367,   368,   369,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3626,     0,     0,     0,     0,     0,     0,
       0,   370,   371,     0,     0,     0,     0,     0,     0,  3633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3636,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,     0,     0,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
       0,     0,     0,     0,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,     0,     0,     0,     0,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,     0,     0,
       0,     0,     0,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   689,   690,   691,   692,   693,   694,   695,
     696,   697,   698,   699,   700,   701,   702,   703,   704,   705,
     706,   707,   708,   709,   710,   711,   712,   713,   714,   715,
     716,   717,   718,   719,   720,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     746,   747,   748,   749,   750,   751,   752,   753,     0,     0,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813,
     814,   815,   816,   817,   818,   819,   820,   821,   822,   823,
     824,   825,   826,   827,   828,   829,   830,   831,   832,   833,
     834,   835,   836,   837,   838,     0,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   882,
     883,   884,   885,   886,   887,   888,   889,   890,   891,   892,
     893,   894,   895,   896,   897,   898,   899,   900,   901,   902,
     903,   904,   905,   906,   907,   908,   909,   910,   911,   912,
     913,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   367,   368,   369,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   370,   371,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,  1004,   384,   385,
       0,     0,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,     0,     0,     0,     0,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,     0,     0,
       0,     0,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,     0,     0,     0,     0,     0,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   697,   698,   699,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   709,
     710,   711,   712,   713,   714,   715,   716,   717,   718,   719,
     720,   721,   722,   723,   724,   725,   726,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   746,   747,   748,   749,
     750,   751,   752,   753,     0,     0,   754,   755,   756,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     798,   799,   800,   801,   802,   803,   804,   805,   806,   807,
     808,   809,   810,   811,   812,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   829,   830,   831,   832,   833,   834,   835,   836,   837,
     838,     0,   839,   840,   841,   842,   843,   844,   845,   846,
     847,   848,   849,   850,   851,   852,   853,   854,   855,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   865,   866,
     867,   868,   869,   870,   871,   872,   873,   874,   875,   876,
     877,   878,   879,   880,   881,   882,   883,   884,   885,   886,
     887,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898,   899,   900,   901,   902,   903,   904,   905,   906,
     907,   908,   909,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   919,   920,   921,   922,   923,   924,   925,   926,
     927,   928,   367,   368,   369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   370,   371,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,     0,     0,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,     0,     0,     0,     0,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,  1338,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,     0,     0,     0,     0,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
       0,     0,     0,     0,     0,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
       0,     0,   754,   755,   756,   757,   758,   759,   760,   761,
     762,   763,   764,   765,   766,   767,   768,   769,   770,   771,
     772,   773,   774,   775,   776,   777,   778,   779,   780,   781,
     782,   783,   784,   785,   786,   787,   788,   789,   790,   791,
     792,   793,   794,   795,   796,   797,   798,   799,   800,   801,
     802,   803,   804,   805,   806,   807,   808,   809,   810,   811,
     812,   813,   814,   815,   816,   817,   818,   819,   820,   821,
     822,   823,   824,   825,   826,   827,   828,   829,   830,   831,
     832,   833,   834,   835,   836,   837,   838,     0,   839,   840,
     841,   842,   843,   844,   845,   846,   847,   848,   849,   850,
     851,   852,   853,   854,   855,   856,   857,   858,   859,   860,
     861,   862,   863,   864,   865,   866,   867,   868,   869,   870,
     871,   872,   873,   874,   875,   876,   877,   878,   879,   880,
     881,   882,   883,   884,   885,   886,   887,   888,   889,   890,
     891,   892,   893,   894,   895,   896,   897,   898,   899,   900,
     901,   902,   903,   904,   905,   906,   907,   908,   909,   910,
     911,   912,   913,   914,   915,   916,   917,   918,   919,   920,
     921,   922,   923,   924,   925,   926,   927,   928,   174,     0,
     175,   176,   177,   178,   179,   180,     0,     0,     0,   181,
     182,     0,     0,     0,     0,     0,     0,   183,   184,  2378,
       0,     0,   185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   186,   187,     0,     0,     0,   188,
       0,   189,   190,     0,     0,   191,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     192,   193,     0,     0,     0,     0,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,     0,   211,     0,   212,     0,     0,     0,
     213,     0,     0,     0,     0,   214,     0,   215,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   216,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,   174,     0,   175,   176,   177,   178,   179,   180,
       0,     0,     0,   181,   182,     0,     0,     0,     0,     0,
       0,   183,   184,  2900,     0,     0,   185,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   186,   187,
       0,   236,     0,   188,     0,   189,   190,     0,     0,   191,
       0,     0,     0,     0,   237,   238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   192,   193,     0,     0,     0,     0,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,     0,   211,     0,
     212,     0,     0,     0,   213,     0,     0,     0,     0,   214,
       0,   215,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   216,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,     0,     0,     0,     0,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   284,   285,
       0,   218,   219,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,   174,     0,   175,   176,
     177,   178,   179,   180,     0,     0,     0,   181,   182,     0,
       0,     0,     0,     0,     0,   183,   184,  2905,     0,     0,
     185,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   186,   187,     0,   236,     0,   188,     0,   189,
     190,     0,     0,   191,     0,     0,     0,     0,   237,   238,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   192,   193,
       0,     0,     0,     0,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,     0,   211,     0,   212,     0,     0,     0,   213,     0,
       0,     0,     0,   214,     0,   215,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   216,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
       0,     0,     0,     0,   217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   284,   285,     0,   218,   219,   220,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   234,
     174,     0,   175,   176,   177,   178,   179,   180,     0,     0,
       0,   181,   182,     0,     0,     0,     0,     0,     0,   183,
     184,  2907,     0,     0,   185,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   186,   187,     0,   236,
       0,   188,     0,   189,   190,     0,     0,   191,     0,     0,
       0,     0,   237,   238,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   192,   193,     0,     0,     0,     0,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,     0,   211,     0,   212,     0,
       0,     0,   213,     0,     0,     0,     0,   214,     0,   215,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   216,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,     0,     0,     0,     0,   217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   284,   285,     0,   218,
     219,   220,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   233,   234,   174,     0,   175,   176,   177,   178,
     179,   180,     0,     0,     0,   181,   182,     0,     0,     0,
       0,     0,     0,   183,   184,     0,     0,     0,   185,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     186,   187,     0,   236,     0,   188,     0,   189,   190,     0,
       0,   191,     0,     0,     0,     0,   237,   238,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   239,   240,   241,
     242,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   192,   193,     0,     0,
       0,     0,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,     0,
     211,     0,   212,     0,     0,     0,   213,     0,     0,     0,
       0,   214,     0,   215,     0,     0,   243,   244,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,     0,     0,
       0,     0,   217,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     284,   285,     0,   218,   219,   220,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   233,   234,     0,     0,
       0,     0,     0,     0,     0,  2330,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,     0,   236,     0,     0,
       0,     0,     0,     0,     0,   191,     0,     0,     0,     0,
     237,   238,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   239,   240,   241,   242,  2331,     0,     0,     0,  2333,
    2334,  2335,  2336,  2337,  2338,  2339,   935,   936,   937,   938,
     939,   940,   941,   942,   943,   944,     0,   945,   946,   947,
     948,   949,   950,   951,  2340,     0,     0,  2341,  2342,     0,
       0,     0,     0,     0,     0,     0,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2343,     0,  2344,     0,     0,     0,     0,     0,     0,
     243,   244,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   245,   246,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,     0,     0,     0,     0,   217,     0,     0,     0,
       0,     0,   953,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   284,   285,     0,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,  2330,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
       0,   236,     0,     0,     0,     0,     0,     0,     0,   191,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,  2331,
    2332,     0,     0,  2333,  2334,  2335,  2336,  2337,  2338,  2339,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2340,     0,
       0,  2341,  2342,     0,     0,     0,     0,     0,     0,     0,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2343,     0,  2344,     0,     0,
       0,     0,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   245,   246,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,     0,     0,     0,     0,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   284,   285,
       0,   218,   219,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,  2330,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,     0,   236,     0,     0,     0,     0,
       0,     0,     0,   191,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,  2331,     0,     0,     0,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2340,     0,     0,  2341,  2342,     0,     0,     0,
       0,     0,     0,     0,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2343,
       0,  2344,     0,     0,     0,     0,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
       0,     0,     0,     0,   217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   284,   285,     0,   218,   219,   220,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   234,
       0,     0,     0,     0,     0,     0,  2704,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,     0,     0,   236,
    2705,     0,     0,     0,     0,     0,   191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   239,   240,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     245,   246,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,     0,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   284,   285,   218,   219,
     220,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,   234,     0,     0,     0,     0,     0,     0,  3006,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
       0,     0,   236,     0,     0,     0,     0,     0,     0,   191,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   245,   246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,     0,     0,     0,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   218,   219,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,     0,     0,  2006,  2007,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,     0,     0,   236,     0,     0,     0,     0,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
       0,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,  1027,     0,     0,     0,     0,     0,     0,
    1028,  1029,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   285,     0,     0,     0,
       0,     0,     0,     0,     0,  1030,     0,     0,     0,     0,
       0,     0,     0,     0,  1031,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1032,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1008,
       0,     0,     0,     0,  1009,  1010,     0,  1033,  1034,     0,
       0,     0,  1012,  1035,     0,     0,     0,     0,     0,  1036,
    1037,  1038,  1039,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1040,     0,     0,     0,  1041,     0,  1042,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1013,     0,
       0,  1014,     0,     0,     0,     0,     0,     0,     0,     0,
    1043,     0,     0,     0,  1044,     0,  1045,     0,     0,     0,
    1046,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1047,     0,     0,     0,
    1048,  1049,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1050,     0,
       0,     0,  1051,     0,     0,     0,     0,     0,  1052,  1053,
       0,  1054,     0,     0,     0,  1055,     0,     0,     0,     0,
       0,  1056,  1057,     0,  1058,  1059,     0,     0,  1060,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1061,  1062,     0,     0,     0,  1063,  1064,  1065,
       0,     0,     0,     0,     0,     0,     0,  1066,     0,     0,
       0,  1067,     0,     0,  1068,  1069,     0,  1070,     0,  1071,
       0,     0,  1072,  1073,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1074,
       0,  1075,     0,     0,     0,     0,     0,     0,     0,  1076
};

static const yytype_int16 yycheck[] =
{
       7,   107,   174,   215,    92,   111,     3,  1653,  1653,  1053,
    1054,   154,   113,   215,   319,   179,  1389,   179,  1100,  1120,
    1958,   152,    84,  1508,  1958,   162,   163,    89,    90,  1091,
     144,   162,   163,  2756,  1445,   978,   150,   322,   152,   342,
     154,  1990,  1991,  1992,  1993,  1192,  1193,    28,   162,   163,
      24,   215,  1273,   215,    28,  1705,   170,    85,  1449,   137,
    1132,   139,    22,   141,    24,   143,    72,   145,    24,   147,
      85,   149,   357,   151,    94,  1222,  1223,   155,   136,   157,
      85,   159,    24,   161,    91,  1273,    28,  1162,  1163,  1164,
     168,   169,  1167,  1314,  1169,  2542,  2543,  2544,    85,   136,
    2625,     6,    19,    85,     3,     4,     5,    24,  1758,    19,
      21,    22,    19,    24,    24,  2286,  2655,    24,  3002,    24,
    3002,    85,  2661,    53,    53,    19,  3002,    51,   171,   171,
      24,   159,    56,    57,    19,  2421,   164,   165,    70,    24,
     168,    58,     6,    40,   172,   165,  2084,    53,    58,    19,
    2941,    58,    53,   150,    24,    53,   167,    93,   175,    44,
      45,    46,    47,    85,    58,    70,   209,   174,    94,   142,
      85,   135,    74,    58,    44,    45,    46,    47,   185,    43,
      28,   188,   321,    85,  1720,    51,   203,   204,    58,    53,
      56,    57,   140,    57,    24,     6,    60,    61,    28,    24,
     228,  1273,    55,   231,   221,   244,    21,    22,   215,    24,
     244,  3134,   168,   361,    19,   247,    74,    75,    24,    24,
      85,    84,    28,    87,    19,    58,     7,   328,    24,    24,
      19,     6,    24,   171,    10,    24,    28,    10,    54,   345,
     346,   347,   348,   349,   350,   351,   352,   167,   147,    44,
      45,    46,    47,    58,   159,    44,    45,    46,    47,   179,
     180,   239,   240,    58,    24,   246,   165,    24,    28,    58,
       6,    28,    54,   203,    83,   205,    83,    54,   171,    10,
      86,   145,   197,   147,   148,   531,    59,   151,    24,   153,
      59,   333,     0,   192,   193,   159,   277,   161,   162,   163,
     287,   165,     6,   166,   234,   337,    39,    83,    60,    61,
      56,   241,  1958,  1958,    83,   179,   180,   181,   182,   183,
     184,    54,   186,   156,  1386,   128,    19,   283,    59,    53,
     229,    24,   231,    85,   233,   483,    60,    61,   237,    74,
      75,   166,   247,   173,  2791,   244,   155,   277,    24,   279,
     157,    44,    45,    46,    47,   601,   278,   496,   397,   289,
     166,    85,    51,   397,  1408,    58,   314,   231,   233,   299,
     166,    98,   383,   237,    24,    74,    75,   276,   236,   243,
     244,   280,   252,   186,   200,  3434,   285,   286,    51,   291,
     238,  1538,   322,    56,    57,   333,    85,   250,   320,   331,
       6,  3192,  3125,  1776,  1551,  3328,   166,   159,   328,   166,
     346,   203,   164,   165,  1357,   220,   168,   332,   200,   312,
     172,   464,   464,   200,   230,  2711,  1911,   179,   180,   181,
     182,   183,   184,   330,   186,   159,     6,   373,  2084,  2084,
     164,   165,   347,  3327,   502,  3327,   167,   383,   172,   307,
    3326,  3327,   425,   511,   257,   179,   180,   181,   182,   183,
     184,    24,   186,   405,     6,    28,   395,   278,   271,   272,
     273,   274,   275,   288,   511,   196,   228,   401,   402,   231,
    3005,   192,    24,  3008,  3023,  3024,    55,    55,  2426,   395,
     166,  2662,  3031,  3032,   395,   538,   422,   395,  2034,  2035,
     394,   236,   413,   230,   228,   226,   511,   231,   197,   198,
     199,   516,  1556,   443,  1558,  1703,   421,    85,  1593,   475,
     244,   391,  3571,   543,   511,  3574,   464,   509,   543,   544,
      98,   280,   488,   489,   549,   401,   402,   236,   227,   438,
      37,   547,   502,   448,   508,   509,   468,     6,   512,   513,
      85,   354,    37,   289,   290,  3002,    51,   246,  1949,   252,
      55,   471,   472,   470,   287,    60,    61,     6,   289,   296,
    1513,  1514,   307,   297,   295,   480,   300,    98,   299,   599,
     600,   601,   602,   603,   604,   331,   614,   241,   605,    53,
      85,    83,    58,   510,   479,    19,   205,    58,  3084,   529,
      24,   322,  2252,   166,   245,   173,   352,   353,   307,   398,
     399,   300,  1759,   408,   303,   551,   552,   553,   554,   555,
     320,   595,   596,   597,   166,   167,   168,    19,   609,   610,
     611,  1703,    24,   322,    58,   324,   325,   179,   180,   289,
     290,    24,   160,   332,  3091,    28,    29,   144,  2928,   194,
     174,   172,    44,    45,    46,    47,   961,   962,   963,   144,
     314,    45,   197,   198,   159,   157,    58,   171,   132,   164,
     165,   135,   361,   241,   283,    58,    83,   172,  2616,   247,
      45,   250,   250,  3227,   179,   180,   181,   182,   183,   184,
     341,   186,   227,   344,  1915,   422,   385,   424,   391,   426,
      84,   177,   429,   207,  2984,  1010,   145,   146,   349,   608,
     245,   161,   366,   612,   435,  3201,  3202,   438,   395,    84,
     523,   375,   443,  2672,   476,  2674,  3212,  3213,  2677,   205,
    2679,  2680,    19,   228,   598,   174,   231,    24,   401,   402,
      85,    83,   606,   607,     9,    10,    11,    12,   317,    10,
     157,   320,   452,    45,    19,   250,  3300,    44,    45,    46,
      47,   200,    14,    15,   453,    55,   149,   302,   289,   490,
     176,    58,   293,   494,   495,   162,  3056,   477,   530,   456,
    2426,  2426,   166,   321,    14,    15,   328,   476,   330,   171,
     240,   241,    84,    28,   244,    85,   220,   332,    59,    38,
      39,   166,   347,    42,   493,   343,  2459,   283,   529,  2455,
    2455,  2464,    10,    19,  3094,   157,   361,   192,    24,   361,
    1882,    10,    83,   168,   369,   967,   232,   209,   173,   333,
     334,    83,   556,   557,   310,   556,   331,   185,    44,    45,
      46,    47,   531,   532,   533,   534,  3126,   536,   343,    84,
     539,   952,    58,    83,   241,   242,   243,   248,   322,  2270,
      19,    59,    19,   964,   314,    24,   330,    24,   974,   931,
      59,     7,  1014,    84,   166,   165,   977,   978,    57,   374,
    3327,   376,    84,   145,   146,    44,    45,    46,    47,   613,
     614,   615,   954,  1968,    39,   616,  1971,    21,    22,    58,
      24,    58,    60,    61,   166,    84,  1012,  1013,  2846,   171,
      24,   296,  2846,   144,    31,    29,   366,   468,   453,   454,
     455,   983,  3645,   474,    31,   375,   188,    85,    39,   497,
    2583,   499,   500,   278,    84,  1041,   504,   505,  2591,   507,
      98,    58,    21,    22,    58,    24,   514,   515,   955,   956,
      57,  1052,    59,    19,  1166,    91,   324,   525,   248,   249,
     250,    85,    84,   253,   414,    21,    22,    83,    24,    85,
    2616,  2616,  1073,   980,  2619,  1278,  1279,  1280,  1281,    86,
    1283,  1284,   350,  1286,  1287,    57,  1289,  1290,    36,    37,
    1162,  1163,  1164,  1094,    57,  1167,    81,  1169,  2060,   391,
      85,   159,  2064,  2065,    85,    84,   164,   165,    85,    58,
     168,    83,    21,    22,   172,    24,    83,  1118,    85,   347,
      83,   179,   180,   181,   182,   183,   184,    58,   186,    85,
     415,   416,   417,   418,    54,   149,    84,   324,   325,    19,
      21,    22,  1143,    24,    24,   373,   374,    28,   543,   185,
      24,   136,   188,   548,    28,   550,    24,   402,   323,   324,
      28,  2546,    21,    22,    44,    45,    46,    47,   145,   146,
     228,  3374,    92,   231,  3377,  3378,    85,    58,    58,    81,
     165,    57,   159,    85,   169,   170,  3389,   164,   165,   174,
    2883,  3040,    58,  2886,  2138,   172,  3045,   174,  3047,  2892,
    2893,  3050,   187,    31,    58,   450,  2253,    83,    19,    19,
      21,   196,    58,    24,    24,    59,   197,   198,   199,   325,
      58,   145,   467,  2224,   469,    19,    19,    58,   473,    57,
      24,    24,   477,   478,    44,    45,    46,    47,    21,    83,
     160,    24,    36,    54,    38,    19,   227,    58,    58,    58,
      24,   228,    45,   177,   231,  1162,  1163,  1164,  1165,  1166,
    1167,   320,  1169,   244,    58,    58,  2248,   441,   442,   250,
      44,    45,    46,    47,    84,   352,   353,   201,   255,   203,
     200,   205,  2555,    58,    58,  1291,   206,  1194,  1195,  1196,
    1197,  1198,  1199,  1200,    59,  3133,    59,    19,  1205,  3133,
    2846,  2846,   287,    58,    24,   225,  2852,  2852,    28,    19,
    2856,  2856,   288,    59,    24,    85,   292,  1224,    83,  1320,
      83,  1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  3538,  3539,    83,   364,   365,
    3543,  3544,   323,  1445,    58,   326,   327,    57,    58,  1337,
      58,   332,  1909,   145,   146,  1912,  1357,   281,   282,   283,
     284,    85,   156,    55,   158,  1366,   136,  1368,    92,  2333,
    2334,    55,    51,    19,   166,    21,  2922,  2922,    24,   171,
      42,  1445,   174,  1445,  2348,    19,    65,   145,   146,   159,
      24,    70,     6,    19,   164,   165,   188,    24,    24,   169,
     170,    28,   172,  1381,   174,    83,    85,    85,   166,  2456,
    1411,  1412,    58,   171,   188,  1322,   174,   187,    44,    45,
      46,    47,     6,    57,    58,  1532,   196,    28,  1434,  1536,
     188,    83,    58,    85,   244,   159,   194,   169,   170,  1346,
     164,   165,   304,   305,   168,   325,    21,    22,   172,    24,
       6,  1452,  2306,   315,  1455,  2309,   514,   515,   228,   517,
      51,   231,   439,   440,   522,    56,    57,   525,    49,    50,
     176,   177,   178,    60,    61,     6,    21,    22,  2525,    24,
     145,   146,  1546,  2530,  1546,    21,    22,    23,    24,    48,
      49,    50,  3341,    24,  3343,   201,   202,     6,    85,   205,
      22,   166,    24,  1504,   228,    51,   171,   231,   294,   188,
      56,    57,  1513,  1514,     6,  1627,  1628,    53,   197,   198,
      83,  1593,    85,   188,    60,    61,   296,  1528,  1630,   194,
      57,  1532,    59,     6,  1737,  1536,  1739,    19,    21,    22,
     166,    24,    24,   340,  1729,  1730,  1731,  1732,   227,  1734,
    1735,    52,    53,  1738,   166,  1740,    87,  1742,  1743,    60,
      61,    24,    44,    45,    46,    47,  1630,   246,  1630,  1856,
    1571,  1858,   159,  1574,    49,    50,    58,   164,   165,    21,
      22,    19,    24,  1584,    85,   172,    28,  3133,  3133,    28,
      60,    61,   179,   180,   181,   182,   183,   184,   360,   186,
     362,  2444,    84,  2565,   328,   329,     6,   194,     6,    21,
      22,   335,    24,   337,   145,    85,     9,  1524,  1525,   519,
     520,   521,   301,   302,   303,    85,    19,    20,    21,    22,
      23,   162,   163,    21,    22,   314,   531,   316,     6,   318,
    1704,   228,  1704,   174,   231,   324,   325,   254,   255,    19,
     186,   436,   437,   332,    24,  2599,    70,    71,   159,    21,
      22,    23,    24,   164,   165,    58,    31,   254,    24,   430,
     431,   172,    14,    15,    44,    45,    46,    47,   179,   180,
     181,   182,   183,   184,    57,   186,  1593,   245,    58,   159,
     197,   198,    85,    57,   164,   165,    57,   284,   168,  1606,
      84,  1608,   172,    19,    20,    21,    22,    23,    10,   179,
     180,   181,   182,   183,   184,   528,   186,    19,   324,   325,
    1627,  1628,    24,   190,   191,   192,   193,   228,   209,   210,
     231,    85,   324,   325,    36,    24,    38,   197,   198,   199,
     209,   210,    58,   244,   179,   180,    19,    20,    21,    22,
      23,    24,  3154,  3155,  1760,    54,    58,    84,   228,  2543,
    2544,   231,   247,   160,  3613,    57,    84,   227,  1774,    57,
    3608,    57,    84,    84,  3608,    84,  1819,  1783,    84,   361,
      57,  1769,   136,    28,   192,    58,  1792,   396,   247,  1820,
     250,  1698,   121,   122,   123,   124,   297,  3646,  1705,  1706,
     404,   321,   341,  1710,   336,  1819,  1820,  1821,   252,   252,
    1772,   165,   341,  1720,   300,   169,   170,   364,   161,   370,
     174,  1822,  1823,    76,    77,    78,    79,  2771,   209,   210,
     211,   212,   213,   187,  1835,   378,   300,   386,  1839,  1840,
     384,   311,   196,   300,  1845,   410,  1847,  1848,   336,    57,
      57,  1758,  2695,  2696,   156,    84,   158,    84,  1859,  1860,
      57,    84,    84,   323,    84,   487,   326,   327,  1775,   192,
    1871,  1872,   332,   160,   402,  1876,  1877,  1914,  1879,   159,
     395,  2066,  1789,  2068,   157,    19,    20,    21,    22,    23,
      24,    57,  1893,    84,    84,  1857,  1968,    19,  2103,  1971,
    1914,  1915,    19,    57,   491,   492,   493,  2750,    57,  2114,
      24,  1942,  1943,  1944,   188,  2859,  1917,   174,    57,   229,
      57,  1922,    84,    84,    58,  2110,    53,    24,  1942,  1943,
    1944,    84,    84,    60,    61,    19,    20,    21,    22,    23,
      24,   174,   247,    84,   980,    57,    57,   448,   449,   450,
     451,    57,  1953,   192,   390,   174,   207,   208,    85,  2023,
      84,  2023,  1963,   214,   215,   216,   217,   209,   210,   211,
     212,   213,   324,   252,    58,   476,    57,    57,    57,    84,
     481,   252,    18,    39,    19,   486,    19,    36,  2932,    37,
    2054,    42,  2054,    19,    83,    10,    19,    19,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,    70,   106,
     107,   108,   109,   110,   111,   112,     6,  1914,     6,     6,
       6,     6,    28,    85,     6,     6,    19,    20,    21,    22,
      23,    24,   159,     6,     6,     6,     6,   164,   165,     6,
       6,     6,     6,  2049,     6,   172,     6,  2053,    11,    12,
      13,  1958,   179,   180,   181,   182,   183,   184,     6,   186,
       6,  1968,  3608,  3608,  1971,    58,     6,     6,    31,    32,
      33,    83,    83,   157,  1981,  1982,   404,  1984,  1985,  1986,
    1987,    58,    57,  1990,  1991,  1992,  1993,    24,    57,  1996,
     232,   376,   252,  2081,  2082,  2002,    57,   252,    57,    57,
      57,   228,    57,   241,   231,    11,    12,    13,    19,    20,
      21,    22,    23,    19,   241,    57,   252,   252,    24,   246,
     252,   252,    57,  2085,    57,    31,    32,    33,    84,  1165,
      40,   252,   252,   252,    57,   197,   198,   403,    56,   160,
      57,    57,    56,   241,   241,   376,   396,    58,   192,   232,
     188,    19,    58,  2154,    19,  2117,   119,   120,  1194,  1195,
    1196,  1197,  1198,  1199,  1200,   227,   195,   346,  2270,  1205,
      57,    19,    54,   306,    19,    37,   144,  2084,    83,    83,
      83,    19,    59,   245,   246,   247,    59,    83,  1224,    59,
      56,     6,  1228,  1229,  1230,  1231,  1232,  1233,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  2270,    56,  2270,     6,
      24,     6,    59,   119,   120,    16,    57,    51,  2282,    83,
    3063,   283,  2286,   174,   174,    57,    57,    85,  2229,    37,
      57,  3074,  3075,  3076,   288,    57,    57,    57,    84,   192,
     302,    57,    60,    61,    57,   307,    57,   252,    57,  2255,
      57,    57,    57,  2254,   381,     8,    19,    57,   320,    57,
     322,   376,   324,   325,    57,    57,    57,    85,    57,    57,
     332,    57,    57,   335,    57,    57,    57,    57,   136,    57,
      57,    57,    57,    57,    57,    57,  1322,    57,   376,   189,
     244,    57,    53,    57,  2295,    57,    53,    19,  2299,    28,
     188,   159,    22,    37,    37,    84,   164,   165,    19,  2216,
    1346,   169,   170,  2314,   172,    83,   174,    19,    24,    51,
       6,     6,     6,   385,     6,     6,     6,    19,     6,   187,
      62,    63,    64,    65,     6,    67,    68,    69,   196,     6,
      72,   159,    74,    75,     6,  2252,   164,   165,    80,    81,
     168,    59,  2353,    85,   172,    83,    57,   251,  3302,    19,
     251,   179,   180,   181,   182,   183,   184,    57,   186,    65,
     228,    28,   174,   231,   456,   457,   458,   459,   460,   461,
     462,   463,    57,  2447,    57,  2447,    44,    57,   450,    85,
     298,   453,   454,   455,   159,   336,    57,    85,    57,   461,
     338,    57,    57,    57,   466,    57,    83,    57,    57,    57,
     228,    57,    57,   231,   476,    57,    57,    57,    57,    57,
     482,    57,    57,    57,    57,   192,  2333,  2334,   246,  2336,
      57,    57,    57,  2340,  2341,   293,    57,   308,   296,   297,
     136,  2348,  2443,  2444,   140,   390,   192,   396,   174,    65,
     372,   174,    57,    23,    57,    57,  2363,  2419,  2365,    57,
    2422,   140,   436,   247,   481,   177,   526,    57,    57,   165,
     533,   361,  2473,   169,   170,   533,   194,    55,   174,    83,
      57,    11,    12,    13,    14,    15,    39,    42,    31,  1525,
      58,   187,   436,    58,    58,    57,    42,    31,    39,    37,
     196,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    3353,  3354,    42,  3356,  3357,    19,    83,    83,    58,  2426,
      22,     6,     6,   105,    85,    57,    19,  3370,  3371,  3372,
      57,   252,   160,   252,    84,   339,   428,   188,   427,   432,
      57,    57,    57,    57,   240,    57,   242,   390,   244,   308,
      23,    84,    65,    84,    84,    84,  2557,  2558,   348,    84,
      84,  2562,    70,    74,   188,    51,     6,    19,  2569,    19,
    1606,  2572,  1608,  3517,  3518,    85,    37,    66,    73,    41,
      57,    21,    22,    23,    24,    57,    10,    38,    85,    38,
      59,    57,    83,   331,  2656,   423,  2597,  2598,  2662,   324,
    2601,    84,  2603,  3547,    57,   281,    84,   192,  2609,  2516,
     325,    57,    57,    53,    84,   252,    84,   308,   314,    58,
      60,    61,   421,    86,   320,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,  2623,   106,   107,   108,   109,
     110,   111,   112,  3486,    59,    59,    86,    84,    84,    84,
      84,    84,  2653,    57,    10,    83,    82,    59,  2659,    53,
      59,    59,    58,   328,    59,   207,    60,    61,    59,    59,
     527,    57,    57,   326,   115,   371,    57,   117,    39,   326,
      19,    38,   326,    38,  2756,   381,   382,    10,    57,    57,
      28,    57,   388,   325,  2695,  2696,    85,    85,   321,  2700,
      10,  2702,   308,    57,   400,   145,   146,    57,   511,  2616,
      59,   407,  2619,    83,    59,   511,   412,  2723,    59,  2626,
      83,  2628,   162,   419,  2631,    59,   166,    59,    58,   169,
     170,    59,   326,   326,   174,   319,    65,    57,   247,   326,
     326,    57,    57,   306,    57,   326,   186,   247,    57,  2750,
    2751,    84,   306,  1789,   484,   195,   386,  2664,  2665,   458,
    2722,   321,   456,    57,    57,  2672,   503,  2674,   132,   496,
    2677,   241,  2679,  2680,   331,  2682,   252,   501,   218,   219,
     220,   526,   222,   223,   224,   179,   180,   181,   182,   183,
     184,   496,   186,   506,   331,    57,    53,    57,  2705,    28,
     306,   308,    57,    60,    61,   252,   386,   132,   252,   252,
     252,    57,    57,    11,    12,    13,    14,    15,   535,    57,
      57,   537,    39,  2824,    39,  2826,   540,   308,    85,    57,
      11,    12,    13,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    99,   546,    42,   545,   313,    57,    57,  2756,
      31,    32,    33,    34,    35,    36,    37,    38,    39,   252,
      57,    42,   326,   485,   188,   252,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,  2878,   326,  2981,
    2982,   498,   118,  2884,   198,    59,   198,  2849,    83,   518,
    3002,   470,    57,   465,   470,    83,   527,    57,    59,  1704,
    1704,  1704,   159,  2447,  2319,  2307,  3645,   164,   165,  2756,
    3020,  2367,   169,   170,  2367,   172,   114,  2981,  2982,  2981,
    2982,  2367,   179,   180,   181,   182,   183,   184,  2367,   186,
    2659,  3021,  3019,  2660,  1932,  2661,  1191,  2616,  2426,  2846,
    1627,  3326,  1628,  3327,  2851,  1981,  1982,   188,  1984,  1985,
    1986,  1987,  1166,  1630,  2682,  2856,  2852,   150,  2111,   973,
    1996,  2013,  2011,  3192,  3214,  1268,  2002,  2922,  2137,  3065,
    2971,   228,  2719,  2927,   231,  2736,  1870,  3440,  2770,  2806,
    2978,  3266,  3283,  3453,   241,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,  3286,   106,   107,   108,   109,
     110,   111,   112,  3455,  3287,  1565,  2913,  2605,  2613,  1753,
    1794,    -1,    -1,  1317,    -1,  3016,    -1,    -1,  3019,    -1,
    3021,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,   111,   112,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2954,    -1,    -1,
      -1,    -1,    -1,  3125,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3063,  3064,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,  3074,  3075,  3076,    -1,    -1,    -1,    -1,
      -1,    -1,  3083,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    11,    12,    13,
      -1,  3102,    -1,    -1,    -1,  3106,  3107,    -1,  3109,    -1,
    3111,    -1,    59,    -1,    -1,    -1,   226,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,   241,    -1,  3040,    -1,    -1,    83,    -1,  3045,    -1,
    3047,    -1,    -1,  3050,    -1,    -1,    -1,    -1,  3149,    -1,
    3151,  3152,  3153,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,  3165,    -1,    -1,   241,  3169,    -1,
    3171,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,  3266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    -1,  3326,  3327,    -1,  3218,  3125,    -1,
      -1,  3222,  3223,  3224,    -1,    83,  3133,    -1,    -1,    -1,
      -1,  3232,    -1,  3234,    -1,  3236,  3143,    -1,    -1,    -1,
      -1,  3242,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,  3254,  3255,    -1,    -1,    -1,  3259,  3260,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3282,    -1,    -1,    -1,    -1,  3287,    -1,    -1,    -1,
      -1,  3292,    -1,    -1,    -1,  3296,    -1,  2333,  2334,    -1,
    2336,    -1,    -1,    -1,  2340,  2341,    -1,    -1,  3309,    -1,
    3316,    -1,  2348,    -1,    83,    -1,  3322,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,  2363,    -1,  2365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,  3353,  3354,    -1,  3356,  3357,  3358,  3359,    -1,
    3361,  3362,  3363,  3364,  3365,    -1,    -1,    -1,    -1,  3370,
    3371,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      -1,    -1,    -1,    -1,    -1,    -1,   965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3409,  3410,
    3411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,
    3421,    -1,    -1,   235,  3331,  3426,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3341,    -1,  3343,    -1,  3439,    -1,
    1009,  3442,  3443,  3444,   256,   257,   258,   259,  3449,  3450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3473,  1042,  3475,  3476,  3477,    -1,    -1,    -1,
      -1,    -1,  1051,    -1,    -1,  3486,  3487,    -1,    -1,  3490,
    3491,    -1,    -1,    -1,    -1,  1064,    -1,   309,    -1,    -1,
      -1,    -1,    -1,  1072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3513,  3514,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1092,    -1,    -1,  1095,    -1,  1097,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,  1107,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,  3565,  3566,    -1,   379,   380,    -1,
      -1,    -1,  3573,  3645,    -1,    -1,  3577,  1146,    -1,  1148,
      -1,  3582,    -1,    -1,    -1,    -1,  3587,    -1,    -1,    -1,
    2626,    -1,  2628,    -1,   406,  2631,    -1,    -1,    -1,    -1,
    3606,  3607,    83,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2664,  2665,
      -1,    -1,   444,   445,   446,   447,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,  2682,    42,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2705,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,  3608,    -1,    -1,    -1,    -1,  3613,    -1,    -1,    -1,
      -1,   523,   524,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    83,    -1,    42,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3645,  3646,
      -1,    59,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,   617,   618,    -1,    11,    12,
      13,    14,    15,    -1,    -1,  2851,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  1394,    -1,    42,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1421,    -1,    -1,    -1,    -1,  1426,  1427,    -1,
      -1,    -1,    -1,  1432,    -1,    -1,    -1,    -1,    83,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2913,    -1,    -1,
      83,    -1,  1451,    -1,    -1,    -1,    -1,    -1,  1457,  1458,
      -1,  1460,  1461,    -1,  1463,  1464,  1465,  1466,  1467,  1468,
      -1,    -1,  1471,  1472,    -1,  1474,    -1,    -1,  1477,  1478,
      -1,    -1,    -1,    -1,  1483,    -1,  1485,    -1,  2954,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1496,  1497,  1498,
      -1,    -1,  1501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,    -1,    41,    -1,  1537,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    53,    54,
      -1,  1550,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      31,    32,    33,    34,    35,    36,    37,    38,    39,  1568,
    1569,    42,     6,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,    -1,
     145,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,
      -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3143,    -1,    -1,
      -1,   186,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,   258,   259,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1829,  1830,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,  1841,  1842,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  3331,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,   379,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    59,    19,    20,    21,    22,    23,
      24,    -1,    -1,  1892,    28,    29,    -1,    -1,    -1,    -1,
    1899,   406,    36,    37,  1903,  1904,  1905,    41,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,    53,
      54,    -1,    -1,    -1,    58,    -1,    60,    61,   433,   434,
      64,    -1,    -1,    -1,    -1,    -1,    51,    -1,  1937,   444,
     445,   446,   447,    -1,    -1,    -1,    -1,    62,    63,    64,
      65,    -1,    67,    68,    69,  1954,  1955,    72,    -1,    74,
      75,    -1,    -1,    -1,    -1,    80,    81,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
      -1,   145,    -1,    -1,    -1,   149,    -1,    -1,   523,   524,
     154,    -1,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,  2104,  2105,    11,    12,    13,
      14,    15,   617,   618,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,   257,   258,   259,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,  2153,    59,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,  2164,    31,    32,    33,    34,
      35,    36,    37,    38,    39,   309,    -1,    42,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,  2212,    -1,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    11,    12,    13,
      14,    15,    -1,    -1,  2233,  2234,  2235,  2236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   379,   380,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2265,    -1,  2267,    -1,
      -1,    -1,   406,  2272,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2294,    -1,    -1,    -1,   433,
     434,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
     444,   445,   446,   447,    11,    12,    13,    14,    15,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    59,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,
     524,    11,    12,    13,    14,    15,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,  2470,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    -1,   617,   618,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,  2511,    59,    11,    12,    13,    14,    15,    -1,
      -1,    -1,  2521,  2522,  2523,    59,    -1,  2526,    11,    12,
      13,    14,    15,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
    2559,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    59,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2588,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    -1,    19,    20,    21,
      22,    23,    24,    -1,    -1,    59,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,    41,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    53,    54,    -1,    -1,    -1,    58,    -1,    60,    61,
      -1,    -1,    64,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    57,
      -1,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2713,    -1,    -1,   119,   120,    -1,
      -1,    57,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,    -1,   145,    -1,    -1,  2745,   149,    -1,    -1,
      -1,    -1,   154,    -1,   156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2782,   186,    -1,    -1,    -1,    -1,  2788,
      31,    32,    33,    34,    35,    36,    37,    38,    39,  2798,
      -1,    42,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    57,    11,    12,    13,
      14,    15,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,  2831,   235,    42,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    57,
      -1,    -1,    -1,    -1,   256,   257,   258,   259,    11,    12,
      13,    14,    15,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    57,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2934,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2970,    -1,    -1,    -1,  2974,    -1,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3101,    -1,  3103,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3115,    -1,    -1,  3118,
    3119,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3225,    -1,    -1,    -1,
      -1,    -1,  3231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3294,    -1,    -1,    -1,  3298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3416,  3417,    -1,
      -1,    -1,    -1,    -1,  3423,  3424,    -1,    -1,  3427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3448,
      -1,    -1,    -1,  3452,    -1,  3454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3470,  3471,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3485,    -1,    -1,    -1,
      -1,    -1,    -1,  3492,    -1,  3494,  3495,  3496,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3522,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3546,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,  3578,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3588,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    -1,    -1,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,    -1,    -1,    -1,    -1,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,    -1,
      -1,    -1,    -1,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,    -1,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   618,     3,     4,     5,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    -1,    -1,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,    -1,    -1,
      -1,    -1,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,    -1,    -1,    -1,    -1,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,    -1,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,     3,     4,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    -1,    -1,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,    -1,    -1,    -1,    -1,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,    -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,    -1,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,    17,    -1,
      19,    20,    21,    22,    23,    24,    -1,    -1,    -1,    28,
      29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    38,
      -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    54,    -1,    -1,    -1,    58,
      -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     119,   120,    -1,    -1,    -1,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,    -1,   145,    -1,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,   156,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,
     259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     379,   380,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,    -1,    41,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      -1,   420,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,    -1,   433,   434,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   119,   120,    -1,    -1,    -1,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,    -1,
     145,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,
      -1,   156,    -1,    -1,   523,   524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,    -1,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,   618,
      -1,   256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,   380,    17,    -1,    19,    20,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,
      41,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    -1,   420,    -1,    58,    -1,    60,
      61,    -1,    -1,    64,    -1,    -1,    -1,    -1,   433,   434,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,   447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,   120,
      -1,    -1,    -1,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,    -1,   145,    -1,    -1,    -1,   149,    -1,
      -1,    -1,    -1,   154,    -1,   156,    -1,    -1,   523,   524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   617,   618,    -1,   256,   257,   258,   259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,
      17,    -1,    19,    20,    21,    22,    23,    24,    -1,    -1,
      -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      37,    38,    -1,    -1,    41,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    -1,   420,
      -1,    58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,
      -1,    -1,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   119,   120,    -1,    -1,    -1,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,    -1,   145,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,   156,
      -1,    -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     541,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   617,   618,    -1,   256,
     257,   258,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   379,   380,    17,    -1,    19,    20,    21,    22,
      23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    37,    -1,    -1,    -1,    41,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    54,    -1,   420,    -1,    58,    -1,    60,    61,    -1,
      -1,    64,    -1,    -1,    -1,    -1,   433,   434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,   446,
     447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   119,   120,    -1,    -1,
      -1,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,    -1,   145,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,   156,    -1,    -1,   523,   524,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   541,   542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,   593,   594,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     617,   618,    -1,   256,   257,   258,   259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,   420,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
     433,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   444,   445,   446,   447,    84,    -1,    -1,    -1,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,    -1,   106,   107,   108,
     109,   110,   111,   112,   113,    -1,    -1,   116,   117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,
     523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,   542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     593,   594,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   617,   618,    -1,   256,   257,   258,
     259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     379,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,    84,
      85,    -1,    -1,    88,    89,    90,    91,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
      -1,   116,   117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   150,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,    -1,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,   618,
      -1,   256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    54,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,   447,    84,    -1,    -1,    -1,    88,    89,    90,
      91,    92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,   116,   117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   617,   618,    -1,   256,   257,   258,   259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,   420,
      58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     541,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   617,   618,   256,   257,
     258,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,   380,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,
     618,   256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    26,    27,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,   447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   617,   618,   256,   257,   258,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    53,    -1,    -1,    -1,    -1,    -1,    -1,
      60,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   127,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   159,
      -1,    -1,    -1,    -1,   164,   165,    -1,   167,   168,    -1,
      -1,    -1,   172,   173,    -1,    -1,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   193,    -1,    -1,    -1,   197,    -1,   199,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   228,    -1,
      -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     240,    -1,    -1,    -1,   244,    -1,   246,    -1,    -1,    -1,
     250,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,
     290,   291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,   328,   329,
      -1,   331,    -1,    -1,    -1,   335,    -1,    -1,    -1,    -1,
      -1,   341,   342,    -1,   344,   345,    -1,    -1,   348,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,   363,    -1,    -1,    -1,   367,   368,   369,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   377,    -1,    -1,
      -1,   381,    -1,    -1,   384,   385,    -1,   387,    -1,   389,
      -1,    -1,   392,   393,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   409,
      -1,   411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   419
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   624,   625,     3,     4,     5,   147,   165,   192,
     193,   229,   231,   233,   237,   244,   276,   280,   285,   286,
     438,   608,   612,   620,   621,   622,   623,   817,   818,   819,
     820,   822,   823,   824,   831,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   846,   847,   848,   849,
     850,   851,   852,   854,   855,   856,   881,   899,   900,   901,
     902,   925,   957,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1057,  1058,  1090,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,     0,     6,    43,    53,    57,    60,    61,    87,
     145,   147,   148,   151,   153,   159,   161,   162,   163,   165,
     179,   180,   181,   182,   183,   184,   186,   231,   237,   243,
     244,   598,   606,   607,   626,   627,   689,   691,   692,   693,
     694,   705,   757,   759,   760,   761,   762,   763,   764,   769,
     783,   784,   796,   797,   798,   860,   861,   882,   886,   889,
     892,   903,   906,   927,   934,   948,   951,   953,   956,   960,
     961,  1004,  1005,  1007,  1009,  1010,  1015,  1046,  1049,  1059,
    1060,  1076,  1077,  1091,  1094,  1103,  1104,  1108,  1119,  1124,
    1125,     6,     6,     6,    17,    19,    20,    21,    22,    23,
      24,    28,    29,    36,    37,    41,    53,    54,    58,    60,
      61,    64,   119,   120,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   143,   145,   149,   154,   156,   186,   235,   256,   257,
     258,   259,   309,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   379,   380,   406,   420,   433,   434,   444,
     445,   446,   447,   523,   524,   541,   542,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   617,   618,   631,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     684,   685,   686,   714,   732,   734,   735,   738,   739,   740,
     741,   745,   746,   859,    24,    28,   166,   830,   853,   857,
      24,   857,   857,    86,   230,   857,   857,     6,    28,   238,
     786,   192,    53,   203,   205,   234,   241,   277,   279,   289,
     299,   322,   443,   529,   145,   177,   201,   203,   205,   281,
     282,   283,   284,    45,    84,   166,   844,   857,   280,    28,
     246,   277,   609,   610,   611,  1117,     6,     3,     4,     5,
      24,    25,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   630,
     687,   287,   630,   630,   745,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   106,   107,   108,   109,   110,
     111,   112,   226,   241,   695,    58,    58,   160,    24,    28,
     657,   175,   203,   204,   221,   605,   185,   203,   657,   162,
     241,   242,   243,   785,  1093,   192,   657,   531,   601,    19,
      58,   628,   631,   174,   248,   765,   167,   196,   226,   289,
     295,   299,   322,   435,   438,   443,   490,   494,   495,   529,
     556,   616,   959,  1045,    54,   630,   770,    85,   159,   164,
     165,   168,   172,   228,   231,   246,   761,   771,   772,   778,
     800,    84,   864,   770,   770,   770,   770,    53,    60,    61,
      85,    94,   127,   167,   168,   173,   179,   180,   181,   182,
     193,   197,   199,   240,   244,   246,   250,   286,   290,   291,
     318,   322,   328,   329,   331,   335,   341,   342,   344,   345,
     348,   362,   363,   367,   368,   369,   377,   381,   384,   385,
     387,   389,   392,   393,   409,   411,   419,   771,   872,   873,
     937,   938,   945,   770,   770,   770,    52,    53,    85,   244,
     297,   448,   449,   450,   451,   476,   481,   486,   762,   771,
     963,   964,   965,   966,   967,   770,    85,   194,   254,   284,
     491,   492,   493,   771,   778,  1006,    84,    85,   136,   169,
     170,   174,   187,   196,   296,   771,   773,   770,   770,   770,
     770,    85,   241,   246,   381,   771,   778,   872,  1081,  1083,
      85,   244,   297,   300,   556,   557,   613,   614,   615,   771,
     778,   872,  1092,  1122,  1123,   770,   770,    85,   168,   614,
     771,  1126,    19,    36,    38,    58,   156,   158,   631,   731,
     733,   739,    39,   635,    39,    21,    22,   636,   637,   144,
      37,   144,   745,    19,   121,   122,   123,   124,   720,   745,
      84,    84,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    19,    20,    22,    23,    58,   157,   631,   636,   637,
     645,   714,   715,   716,   719,   721,   722,   723,   726,   728,
     729,    19,    58,    58,    58,    55,    55,     6,    11,    12,
      13,    14,    15,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    42,    42,    45,    84,   166,   801,     6,   801,
      28,   658,   658,   857,   857,     6,    45,    84,   166,   804,
     628,   239,   240,     6,     6,   294,    24,    28,   166,   858,
       6,   278,     6,   825,     6,   832,    24,   821,   177,   205,
     283,   310,   340,   168,   283,   475,   488,   489,   821,   205,
     283,   166,   657,   657,   657,   657,   657,   657,   657,   657,
      94,   165,   543,   599,   600,   601,   602,   603,   604,  1101,
    1102,    19,   845,   658,   958,  1117,     6,  1117,     6,     6,
     531,  1118,    31,   630,   706,   690,   128,   186,   257,   271,
     272,   273,   274,   275,   354,   523,   688,   628,   105,   630,
     631,   631,    19,    21,    24,    54,    58,   758,    57,   801,
     801,   801,   628,    44,    45,    46,    47,   188,   628,   632,
     804,    57,   786,   595,   596,   597,   657,  1097,   245,  1105,
    1106,   628,   629,   629,   745,    57,   630,    84,   768,   441,
     442,  1008,   528,    24,    54,    84,   160,   632,   801,   799,
     173,   657,   657,   804,   247,    57,    84,   776,    57,    57,
     863,   865,    84,    84,    84,    84,   245,   349,   361,    57,
      28,   352,   353,    53,   395,    53,   395,    53,   395,    53,
     395,   324,   350,   657,   632,   396,   192,   247,   341,   344,
     241,   314,   366,   375,   404,   321,   341,   244,   632,   935,
      57,   628,    21,    22,    24,   288,   633,   929,   413,   633,
     928,   336,   252,   321,   343,   252,   341,   300,   364,   365,
     364,   161,   632,   370,   378,   300,   300,   386,   384,    56,
     331,   352,   353,   632,   394,   628,   410,   336,   161,   240,
     241,   244,   314,   366,   375,   414,    57,    57,    84,   877,
      84,   943,    57,    84,    84,    84,   487,   192,   402,   758,
     632,   159,   628,   632,   160,   632,   395,   962,   776,    57,
      84,    84,   632,    55,   250,    19,    54,   200,    19,   169,
     170,    57,    57,   628,   145,   146,   166,   171,   188,   194,
     703,   780,   188,   780,    24,   779,   188,   229,   174,    57,
      57,    84,    84,    84,    84,    22,    23,    24,   648,   652,
     247,   174,    57,    57,    57,    93,   346,   373,   383,   551,
     552,   553,   554,   555,  1078,  1079,    84,  1089,   192,   390,
     628,   174,   324,   632,   252,   166,   632,  1120,    57,    57,
      84,    84,  1127,  1131,   252,    57,    10,   733,   733,   733,
     745,    21,    22,   157,   726,   733,   733,    18,    19,    19,
      39,    36,    37,   144,    37,    19,    83,    59,    83,   681,
     681,   779,   779,   745,   745,   745,   745,   745,   745,   745,
      38,   718,   720,   745,    36,    37,    84,    10,    83,   157,
      83,   157,   779,   779,   736,   737,   745,    19,    19,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   742,    53,    60,    61,   179,   180,   181,
     182,   183,   184,   186,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   829,   176,   177,   178,   201,
     202,   205,   802,   803,     6,     6,     6,     6,   176,   232,
     805,   806,     6,    28,    49,    50,    49,    50,   880,   858,
       6,     6,     6,    86,   117,   145,   162,   166,   169,   170,
     174,   195,   218,   219,   220,   222,   223,   224,   652,   703,
     828,     6,    24,    87,   145,   162,   163,   174,     6,   821,
     821,   821,   821,   926,   821,   821,  1003,   166,   821,   166,
     821,     6,   821,   821,   657,     6,     6,     6,     6,     6,
       6,     6,     6,    83,    85,     6,     6,     6,   145,   174,
     200,   703,     6,  1118,   628,     6,   745,    58,   697,   698,
     700,   704,   695,    57,    83,    83,   793,   794,   745,    57,
     629,    57,    57,   404,  1095,    21,    22,    24,    28,    58,
     659,  1098,   628,  1096,    84,   166,  1100,   628,    57,    84,
      48,    49,    50,    59,   767,   770,    24,   758,   787,   790,
     791,   632,   775,   777,    81,    85,   862,   866,   867,   885,
     891,   905,   252,   252,   633,    57,   628,   628,   632,    94,
     422,    57,    57,   244,   397,   252,   391,   632,   632,   252,
     252,   376,   232,   632,   241,   405,   657,   252,   252,    57,
      57,    84,   816,    57,    24,   645,   651,    40,   634,    51,
      56,    57,   401,   402,   296,   415,   416,   417,   418,   933,
     634,    51,    56,    57,   632,   628,   252,   252,   628,   252,
     632,   632,   160,   632,   632,    57,   632,   632,   632,   632,
     632,   632,   403,    56,   632,   632,    57,   632,    57,    56,
     632,   632,   396,   376,   192,   232,   632,   241,   632,   876,
     878,   879,   942,   944,   950,   955,   632,   252,   391,   632,
     632,   632,   188,   628,   777,   968,   629,   629,    19,    19,
     631,   701,   702,   745,    45,   628,   782,   195,   782,   782,
     632,   779,  1014,  1048,  1061,  1082,   632,   779,    28,   633,
     633,  1084,    53,   132,   135,   322,   330,  1078,  1088,    57,
     632,   632,   628,   306,   628,   791,   792,   628,    19,    59,
     733,   157,    54,    19,   144,    37,   745,   745,   682,   683,
      59,    83,    83,    59,    83,    83,    83,    83,    59,    59,
      83,    10,    83,    83,    59,    19,    58,   716,   723,   728,
      59,    59,    83,    59,    56,    56,    26,    27,   740,   743,
     859,    83,    85,    83,    85,     6,   289,   290,   631,     6,
     652,    21,    22,    23,    24,   636,   637,   638,   639,   640,
     826,   827,   701,   631,   174,   174,   166,   631,    24,   631,
     830,   658,   658,   658,   658,     6,    24,   166,   167,   168,
     179,   180,   328,   330,   361,   658,   658,     6,    24,    70,
     159,   247,   347,   421,   448,   480,   821,   658,   821,   658,
     658,   658,     6,  1102,   701,    28,   779,   657,     6,    57,
      59,   696,    16,   699,    84,   695,   630,   657,   631,   791,
      57,    59,   657,   745,    51,  1099,   657,  1101,    57,    57,
    1107,    55,    85,   165,   248,   249,   250,   253,   766,    37,
     789,    83,    57,    85,   165,   773,   774,   288,    57,    84,
     870,    85,   293,   296,   297,   771,   773,   883,    85,   168,
     311,   771,   778,   890,    85,    92,   168,   328,   329,   335,
     337,   771,   904,   628,   628,    57,    57,    57,    57,   632,
      84,   632,   930,   192,   252,   628,    57,    57,    57,   628,
     628,   632,   632,    57,   376,   628,    57,   628,   628,     8,
     923,   936,   929,   630,   929,   628,   628,    57,   928,   628,
     628,    57,    57,   628,   628,    57,   628,    57,    57,   758,
      57,    57,    57,    57,    57,    57,    57,    57,   632,    57,
     628,    57,    57,    57,   632,    57,    57,   244,   632,   632,
     632,    57,   376,    57,    81,    85,   287,   774,   875,   777,
      65,    85,   140,   169,   170,   240,   242,   244,   314,   320,
     371,   381,   382,   388,   400,   407,   412,   419,   774,   941,
      85,    99,   169,   170,   241,   761,   771,   872,   946,   947,
     949,    85,   145,   174,   255,   439,   440,   703,   771,   954,
     628,   628,    85,   168,   173,   278,   402,   450,   467,   469,
     473,   477,   478,   969,   976,   979,   700,   189,   781,   632,
      57,    85,    98,   168,   514,   515,   517,   522,   525,   771,
     778,  1011,    85,   168,   476,   530,   771,   778,  1047,    51,
      55,    85,   250,   331,   343,   374,   376,   543,   548,   550,
     771,   778,  1062,  1064,    53,  1080,    57,    57,   634,    53,
      19,  1085,  1086,    19,   654,   655,   628,   632,   632,    28,
      24,    84,    85,    88,    89,    90,    91,    92,    93,    94,
     113,   116,   117,   150,   152,   631,   738,   740,   747,   750,
     756,   859,  1087,   188,  1121,   628,    84,  1130,   733,   733,
      22,    37,    37,    83,    59,    83,   679,   680,   745,   745,
     745,   745,   745,   745,    38,   718,   745,   718,    38,   718,
     718,    83,   745,   745,    19,    19,   744,   803,   806,    54,
      21,    22,    24,   830,   830,     6,     6,     6,     6,   657,
     657,    21,    22,    24,   636,   637,   653,     6,     6,    19,
     758,   758,   758,   658,     6,   658,     6,     6,     6,   695,
     695,   707,   695,   708,   711,   712,   713,   748,   750,   630,
      57,    59,    83,    59,    19,    85,    85,   233,   251,   801,
     632,   632,   251,   254,   255,    57,    28,   658,   788,   790,
     801,    57,   630,   869,   871,    44,   174,   298,    57,   893,
     898,   159,    57,   908,   909,   915,   909,   916,   633,   920,
     336,   338,    57,    83,    57,    57,    98,   230,   296,   422,
     424,   426,   429,   931,   932,    57,   391,   632,   628,    57,
      57,    57,    57,    57,   632,    57,    57,    57,    85,   922,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
      57,   192,    57,    57,    57,   632,   288,   292,   631,    57,
     308,   390,   174,   174,   396,   174,   192,    65,   628,   372,
     174,   167,   383,   632,   632,   408,   632,   632,   140,   314,
      57,    23,   436,   436,   436,   437,   776,    57,   701,    28,
     779,   628,   657,   140,    57,   988,   994,   320,   452,   477,
     632,   971,   320,   632,   970,   247,   651,   972,   973,   479,
     632,    57,   481,   989,   190,   191,   192,   193,    24,   637,
     650,  1025,  1030,  1016,  1024,  1012,  1013,   650,   177,   526,
      57,  1050,  1056,   632,   628,    57,   628,   533,   533,   361,
     194,  1063,    55,  1063,   659,  1065,    72,   547,  1066,  1063,
      57,   628,   655,    83,    39,   709,   710,   736,   736,    58,
     745,   745,   745,   751,    58,    58,    31,    57,    31,   736,
      42,    31,   628,  1129,    39,    37,   745,   745,    51,    62,
      63,    64,    65,    67,    68,    69,    72,    74,    75,    80,
      81,    85,   665,   666,   667,   668,   669,   677,    85,   666,
     667,   668,   669,   678,    83,    83,    59,    59,    59,    59,
      59,    83,    10,    59,    83,    59,    83,    10,    59,    83,
      83,    19,    58,    22,     6,     6,   630,   105,   704,   630,
      85,   712,    57,    19,    57,   252,   252,   628,   629,   653,
      74,    85,   291,   868,    24,    58,   740,   859,   887,   888,
     779,   884,   792,   160,   167,   179,   180,   328,   907,   792,
      84,   914,    40,   330,   917,   632,   339,   628,   188,   432,
     428,   142,   425,   427,   430,   431,    83,    85,    57,    57,
      57,    57,    85,   197,   198,   199,   227,   244,   250,   323,
     326,   327,   332,   807,   808,   810,   811,   812,   921,   632,
      57,   289,   290,   631,    98,   172,   289,   293,   874,   194,
     347,   361,   369,   324,   325,   632,   632,   632,   244,   397,
     779,   632,   308,   347,   373,   374,   940,   779,   390,    65,
      58,   156,   721,   952,   952,   952,    23,   777,   348,   791,
     990,   628,   628,   632,    84,   628,    84,   758,    84,   628,
     628,    84,    84,  1029,   792,    84,   633,  1031,  1036,    28,
      84,  1037,  1042,   632,    70,   792,   188,   628,   628,   633,
     628,    74,   628,  1064,  1067,  1072,   628,  1085,    19,    85,
     708,    57,    57,   631,   859,    57,   114,    84,    24,   695,
     749,   755,   755,   745,   745,    57,   754,   745,    85,   509,
    1128,    19,    37,    59,    59,    66,    70,    71,    73,    11,
      12,    13,    31,    32,    33,   119,   120,   628,   663,   670,
     671,   672,    41,   673,   674,   674,   676,    24,   636,   649,
      57,   670,   673,   676,   650,    57,   745,   745,    38,   718,
      38,   718,    38,   718,    10,    38,   718,    38,   718,    85,
     737,    57,    59,    31,    57,    59,   629,   629,   628,   628,
      57,   745,    83,   704,    84,   897,   632,   914,   913,   910,
     630,   657,   331,   918,   324,    57,   423,   281,   932,   924,
     632,    84,   324,   325,   325,   629,   628,   171,   207,   333,
     334,   912,    28,    29,    58,   661,   662,   739,   746,    84,
     815,    57,    57,   398,   399,   632,   939,   939,   633,   421,
     192,   252,   632,   632,   308,   721,   725,   632,   991,    84,
     993,   981,   981,   974,   977,  1028,  1027,    84,  1023,  1032,
    1038,   628,    84,  1055,   628,   632,    84,  1068,    84,    59,
      59,   750,   730,   630,    86,   745,    24,   740,   756,   859,
      57,    57,   743,    57,   633,    57,    10,   628,    14,    15,
     664,    83,    15,    83,   664,   628,    76,    77,    78,    79,
     675,    83,   664,    82,    59,    59,    59,    59,    59,    83,
      10,    59,    59,    59,    83,    58,    59,    10,    59,    59,
      10,    59,    59,   745,    59,   888,   896,   894,   910,    85,
     199,   250,   323,   326,   327,   332,   807,   911,   633,   328,
     919,   632,   809,   810,   326,   326,   326,   209,   210,   207,
     745,    54,    92,   160,   200,   206,   225,   813,   632,   628,
     632,    83,   157,   989,   992,    85,   651,   982,   983,    85,
      85,   278,   320,   468,   975,    85,   245,   302,   332,   453,
     454,   455,   807,   978,    85,   135,   508,   509,   512,   513,
    1026,  1022,  1021,  1035,  1041,   527,  1054,  1051,  1069,  1071,
    1073,    57,    57,   115,     9,    85,   715,   717,   719,   721,
     722,   724,   727,   752,   755,   755,    57,   628,   672,   663,
     671,   674,   674,    39,   674,   674,    19,    38,   718,    38,
     718,   718,    10,   718,    57,    51,    65,    70,    85,   188,
     246,   301,   302,   303,   314,   316,   318,   324,   325,   332,
     807,   895,   632,   324,   325,   325,   629,   628,   912,    57,
     632,    85,    57,   629,   629,   629,   209,   210,    59,    28,
     656,    54,   200,   628,   656,   207,   208,   214,   215,   216,
     217,   814,    54,   200,    85,   721,    70,    85,   245,   246,
     247,   283,   302,   307,   320,   322,   324,   325,   332,   335,
     385,   450,   453,   454,   455,   461,   466,   476,   482,   807,
     980,   468,   474,   984,   632,   628,   632,    57,   628,   628,
     171,   333,   464,   628,   321,   220,   628,    57,   632,   511,
     511,   632,   632,    57,    55,    85,    98,   173,   241,   247,
     250,   497,   499,   500,   504,   505,   507,   514,   515,   525,
    1017,    85,   511,   516,  1033,    85,   287,   511,  1039,    29,
     660,   662,    51,    85,   199,   246,   300,   303,   322,   324,
     325,   332,   361,   385,   453,   476,   493,   531,   532,   533,
     534,   536,   539,   807,  1052,    85,   197,   332,  1070,    85,
     543,   544,   549,  1074,   750,   709,    10,    83,   155,   745,
      59,    83,   628,   628,   628,   628,   675,   675,    59,    59,
      59,    83,    59,    58,    59,   628,   308,   304,   305,   315,
     628,   247,   628,   326,   326,    65,    55,   250,   317,   320,
     319,   306,    74,    75,   236,   307,   795,   171,   312,    57,
     326,   326,   326,   809,    57,   656,   656,    57,    57,   209,
     210,   211,   212,   213,   209,   210,   211,   212,   213,    57,
     656,   656,   815,   456,   457,   458,   459,   460,   461,   462,
     463,   628,   247,   484,    84,   628,   628,   628,   632,   306,
      74,   307,   795,   171,   333,   464,   458,   386,   632,   628,
     321,   220,   628,   361,   483,   628,   132,   456,    57,   628,
      57,   628,   628,   628,   628,   496,   502,  1030,   136,   511,
     136,   502,   511,   503,   321,   496,   496,   632,   501,   252,
     506,   308,   331,  1018,   331,  1019,   526,    57,  1034,   510,
     628,  1043,  1031,    57,  1040,  1037,  1043,    57,   628,   632,
     247,   337,   628,   252,   632,   306,    74,   307,   795,   171,
     209,   464,   538,  1053,   633,   386,   252,   132,   395,   456,
     252,   252,   470,   628,   535,   537,   540,    57,   657,   171,
     209,    57,  1075,   546,   545,   657,    57,   717,   724,   709,
     753,    57,   745,    39,    39,   718,   718,   179,   180,   632,
     629,   629,   308,   629,   629,   628,   628,   632,   628,   628,
     628,   628,   628,   313,   629,   629,   629,   813,    57,    57,
     813,   813,   813,    57,    57,   632,   485,   985,   471,   472,
     628,   628,   628,   632,   325,   632,   628,   628,   632,   632,
     628,   632,   518,  1044,  1044,   326,   252,   519,   520,   521,
    1020,   628,  1020,   252,   628,   628,   628,   326,   498,   632,
     628,   628,   188,   632,  1036,   632,  1042,    70,   331,   628,
     632,   632,   628,   628,   628,   628,   325,   632,   629,   628,
     628,   628,   632,   632,   632,   632,   198,   198,   118,    59,
     628,   628,    59,    83,   633,   633,   632,   813,   813,   813,
     813,   632,    85,   633,   987,   470,   632,   628,   628,  1044,
     628,  1044,   628,   632,   628,   628,   632,   470,   657,   657,
     750,    57,   718,   465,   986,   527,    83,    57,   660,   718,
      59
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   619,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   688,   688,   688,   688,   688,   688,   688,   688,
     688,   688,   624,   624,   625,   625,   626,   626,   627,   628,
     628,   628,   629,   629,   629,   630,   630,   630,   631,   632,
     632,   632,   632,   632,   632,   633,   633,   633,   634,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   645,   646,   646,   647,   647,   648,   648,   648,   648,
     648,   648,   648,   649,   649,   650,   650,   651,   651,   652,
     652,   653,   653,   653,   653,   653,   654,   655,   655,   656,
     657,   657,   658,   658,   659,   659,   659,   659,   659,   660,
     660,   661,   661,   661,   662,   662,   662,   663,   663,   663,
     663,   663,   663,   663,   663,   664,   664,   665,   665,   665,
     665,   665,   665,   665,   665,   665,   665,   666,   667,   668,
     669,   669,   670,   670,   670,   670,   671,   671,   672,   672,
     673,   673,   673,   674,   674,   675,   675,   675,   675,   676,
     676,   676,   677,   677,   677,   677,   678,   678,   678,   678,
     678,   679,   679,   680,   680,   681,   682,   683,   684,   685,
     686,   686,   620,   621,   620,   622,   620,   623,   626,   690,
     689,   626,   691,   626,   692,   626,   693,   626,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   701,   702,   701,
     703,   704,   626,   706,   707,   705,   708,   708,   710,   709,
     711,   711,   712,   713,   713,   714,   714,   715,   715,   715,
     715,   715,   716,   716,   717,   718,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   720,   720,   720,   720,
     721,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   723,   723,   723,   723,   723,   724,   724,   724,   724,
     724,   725,   725,   726,   726,   727,   727,   728,   728,   728,
     728,   729,   729,   730,   730,   730,   731,   731,   732,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   736,   736,   736,   737,   738,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   742,   741,   743,   744,   743,   743,
     743,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   746,   747,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   751,
     752,   753,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   754,   750,   750,   750,   755,   756,
     756,   756,   626,   757,   757,   758,   758,   758,   758,   626,
     759,   626,   760,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   762,   762,   626,   763,   764,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   626,   769,   769,   770,   770,   770,   770,   771,   771,
     771,   771,   771,   771,   771,   771,   772,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   778,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   782,   782,   626,   783,   783,   783,
     783,   626,   784,   785,   785,   785,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   787,   788,   788,   789,   789,
     790,   791,   791,   792,   793,   794,   795,   795,   796,   797,
     798,   798,   798,   798,   798,   799,   800,   801,   801,   801,
     802,   802,   803,   803,   803,   803,   803,   803,   804,   804,
     804,   805,   805,   806,   806,   807,   808,   808,   809,   809,
     810,   810,   811,   811,   812,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   815,   816,
     620,   817,   620,   818,   620,   819,   620,   820,   821,   821,
     620,   822,   620,   823,   620,   824,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   827,   827,   827,   828,   828,   828,   828,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   830,   620,   831,   832,   832,   832,   832,   832,   832,
     832,   620,   833,   620,   834,   620,   835,   620,   836,   620,
     837,   620,   838,   620,   839,   620,   840,   620,   841,   620,
     842,   620,   843,   844,   844,   844,   845,   845,   620,   846,
     620,   847,   620,   848,   620,   849,   620,   850,   620,   851,
     620,   852,   853,   853,   620,   854,   620,   855,   620,   856,
     857,   857,   857,   858,   858,   858,   859,   859,   859,   859,
     859,   626,   860,   861,   862,   863,   863,   864,   864,   865,
     866,   867,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   876,   876,   877,   877,   879,   878,   880,   880,   880,
     880,   620,   881,   796,   882,   883,   883,   883,   883,   884,
     883,   885,   885,   886,   887,   887,   888,   888,   888,   888,
     796,   903,   904,   904,   904,   904,   904,   904,   904,   905,
     905,   906,   907,   907,   907,   907,   908,   908,   909,   910,
     911,   911,   911,   911,   911,   911,   911,   911,   912,   912,
     912,   912,   912,   912,   913,   913,   914,   914,   915,   916,
     917,   917,   917,   918,   918,   919,   919,   920,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   922,   922,   923,
     924,   816,   620,   925,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   796,   889,   890,   890,   890,   890,
     891,   891,   892,   893,   894,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   896,   896,   897,   897,   898,   859,   620,   899,   620,
     900,   620,   901,   620,   902,   796,   927,   928,   928,   928,
     929,   929,   929,   929,   929,   930,   930,   931,   931,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   933,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   935,   936,
     934,   934,   934,   934,   934,   937,   937,   937,   937,   937,
     937,   937,   937,   937,   937,   937,   937,   938,   939,   939,
     939,   940,   940,   940,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   942,   942,   943,   943,   944,   945,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   692,   745,   745,   796,   946,   947,   948,   949,   949,
     949,   949,   949,   949,   949,   949,   950,   950,   951,   952,
     952,   796,   953,   954,   954,   954,   954,   954,   954,   954,
     954,   955,   955,   956,   620,   957,   958,   958,   958,   958,
     958,   958,   796,   959,   959,   959,   960,   961,   961,   962,
     962,   963,   964,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   966,   967,
     968,   968,   969,   969,   969,   969,   969,   969,   969,   969,
     969,   970,   969,   971,   969,   969,   969,   969,   972,   972,
     973,   974,   974,   975,   975,   975,   976,   976,   977,   977,
     978,   978,   978,   978,   978,   978,   978,   978,   978,   978,
     978,   979,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   981,   981,   982,   983,   984,   984,   984,   985,   985,
     986,   986,   987,   988,   989,   989,   991,   990,   992,   992,
     993,   993,   994,   859,   859,   859,   859,   620,   995,   620,
     996,   620,   997,   620,   998,   620,   999,   620,  1000,   620,
    1001,   620,  1002,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,   796,  1004,  1005,  1005,  1005,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,   796,  1008,  1007,
    1009,  1009,  1009,  1009,   796,  1010,  1011,  1011,  1011,  1011,
    1012,  1011,  1013,  1011,  1011,  1011,  1011,  1014,  1014,  1015,
    1016,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1018,  1017,
    1019,  1017,  1017,  1017,  1017,  1017,  1020,  1020,  1020,  1021,
    1022,  1022,  1023,  1023,  1024,  1025,  1026,  1026,  1026,  1026,
    1026,  1027,  1028,  1028,  1029,  1029,  1030,  1031,  1032,  1033,
    1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,  1038,  1039,
    1039,  1039,  1040,  1041,  1041,  1042,  1042,  1043,  1043,  1044,
    1044,   859,   859,   796,  1045,  1045,  1046,  1047,  1047,  1047,
    1047,  1047,  1047,  1048,  1048,  1049,  1050,  1051,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1053,  1053,  1053,  1053,  1054,
    1054,  1055,  1055,  1056,   859,   859,   620,  1057,   620,  1058,
     796,  1059,  1060,  1061,  1061,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1063,  1063,
    1064,  1065,  1066,  1066,  1067,  1068,  1068,  1069,  1069,  1070,
    1070,  1070,  1071,  1072,  1073,  1073,  1074,  1074,  1074,  1075,
     796,  1076,  1077,  1077,  1077,  1077,  1077,  1077,  1077,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1079,  1079,  1080,  1080,
    1082,  1081,  1083,  1083,  1083,  1083,  1083,  1083,  1083,  1083,
    1083,  1084,  1083,  1083,  1085,  1086,  1086,  1087,  1088,  1088,
    1089,  1089,   620,  1090,  1091,  1092,  1092,  1092,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   626,   626,  1093,  1094,  1095,
    1095,  1096,  1096,  1097,  1097,  1097,  1097,  1098,  1099,  1099,
    1100,  1100,  1101,  1101,  1102,  1102,  1102,  1102,  1102,  1102,
    1102,  1102,  1102,   626,  1103,  1103,   626,  1104,  1105,  1105,
    1106,  1107,  1107,   626,  1108,  1108,  1108,  1108,   620,  1109,
     620,  1110,   620,  1111,   620,  1112,   620,  1113,   620,  1114,
     620,  1115,   620,  1116,  1117,  1117,  1118,  1118,  1118,   796,
    1119,  1091,  1091,  1120,  1120,  1121,  1121,  1122,  1122,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,   796,  1124,  1125,  1125,
    1126,  1126,  1126,  1127,  1128,  1129,  1129,  1130,  1130,  1131,
     859,   859
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     0,     2,
       2,     2,     3,     7,     2,     2,     5,     5,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     1,     0,
       4,     1,     2,     1,     4,     1,     6,     1,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     4,
       2,     5,     0,     4,     0,     2,     1,     1,     0,     2,
       2,     4,     1,     0,     0,     7,     0,     1,     0,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       6,     1,     3,     0,     4,     3,     1,     3,     3,     2,
       4,     3,     4,     2,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     1,
       5,     7,     7,     1,     0,     1,     3,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     4,     1,     0,     5,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     5,     7,     6,     6,
       6,     6,     4,     8,     8,     4,     1,     1,     4,     1,
       1,     1,     5,     3,     2,     1,     3,     4,     6,     0,
       0,     0,     9,     4,     3,     4,     4,     5,     5,     3,
       3,     3,     2,     5,     0,     5,     7,     9,     0,     1,
       1,     1,     1,     4,     5,     1,     3,     1,     1,     1,
       3,     1,     5,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     0,     1,
       2,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       3,     1,     4,     1,     1,     1,     1,     1,     3,     2,
       3,     3,     2,     3,     3,     0,     1,     2,     0,     1,
       3,     1,     3,     1,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     5,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     0,     3,
       5,     2,     1,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     5,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     3,     2,     2,     1,     4,     1,     2,     1,     3,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     0,     3,     0,     3,     0,
       3,     3,     2,     2,     0,     3,     0,     3,     0,     3,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     0,     3,     0,     3,     0,     2,     0,     2,     2,
       2,     1,     5,     1,     2,     1,     1,     3,     3,     0,
       4,     0,     3,     5,     1,     3,     3,     1,     1,     1,
       1,     2,     1,     2,     2,     2,     2,     3,     5,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     2,     4,
       4,     4,     2,     2,     1,     2,     1,     0,     3,     0,
       0,     5,     1,     5,     0,     2,     3,     3,     3,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     3,     4,
       4,     4,     2,     2,     3,     3,     3,     3,     3,     3,
       1,     0,     3,     0,     3,     4,     1,     1,     6,     1,
       6,     1,     6,     1,     6,     2,     2,     0,     3,     3,
       0,     3,     3,     2,     2,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       6,     3,     3,     4,     5,     6,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     6,     7,     5,     6,     5,     6,     8,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     6,     5,     5,
       6,     7,     7,     7,     5,     5,     4,     4,     0,     0,
       6,     6,     5,     5,     5,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     4,     4,     4,     4,     2,
       3,     2,     2,     2,     2,     3,     5,     5,     4,     5,
       3,     3,     3,     4,     3,     3,     2,     2,     2,     3,
       3,     0,     3,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     1,     1,     3,     2,     1,     1,
       1,     2,     3,     3,     3,     3,     0,     3,     5,     1,
       3,     1,     2,     1,     2,     2,     2,     1,     2,     2,
       4,     0,     3,     5,     1,     4,     0,     3,     3,     3,
       2,     3,     2,     1,     2,     2,     2,     3,     3,     0,
       1,     2,     3,     1,     1,     2,     2,     3,     3,     3,
       3,     4,     2,     4,     3,     2,     3,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     5,     2,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     2,     3,     2,     3,     3,     4,     4,     2,     2,
       2,     3,     3,     3,     2,     3,     3,     3,     4,     2,
       1,     0,     2,     3,     1,     0,     1,     2,     0,     2,
       0,     1,     3,     0,     0,     2,     0,     3,     0,     3,
       0,     3,     3,     1,     1,     1,     1,     1,     4,     1,
       6,     1,     6,     1,     6,     1,     7,     1,     6,     1,
       7,     1,     5,     0,     2,     3,     2,     3,     3,     2,
       3,     2,     2,     2,     3,     3,     3,     1,     3,     3,
       2,     3,     3,     2,     2,     2,     2,     2,     0,     4,
       2,     3,     3,     5,     1,     2,     1,     1,     2,     2,
       0,     3,     0,     3,     6,     2,     3,     0,     3,     5,
       0,     4,     4,     3,     4,     2,     3,     3,     3,     3,
       4,     4,     4,     3,     3,     4,     4,     2,     0,     3,
       0,     3,     6,     3,     3,     4,     1,     1,     1,     0,
       0,     3,     0,     3,     4,     1,     2,     2,     2,     4,
       4,     0,     0,     3,     0,     3,     3,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     0,     0,
       2,     2,     0,     0,     3,     1,     5,     1,     2,     0,
       2,     1,     1,     1,     1,     2,     2,     1,     1,     2,
       4,     2,     2,     0,     3,     5,     0,     0,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     3,     3,
       4,     3,     2,     2,     1,     1,     1,     1,     1,     0,
       3,     0,     3,     4,     1,     1,     1,     6,     1,     6,
       1,     2,     5,     0,     3,     1,     1,     2,     3,     1,
       3,     2,     3,     3,     3,     4,     3,     3,     0,     1,
       2,     1,     4,     6,     0,     0,     3,     0,     3,     2,
       2,     2,     0,     0,     0,     3,     4,     4,     2,     0,
       2,     2,     3,     3,     3,     3,     5,     5,     4,     3,
       2,     3,     3,     3,     3,     3,     1,     2,     0,     2,
       0,     4,     2,     3,     5,     1,     2,     2,     2,     2,
       2,     0,     4,     2,     1,     1,     3,     1,     0,     2,
       0,     3,     1,     4,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     5,     2,
       0,     0,     2,     2,     2,     1,     3,     1,     0,     2,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     4,     3,     1,     3,     5,     2,
       0,     0,     2,     1,     3,     4,     3,     3,     1,     4,
       1,     5,     1,     3,     1,     3,     1,     3,     1,     4,
       1,     2,     1,     3,     0,     1,     0,     1,     2,     2,
       2,     3,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 562: /* enum_type: NET_TYPE  */
#line 61 "conf/gen_parser.m4"
                    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 8271 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* enum_type: RTS  */
#line 61 "conf/gen_parser.m4"
                                                    { (yyval.i) = T_ENUM_RTS; }
#line 8277 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* enum_type: SCOPE  */
#line 61 "conf/gen_parser.m4"
                                                                                 { (yyval.i) = T_ENUM_SCOPE; }
#line 8283 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* enum_type: RTD  */
#line 61 "conf/gen_parser.m4"
                                                                                                              { (yyval.i) = T_ENUM_RTD; }
#line 8289 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* enum_type: ROA  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                         { (yyval.i) = T_ENUM_ROA; }
#line 8295 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* enum_type: ASPA  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                     { (yyval.i) = T_ENUM_ASPA; }
#line 8301 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* enum_type: AF  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                { (yyval.i) = T_ENUM_AF; }
#line 8307 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* enum_type: MPLS_POLICY  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                  { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 8313 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* enum_type: BGP_ORIGIN  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                            { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 8319 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* enum_type: RA_PREFERENCE  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                                                                        { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 8325 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* config: conf_entries END  */
#line 149 "conf/confbase.Y"
                         { return 0; }
#line 8331 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* config: CLI_MARKER cli_cmd  */
#line 150 "conf/confbase.Y"
                      { return 0; }
#line 8337 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* definition: DEFINE symbol '=' term ';'  */
#line 166 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 8347 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* expr: '(' term ')'  */
#line 175 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 8353 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* expr: symbol_known  */
#line 176 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 8361 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* expr_us: expr S  */
#line 182 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 8367 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* expr_us: expr MS  */
#line 183 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 8373 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* expr_us: expr US  */
#line 184 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 8379 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* bool: expr  */
#line 193 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 8385 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* bool: ON  */
#line 194 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 8391 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* bool: YES  */
#line 195 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 8397 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* bool: OFF  */
#line 196 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 8403 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* bool: NO  */
#line 197 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 8409 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* bool: %empty  */
#line 198 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 8415 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* ipa: IP4  */
#line 205 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8421 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* ipa: IP6  */
#line 206 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8427 "obj/conf/cf-parse.tab.c"
    break;

  case 597: /* ipa: CF_SYM_KNOWN  */
#line 207 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 8436 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* ipa_scope: %empty  */
#line 214 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 8442 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* ipa_scope: '%' symbol  */
#line 215 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8448 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* pxlen4: '/' NUM  */
#line 222 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 8457 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* net_ip4_: IP4 pxlen4  */
#line 229 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 8470 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* net_ip6_: IP6 '/' NUM  */
#line 239 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 8486 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 252 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 8508 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* net_vpn4_: VPN_RD net_ip4_  */
#line 271 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 8517 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* net_vpn6_: VPN_RD net_ip6_  */
#line 277 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].rd));
}
#line 8526 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 283 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8537 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 291 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8548 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* net_mpls_: MPLS NUM  */
#line 299 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8557 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* net_aspa_: ASPA NUM  */
#line 305 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 8566 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* net_: net_ip_  */
#line 315 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8572 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* net_ip4: CF_SYM_KNOWN  */
#line 329 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8582 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* net_ip6: CF_SYM_KNOWN  */
#line 338 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8592 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* net_ip: CF_SYM_KNOWN  */
#line 347 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8602 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* net_any: CF_SYM_KNOWN  */
#line 356 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8612 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* net_or_ipa: IP4  */
#line 366 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8618 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* net_or_ipa: IP6  */
#line 367 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8624 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* net_or_ipa: CF_SYM_KNOWN  */
#line 368 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8637 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* label_stack_start: NUM  */
#line 379 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8647 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* label_stack: label_stack '/' NUM  */
#line 387 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8658 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* time: TEXT  */
#line 396 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8668 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* text: CF_SYM_KNOWN  */
#line 405 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8677 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* opttext: %empty  */
#line 413 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 8683 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* text_or_ipa: TEXT  */
#line 417 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8689 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* text_or_ipa: IP4  */
#line 418 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8695 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* text_or_ipa: IP6  */
#line 419 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8701 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* text_or_ipa: CF_SYM_KNOWN  */
#line 420 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8713 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* text_or_ipa: '(' term ')'  */
#line 427 "conf/confbase.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8723 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* bytestring: bytestring_expr  */
#line 436 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8729 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* bytestring_text: BYTETEXT  */
#line 440 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8735 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* bytestring_text: TEXT  */
#line 441 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8741 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* bytestring_text: bytestring_expr  */
#line 442 "conf/confbase.Y"
                   {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8751 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* bytestring_expr: '(' term ')'  */
#line 452 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8757 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 8763 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 8769 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 8775 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 8781 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 8787 "obj/conf/cf-parse.tab.c"
    break;

  case 662: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 8793 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 8799 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 8805 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 8811 "obj/conf/cf-parse.tab.c"
    break;

  case 666: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 8817 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8823 "obj/conf/cf-parse.tab.c"
    break;

  case 668: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8829 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8835 "obj/conf/cf-parse.tab.c"
    break;

  case 670: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8841 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8847 "obj/conf/cf-parse.tab.c"
    break;

  case 672: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8853 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8859 "obj/conf/cf-parse.tab.c"
    break;

  case 674: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8865 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8871 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8877 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8883 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8889 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8895 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8901 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8907 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8916 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8925 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8934 "obj/conf/cf-parse.tab.c"
    break;

  case 687: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8945 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8954 "obj/conf/cf-parse.tab.c"
    break;

  case 691: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8963 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8972 "obj/conf/cf-parse.tab.c"
    break;

  case 693: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 8978 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 8984 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 8990 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 8996 "obj/conf/cf-parse.tab.c"
    break;

  case 697: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 9002 "obj/conf/cf-parse.tab.c"
    break;

  case 698: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 9008 "obj/conf/cf-parse.tab.c"
    break;

  case 699: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 9016 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 9024 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 9032 "obj/conf/cf-parse.tab.c"
    break;

  case 702: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 9041 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 9050 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 9061 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 9072 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 9078 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 9084 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 9093 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 9102 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* $@1: %empty  */
#line 402 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 9112 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* filter_def: FILTER symbol $@1 filter_body  */
#line 406 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 9124 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* filter_eval: EVAL term  */
#line 417 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 9130 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 421 "filter/config.Y"
                                       {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 9138 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* bt_test_suite: BT_TEST_SUITE '(' symbol_known ',' text ')'  */
#line 427 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 9152 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* bt_test_same: BT_TEST_SAME '(' symbol_known ',' symbol_known ',' NUM ')'  */
#line 440 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 9168 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* type: INT  */
#line 454 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 9174 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* type: BOOL  */
#line 455 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 9180 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* type: IP  */
#line 456 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 9186 "obj/conf/cf-parse.tab.c"
    break;

  case 742: /* type: RD  */
#line 457 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 9192 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* type: PREFIX  */
#line 458 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 9198 "obj/conf/cf-parse.tab.c"
    break;

  case 744: /* type: PAIR  */
#line 459 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 9204 "obj/conf/cf-parse.tab.c"
    break;

  case 745: /* type: QUAD  */
#line 460 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 9210 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* type: EC  */
#line 461 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 9216 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* type: LC  */
#line 462 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 9222 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* type: STRING  */
#line 463 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 9228 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* type: BYTESTRING  */
#line 464 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 9234 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* type: BGPMASK  */
#line 465 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 9240 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* type: BGPPATH  */
#line 466 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 9246 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* type: CLIST  */
#line 467 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 9252 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* type: ECLIST  */
#line 468 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 9258 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* type: LCLIST  */
#line 469 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 9264 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* type: ROUTE  */
#line 470 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 9270 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* type: type SET  */
#line 471 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 9296 "obj/conf/cf-parse.tab.c"
    break;

  case 757: /* type: ENUM enum_type  */
#line 492 "filter/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 9302 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* function_argsn: %empty  */
#line 496 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 9308 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* function_argsn: function_argsn type symbol ';'  */
#line 497 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9319 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* function_args: '(' ')'  */
#line 506 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 9325 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* function_args: '(' function_argsn type symbol ')'  */
#line 507 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9335 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* function_vars: %empty  */
#line 515 "filter/config.Y"
               { (yyval.i) = 0; }
#line 9341 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* function_vars: function_vars type symbol ';'  */
#line 516 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 9350 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* function_type: %empty  */
#line 523 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 9356 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* function_type: IMP type  */
#line 524 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 9362 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* filter: symbol_known  */
#line 530 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 9371 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* $@2: %empty  */
#line 534 "filter/config.Y"
   {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 9380 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* filter: $@2 filter_body  */
#line 537 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 9392 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* where_filter: WHERE term  */
#line 547 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 9401 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* function_body: function_vars '{' cmds '}'  */
#line 554 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 9410 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* $@3: %empty  */
#line 563 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 9420 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* $@4: %empty  */
#line 567 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 9442 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* function_def: FUNCTION symbol $@3 function_args function_type $@4 function_body  */
#line 583 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 9454 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* cmds: %empty  */
#line 594 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 9460 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* cmds: cmds_int  */
#line 595 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 9466 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* $@5: %empty  */
#line 598 "filter/config.Y"
             { cf_push_soft_scope(new_config); }
#line 9472 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* cmds_scoped: $@5 cmds  */
#line 598 "filter/config.Y"
                                                      { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 9478 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* cmd_prep: cmd_var  */
#line 602 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 9489 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* cmds_int: cmds_int cmd_prep  */
#line 611 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 9505 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* fipa: IP4  */
#line 628 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 9511 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* fipa: IP6  */
#line 629 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9517 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* set_atom0: NUM  */
#line 642 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9523 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* set_atom0: fipa  */
#line 643 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 9529 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* set_atom0: VPN_RD  */
#line 644 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.rd = (yyvsp[0].rd); }
#line 9535 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* set_atom0: ENUM_TOKEN  */
#line 645 "filter/config.Y"
              { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9541 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* set_atom0: '(' term ')'  */
#line 646 "filter/config.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 9551 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* set_atom: symbol_known  */
#line 655 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9562 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* cnum: term  */
#line 668 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9568 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* pair_item: '(' cnum ',' cnum ')'  */
#line 671 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9574 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 672 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9580 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* pair_item: '(' cnum ',' '*' ')'  */
#line 673 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9586 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 674 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9592 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 675 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9598 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 676 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9604 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* pair_item: '(' '*' ',' cnum ')'  */
#line 677 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9610 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 678 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9616 "obj/conf/cf-parse.tab.c"
    break;

  case 804: /* pair_item: '(' '*' ',' '*' ')'  */
#line 679 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9622 "obj/conf/cf-parse.tab.c"
    break;

  case 805: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 681 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9628 "obj/conf/cf-parse.tab.c"
    break;

  case 806: /* ec_kind: RT  */
#line 685 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 9634 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* ec_kind: RO  */
#line 686 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 9640 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* ec_kind: UNKNOWN NUM  */
#line 687 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 9646 "obj/conf/cf-parse.tab.c"
    break;

  case 809: /* ec_kind: GENERIC  */
#line 688 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 9652 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 692 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9658 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 693 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9664 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 694 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9670 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 698 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9676 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 699 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9682 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 700 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9688 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 701 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9694 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 702 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9700 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 703 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9706 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 704 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9712 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 706 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9718 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* set_item: set_atom  */
#line 713 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9724 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* set_item: set_atom DDOT set_atom  */
#line 714 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9730 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* switch_item: switch_atom  */
#line 721 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9736 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* switch_item: switch_atom DDOT switch_atom  */
#line 722 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9742 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* ec_items: ec_items ',' ec_item  */
#line 727 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9748 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* set_items: set_items ',' set_item  */
#line 732 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9754 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* switch_items: switch_items ',' switch_item  */
#line 737 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9760 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* fprefix: net_ip_  */
#line 741 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9766 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* fprefix: net_ip_ '+'  */
#line 742 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9772 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* fprefix: net_ip_ '-'  */
#line 743 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9778 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 744 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9788 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* fprefix_set: fprefix  */
#line 752 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9794 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* fprefix_set: fprefix_set ',' fprefix  */
#line 753 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9800 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* switch_body: %empty  */
#line 756 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 9806 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 757 "filter/config.Y"
                                            {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9818 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 764 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9830 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_path_expr: symbol_value  */
#line 774 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 9836 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_path_expr: '(' term ')'  */
#line 775 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 9842 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_path: PO bgp_path_tail PC  */
#line 779 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 9848 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_path_tail: NUM bgp_path_tail  */
#line 783 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9854 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 784 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9860 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 785 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9866 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 786 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9875 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_path_tail: '*' bgp_path_tail  */
#line 790 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9881 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_path_tail: '?' bgp_path_tail  */
#line 791 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9887 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_path_tail: '+' bgp_path_tail  */
#line 792 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9893 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 793 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9899 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_path_tail: %empty  */
#line 794 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 9905 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* constant: NUM  */
#line 798 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9911 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* constant: TRUE  */
#line 799 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9917 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* constant: FALSE  */
#line 800 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9923 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* constant: TEXT  */
#line 801 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9929 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* constant: BYTETEXT  */
#line 802 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9935 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* constant: fipa  */
#line 803 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9941 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* constant: VPN_RD  */
#line 804 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.rd = (yyvsp[0].rd), }); }
#line 9947 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* constant: net_  */
#line 805 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9953 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* constant: '[' ']'  */
#line 806 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9959 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* constant: '[' set_items ']'  */
#line 807 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9969 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* constant: '[' fprefix_set ']'  */
#line 812 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9975 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* constant: ENUM_TOKEN  */
#line 813 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9981 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* constructor: '(' term ',' term ')'  */
#line 817 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9987 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 818 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9993 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* constructor: '(' term ',' term ',' term ')'  */
#line 819 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9999 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* constructor: bgp_path  */
#line 820 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 10005 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* var_list_r: %empty  */
#line 826 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 10011 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* var_list_r: term  */
#line 827 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 10017 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* var_list_r: var_list_r ',' term  */
#line 828 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 10023 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* var_list: var_list_r  */
#line 832 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 10040 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* function_call: symbol_known '(' var_list ')'  */
#line 848 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 10051 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* symbol_value: symbol_known  */
#line 857 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 10071 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* static_attr: FROM  */
#line 875 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 10077 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* static_attr: GW  */
#line 876 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 10083 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* static_attr: NET  */
#line 877 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 10089 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* static_attr: PROTO  */
#line 878 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 10095 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* static_attr: SOURCE  */
#line 879 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 10101 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* static_attr: SCOPE  */
#line 880 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 10107 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* static_attr: DEST  */
#line 881 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 10113 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* static_attr: IFNAME  */
#line 882 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 10119 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* static_attr: IFINDEX  */
#line 883 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 10125 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* static_attr: WEIGHT  */
#line 884 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 10131 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* static_attr: PREFERENCE  */
#line 885 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 10137 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* static_attr: GW_MPLS  */
#line 886 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 10143 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* static_attr: GW_MPLS_STACK  */
#line 887 "filter/config.Y"
                 { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 10149 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* static_attr: ONLINK  */
#line 888 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 10155 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* $@6: %empty  */
#line 891 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 10161 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* term_dot_method: term '.' $@6 method_name_cont  */
#line 891 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 10167 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 893 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 10175 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* $@7: %empty  */
#line 896 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 10183 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* method_name_cont: CF_SYM_METHOD_ARGS $@7 '(' var_list ')'  */
#line 898 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 10191 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* method_name_cont: static_attr  */
#line 901 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 10201 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* method_name_cont: dynamic_attr  */
#line 906 "filter/config.Y"
                {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 10211 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* term: '(' term ')'  */
#line 914 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 10217 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* term: term '+' term  */
#line 915 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10223 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* term: term '-' term  */
#line 916 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10229 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* term: term '*' term  */
#line 917 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10235 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* term: term '/' term  */
#line 918 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10241 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* term: term AND term  */
#line 919 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10247 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* term: term OR term  */
#line 920 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10253 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* term: term '=' term  */
#line 921 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10259 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* term: term NEQ term  */
#line 922 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10265 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* term: term '<' term  */
#line 923 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10271 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* term: term LEQ term  */
#line 924 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10277 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* term: term '>' term  */
#line 925 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10283 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* term: term GEQ term  */
#line 926 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10289 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* term: term '~' term  */
#line 927 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10295 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* term: term NMA term  */
#line 928 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10301 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* term: '!' term  */
#line 929 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 10307 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* term: DEFINED '(' term ')'  */
#line 930 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 10313 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* term: symbol_value  */
#line 932 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 10319 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* term: constant  */
#line 933 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 10325 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* term: constructor  */
#line 934 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 10331 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* term: static_attr  */
#line 936 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 10337 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* term: dynamic_attr  */
#line 938 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 10343 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* term: '+' EMPTY '+'  */
#line 942 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 10349 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* term: '-' EMPTY '-'  */
#line 943 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 10355 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* term: '-' '-' EMPTY '-' '-'  */
#line 944 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 10361 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 945 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 10367 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* term: PREPEND '(' term ',' term ')'  */
#line 947 "filter/config.Y"
                                 { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10373 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* term: ADD '(' term ',' term ')'  */
#line 948 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10379 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* term: DELETE '(' term ',' term ')'  */
#line 949 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10385 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* term: FILTER '(' term ',' term ')'  */
#line 950 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10391 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* term: ROA_CHECK '(' rtable ')'  */
#line 952 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 10397 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 953 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10403 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* term: ASPA_CHECK '(' rtable ',' term ',' term ')'  */
#line 954 "filter/config.Y"
                                               { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10409 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* term: FORMAT '(' term ')'  */
#line 956 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 10415 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* term_bs: FROM_HEX '(' term ')'  */
#line 963 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 10421 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* break_command: ACCEPT  */
#line 967 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 10427 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* break_command: REJECT  */
#line 968 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 10433 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* break_command: ERROR  */
#line 969 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 10439 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* var: type symbol '=' term ';'  */
#line 973 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 10448 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* var: type symbol ';'  */
#line 977 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 10457 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* for_var: type symbol  */
#line 984 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 10463 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* for_var: CF_SYM_KNOWN  */
#line 985 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 10469 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* cmd: '{' cmds_scoped '}'  */
#line 989 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 10477 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* cmd: IF term THEN cmd  */
#line 992 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 10485 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* cmd: IF term THEN cmd ELSE cmd  */
#line 995 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 10493 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* $@8: %empty  */
#line 998 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 10503 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* $@9: %empty  */
#line 1004 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 10509 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* $@10: %empty  */
#line 1006 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10515 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* cmd: FOR $@8 for_var IN $@9 term $@10 DO cmd  */
#line 1007 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10524 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* cmd: symbol_known '=' term ';'  */
#line 1011 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10541 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* cmd: RETURN term ';'  */
#line 1023 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10562 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* cmd: dynamic_attr '=' term ';'  */
#line 1039 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10570 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* cmd: static_attr '=' term ';'  */
#line 1042 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10580 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 1047 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10588 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* cmd: UNSET '(' symbol_known ')' ';'  */
#line 1050 "filter/config.Y"
                                  {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10602 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* cmd: break_command var_list_r ';'  */
#line 1059 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10610 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* cmd: PRINT var_list_r ';'  */
#line 1062 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10618 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* cmd: PRINTN var_list_r ';'  */
#line 1065 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10626 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* cmd: function_call ';'  */
#line 1068 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10632 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* cmd: CASE term '{' switch_body '}'  */
#line 1069 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10640 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* $@11: %empty  */
#line 1072 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10648 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* cmd: lvalue '.' $@11 method_name_cont ';'  */
#line 1074 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10657 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1078 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10663 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1079 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10669 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* get_cf_position: %empty  */
#line 1083 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 10677 "obj/conf/cf-parse.tab.c"
    break;

  case 969: /* lvalue: CF_SYM_KNOWN  */
#line 1088 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10695 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* lvalue: static_attr  */
#line 1101 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10701 "obj/conf/cf-parse.tab.c"
    break;

  case 971: /* lvalue: dynamic_attr  */
#line 1102 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10707 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* rtrid: ROUTER ID idval ';'  */
#line 170 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 10713 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 171 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 10719 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* idval: NUM  */
#line 175 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 10725 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* idval: '(' term ')'  */
#line 176 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10731 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* idval: IP4  */
#line 177 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10737 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* idval: CF_SYM_KNOWN  */
#line 178 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10750 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* hostname_override: HOSTNAME text ';'  */
#line 190 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 10756 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 194 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 10762 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* net_type_base: IPV4  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 10768 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* net_type_base: IPV6  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 10774 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* net_type_base: IPV6 SADR  */
#line 202 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 10780 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* net_type_base: VPN4  */
#line 203 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 10786 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* net_type_base: VPN6  */
#line 204 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 10792 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* net_type_base: ROA4  */
#line 205 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 10798 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* net_type_base: ROA6  */
#line 206 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 10804 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* net_type_base: FLOW4  */
#line 207 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 10810 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* net_type_base: FLOW6  */
#line 208 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 10816 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* net_type_base: ASPA  */
#line 209 "nest/config.Y"
        { (yyval.i) = NET_ASPA; }
#line 10822 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* net_type: MPLS  */
#line 214 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 10828 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* table_start: net_type TABLE symbol  */
#line 224 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10836 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* table_sorted: SORTED  */
#line 231 "nest/config.Y"
          { this_table->sorted = 1; }
#line 10842 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* table_opt: SORTED bool  */
#line 235 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 10848 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* table_opt: DEBUG debug_mask  */
#line 236 "nest/config.Y"
                    { this_table->debug = (yyvsp[0].i); }
#line 10854 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* table_opt: TRIE bool  */
#line 237 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10864 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* table_opt: MIN SETTLE TIME expr_us  */
#line 242 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 10870 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* table_opt: MAX SETTLE TIME expr_us  */
#line 243 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 10876 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* table_opt: GC THRESHOLD expr  */
#line 244 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 10882 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* table_opt: GC PERIOD expr_us  */
#line 245 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10888 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* conf: proto  */
#line 261 "nest/config.Y"
            { proto_postconfig(); }
#line 10894 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* proto_start: PROTOCOL  */
#line 264 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 10900 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* proto_start: TEMPLATE  */
#line 265 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 10906 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* proto_name: %empty  */
#line 269 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10917 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* proto_name: symbol  */
#line 275 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10926 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* proto_name: FROM CF_SYM_KNOWN  */
#line 279 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10941 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 289 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10954 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* proto_item: DISABLED bool  */
#line 301 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 10960 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* proto_item: DEBUG debug_mask  */
#line 302 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 10966 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* proto_item: MRTDUMP mrtdump_mask  */
#line 303 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 10972 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* proto_item: ROUTER ID idval  */
#line 304 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 10978 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* proto_item: DESCRIPTION text  */
#line 305 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 10984 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* proto_item: VRF text  */
#line 306 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10990 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* proto_item: VRF DEFAULT  */
#line 307 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10996 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* channel_start: net_type_base  */
#line 312 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 11004 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* channel_item_: TABLE rtable  */
#line 317 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 11014 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* channel_item_: IMPORT imexport  */
#line 322 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 11020 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* channel_item_: EXPORT imexport  */
#line 323 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 11026 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 324 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 11032 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 325 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 11038 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 326 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 11044 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* channel_item_: PREFERENCE expr  */
#line 327 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 11050 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 328 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 11056 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* channel_item_: RPKI RELOAD bool  */
#line 329 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 11062 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* channel_item: DEBUG debug_mask  */
#line 335 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 11068 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* channel_end: %empty  */
#line 349 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11079 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* rtable: CF_SYM_KNOWN  */
#line 359 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 11085 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* imexport: FILTER filter  */
#line 362 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 11091 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* imexport: ALL  */
#line 364 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 11097 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* imexport: NONE  */
#line 365 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 11103 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* limit_action: %empty  */
#line 369 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 11109 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* limit_action: ACTION WARN  */
#line 370 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 11115 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* limit_action: ACTION BLOCK  */
#line 371 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 11121 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* limit_action: ACTION RESTART  */
#line 372 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 11127 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* limit_action: ACTION DISABLE  */
#line 373 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 11133 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* limit_spec: expr limit_action  */
#line 377 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 11139 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* limit_spec: OFF  */
#line 378 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 11145 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 385 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 11151 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 386 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 11157 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* debug_default: DEBUG TABLES debug_mask  */
#line 387 "nest/config.Y"
                           { new_config->table_default_debug = (yyvsp[0].i); }
#line 11163 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* debug_default: DEBUG COMMANDS expr  */
#line 388 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 11169 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* timeformat_base: TIMEFORMAT timeformat_which timeformat_spec ';'  */
#line 396 "nest/config.Y"
                                                   { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 11175 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* timeformat_which: ROUTE  */
#line 400 "nest/config.Y"
         { (yyval.tfp) = &new_config->tf_route; }
#line 11181 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* timeformat_which: PROTOCOL  */
#line 401 "nest/config.Y"
            { (yyval.tfp) = &new_config->tf_proto; }
#line 11187 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* timeformat_which: BASE  */
#line 402 "nest/config.Y"
        { (yyval.tfp) = &new_config->tf_base; }
#line 11193 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* timeformat_which: LOG  */
#line 403 "nest/config.Y"
       { (yyval.tfp) = &new_config->tf_log; }
#line 11199 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* timeformat_spec: TEXT  */
#line 407 "nest/config.Y"
        { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 11205 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* timeformat_spec: TEXT expr TEXT  */
#line 408 "nest/config.Y"
                  { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 11211 "obj/conf/cf-parse.tab.c"
    break;

  case 1069: /* timeformat_spec: ISO SHORT  */
#line 409 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_S; }
#line 11217 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* timeformat_spec: ISO SHORT MS  */
#line 410 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 11223 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* timeformat_spec: ISO SHORT US  */
#line 411 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_US; }
#line 11229 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* timeformat_spec: ISO LONG  */
#line 412 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_S; }
#line 11235 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* timeformat_spec: ISO LONG MS  */
#line 413 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_MS; }
#line 11241 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* timeformat_spec: ISO LONG US  */
#line 414 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_US; }
#line 11247 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* iface_patt_node_init: %empty  */
#line 421 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 11257 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* iface_patt_node_body: TEXT  */
#line 429 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 11263 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* iface_patt_node_body: opttext net_or_ipa  */
#line 430 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 11269 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* iface_negate: %empty  */
#line 434 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 11275 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* iface_negate: '-'  */
#line 435 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 11281 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* iface_patt_list_nopx: iface_patt_list  */
#line 449 "nest/config.Y"
                                      { iface_patt_check(); }
#line 11287 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* iface_patt_init: %empty  */
#line 451 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 11297 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* tos: CLASS expr  */
#line 463 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 11303 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* tos: DSCP expr  */
#line 464 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 11309 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* dev_proto_start: proto_start DIRECT  */
#line 471 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 11318 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 482 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 11324 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* dev_iface_init: %empty  */
#line 486 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 11334 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* debug_mask: ALL  */
#line 500 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11340 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* debug_mask: OFF  */
#line 501 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11346 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* debug_mask: '{' debug_list '}'  */
#line 502 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 11352 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* debug_list: debug_list ',' debug_flag  */
#line 507 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11358 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* debug_flag: STATES  */
#line 511 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 11364 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* debug_flag: ROUTES  */
#line 512 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 11370 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* debug_flag: FILTERS  */
#line 513 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 11376 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* debug_flag: INTERFACES  */
#line 514 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 11382 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* debug_flag: EVENTS  */
#line 515 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 11388 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* debug_flag: PACKETS  */
#line 516 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 11394 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* mrtdump_mask: ALL  */
#line 522 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11400 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* mrtdump_mask: OFF  */
#line 523 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11406 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 524 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 11412 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 529 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11418 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* mrtdump_flag: STATES  */
#line 533 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 11424 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* mrtdump_flag: MESSAGES  */
#line 534 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 11430 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* password_item_begin: pass_key bytestring_text  */
#line 561 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 11443 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* password_item_params: %empty  */
#line 571 "nest/config.Y"
               { }
#line 11449 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 572 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 11455 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 573 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 11461 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 574 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 11467 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 575 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 11473 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* password_item_params: FROM time ';' password_item_params  */
#line 576 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 11479 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* password_item_params: TO time ';' password_item_params  */
#line 577 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 11485 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* password_item_params: ID expr ';' password_item_params  */
#line 578 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 11491 "obj/conf/cf-parse.tab.c"
    break;

  case 1133: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 579 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 11497 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* password_algorithm: KEYED MD5  */
#line 583 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 11503 "obj/conf/cf-parse.tab.c"
    break;

  case 1135: /* password_algorithm: KEYED SHA1  */
#line 584 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 11509 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* password_algorithm: KEYED SHA256  */
#line 585 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 11515 "obj/conf/cf-parse.tab.c"
    break;

  case 1137: /* password_algorithm: KEYED SHA384  */
#line 586 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 11521 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* password_algorithm: KEYED SHA512  */
#line 587 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 11527 "obj/conf/cf-parse.tab.c"
    break;

  case 1139: /* password_algorithm: HMAC MD5  */
#line 588 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 11533 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* password_algorithm: HMAC SHA1  */
#line 589 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 11539 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* password_algorithm: HMAC SHA256  */
#line 590 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 11545 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* password_algorithm: HMAC SHA384  */
#line 591 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 11551 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* password_algorithm: HMAC SHA512  */
#line 592 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 11557 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* password_algorithm: BLAKE2S128  */
#line 593 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 11563 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* password_algorithm: BLAKE2S256  */
#line 594 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 11569 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* password_algorithm: BLAKE2B256  */
#line 595 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 11575 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* password_algorithm: BLAKE2B512  */
#line 596 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 11581 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* password_item_end: %empty  */
#line 600 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 11589 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 613 "nest/config.Y"
{ cmd_show_status(); }
#line 11595 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 616 "nest/config.Y"
{ cmd_show_memory(); }
#line 11601 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 619 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11607 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 622 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11613 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* optproto: CF_SYM_KNOWN  */
#line 625 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11619 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* optproto: %empty  */
#line 626 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 11625 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 630 "nest/config.Y"
{ if_show(); }
#line 11631 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 633 "nest/config.Y"
{ if_show_summary(); }
#line 11637 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 637 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 11643 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* r_args: %empty  */
#line 657 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11654 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* r_args: r_args net_any  */
#line 663 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11665 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* r_args: r_args FOR r_args_for  */
#line 669 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11676 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* r_args: r_args IN net_any  */
#line 675 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11688 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* r_args: r_args TABLE symbol_known  */
#line 682 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11699 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* r_args: r_args TABLE ALL  */
#line 688 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11711 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 695 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11721 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 700 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11731 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* r_args: r_args FILTER filter  */
#line 705 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11741 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* r_args: r_args where_filter  */
#line 710 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11751 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* r_args: r_args ALL  */
#line 715 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11760 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* r_args: r_args PRIMARY  */
#line 719 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11769 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* r_args: r_args FILTERED  */
#line 723 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11778 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* r_args: r_args export_mode symbol_known  */
#line 727 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11793 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* r_args: r_args export_mode channel_arg  */
#line 737 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11805 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* r_args: r_args PROTOCOL symbol_known  */
#line 744 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11819 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* r_args: r_args STATS  */
#line 753 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11828 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* r_args: r_args COUNT  */
#line 757 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11837 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* r_args_for: r_args_for_val  */
#line 764 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11846 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* r_args_for: VPN_RD IP4  */
#line 771 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 11855 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* r_args_for: VPN_RD IP6  */
#line 775 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].rd));
  }
#line 11864 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* r_args_for: IP6 FROM IP6  */
#line 779 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11873 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* r_args_for: CF_SYM_KNOWN  */
#line 783 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11889 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* r_args_for_val: IP4  */
#line 799 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11895 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* r_args_for_val: IP6  */
#line 800 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11901 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* export_mode: PREEXPORT  */
#line 803 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 11907 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* export_mode: EXPORT  */
#line 804 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 11913 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* export_mode: NOEXPORT  */
#line 805 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 11919 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* export_mode: EXPORTED  */
#line 806 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 11925 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* channel_sym: IPV4  */
#line 811 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 11931 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* channel_sym: IPV4_MC  */
#line 812 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 11937 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* channel_sym: IPV4_MPLS  */
#line 813 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 11943 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* channel_sym: IPV6  */
#line 814 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 11949 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* channel_sym: IPV6_MC  */
#line 815 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 11955 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* channel_sym: IPV6_MPLS  */
#line 816 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 11961 "obj/conf/cf-parse.tab.c"
    break;

  case 1206: /* channel_sym: IPV6_SADR  */
#line 817 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 11967 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* channel_sym: VPN4  */
#line 818 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 11973 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* channel_sym: VPN4_MC  */
#line 819 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 11979 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* channel_sym: VPN4_MPLS  */
#line 820 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 11985 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* channel_sym: VPN6  */
#line 821 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 11991 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* channel_sym: VPN6_MC  */
#line 822 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 11997 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* channel_sym: VPN6_MPLS  */
#line 823 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 12003 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* channel_sym: ROA4  */
#line 824 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 12009 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* channel_sym: ROA6  */
#line 825 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 12015 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* channel_sym: FLOW4  */
#line 826 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 12021 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* channel_sym: FLOW6  */
#line 827 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 12027 "obj/conf/cf-parse.tab.c"
    break;

  case 1217: /* channel_sym: MPLS  */
#line 828 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 12033 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* channel_sym: ASPA  */
#line 829 "nest/config.Y"
                { (yyval.t) = "aspa"; }
#line 12039 "obj/conf/cf-parse.tab.c"
    break;

  case 1219: /* channel_sym: PRI  */
#line 830 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 12045 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* channel_sym: SEC  */
#line 831 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 12051 "obj/conf/cf-parse.tab.c"
    break;

  case 1221: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 835 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 12063 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 846 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 12069 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* sym_args: %empty  */
#line 855 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 12077 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* sym_args: sym_args TABLE  */
#line 858 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 12083 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* sym_args: sym_args FILTER  */
#line 859 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 12089 "obj/conf/cf-parse.tab.c"
    break;

  case 1227: /* sym_args: sym_args FUNCTION  */
#line 860 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 12095 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* sym_args: sym_args PROTOCOL  */
#line 861 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 12101 "obj/conf/cf-parse.tab.c"
    break;

  case 1229: /* sym_args: sym_args TEMPLATE  */
#line 862 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 12107 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 863 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 12113 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* cmd_DUMP_RESOURCES: DUMP RESOURCES text END  */
#line 868 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 12119 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* cmd_DUMP_SOCKETS: DUMP SOCKETS text END  */
#line 870 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 12125 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* cmd_DUMP_EVENTS: DUMP EVENTS text END  */
#line 872 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 12131 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* cmd_DUMP_INTERFACES: DUMP INTERFACES text END  */
#line 874 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 12137 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS text END  */
#line 876 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 12143 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES text END  */
#line 878 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", rta_dump_all); }
#line 12149 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* cmd_DUMP_ROUTES: DUMP ROUTES text END  */
#line 880 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 12155 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS text END  */
#line 882 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 12161 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL text END  */
#line 884 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 12167 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* cmd_EVAL: EVAL term END  */
#line 887 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 12173 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 890 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 12182 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* echo_mask: ALL  */
#line 896 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 12188 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* echo_mask: OFF  */
#line 897 "nest/config.Y"
       { (yyval.i) = 0; }
#line 12194 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* echo_mask: '{' log_mask_list '}'  */
#line 898 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 12200 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* echo_size: %empty  */
#line 902 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 12206 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* echo_size: NUM  */
#line 903 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 12215 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 910 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12221 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 912 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12227 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 914 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12233 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 916 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 12239 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 918 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 12245 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 920 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 12251 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* cmd_DEBUG: DEBUG debug_args END  */
#line 924 "nest/config.Y"
{ /* Done in debug_args */  }
#line 12257 "obj/conf/cf-parse.tab.c"
    break;

  case 1272: /* debug_args: proto_patt debug_mask  */
#line 936 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 12263 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* debug_args: channel_arg debug_mask  */
#line 937 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 12269 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 942 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 12275 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* cmd_RESTRICT: RESTRICT END  */
#line 945 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 12281 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* cmd_TIMEFORMAT: TIMEFORMAT timeformat_spec END  */
#line 949 "nest/config.Y"
{ cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 12287 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* proto_patt: CF_SYM_KNOWN  */
#line 958 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12293 "obj/conf/cf-parse.tab.c"
    break;

  case 1281: /* proto_patt: ALL  */
#line 959 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12299 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* proto_patt: TEXT  */
#line 960 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12305 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* proto_patt2: CF_SYM_KNOWN  */
#line 964 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12311 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* proto_patt2: %empty  */
#line 965 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12317 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* proto_patt2: TEXT  */
#line 966 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12323 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* dynamic_attr: IGP_METRIC  */
#line 969 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 12329 "obj/conf/cf-parse.tab.c"
    break;

  case 1287: /* dynamic_attr: ASPA_PROVIDERS  */
#line 971 "nest/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_ASPA_PROVIDERS); }
#line 12335 "obj/conf/cf-parse.tab.c"
    break;

  case 1288: /* dynamic_attr: MPLS_LABEL  */
#line 973 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 12341 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* dynamic_attr: MPLS_POLICY  */
#line 974 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 12347 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* dynamic_attr: MPLS_CLASS  */
#line 975 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 12353 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 12359 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 12365 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* mpls_range_start: LABEL RANGE symbol  */
#line 57 "nest/mpls.Y"
{
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 12378 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* mpls_range_opt: START expr  */
#line 67 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 12384 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* mpls_range_opt: LENGTH expr  */
#line 68 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 12390 "obj/conf/cf-parse.tab.c"
    break;

  case 1308: /* mpls_range_end: %empty  */
#line 82 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 12406 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* mpls_channel_start: MPLS  */
#line 98 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 12428 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* mpls_label_policy: STATIC  */
#line 117 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 12434 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* mpls_label_policy: PREFIX  */
#line 118 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 12440 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* mpls_label_policy: AGGREGATE  */
#line 119 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 12446 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* mpls_label_policy: VRF  */
#line 120 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 12452 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* mpls_channel_opt: DOMAIN symbol_known  */
#line 125 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 12458 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* mpls_channel_opt: LABEL RANGE symbol_known  */
#line 126 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 12464 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 127 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 12470 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 128 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 12476 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 129 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 12482 "obj/conf/cf-parse.tab.c"
    break;

  case 1325: /* $@12: %empty  */
#line 142 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 12488 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* show_mpls_ranges_args: %empty  */
#line 147 "nest/mpls.Y"
   {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 12499 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* show_mpls_ranges_args: show_mpls_ranges_args symbol_known  */
#line 154 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12526 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 177 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12538 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 185 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12550 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 195 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12556 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 32 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12568 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* aggregator_proto_item: PEER TABLE rtable  */
#line 43 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12574 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* aggregator_proto_item: AGGREGATE ON aggr_list  */
#line 44 "proto/aggregator/config.Y"
                          {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12609 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* $@13: %empty  */
#line 74 "proto/aggregator/config.Y"
            {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12618 "obj/conf/cf-parse.tab.c"
    break;

  case 1340: /* aggregator_proto_item: MERGE BY $@13 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12628 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* aggr_list: aggr_list ',' aggr_item  */
#line 90 "proto/aggregator/config.Y"
                           {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12641 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* aggr_item: '(' term ')'  */
#line 101 "proto/aggregator/config.Y"
                {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12651 "obj/conf/cf-parse.tab.c"
    break;

  case 1347: /* aggr_item: CF_SYM_KNOWN  */
#line 106 "proto/aggregator/config.Y"
                 {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12670 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* aggr_item: dynamic_attr  */
#line 120 "proto/aggregator/config.Y"
                 {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12680 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* aggr_item: static_attr  */
#line 125 "proto/aggregator/config.Y"
                {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12690 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* bfd_proto_start: proto_start BFD  */
#line 39 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12702 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* bfd_proto_item: STRICT BIND bool  */
#line 53 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12708 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* bfd_proto_item: ZERO UDP6 CHECKSUM RX bool  */
#line 54 "proto/bfd/config.Y"
                              { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 12714 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* bfd_accept_item: IPV4  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12720 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* bfd_accept_item: IPV6  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12726 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* bfd_accept_item: DIRECT  */
#line 69 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12732 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* bfd_accept_item: MULTIHOP  */
#line 70 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12738 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* bfd_accept: %empty  */
#line 74 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12747 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* bfd_iface_start: %empty  */
#line 82 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12764 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* bfd_iface_finish: %empty  */
#line 96 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12787 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* bfd_iface_item: INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12793 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12799 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 118 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12805 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 119 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12811 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* bfd_iface_item: MULTIPLIER expr  */
#line 120 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12817 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* bfd_iface_item: PASSIVE bool  */
#line 121 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12823 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 122 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12829 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* bfd_iface_item: password_list  */
#line 123 "proto/bfd/config.Y"
                 {}
#line 12835 "obj/conf/cf-parse.tab.c"
    break;

  case 1378: /* bfd_auth_type: NONE  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 12841 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* bfd_auth_type: SIMPLE  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12847 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* bfd_auth_type: KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12853 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* bfd_auth_type: KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12859 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 131 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12865 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 132 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12871 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 150 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 12877 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* bfd_neigh_iface: %empty  */
#line 154 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 12883 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* bfd_neigh_iface: '%' symbol  */
#line 155 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12889 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* bfd_neigh_iface: DEV text  */
#line 156 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12895 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* bfd_neigh_local: %empty  */
#line 160 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 12901 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* bfd_neigh_local: LOCAL ipa  */
#line 161 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 12907 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* bfd_neigh_multihop: %empty  */
#line 165 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 12913 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 166 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 12919 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 170 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12939 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* bfd_item: INTERVAL expr_us  */
#line 190 "proto/bfd/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12945 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 191 "proto/bfd/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 12951 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 192 "proto/bfd/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12957 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 193 "proto/bfd/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 12963 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* bfd_item: MULTIPLIER expr  */
#line 194 "proto/bfd/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 12969 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* bfd_item: PASSIVE bool  */
#line 195 "proto/bfd/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 12975 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* bfd_item: GRACEFUL  */
#line 196 "proto/bfd/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 12981 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* bfd_item: AUTHENTICATION bfd_auth_type  */
#line 197 "proto/bfd/config.Y"
                                { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 12987 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* bfd_item: password_list  */
#line 198 "proto/bfd/config.Y"
                 {}
#line 12993 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* bfd_opts_start: %empty  */
#line 207 "proto/bfd/config.Y"
{ reset_passwords(); }
#line 12999 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* bfd_opts_end: %empty  */
#line 210 "proto/bfd/config.Y"
{
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 13022 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS bfd_show_sessions_args END  */
#line 237 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 13028 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* bfd_show_sessions_args: %empty  */
#line 249 "proto/bfd/config.Y"
               { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 13034 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* bfd_show_sessions_args: bfd_show_sessions_args CF_SYM_KNOWN  */
#line 250 "proto/bfd/config.Y"
                                       { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 13040 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* bfd_show_sessions_args: bfd_show_sessions_args ADDRESS net_or_ipa  */
#line 251 "proto/bfd/config.Y"
                                             { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 13046 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* bfd_show_sessions_args: bfd_show_sessions_args INTERFACE text  */
#line 252 "proto/bfd/config.Y"
                                         { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 13052 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* bfd_show_sessions_args: bfd_show_sessions_args DEV text  */
#line 253 "proto/bfd/config.Y"
                                   { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 13058 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* bfd_show_sessions_args: bfd_show_sessions_args ALL  */
#line 254 "proto/bfd/config.Y"
                              { (yyval.bssc)->verbose = 1; }
#line 13064 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* bfd_show_sessions_args: bfd_show_sessions_args IPV4  */
#line 255 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 13070 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* bfd_show_sessions_args: bfd_show_sessions_args IPV6  */
#line 256 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 13076 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* bfd_show_sessions_args: bfd_show_sessions_args DIRECT  */
#line 257 "proto/bfd/config.Y"
                                 { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 13082 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* bfd_show_sessions_args: bfd_show_sessions_args MULTIHOP  */
#line 258 "proto/bfd/config.Y"
                                   { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 13088 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 13098 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 13104 "obj/conf/cf-parse.tab.c"
    break;

  case 1433: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 13127 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 13195 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13201 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 13207 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 13213 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 13219 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 13231 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 13237 "obj/conf/cf-parse.tab.c"
    break;

  case 1443: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 13243 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 13249 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13255 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 13261 "obj/conf/cf-parse.tab.c"
    break;

  case 1447: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 13267 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 13273 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 13279 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 13285 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 13291 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 13297 "obj/conf/cf-parse.tab.c"
    break;

  case 1453: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 13303 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 13309 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 13315 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 13321 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 13327 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 13333 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 13339 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* dynamic_attr: BABEL_METRIC  */
#line 187 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 13345 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 192 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 13351 "obj/conf/cf-parse.tab.c"
    break;

  case 1470: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 195 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 13357 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 198 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 13363 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 201 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 13369 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* bgp_proto_start: proto_start BGP  */
#line 50 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 13406 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 86 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13412 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 87 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 13418 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 92 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13424 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 93 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 13430 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 94 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 13436 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 95 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 13442 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* bgp_cease_mask: bool  */
#line 100 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 13448 "obj/conf/cf-parse.tab.c"
    break;

  case 1486: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 101 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 13454 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 106 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 13460 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* bgp_cease_flag: CEASE  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 13466 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 13472 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 13478 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 13484 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 13490 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 13496 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 13502 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 13508 "obj/conf/cf-parse.tab.c"
    break;

  case 1497: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 13514 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bgp_role_name: PEER  */
#line 122 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 13520 "obj/conf/cf-parse.tab.c"
    break;

  case 1499: /* bgp_role_name: PROVIDER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13526 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bgp_role_name: CUSTOMER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13532 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bgp_role_name: RS_SERVER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13538 "obj/conf/cf-parse.tab.c"
    break;

  case 1502: /* bgp_role_name: RS_CLIENT  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13544 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 135 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13553 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 140 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13564 "obj/conf/cf-parse.tab.c"
    break;

  case 1511: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 146 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13576 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 153 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13582 "obj/conf/cf-parse.tab.c"
    break;

  case 1513: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 154 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13588 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13594 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13600 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 157 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13606 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 158 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13612 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13618 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13624 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 161 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13630 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 162 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 13636 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 163 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 13642 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 164 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13648 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 165 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13658 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 170 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13664 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13670 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 172 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13676 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13682 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13688 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13694 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 176 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13700 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 177 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13706 "obj/conf/cf-parse.tab.c"
    break;

  case 1533: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 178 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13712 "obj/conf/cf-parse.tab.c"
    break;

  case 1534: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 179 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13718 "obj/conf/cf-parse.tab.c"
    break;

  case 1535: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 180 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13724 "obj/conf/cf-parse.tab.c"
    break;

  case 1536: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13730 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13736 "obj/conf/cf-parse.tab.c"
    break;

  case 1538: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13742 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13748 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13754 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* bgp_proto: bgp_proto SEND HOLD TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13760 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 187 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13766 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 188 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13772 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 189 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13778 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 190 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13784 "obj/conf/cf-parse.tab.c"
    break;

  case 1546: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 191 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13790 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 192 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13796 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 193 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13802 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13808 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 195 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13814 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* bgp_proto: bgp_proto REQUIRE ROUTE REFRESH bool ';'  */
#line 196 "proto/bgp/config.Y"
                                            { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13820 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* bgp_proto: bgp_proto REQUIRE ENHANCED ROUTE REFRESH bool ';'  */
#line 197 "proto/bgp/config.Y"
                                                     { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13826 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* bgp_proto: bgp_proto REQUIRE AS4 bool ';'  */
#line 198 "proto/bgp/config.Y"
                                  { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13832 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* bgp_proto: bgp_proto REQUIRE EXTENDED MESSAGES bool ';'  */
#line 199 "proto/bgp/config.Y"
                                                { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13838 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* bgp_proto: bgp_proto REQUIRE HOSTNAME bool ';'  */
#line 200 "proto/bgp/config.Y"
                                       { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13844 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* bgp_proto: bgp_proto REQUIRE GRACEFUL RESTART bool ';'  */
#line 201 "proto/bgp/config.Y"
                                               { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13850 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* bgp_proto: bgp_proto REQUIRE LONG LIVED GRACEFUL RESTART bool ';'  */
#line 202 "proto/bgp/config.Y"
                                                          { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13856 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 203 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13862 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 204 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 13868 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 205 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13874 "obj/conf/cf-parse.tab.c"
    break;

  case 1561: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 206 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13880 "obj/conf/cf-parse.tab.c"
    break;

  case 1562: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 207 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13886 "obj/conf/cf-parse.tab.c"
    break;

  case 1563: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 208 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 13892 "obj/conf/cf-parse.tab.c"
    break;

  case 1564: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 209 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13898 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 210 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13904 "obj/conf/cf-parse.tab.c"
    break;

  case 1566: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 211 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13910 "obj/conf/cf-parse.tab.c"
    break;

  case 1567: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 212 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13916 "obj/conf/cf-parse.tab.c"
    break;

  case 1568: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 213 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13922 "obj/conf/cf-parse.tab.c"
    break;

  case 1569: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 214 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13928 "obj/conf/cf-parse.tab.c"
    break;

  case 1570: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 215 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13934 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 216 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13940 "obj/conf/cf-parse.tab.c"
    break;

  case 1572: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 217 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13946 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 218 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13952 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 219 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13958 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 220 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13964 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 221 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13970 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 222 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13976 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* $@14: %empty  */
#line 223 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 13982 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* $@15: %empty  */
#line 223 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 13988 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 224 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13994 "obj/conf/cf-parse.tab.c"
    break;

  case 1582: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 225 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 14000 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 226 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 14006 "obj/conf/cf-parse.tab.c"
    break;

  case 1584: /* bgp_proto: bgp_proto DISABLE RX bool ';'  */
#line 227 "proto/bgp/config.Y"
                                 { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 14012 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* bgp_afi: IPV4  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 14018 "obj/conf/cf-parse.tab.c"
    break;

  case 1586: /* bgp_afi: IPV6  */
#line 232 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 14024 "obj/conf/cf-parse.tab.c"
    break;

  case 1587: /* bgp_afi: IPV4 MULTICAST  */
#line 233 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 14030 "obj/conf/cf-parse.tab.c"
    break;

  case 1588: /* bgp_afi: IPV6 MULTICAST  */
#line 234 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 14036 "obj/conf/cf-parse.tab.c"
    break;

  case 1589: /* bgp_afi: IPV4 MPLS  */
#line 235 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 14042 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* bgp_afi: IPV6 MPLS  */
#line 236 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 14048 "obj/conf/cf-parse.tab.c"
    break;

  case 1591: /* bgp_afi: VPN4 MPLS  */
#line 237 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 14054 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* bgp_afi: VPN6 MPLS  */
#line 238 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 14060 "obj/conf/cf-parse.tab.c"
    break;

  case 1593: /* bgp_afi: VPN4 MULTICAST  */
#line 239 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 14066 "obj/conf/cf-parse.tab.c"
    break;

  case 1594: /* bgp_afi: VPN6 MULTICAST  */
#line 240 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 14072 "obj/conf/cf-parse.tab.c"
    break;

  case 1595: /* bgp_afi: FLOW4  */
#line 241 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 14078 "obj/conf/cf-parse.tab.c"
    break;

  case 1596: /* bgp_afi: FLOW6  */
#line 242 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 14084 "obj/conf/cf-parse.tab.c"
    break;

  case 1597: /* bgp_channel_start: bgp_afi  */
#line 246 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 14112 "obj/conf/cf-parse.tab.c"
    break;

  case 1598: /* bgp_nh: bool  */
#line 271 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 14118 "obj/conf/cf-parse.tab.c"
    break;

  case 1599: /* bgp_nh: IBGP  */
#line 272 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 14124 "obj/conf/cf-parse.tab.c"
    break;

  case 1600: /* bgp_nh: EBGP  */
#line 273 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 14130 "obj/conf/cf-parse.tab.c"
    break;

  case 1605: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 279 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 14136 "obj/conf/cf-parse.tab.c"
    break;

  case 1606: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 280 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 14142 "obj/conf/cf-parse.tab.c"
    break;

  case 1607: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 281 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 14148 "obj/conf/cf-parse.tab.c"
    break;

  case 1608: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 282 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 14154 "obj/conf/cf-parse.tab.c"
    break;

  case 1609: /* bgp_channel_item: MANDATORY bool  */
#line 283 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 14160 "obj/conf/cf-parse.tab.c"
    break;

  case 1610: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 284 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 14166 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* bgp_channel_item: GATEWAY DIRECT  */
#line 285 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 14172 "obj/conf/cf-parse.tab.c"
    break;

  case 1612: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 286 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 14178 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* bgp_channel_item: SECONDARY bool  */
#line 287 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 14184 "obj/conf/cf-parse.tab.c"
    break;

  case 1614: /* bgp_channel_item: VALIDATE bool  */
#line 288 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 14194 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 293 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 14200 "obj/conf/cf-parse.tab.c"
    break;

  case 1616: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 294 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 14206 "obj/conf/cf-parse.tab.c"
    break;

  case 1617: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 295 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 14212 "obj/conf/cf-parse.tab.c"
    break;

  case 1618: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 296 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 14218 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* bgp_channel_item: REQUIRE EXTENDED NEXT HOP bool  */
#line 297 "proto/bgp/config.Y"
                                  { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 14224 "obj/conf/cf-parse.tab.c"
    break;

  case 1620: /* bgp_channel_item: ADD PATHS RX  */
#line 298 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 14230 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* bgp_channel_item: ADD PATHS TX  */
#line 299 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 14236 "obj/conf/cf-parse.tab.c"
    break;

  case 1622: /* bgp_channel_item: ADD PATHS bool  */
#line 300 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 14242 "obj/conf/cf-parse.tab.c"
    break;

  case 1623: /* bgp_channel_item: REQUIRE ADD PATHS bool  */
#line 301 "proto/bgp/config.Y"
                          { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 14248 "obj/conf/cf-parse.tab.c"
    break;

  case 1624: /* bgp_channel_item: IMPORT TABLE bool  */
#line 302 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 14254 "obj/conf/cf-parse.tab.c"
    break;

  case 1625: /* bgp_channel_item: EXPORT TABLE bool  */
#line 303 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 14260 "obj/conf/cf-parse.tab.c"
    break;

  case 1626: /* bgp_channel_item: AIGP bool  */
#line 304 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 14266 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* bgp_channel_item: AIGP ORIGINATE  */
#line 305 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 14272 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* bgp_channel_item: COST expr  */
#line 306 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 14278 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* bgp_channel_item: IGP TABLE rtable  */
#line 307 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 14294 "obj/conf/cf-parse.tab.c"
    break;

  case 1630: /* bgp_channel_item: BASE TABLE rtable  */
#line 318 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 14309 "obj/conf/cf-parse.tab.c"
    break;

  case 1635: /* bgp_channel_end: %empty  */
#line 341 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 14320 "obj/conf/cf-parse.tab.c"
    break;

  case 1637: /* dynamic_attr: BGP_ORIGIN  */
#line 352 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14326 "obj/conf/cf-parse.tab.c"
    break;

  case 1638: /* dynamic_attr: BGP_PATH  */
#line 354 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14332 "obj/conf/cf-parse.tab.c"
    break;

  case 1639: /* dynamic_attr: BGP_NEXT_HOP  */
#line 356 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14338 "obj/conf/cf-parse.tab.c"
    break;

  case 1640: /* dynamic_attr: BGP_MED  */
#line 358 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14344 "obj/conf/cf-parse.tab.c"
    break;

  case 1641: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 360 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14350 "obj/conf/cf-parse.tab.c"
    break;

  case 1642: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 362 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 14356 "obj/conf/cf-parse.tab.c"
    break;

  case 1643: /* dynamic_attr: BGP_AGGREGATOR  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14362 "obj/conf/cf-parse.tab.c"
    break;

  case 1644: /* dynamic_attr: BGP_COMMUNITY  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14368 "obj/conf/cf-parse.tab.c"
    break;

  case 1645: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 368 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14374 "obj/conf/cf-parse.tab.c"
    break;

  case 1646: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 370 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14380 "obj/conf/cf-parse.tab.c"
    break;

  case 1647: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 372 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14386 "obj/conf/cf-parse.tab.c"
    break;

  case 1648: /* dynamic_attr: BGP_AIGP  */
#line 374 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14392 "obj/conf/cf-parse.tab.c"
    break;

  case 1649: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 376 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14398 "obj/conf/cf-parse.tab.c"
    break;

  case 1650: /* dynamic_attr: BGP_OTC  */
#line 378 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14404 "obj/conf/cf-parse.tab.c"
    break;

  case 1651: /* custom_attr: ATTRIBUTE BGP expr type symbol ';'  */
#line 380 "proto/bgp/config.Y"
                                                {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 14422 "obj/conf/cf-parse.tab.c"
    break;

  case 1652: /* term: ASPA_CHECK_DOWNSTREAM '(' rtable ')'  */
#line 397 "proto/bgp/config.Y"
                                           { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 14437 "obj/conf/cf-parse.tab.c"
    break;

  case 1653: /* term: ASPA_CHECK_UPSTREAM '(' rtable ')'  */
#line 408 "proto/bgp/config.Y"
                                         { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 14452 "obj/conf/cf-parse.tab.c"
    break;

  case 1655: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 14468 "obj/conf/cf-parse.tab.c"
    break;

  case 1657: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 14476 "obj/conf/cf-parse.tab.c"
    break;

  case 1661: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 14482 "obj/conf/cf-parse.tab.c"
    break;

  case 1662: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].rd); }
#line 14488 "obj/conf/cf-parse.tab.c"
    break;

  case 1663: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 14494 "obj/conf/cf-parse.tab.c"
    break;

  case 1664: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14500 "obj/conf/cf-parse.tab.c"
    break;

  case 1665: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14506 "obj/conf/cf-parse.tab.c"
    break;

  case 1669: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 14512 "obj/conf/cf-parse.tab.c"
    break;

  case 1670: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14518 "obj/conf/cf-parse.tab.c"
    break;

  case 1672: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14526 "obj/conf/cf-parse.tab.c"
    break;

  case 1674: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14532 "obj/conf/cf-parse.tab.c"
    break;

  case 1675: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14538 "obj/conf/cf-parse.tab.c"
    break;

  case 1676: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14544 "obj/conf/cf-parse.tab.c"
    break;

  case 1677: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14550 "obj/conf/cf-parse.tab.c"
    break;

  case 1678: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 14556 "obj/conf/cf-parse.tab.c"
    break;

  case 1679: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 14562 "obj/conf/cf-parse.tab.c"
    break;

  case 1680: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14568 "obj/conf/cf-parse.tab.c"
    break;

  case 1683: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 14574 "obj/conf/cf-parse.tab.c"
    break;

  case 1685: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 14580 "obj/conf/cf-parse.tab.c"
    break;

  case 1686: /* mrt_dump_args: %empty  */
#line 62 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14586 "obj/conf/cf-parse.tab.c"
    break;

  case 1687: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 63 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14592 "obj/conf/cf-parse.tab.c"
    break;

  case 1688: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 64 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14598 "obj/conf/cf-parse.tab.c"
    break;

  case 1689: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 65 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14604 "obj/conf/cf-parse.tab.c"
    break;

  case 1690: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 66 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14610 "obj/conf/cf-parse.tab.c"
    break;

  case 1691: /* mrt_dump_args: mrt_dump_args TO text  */
#line 67 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14616 "obj/conf/cf-parse.tab.c"
    break;

  case 1692: /* proto: ospf_proto '}'  */
#line 212 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 14622 "obj/conf/cf-parse.tab.c"
    break;

  case 1693: /* ospf_variant: OSPF  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14628 "obj/conf/cf-parse.tab.c"
    break;

  case 1694: /* ospf_variant: OSPF V2  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14634 "obj/conf/cf-parse.tab.c"
    break;

  case 1695: /* ospf_variant: OSPF V3  */
#line 217 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 14640 "obj/conf/cf-parse.tab.c"
    break;

  case 1696: /* ospf_proto_start: proto_start ospf_variant  */
#line 221 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14658 "obj/conf/cf-parse.tab.c"
    break;

  case 1699: /* ospf_af_mc: %empty  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14664 "obj/conf/cf-parse.tab.c"
    break;

  case 1700: /* ospf_af_mc: MULTICAST  */
#line 242 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 14670 "obj/conf/cf-parse.tab.c"
    break;

  case 1701: /* ospf_channel_start: net_type ospf_af_mc  */
#line 247 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14682 "obj/conf/cf-parse.tab.c"
    break;

  case 1704: /* ospf_proto_item: ospf_channel  */
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14688 "obj/conf/cf-parse.tab.c"
    break;

  case 1705: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14694 "obj/conf/cf-parse.tab.c"
    break;

  case 1706: /* ospf_proto_item: RFC5838 bool  */
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14700 "obj/conf/cf-parse.tab.c"
    break;

  case 1707: /* ospf_proto_item: VPN PE bool  */
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14706 "obj/conf/cf-parse.tab.c"
    break;

  case 1708: /* ospf_proto_item: STUB ROUTER bool  */
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14712 "obj/conf/cf-parse.tab.c"
    break;

  case 1709: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14718 "obj/conf/cf-parse.tab.c"
    break;

  case 1710: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14724 "obj/conf/cf-parse.tab.c"
    break;

  case 1711: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14730 "obj/conf/cf-parse.tab.c"
    break;

  case 1712: /* ospf_proto_item: ECMP bool  */
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14736 "obj/conf/cf-parse.tab.c"
    break;

  case 1713: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14742 "obj/conf/cf-parse.tab.c"
    break;

  case 1714: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14748 "obj/conf/cf-parse.tab.c"
    break;

  case 1715: /* ospf_proto_item: TICK expr  */
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14754 "obj/conf/cf-parse.tab.c"
    break;

  case 1716: /* ospf_proto_item: INSTANCE ID expr  */
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14760 "obj/conf/cf-parse.tab.c"
    break;

  case 1718: /* ospf_area_start: AREA idval  */
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14778 "obj/conf/cf-parse.tab.c"
    break;

  case 1719: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 14784 "obj/conf/cf-parse.tab.c"
    break;

  case 1722: /* ospf_area_item: STUB bool  */
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14790 "obj/conf/cf-parse.tab.c"
    break;

  case 1723: /* ospf_area_item: NSSA  */
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 14796 "obj/conf/cf-parse.tab.c"
    break;

  case 1724: /* ospf_area_item: SUMMARY bool  */
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 14802 "obj/conf/cf-parse.tab.c"
    break;

  case 1725: /* ospf_area_item: DEFAULT NSSA bool  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 14808 "obj/conf/cf-parse.tab.c"
    break;

  case 1726: /* ospf_area_item: DEFAULT COST expr  */
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14814 "obj/conf/cf-parse.tab.c"
    break;

  case 1727: /* ospf_area_item: DEFAULT COST2 expr  */
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14820 "obj/conf/cf-parse.tab.c"
    break;

  case 1728: /* ospf_area_item: STUB COST expr  */
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14826 "obj/conf/cf-parse.tab.c"
    break;

  case 1729: /* ospf_area_item: TRANSLATOR bool  */
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 14832 "obj/conf/cf-parse.tab.c"
    break;

  case 1730: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 14838 "obj/conf/cf-parse.tab.c"
    break;

  case 1731: /* $@16: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 14844 "obj/conf/cf-parse.tab.c"
    break;

  case 1733: /* $@17: %empty  */
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 14850 "obj/conf/cf-parse.tab.c"
    break;

  case 1740: /* ospf_stubnet_start: net_ip  */
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14861 "obj/conf/cf-parse.tab.c"
    break;

  case 1743: /* ospf_stubnet_item: HIDDEN bool  */
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 14867 "obj/conf/cf-parse.tab.c"
    break;

  case 1744: /* ospf_stubnet_item: SUMMARY bool  */
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 14873 "obj/conf/cf-parse.tab.c"
    break;

  case 1745: /* ospf_stubnet_item: COST expr  */
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 14879 "obj/conf/cf-parse.tab.c"
    break;

  case 1746: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 14885 "obj/conf/cf-parse.tab.c"
    break;

  case 1747: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 14891 "obj/conf/cf-parse.tab.c"
    break;

  case 1751: /* ospf_vlink_item: HELLO expr  */
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14897 "obj/conf/cf-parse.tab.c"
    break;

  case 1752: /* ospf_vlink_item: RETRANSMIT expr  */
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14903 "obj/conf/cf-parse.tab.c"
    break;

  case 1753: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14909 "obj/conf/cf-parse.tab.c"
    break;

  case 1754: /* ospf_vlink_item: WAIT expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14915 "obj/conf/cf-parse.tab.c"
    break;

  case 1755: /* ospf_vlink_item: DEAD expr  */
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14921 "obj/conf/cf-parse.tab.c"
    break;

  case 1756: /* ospf_vlink_item: DEAD COUNT expr  */
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14927 "obj/conf/cf-parse.tab.c"
    break;

  case 1757: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14933 "obj/conf/cf-parse.tab.c"
    break;

  case 1758: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14939 "obj/conf/cf-parse.tab.c"
    break;

  case 1759: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14945 "obj/conf/cf-parse.tab.c"
    break;

  case 1761: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14965 "obj/conf/cf-parse.tab.c"
    break;

  case 1762: /* ospf_iface_item: COST expr  */
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14971 "obj/conf/cf-parse.tab.c"
    break;

  case 1763: /* ospf_iface_item: HELLO expr  */
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14977 "obj/conf/cf-parse.tab.c"
    break;

  case 1764: /* ospf_iface_item: POLL expr  */
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14983 "obj/conf/cf-parse.tab.c"
    break;

  case 1765: /* ospf_iface_item: RETRANSMIT expr  */
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14989 "obj/conf/cf-parse.tab.c"
    break;

  case 1766: /* ospf_iface_item: WAIT expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14995 "obj/conf/cf-parse.tab.c"
    break;

  case 1767: /* ospf_iface_item: DEAD expr  */
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 15001 "obj/conf/cf-parse.tab.c"
    break;

  case 1768: /* ospf_iface_item: DEAD COUNT expr  */
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 15007 "obj/conf/cf-parse.tab.c"
    break;

  case 1769: /* ospf_iface_item: TYPE BROADCAST  */
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 15013 "obj/conf/cf-parse.tab.c"
    break;

  case 1770: /* ospf_iface_item: TYPE BCAST  */
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 15019 "obj/conf/cf-parse.tab.c"
    break;

  case 1771: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 15025 "obj/conf/cf-parse.tab.c"
    break;

  case 1772: /* ospf_iface_item: TYPE NBMA  */
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 15031 "obj/conf/cf-parse.tab.c"
    break;

  case 1773: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 15037 "obj/conf/cf-parse.tab.c"
    break;

  case 1774: /* ospf_iface_item: TYPE PTP  */
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 15043 "obj/conf/cf-parse.tab.c"
    break;

  case 1775: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 15049 "obj/conf/cf-parse.tab.c"
    break;

  case 1776: /* ospf_iface_item: TYPE PTMP  */
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 15055 "obj/conf/cf-parse.tab.c"
    break;

  case 1777: /* ospf_iface_item: REAL BROADCAST bool  */
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 15061 "obj/conf/cf-parse.tab.c"
    break;

  case 1778: /* ospf_iface_item: PTP NETMASK bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 15067 "obj/conf/cf-parse.tab.c"
    break;

  case 1779: /* ospf_iface_item: PTP ADDRESS bool  */
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 15073 "obj/conf/cf-parse.tab.c"
    break;

  case 1780: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 15079 "obj/conf/cf-parse.tab.c"
    break;

  case 1781: /* ospf_iface_item: PRIORITY expr  */
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 15085 "obj/conf/cf-parse.tab.c"
    break;

  case 1782: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 15091 "obj/conf/cf-parse.tab.c"
    break;

  case 1783: /* ospf_iface_item: STUB bool  */
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 15097 "obj/conf/cf-parse.tab.c"
    break;

  case 1784: /* ospf_iface_item: CHECK LINK bool  */
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 15103 "obj/conf/cf-parse.tab.c"
    break;

  case 1785: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15109 "obj/conf/cf-parse.tab.c"
    break;

  case 1786: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 15115 "obj/conf/cf-parse.tab.c"
    break;

  case 1788: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 15121 "obj/conf/cf-parse.tab.c"
    break;

  case 1789: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 15127 "obj/conf/cf-parse.tab.c"
    break;

  case 1790: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 15133 "obj/conf/cf-parse.tab.c"
    break;

  case 1791: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 15139 "obj/conf/cf-parse.tab.c"
    break;

  case 1792: /* ospf_iface_item: RX BUFFER LARGE  */
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 15145 "obj/conf/cf-parse.tab.c"
    break;

  case 1793: /* ospf_iface_item: RX BUFFER expr  */
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 15151 "obj/conf/cf-parse.tab.c"
    break;

  case 1794: /* ospf_iface_item: TX tos  */
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 15157 "obj/conf/cf-parse.tab.c"
    break;

  case 1795: /* ospf_iface_item: TX PRIORITY expr  */
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 15163 "obj/conf/cf-parse.tab.c"
    break;

  case 1796: /* ospf_iface_item: TX LENGTH expr  */
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 15169 "obj/conf/cf-parse.tab.c"
    break;

  case 1797: /* ospf_iface_item: TTL SECURITY bool  */
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 15175 "obj/conf/cf-parse.tab.c"
    break;

  case 1798: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 15181 "obj/conf/cf-parse.tab.c"
    break;

  case 1799: /* ospf_iface_item: BFD bool  */
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15187 "obj/conf/cf-parse.tab.c"
    break;

  case 1804: /* pref_base: net_ip  */
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 15197 "obj/conf/cf-parse.tab.c"
    break;

  case 1806: /* pref_opt: HIDDEN  */
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 15203 "obj/conf/cf-parse.tab.c"
    break;

  case 1807: /* pref_opt: TAG expr  */
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 15209 "obj/conf/cf-parse.tab.c"
    break;

  case 1810: /* nbma_eligible: %empty  */
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 15215 "obj/conf/cf-parse.tab.c"
    break;

  case 1811: /* nbma_eligible: ELIGIBLE  */
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 15221 "obj/conf/cf-parse.tab.c"
    break;

  case 1812: /* nbma_item: ipa nbma_eligible ';'  */
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 15232 "obj/conf/cf-parse.tab.c"
    break;

  case 1813: /* ospf_iface_start: %empty  */
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 15257 "obj/conf/cf-parse.tab.c"
    break;

  case 1815: /* ospf_instance_id: INSTANCE expr  */
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 15263 "obj/conf/cf-parse.tab.c"
    break;

  case 1816: /* $@18: %empty  */
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 15269 "obj/conf/cf-parse.tab.c"
    break;

  case 1822: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 15275 "obj/conf/cf-parse.tab.c"
    break;

  case 1823: /* dynamic_attr: OSPF_METRIC1  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 15281 "obj/conf/cf-parse.tab.c"
    break;

  case 1824: /* dynamic_attr: OSPF_METRIC2  */
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 15287 "obj/conf/cf-parse.tab.c"
    break;

  case 1825: /* dynamic_attr: OSPF_TAG  */
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 15293 "obj/conf/cf-parse.tab.c"
    break;

  case 1826: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 15299 "obj/conf/cf-parse.tab.c"
    break;

  case 1828: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 15305 "obj/conf/cf-parse.tab.c"
    break;

  case 1830: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 15311 "obj/conf/cf-parse.tab.c"
    break;

  case 1832: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 15317 "obj/conf/cf-parse.tab.c"
    break;

  case 1834: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 15323 "obj/conf/cf-parse.tab.c"
    break;

  case 1836: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 15329 "obj/conf/cf-parse.tab.c"
    break;

  case 1838: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 15335 "obj/conf/cf-parse.tab.c"
    break;

  case 1840: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 15341 "obj/conf/cf-parse.tab.c"
    break;

  case 1842: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 15352 "obj/conf/cf-parse.tab.c"
    break;

  case 1843: /* lsadb_args: %empty  */
#line 558 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 15360 "obj/conf/cf-parse.tab.c"
    break;

  case 1844: /* lsadb_args: lsadb_args GLOBAL  */
#line 561 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 15366 "obj/conf/cf-parse.tab.c"
    break;

  case 1845: /* lsadb_args: lsadb_args AREA idval  */
#line 562 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 15372 "obj/conf/cf-parse.tab.c"
    break;

  case 1846: /* lsadb_args: lsadb_args LINK  */
#line 563 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 15378 "obj/conf/cf-parse.tab.c"
    break;

  case 1847: /* lsadb_args: lsadb_args TYPE NUM  */
#line 564 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 15384 "obj/conf/cf-parse.tab.c"
    break;

  case 1848: /* lsadb_args: lsadb_args LSID idval  */
#line 565 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 15390 "obj/conf/cf-parse.tab.c"
    break;

  case 1849: /* lsadb_args: lsadb_args SELF  */
#line 566 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 15396 "obj/conf/cf-parse.tab.c"
    break;

  case 1850: /* lsadb_args: lsadb_args ROUTER idval  */
#line 567 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 15402 "obj/conf/cf-parse.tab.c"
    break;

  case 1851: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 568 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 15408 "obj/conf/cf-parse.tab.c"
    break;

  case 1853: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 15424 "obj/conf/cf-parse.tab.c"
    break;

  case 1857: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15430 "obj/conf/cf-parse.tab.c"
    break;

  case 1858: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 15436 "obj/conf/cf-parse.tab.c"
    break;

  case 1859: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 15442 "obj/conf/cf-parse.tab.c"
    break;

  case 1860: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 15448 "obj/conf/cf-parse.tab.c"
    break;

  case 1861: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 15454 "obj/conf/cf-parse.tab.c"
    break;

  case 1862: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 15460 "obj/conf/cf-parse.tab.c"
    break;

  case 1863: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 15466 "obj/conf/cf-parse.tab.c"
    break;

  case 1864: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 15472 "obj/conf/cf-parse.tab.c"
    break;

  case 1865: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 15478 "obj/conf/cf-parse.tab.c"
    break;

  case 1866: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 15484 "obj/conf/cf-parse.tab.c"
    break;

  case 1867: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 15490 "obj/conf/cf-parse.tab.c"
    break;

  case 1868: /* $@19: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 15498 "obj/conf/cf-parse.tab.c"
    break;

  case 1869: /* pipe_proto_start: proto_start PIPE $@19 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 15511 "obj/conf/cf-parse.tab.c"
    break;

  case 1873: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15517 "obj/conf/cf-parse.tab.c"
    break;

  case 1875: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15532 "obj/conf/cf-parse.tab.c"
    break;

  case 1879: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15538 "obj/conf/cf-parse.tab.c"
    break;

  case 1880: /* $@20: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15544 "obj/conf/cf-parse.tab.c"
    break;

  case 1881: /* radv_proto_item: RDNSS $@20 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15550 "obj/conf/cf-parse.tab.c"
    break;

  case 1882: /* $@21: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15556 "obj/conf/cf-parse.tab.c"
    break;

  case 1883: /* radv_proto_item: DNSSL $@21 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15562 "obj/conf/cf-parse.tab.c"
    break;

  case 1884: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15568 "obj/conf/cf-parse.tab.c"
    break;

  case 1885: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15574 "obj/conf/cf-parse.tab.c"
    break;

  case 1886: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15580 "obj/conf/cf-parse.tab.c"
    break;

  case 1890: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15607 "obj/conf/cf-parse.tab.c"
    break;

  case 1891: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15613 "obj/conf/cf-parse.tab.c"
    break;

  case 1892: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15619 "obj/conf/cf-parse.tab.c"
    break;

  case 1893: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15625 "obj/conf/cf-parse.tab.c"
    break;

  case 1894: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15631 "obj/conf/cf-parse.tab.c"
    break;

  case 1895: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15637 "obj/conf/cf-parse.tab.c"
    break;

  case 1896: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15643 "obj/conf/cf-parse.tab.c"
    break;

  case 1897: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15649 "obj/conf/cf-parse.tab.c"
    break;

  case 1898: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15655 "obj/conf/cf-parse.tab.c"
    break;

  case 1899: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15661 "obj/conf/cf-parse.tab.c"
    break;

  case 1900: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15667 "obj/conf/cf-parse.tab.c"
    break;

  case 1901: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15677 "obj/conf/cf-parse.tab.c"
    break;

  case 1902: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15686 "obj/conf/cf-parse.tab.c"
    break;

  case 1903: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15692 "obj/conf/cf-parse.tab.c"
    break;

  case 1904: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15698 "obj/conf/cf-parse.tab.c"
    break;

  case 1905: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15704 "obj/conf/cf-parse.tab.c"
    break;

  case 1906: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15710 "obj/conf/cf-parse.tab.c"
    break;

  case 1907: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15716 "obj/conf/cf-parse.tab.c"
    break;

  case 1908: /* $@22: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15722 "obj/conf/cf-parse.tab.c"
    break;

  case 1909: /* radv_iface_item: RDNSS $@22 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15728 "obj/conf/cf-parse.tab.c"
    break;

  case 1910: /* $@23: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15734 "obj/conf/cf-parse.tab.c"
    break;

  case 1911: /* radv_iface_item: DNSSL $@23 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15740 "obj/conf/cf-parse.tab.c"
    break;

  case 1912: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15746 "obj/conf/cf-parse.tab.c"
    break;

  case 1913: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15752 "obj/conf/cf-parse.tab.c"
    break;

  case 1914: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15758 "obj/conf/cf-parse.tab.c"
    break;

  case 1915: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15764 "obj/conf/cf-parse.tab.c"
    break;

  case 1916: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 15770 "obj/conf/cf-parse.tab.c"
    break;

  case 1917: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 15776 "obj/conf/cf-parse.tab.c"
    break;

  case 1918: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 15782 "obj/conf/cf-parse.tab.c"
    break;

  case 1919: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15823 "obj/conf/cf-parse.tab.c"
    break;

  case 1925: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15837 "obj/conf/cf-parse.tab.c"
    break;

  case 1926: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15843 "obj/conf/cf-parse.tab.c"
    break;

  case 1927: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15849 "obj/conf/cf-parse.tab.c"
    break;

  case 1928: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15855 "obj/conf/cf-parse.tab.c"
    break;

  case 1929: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15864 "obj/conf/cf-parse.tab.c"
    break;

  case 1930: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15873 "obj/conf/cf-parse.tab.c"
    break;

  case 1931: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15885 "obj/conf/cf-parse.tab.c"
    break;

  case 1937: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15897 "obj/conf/cf-parse.tab.c"
    break;

  case 1938: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15906 "obj/conf/cf-parse.tab.c"
    break;

  case 1941: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15912 "obj/conf/cf-parse.tab.c"
    break;

  case 1942: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15928 "obj/conf/cf-parse.tab.c"
    break;

  case 1947: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15943 "obj/conf/cf-parse.tab.c"
    break;

  case 1948: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15952 "obj/conf/cf-parse.tab.c"
    break;

  case 1951: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15958 "obj/conf/cf-parse.tab.c"
    break;

  case 1952: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15974 "obj/conf/cf-parse.tab.c"
    break;

  case 1957: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15980 "obj/conf/cf-parse.tab.c"
    break;

  case 1958: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15986 "obj/conf/cf-parse.tab.c"
    break;

  case 1959: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 15992 "obj/conf/cf-parse.tab.c"
    break;

  case 1960: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 15998 "obj/conf/cf-parse.tab.c"
    break;

  case 1961: /* dynamic_attr: RA_PREFERENCE  */
#line 353 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 16004 "obj/conf/cf-parse.tab.c"
    break;

  case 1962: /* dynamic_attr: RA_LIFETIME  */
#line 354 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 16010 "obj/conf/cf-parse.tab.c"
    break;

  case 1964: /* rip_variant: RIP  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 16016 "obj/conf/cf-parse.tab.c"
    break;

  case 1965: /* rip_variant: RIP NG  */
#line 51 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 16022 "obj/conf/cf-parse.tab.c"
    break;

  case 1966: /* rip_proto_start: proto_start rip_variant  */
#line 55 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 16038 "obj/conf/cf-parse.tab.c"
    break;

  case 1969: /* rip_proto_item: ECMP bool  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 16044 "obj/conf/cf-parse.tab.c"
    break;

  case 1970: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 16050 "obj/conf/cf-parse.tab.c"
    break;

  case 1971: /* rip_proto_item: INFINITY expr  */
#line 72 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 16056 "obj/conf/cf-parse.tab.c"
    break;

  case 1976: /* rip_iface_start: %empty  */
#line 86 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 16084 "obj/conf/cf-parse.tab.c"
    break;

  case 1977: /* rip_iface_finish: %empty  */
#line 111 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 16117 "obj/conf/cf-parse.tab.c"
    break;

  case 1978: /* rip_iface_item: METRIC expr  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 16123 "obj/conf/cf-parse.tab.c"
    break;

  case 1979: /* rip_iface_item: MODE MULTICAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 16129 "obj/conf/cf-parse.tab.c"
    break;

  case 1980: /* rip_iface_item: MODE BROADCAST  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 16135 "obj/conf/cf-parse.tab.c"
    break;

  case 1981: /* rip_iface_item: PASSIVE bool  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 16141 "obj/conf/cf-parse.tab.c"
    break;

  case 1982: /* rip_iface_item: ADDRESS ipa  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 16147 "obj/conf/cf-parse.tab.c"
    break;

  case 1983: /* rip_iface_item: PORT expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 16153 "obj/conf/cf-parse.tab.c"
    break;

  case 1984: /* rip_iface_item: VERSION expr  */
#line 147 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 16162 "obj/conf/cf-parse.tab.c"
    break;

  case 1985: /* rip_iface_item: VERSION ONLY bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 16168 "obj/conf/cf-parse.tab.c"
    break;

  case 1986: /* rip_iface_item: SPLIT HORIZON bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 16174 "obj/conf/cf-parse.tab.c"
    break;

  case 1987: /* rip_iface_item: POISON REVERSE bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 16180 "obj/conf/cf-parse.tab.c"
    break;

  case 1988: /* rip_iface_item: CHECK ZERO bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 16186 "obj/conf/cf-parse.tab.c"
    break;

  case 1989: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 16192 "obj/conf/cf-parse.tab.c"
    break;

  case 1990: /* rip_iface_item: UPDATE TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 16198 "obj/conf/cf-parse.tab.c"
    break;

  case 1991: /* rip_iface_item: TIMEOUT TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 16204 "obj/conf/cf-parse.tab.c"
    break;

  case 1992: /* rip_iface_item: GARBAGE TIME expr  */
#line 158 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 16210 "obj/conf/cf-parse.tab.c"
    break;

  case 1993: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 159 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 16216 "obj/conf/cf-parse.tab.c"
    break;

  case 1994: /* rip_iface_item: ECMP WEIGHT expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 16222 "obj/conf/cf-parse.tab.c"
    break;

  case 1995: /* rip_iface_item: RX BUFFER expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 16228 "obj/conf/cf-parse.tab.c"
    break;

  case 1996: /* rip_iface_item: TX LENGTH expr  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 16234 "obj/conf/cf-parse.tab.c"
    break;

  case 1997: /* rip_iface_item: TX tos  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 16240 "obj/conf/cf-parse.tab.c"
    break;

  case 1998: /* rip_iface_item: TX PRIORITY expr  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 16246 "obj/conf/cf-parse.tab.c"
    break;

  case 1999: /* rip_iface_item: TTL SECURITY bool  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 16252 "obj/conf/cf-parse.tab.c"
    break;

  case 2000: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 16258 "obj/conf/cf-parse.tab.c"
    break;

  case 2001: /* rip_iface_item: CHECK LINK bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 16264 "obj/conf/cf-parse.tab.c"
    break;

  case 2002: /* rip_iface_item: BFD bool  */
#line 168 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 16270 "obj/conf/cf-parse.tab.c"
    break;

  case 2003: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 169 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 16276 "obj/conf/cf-parse.tab.c"
    break;

  case 2004: /* rip_iface_item: password_list  */
#line 170 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 16282 "obj/conf/cf-parse.tab.c"
    break;

  case 2005: /* rip_auth: NONE  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 16288 "obj/conf/cf-parse.tab.c"
    break;

  case 2006: /* rip_auth: PLAINTEXT  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 16294 "obj/conf/cf-parse.tab.c"
    break;

  case 2007: /* rip_auth: CRYPTOGRAPHIC  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 16300 "obj/conf/cf-parse.tab.c"
    break;

  case 2008: /* rip_auth: MD5  */
#line 177 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 16306 "obj/conf/cf-parse.tab.c"
    break;

  case 2014: /* dynamic_attr: RIP_METRIC  */
#line 194 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 16312 "obj/conf/cf-parse.tab.c"
    break;

  case 2015: /* dynamic_attr: RIP_TAG  */
#line 195 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 16318 "obj/conf/cf-parse.tab.c"
    break;

  case 2017: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 200 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 16324 "obj/conf/cf-parse.tab.c"
    break;

  case 2019: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 203 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 16330 "obj/conf/cf-parse.tab.c"
    break;

  case 2021: /* rpki_proto_start: proto_start RPKI  */
#line 45 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 16343 "obj/conf/cf-parse.tab.c"
    break;

  case 2022: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 54 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 16349 "obj/conf/cf-parse.tab.c"
    break;

  case 2030: /* rpki_proto_item: LOCAL ADDRESS ipa  */
#line 67 "proto/rpki/config.Y"
                     { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 16355 "obj/conf/cf-parse.tab.c"
    break;

  case 2032: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 69 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 16366 "obj/conf/cf-parse.tab.c"
    break;

  case 2033: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 75 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 16377 "obj/conf/cf-parse.tab.c"
    break;

  case 2034: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 81 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 16388 "obj/conf/cf-parse.tab.c"
    break;

  case 2035: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 87 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 16394 "obj/conf/cf-parse.tab.c"
    break;

  case 2036: /* rpki_proto_item: MIN VERSION expr  */
#line 88 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 16403 "obj/conf/cf-parse.tab.c"
    break;

  case 2037: /* rpki_proto_item: MAX VERSION expr  */
#line 92 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 16412 "obj/conf/cf-parse.tab.c"
    break;

  case 2038: /* rpki_keep_interval: %empty  */
#line 99 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 16418 "obj/conf/cf-parse.tab.c"
    break;

  case 2039: /* rpki_keep_interval: KEEP  */
#line 100 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 16424 "obj/conf/cf-parse.tab.c"
    break;

  case 2040: /* rpki_proto_item_port: PORT expr  */
#line 103 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 16430 "obj/conf/cf-parse.tab.c"
    break;

  case 2041: /* rpki_cache_addr: text_or_ipa  */
#line 106 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 16450 "obj/conf/cf-parse.tab.c"
    break;

  case 2044: /* rpki_transport_tcp_init: %empty  */
#line 128 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 16460 "obj/conf/cf-parse.tab.c"
    break;

  case 2049: /* rpki_transport_tcp_item: AUTHENTICATION NONE  */
#line 145 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 16466 "obj/conf/cf-parse.tab.c"
    break;

  case 2050: /* rpki_transport_tcp_item: AUTHENTICATION MD5  */
#line 146 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 16472 "obj/conf/cf-parse.tab.c"
    break;

  case 2051: /* rpki_transport_tcp_item: PASSWORD text  */
#line 147 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 16478 "obj/conf/cf-parse.tab.c"
    break;

  case 2052: /* rpki_transport_tcp_check: %empty  */
#line 151 "proto/rpki/config.Y"
{
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 16487 "obj/conf/cf-parse.tab.c"
    break;

  case 2053: /* rpki_transport_ssh_init: %empty  */
#line 157 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 16501 "obj/conf/cf-parse.tab.c"
    break;

  case 2056: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 173 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 16507 "obj/conf/cf-parse.tab.c"
    break;

  case 2057: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 174 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 16513 "obj/conf/cf-parse.tab.c"
    break;

  case 2058: /* rpki_transport_ssh_item: USER text  */
#line 175 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16519 "obj/conf/cf-parse.tab.c"
    break;

  case 2059: /* rpki_transport_ssh_check: %empty  */
#line 179 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16528 "obj/conf/cf-parse.tab.c"
    break;

  case 2061: /* static_proto_start: proto_start STATIC  */
#line 59 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16537 "obj/conf/cf-parse.tab.c"
    break;

  case 2064: /* static_proto: static_proto proto_channel ';'  */
#line 67 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16543 "obj/conf/cf-parse.tab.c"
    break;

  case 2066: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 69 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16549 "obj/conf/cf-parse.tab.c"
    break;

  case 2067: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 70 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16562 "obj/conf/cf-parse.tab.c"
    break;

  case 2068: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 78 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 16568 "obj/conf/cf-parse.tab.c"
    break;

  case 2069: /* stat_nexthop: VIA ipa ipa_scope  */
#line 82 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16578 "obj/conf/cf-parse.tab.c"
    break;

  case 2070: /* stat_nexthop: VIA TEXT  */
#line 87 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16588 "obj/conf/cf-parse.tab.c"
    break;

  case 2071: /* stat_nexthop: stat_nexthop DEV TEXT  */
#line 92 "proto/static/config.Y"
                          {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16596 "obj/conf/cf-parse.tab.c"
    break;

  case 2072: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 95 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16604 "obj/conf/cf-parse.tab.c"
    break;

  case 2073: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 98 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16614 "obj/conf/cf-parse.tab.c"
    break;

  case 2074: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 103 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16623 "obj/conf/cf-parse.tab.c"
    break;

  case 2075: /* stat_nexthop: stat_nexthop BFD bool  */
#line 107 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16633 "obj/conf/cf-parse.tab.c"
    break;

  case 2079: /* stat_mpls: MPLS expr  */
#line 121 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16639 "obj/conf/cf-parse.tab.c"
    break;

  case 2080: /* $@24: %empty  */
#line 124 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16654 "obj/conf/cf-parse.tab.c"
    break;

  case 2083: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 138 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16663 "obj/conf/cf-parse.tab.c"
    break;

  case 2084: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 142 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16673 "obj/conf/cf-parse.tab.c"
    break;

  case 2085: /* stat_route: stat_route0  */
#line 147 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 16679 "obj/conf/cf-parse.tab.c"
    break;

  case 2086: /* stat_route: stat_route0 DROP  */
#line 148 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16685 "obj/conf/cf-parse.tab.c"
    break;

  case 2087: /* stat_route: stat_route0 REJECT  */
#line 149 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16691 "obj/conf/cf-parse.tab.c"
    break;

  case 2088: /* stat_route: stat_route0 BLACKHOLE  */
#line 150 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16697 "obj/conf/cf-parse.tab.c"
    break;

  case 2089: /* stat_route: stat_route0 UNREACHABLE  */
#line 151 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16703 "obj/conf/cf-parse.tab.c"
    break;

  case 2090: /* stat_route: stat_route0 PROHIBIT  */
#line 152 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 16709 "obj/conf/cf-parse.tab.c"
    break;

  case 2091: /* $@25: %empty  */
#line 153 "proto/static/config.Y"
                         {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 16719 "obj/conf/cf-parse.tab.c"
    break;

  case 2093: /* stat_route: stat_route0 TRANSIT  */
#line 158 "proto/static/config.Y"
                       {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 16731 "obj/conf/cf-parse.tab.c"
    break;

  case 2094: /* stat_aspa_provider: NUM  */
#line 167 "proto/static/config.Y"
                        {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 16748 "obj/conf/cf-parse.tab.c"
    break;

  case 2097: /* stat_route_item: cmd  */
#line 183 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16760 "obj/conf/cf-parse.tab.c"
    break;

  case 2103: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 204 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16766 "obj/conf/cf-parse.tab.c"
    break;

  case 2105: /* kern_sys_item: KERNEL TABLE expr  */
#line 34 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16772 "obj/conf/cf-parse.tab.c"
    break;

  case 2106: /* kern_sys_item: METRIC expr  */
#line 35 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16778 "obj/conf/cf-parse.tab.c"
    break;

  case 2107: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 36 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16784 "obj/conf/cf-parse.tab.c"
    break;

  case 2108: /* dynamic_attr: KRT_PREFSRC  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16790 "obj/conf/cf-parse.tab.c"
    break;

  case 2109: /* dynamic_attr: KRT_REALM  */
#line 40 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16796 "obj/conf/cf-parse.tab.c"
    break;

  case 2110: /* dynamic_attr: KRT_SCOPE  */
#line 41 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16802 "obj/conf/cf-parse.tab.c"
    break;

  case 2111: /* dynamic_attr: KRT_MTU  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16808 "obj/conf/cf-parse.tab.c"
    break;

  case 2112: /* dynamic_attr: KRT_WINDOW  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16814 "obj/conf/cf-parse.tab.c"
    break;

  case 2113: /* dynamic_attr: KRT_RTT  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16820 "obj/conf/cf-parse.tab.c"
    break;

  case 2114: /* dynamic_attr: KRT_RTTVAR  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16826 "obj/conf/cf-parse.tab.c"
    break;

  case 2115: /* dynamic_attr: KRT_SSTHRESH  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16832 "obj/conf/cf-parse.tab.c"
    break;

  case 2116: /* dynamic_attr: KRT_SSTRESH  */
#line 48 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16839 "obj/conf/cf-parse.tab.c"
    break;

  case 2117: /* dynamic_attr: KRT_CWND  */
#line 50 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16845 "obj/conf/cf-parse.tab.c"
    break;

  case 2118: /* dynamic_attr: KRT_ADVMSS  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16851 "obj/conf/cf-parse.tab.c"
    break;

  case 2119: /* dynamic_attr: KRT_REORDERING  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16857 "obj/conf/cf-parse.tab.c"
    break;

  case 2120: /* dynamic_attr: KRT_HOPLIMIT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16863 "obj/conf/cf-parse.tab.c"
    break;

  case 2121: /* dynamic_attr: KRT_INITCWND  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16869 "obj/conf/cf-parse.tab.c"
    break;

  case 2122: /* dynamic_attr: KRT_RTO_MIN  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16875 "obj/conf/cf-parse.tab.c"
    break;

  case 2123: /* dynamic_attr: KRT_INITRWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16881 "obj/conf/cf-parse.tab.c"
    break;

  case 2124: /* dynamic_attr: KRT_QUICKACK  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16887 "obj/conf/cf-parse.tab.c"
    break;

  case 2125: /* dynamic_attr: KRT_CONGCTL  */
#line 58 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16893 "obj/conf/cf-parse.tab.c"
    break;

  case 2126: /* dynamic_attr: KRT_FASTOPEN_NO_COOKIE  */
#line 59 "sysdep/linux/netlink.Y"
                                     { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16899 "obj/conf/cf-parse.tab.c"
    break;

  case 2127: /* dynamic_attr: KRT_LOCK_MTU  */
#line 63 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16905 "obj/conf/cf-parse.tab.c"
    break;

  case 2128: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 64 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16911 "obj/conf/cf-parse.tab.c"
    break;

  case 2129: /* dynamic_attr: KRT_LOCK_RTT  */
#line 65 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16917 "obj/conf/cf-parse.tab.c"
    break;

  case 2130: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 66 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16923 "obj/conf/cf-parse.tab.c"
    break;

  case 2131: /* dynamic_attr: KRT_LOCK_SSTHRESH  */
#line 67 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16929 "obj/conf/cf-parse.tab.c"
    break;

  case 2132: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 68 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16936 "obj/conf/cf-parse.tab.c"
    break;

  case 2133: /* dynamic_attr: KRT_LOCK_CWND  */
#line 70 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16942 "obj/conf/cf-parse.tab.c"
    break;

  case 2134: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 71 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16948 "obj/conf/cf-parse.tab.c"
    break;

  case 2135: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 72 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16954 "obj/conf/cf-parse.tab.c"
    break;

  case 2136: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 73 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16960 "obj/conf/cf-parse.tab.c"
    break;

  case 2137: /* dynamic_attr: KRT_LOCK_INITCWND  */
#line 74 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16966 "obj/conf/cf-parse.tab.c"
    break;

  case 2138: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 76 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16972 "obj/conf/cf-parse.tab.c"
    break;

  case 2139: /* dynamic_attr: KRT_LOCK_INITRWND  */
#line 77 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16978 "obj/conf/cf-parse.tab.c"
    break;

  case 2140: /* dynamic_attr: KRT_LOCK_QUICKACK  */
#line 78 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16984 "obj/conf/cf-parse.tab.c"
    break;

  case 2141: /* dynamic_attr: KRT_LOCK_CONGCTL  */
#line 79 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16990 "obj/conf/cf-parse.tab.c"
    break;

  case 2142: /* dynamic_attr: KRT_LOCK_FASTOPEN_NO_COOKIE  */
#line 80 "sysdep/linux/netlink.Y"
                                          { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16996 "obj/conf/cf-parse.tab.c"
    break;

  case 2143: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 82 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 17002 "obj/conf/cf-parse.tab.c"
    break;

  case 2144: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 83 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 17008 "obj/conf/cf-parse.tab.c"
    break;

  case 2147: /* log_begin: %empty  */
#line 36 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 17014 "obj/conf/cf-parse.tab.c"
    break;

  case 2148: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 38 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 17023 "obj/conf/cf-parse.tab.c"
    break;

  case 2149: /* syslog_name: NAME text  */
#line 45 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 17029 "obj/conf/cf-parse.tab.c"
    break;

  case 2150: /* syslog_name: %empty  */
#line 46 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 17035 "obj/conf/cf-parse.tab.c"
    break;

  case 2152: /* log_limit: expr text  */
#line 51 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 17041 "obj/conf/cf-parse.tab.c"
    break;

  case 2153: /* log_file: text log_limit  */
#line 55 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 17056 "obj/conf/cf-parse.tab.c"
    break;

  case 2154: /* log_file: SYSLOG syslog_name  */
#line 65 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 17062 "obj/conf/cf-parse.tab.c"
    break;

  case 2155: /* log_file: STDERR  */
#line 66 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 17068 "obj/conf/cf-parse.tab.c"
    break;

  case 2156: /* log_file: UDP log_udp_host log_udp_port  */
#line 67 "sysdep/unix/config.Y"
                                 {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 17079 "obj/conf/cf-parse.tab.c"
    break;

  case 2157: /* log_udp_host: text_or_ipa  */
#line 76 "sysdep/unix/config.Y"
{
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 17091 "obj/conf/cf-parse.tab.c"
    break;

  case 2158: /* log_udp_port: %empty  */
#line 85 "sysdep/unix/config.Y"
                { this_log->port = 514; }
#line 17097 "obj/conf/cf-parse.tab.c"
    break;

  case 2159: /* log_udp_port: PORT NUM  */
#line 86 "sysdep/unix/config.Y"
             { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 17103 "obj/conf/cf-parse.tab.c"
    break;

  case 2160: /* log_mask: ALL  */
#line 90 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 17109 "obj/conf/cf-parse.tab.c"
    break;

  case 2161: /* log_mask: '{' log_mask_list '}'  */
#line 91 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 17115 "obj/conf/cf-parse.tab.c"
    break;

  case 2162: /* log_mask_list: log_cat  */
#line 95 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 17121 "obj/conf/cf-parse.tab.c"
    break;

  case 2163: /* log_mask_list: log_mask_list ',' log_cat  */
#line 96 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 17127 "obj/conf/cf-parse.tab.c"
    break;

  case 2164: /* log_cat: DEBUG  */
#line 100 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 17133 "obj/conf/cf-parse.tab.c"
    break;

  case 2165: /* log_cat: TRACE  */
#line 101 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 17139 "obj/conf/cf-parse.tab.c"
    break;

  case 2166: /* log_cat: INFO  */
#line 102 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 17145 "obj/conf/cf-parse.tab.c"
    break;

  case 2167: /* log_cat: REMOTE  */
#line 103 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 17151 "obj/conf/cf-parse.tab.c"
    break;

  case 2168: /* log_cat: WARNING  */
#line 104 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 17157 "obj/conf/cf-parse.tab.c"
    break;

  case 2169: /* log_cat: ERROR  */
#line 105 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 17163 "obj/conf/cf-parse.tab.c"
    break;

  case 2170: /* log_cat: AUTH  */
#line 106 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 17169 "obj/conf/cf-parse.tab.c"
    break;

  case 2171: /* log_cat: FATAL  */
#line 107 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 17175 "obj/conf/cf-parse.tab.c"
    break;

  case 2172: /* log_cat: BUG  */
#line 108 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 17181 "obj/conf/cf-parse.tab.c"
    break;

  case 2174: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 115 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 17187 "obj/conf/cf-parse.tab.c"
    break;

  case 2175: /* mrtdump_base: MRTDUMP text ';'  */
#line 116 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 17200 "obj/conf/cf-parse.tab.c"
    break;

  case 2177: /* cli: CLI text cli_opts  */
#line 128 "sysdep/unix/config.Y"
                       {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 17210 "obj/conf/cf-parse.tab.c"
    break;

  case 2180: /* cli_opts_begin: %empty  */
#line 136 "sysdep/unix/config.Y"
                {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 17222 "obj/conf/cf-parse.tab.c"
    break;

  case 2182: /* cli_opts_block: cli_opts_block RESTRICT  */
#line 146 "sysdep/unix/config.Y"
                          { this_cli_config->restricted = 1; }
#line 17228 "obj/conf/cf-parse.tab.c"
    break;

  case 2184: /* debug_unix: DEBUG LATENCY bool  */
#line 152 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 17234 "obj/conf/cf-parse.tab.c"
    break;

  case 2185: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 153 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 17240 "obj/conf/cf-parse.tab.c"
    break;

  case 2186: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 154 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 17246 "obj/conf/cf-parse.tab.c"
    break;

  case 2187: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 155 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 17252 "obj/conf/cf-parse.tab.c"
    break;

  case 2189: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 164 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 17258 "obj/conf/cf-parse.tab.c"
    break;

  case 2191: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 167 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 17264 "obj/conf/cf-parse.tab.c"
    break;

  case 2193: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 174 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 17270 "obj/conf/cf-parse.tab.c"
    break;

  case 2195: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 177 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 17276 "obj/conf/cf-parse.tab.c"
    break;

  case 2197: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 180 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 17282 "obj/conf/cf-parse.tab.c"
    break;

  case 2199: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 183 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 17288 "obj/conf/cf-parse.tab.c"
    break;

  case 2201: /* cmd_DOWN: DOWN END  */
#line 186 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 17294 "obj/conf/cf-parse.tab.c"
    break;

  case 2203: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 191 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 17300 "obj/conf/cf-parse.tab.c"
    break;

  case 2204: /* cfg_name: %empty  */
#line 195 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 17306 "obj/conf/cf-parse.tab.c"
    break;

  case 2206: /* cfg_timeout: %empty  */
#line 200 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 17312 "obj/conf/cf-parse.tab.c"
    break;

  case 2207: /* cfg_timeout: TIMEOUT  */
#line 201 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 17318 "obj/conf/cf-parse.tab.c"
    break;

  case 2208: /* cfg_timeout: TIMEOUT expr  */
#line 202 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 17324 "obj/conf/cf-parse.tab.c"
    break;

  case 2210: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 17332 "obj/conf/cf-parse.tab.c"
    break;

  case 2213: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 17338 "obj/conf/cf-parse.tab.c"
    break;

  case 2214: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 17344 "obj/conf/cf-parse.tab.c"
    break;

  case 2215: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 17350 "obj/conf/cf-parse.tab.c"
    break;

  case 2216: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 17356 "obj/conf/cf-parse.tab.c"
    break;

  case 2220: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 17362 "obj/conf/cf-parse.tab.c"
    break;

  case 2221: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 17368 "obj/conf/cf-parse.tab.c"
    break;

  case 2222: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 17377 "obj/conf/cf-parse.tab.c"
    break;

  case 2223: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 17389 "obj/conf/cf-parse.tab.c"
    break;

  case 2224: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 17395 "obj/conf/cf-parse.tab.c"
    break;

  case 2225: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 17407 "obj/conf/cf-parse.tab.c"
    break;

  case 2227: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 17413 "obj/conf/cf-parse.tab.c"
    break;

  case 2232: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 17422 "obj/conf/cf-parse.tab.c"
    break;

  case 2233: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 17432 "obj/conf/cf-parse.tab.c"
    break;

  case 2234: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 17438 "obj/conf/cf-parse.tab.c"
    break;

  case 2240: /* dynamic_attr: KRT_SOURCE  */
#line 138 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 17444 "obj/conf/cf-parse.tab.c"
    break;

  case 2241: /* dynamic_attr: KRT_METRIC  */
#line 139 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 17450 "obj/conf/cf-parse.tab.c"
    break;


#line 17454 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 61 "conf/gen_parser.m4"

#line 456 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 978 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 262 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 419 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 184 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 205 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

