#line 533 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmisleading-indentation"
#endif

#include "nest/bird.h"
#include "filter/filter.h"
#include "filter/f-inst.h"

/* Instruction codes to string */
static const char * const f_instruction_name_str[] = {
#line 291 "filter/f-inst.c"
 /* Code enum to string for FI_ADD */
#line 291
  [FI_ADD] = "FI_ADD",
#line 296 "filter/f-inst.c"
 /* Code enum to string for FI_SUBTRACT */
#line 296
  [FI_SUBTRACT] = "FI_SUBTRACT",
#line 301 "filter/f-inst.c"
 /* Code enum to string for FI_MULTIPLY */
#line 301
  [FI_MULTIPLY] = "FI_MULTIPLY",
#line 307 "filter/f-inst.c"
 /* Code enum to string for FI_DIVIDE */
#line 307
  [FI_DIVIDE] = "FI_DIVIDE",
#line 317 "filter/f-inst.c"
 /* Code enum to string for FI_AND */
#line 317
  [FI_AND] = "FI_AND",
#line 328 "filter/f-inst.c"
 /* Code enum to string for FI_OR */
#line 328
  [FI_OR] = "FI_OR",
#line 338 "filter/f-inst.c"
 /* Code enum to string for FI_PAIR_CONSTRUCT */
#line 338
  [FI_PAIR_CONSTRUCT] = "FI_PAIR_CONSTRUCT",
#line 378 "filter/f-inst.c"
 /* Code enum to string for FI_EC_CONSTRUCT */
#line 378
  [FI_EC_CONSTRUCT] = "FI_EC_CONSTRUCT",
#line 385 "filter/f-inst.c"
 /* Code enum to string for FI_LC_CONSTRUCT */
#line 385
  [FI_LC_CONSTRUCT] = "FI_LC_CONSTRUCT",
#line 435 "filter/f-inst.c"
 /* Code enum to string for FI_PATHMASK_CONSTRUCT */
#line 435
  [FI_PATHMASK_CONSTRUCT] = "FI_PATHMASK_CONSTRUCT",
#line 442 "filter/f-inst.c"
 /* Code enum to string for FI_NEQ */
#line 442
  [FI_NEQ] = "FI_NEQ",
#line 449 "filter/f-inst.c"
 /* Code enum to string for FI_EQ */
#line 449
  [FI_EQ] = "FI_EQ",
#line 460 "filter/f-inst.c"
 /* Code enum to string for FI_LT */
#line 460
  [FI_LT] = "FI_LT",
#line 471 "filter/f-inst.c"
 /* Code enum to string for FI_LTE */
#line 471
  [FI_LTE] = "FI_LTE",
#line 476 "filter/f-inst.c"
 /* Code enum to string for FI_NOT */
#line 476
  [FI_NOT] = "FI_NOT",
#line 485 "filter/f-inst.c"
 /* Code enum to string for FI_MATCH */
#line 485
  [FI_MATCH] = "FI_MATCH",
#line 494 "filter/f-inst.c"
 /* Code enum to string for FI_NOT_MATCH */
#line 494
  [FI_NOT_MATCH] = "FI_NOT_MATCH",
#line 499 "filter/f-inst.c"
 /* Code enum to string for FI_DEFINED */
#line 499
  [FI_DEFINED] = "FI_DEFINED",
#line 500 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__type */
#line 500
  [FI_METHOD__T_NET__type] = "FI_METHOD__T_NET__type",
#line 503 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_IP__is_v4 */
#line 503
  [FI_METHOD__T_IP__is_v4] = "FI_METHOD__T_IP__is_v4",
#line 516 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT */
#line 516
  [FI_VAR_INIT] = "FI_VAR_INIT",
#line 527 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT0 */
#line 527
  [FI_VAR_INIT0] = "FI_VAR_INIT0",
#line 536 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_SET */
#line 536
  [FI_VAR_SET] = "FI_VAR_SET",
#line 543 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_GET */
#line 543
  [FI_VAR_GET] = "FI_VAR_GET",
#line 556 "filter/f-inst.c"
 /* Code enum to string for FI_CONSTANT */
#line 556
  [FI_CONSTANT] = "FI_CONSTANT",
#line 557 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__empty */
#line 557
  [FI_METHOD__T_PATH__empty] = "FI_METHOD__T_PATH__empty",
#line 558 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__empty */
#line 558
  [FI_METHOD__T_CLIST__empty] = "FI_METHOD__T_CLIST__empty",
#line 559 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__empty */
#line 559
  [FI_METHOD__T_ECLIST__empty] = "FI_METHOD__T_ECLIST__empty",
#line 562 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__empty */
#line 562
  [FI_METHOD__T_LCLIST__empty] = "FI_METHOD__T_LCLIST__empty",
#line 584 "filter/f-inst.c"
 /* Code enum to string for FI_FOR_LOOP_START */
#line 584
  [FI_FOR_LOOP_START] = "FI_FOR_LOOP_START",
#line 593 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FOR_NEXT */
#line 593
  [FI_PATH_FOR_NEXT] = "FI_PATH_FOR_NEXT",
#line 602 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FOR_NEXT */
#line 602
  [FI_CLIST_FOR_NEXT] = "FI_CLIST_FOR_NEXT",
#line 611 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FOR_NEXT */
#line 611
  [FI_ECLIST_FOR_NEXT] = "FI_ECLIST_FOR_NEXT",
#line 620 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FOR_NEXT */
#line 620
  [FI_LCLIST_FOR_NEXT] = "FI_LCLIST_FOR_NEXT",
#line 636 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  [FI_ROUTES_BLOCK_FOR_NEXT] = "FI_ROUTES_BLOCK_FOR_NEXT",
#line 644 "filter/f-inst.c"
 /* Code enum to string for FI_CONDITION */
#line 644
  [FI_CONDITION] = "FI_CONDITION",
#line 652 "filter/f-inst.c"
 /* Code enum to string for FI_PRINT */
#line 652
  [FI_PRINT] = "FI_PRINT",
#line 659 "filter/f-inst.c"
 /* Code enum to string for FI_FLUSH */
#line 659
  [FI_FLUSH] = "FI_FLUSH",
#line 673 "filter/f-inst.c"
 /* Code enum to string for FI_DIE */
#line 673
  [FI_DIE] = "FI_DIE",
#line 713 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_GET */
#line 713
  [FI_RTA_GET] = "FI_RTA_GET",
#line 858 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_SET */
#line 858
  [FI_RTA_SET] = "FI_RTA_SET",
#line 913 "filter/f-inst.c"
 /* Code enum to string for FI_EA_GET */
#line 913
  [FI_EA_GET] = "FI_EA_GET",
#line 989 "filter/f-inst.c"
 /* Code enum to string for FI_EA_SET */
#line 989
  [FI_EA_SET] = "FI_EA_SET",
#line 999 "filter/f-inst.c"
 /* Code enum to string for FI_EA_UNSET */
#line 999
  [FI_EA_UNSET] = "FI_EA_UNSET",
#line 1000 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__len */
#line 1000
  [FI_METHOD__T_NET__len] = "FI_METHOD__T_NET__len",
#line 1001 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__len */
#line 1001
  [FI_METHOD__T_PATH__len] = "FI_METHOD__T_PATH__len",
#line 1002 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__len */
#line 1002
  [FI_METHOD__T_CLIST__len] = "FI_METHOD__T_CLIST__len",
#line 1003 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__len */
#line 1003
  [FI_METHOD__T_ECLIST__len] = "FI_METHOD__T_ECLIST__len",
#line 1005 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__len */
#line 1005
  [FI_METHOD__T_LCLIST__len] = "FI_METHOD__T_LCLIST__len",
#line 1041 "filter/f-inst.c"
 /* Code enum to string for FI_NET_SRC */
#line 1041
  [FI_NET_SRC] = "FI_NET_SRC",
#line 1078 "filter/f-inst.c"
 /* Code enum to string for FI_NET_DST */
#line 1078
  [FI_NET_DST] = "FI_NET_DST",
#line 1088 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__maxlen */
#line 1088
  [FI_METHOD__T_NET__maxlen] = "FI_METHOD__T_NET__maxlen",
#line 1098 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__asn */
#line 1098
  [FI_METHOD__T_NET__asn] = "FI_METHOD__T_NET__asn",
#line 1100 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__ip */
#line 1100
  [FI_METHOD__T_NET__ip] = "FI_METHOD__T_NET__ip",
#line 1109 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTE_DISTINGUISHER */
#line 1109
  [FI_ROUTE_DISTINGUISHER] = "FI_ROUTE_DISTINGUISHER",
#line 1112 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__first */
#line 1112
  [FI_METHOD__T_PATH__first] = "FI_METHOD__T_PATH__first",
#line 1115 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last */
#line 1115
  [FI_METHOD__T_PATH__last] = "FI_METHOD__T_PATH__last",
#line 1118 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
  [FI_METHOD__T_PATH__last_nonaggregated] = "FI_METHOD__T_PATH__last_nonaggregated",
#line 1121 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__asn */
#line 1121
  [FI_METHOD__T_PAIR__asn] = "FI_METHOD__T_PAIR__asn",
#line 1124 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__data */
#line 1124
  [FI_METHOD__T_PAIR__data] = "FI_METHOD__T_PAIR__data",
#line 1127 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__asn */
#line 1127
  [FI_METHOD__T_LC__asn] = "FI_METHOD__T_LC__asn",
#line 1130 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data1 */
#line 1130
  [FI_METHOD__T_LC__data1] = "FI_METHOD__T_LC__data1",
#line 1133 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data2 */
#line 1133
  [FI_METHOD__T_LC__data2] = "FI_METHOD__T_LC__data2",
#line 1136 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__min */
#line 1136
  [FI_METHOD__T_CLIST__min] = "FI_METHOD__T_CLIST__min",
#line 1139 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__max */
#line 1139
  [FI_METHOD__T_CLIST__max] = "FI_METHOD__T_CLIST__max",
#line 1142 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__min */
#line 1142
  [FI_METHOD__T_ECLIST__min] = "FI_METHOD__T_ECLIST__min",
#line 1145 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__max */
#line 1145
  [FI_METHOD__T_ECLIST__max] = "FI_METHOD__T_ECLIST__max",
#line 1148 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__min */
#line 1148
  [FI_METHOD__T_LCLIST__min] = "FI_METHOD__T_LCLIST__min",
#line 1150 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__max */
#line 1150
  [FI_METHOD__T_LCLIST__max] = "FI_METHOD__T_LCLIST__max",
#line 1176 "filter/f-inst.c"
 /* Code enum to string for FI_RETURN */
#line 1176
  [FI_RETURN] = "FI_RETURN",
#line 1235 "filter/f-inst.c"
 /* Code enum to string for FI_CALL */
#line 1235
  [FI_CALL] = "FI_CALL",
#line 1240 "filter/f-inst.c"
 /* Code enum to string for FI_DROP_RESULT */
#line 1240
  [FI_DROP_RESULT] = "FI_DROP_RESULT",
#line 1281 "filter/f-inst.c"
 /* Code enum to string for FI_SWITCH */
#line 1281
  [FI_SWITCH] = "FI_SWITCH",
#line 1290 "filter/f-inst.c"
 /* Code enum to string for FI_IP_MASK */
#line 1290
  [FI_IP_MASK] = "FI_IP_MASK",
#line 1298 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_PREPEND */
#line 1298
  [FI_PATH_PREPEND] = "FI_PATH_PREPEND",
#line 1306 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_PAIR */
#line 1306
  [FI_CLIST_ADD_PAIR] = "FI_CLIST_ADD_PAIR",
#line 1313 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_INT */
#line 1313
  [FI_CLIST_ADD_INT] = "FI_CLIST_ADD_INT",
#line 1327 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_IP */
#line 1327
  [FI_CLIST_ADD_IP] = "FI_CLIST_ADD_IP",
#line 1334 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_QUAD */
#line 1334
  [FI_CLIST_ADD_QUAD] = "FI_CLIST_ADD_QUAD",
#line 1341 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_CLIST */
#line 1341
  [FI_CLIST_ADD_CLIST] = "FI_CLIST_ADD_CLIST",
#line 1348 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_EC */
#line 1348
  [FI_ECLIST_ADD_EC] = "FI_ECLIST_ADD_EC",
#line 1355 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_ECLIST */
#line 1355
  [FI_ECLIST_ADD_ECLIST] = "FI_ECLIST_ADD_ECLIST",
#line 1362 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LC */
#line 1362
  [FI_LCLIST_ADD_LC] = "FI_LCLIST_ADD_LC",
#line 1369 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LCLIST */
#line 1369
  [FI_LCLIST_ADD_LCLIST] = "FI_LCLIST_ADD_LCLIST",
#line 1376 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_INT */
#line 1376
  [FI_PATH_DELETE_INT] = "FI_PATH_DELETE_INT",
#line 1388 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_SET */
#line 1388
  [FI_PATH_DELETE_SET] = "FI_PATH_DELETE_SET",
#line 1396 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_PAIR */
#line 1396
  [FI_CLIST_DELETE_PAIR] = "FI_CLIST_DELETE_PAIR",
#line 1403 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_INT */
#line 1403
  [FI_CLIST_DELETE_INT] = "FI_CLIST_DELETE_INT",
#line 1417 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_IP */
#line 1417
  [FI_CLIST_DELETE_IP] = "FI_CLIST_DELETE_IP",
#line 1424 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_QUAD */
#line 1424
  [FI_CLIST_DELETE_QUAD] = "FI_CLIST_DELETE_QUAD",
#line 1431 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_CLIST */
#line 1431
  [FI_CLIST_DELETE_CLIST] = "FI_CLIST_DELETE_CLIST",
#line 1442 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_SET */
#line 1442
  [FI_CLIST_DELETE_SET] = "FI_CLIST_DELETE_SET",
#line 1449 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_EC */
#line 1449
  [FI_ECLIST_DELETE_EC] = "FI_ECLIST_DELETE_EC",
#line 1456 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_ECLIST */
#line 1456
  [FI_ECLIST_DELETE_ECLIST] = "FI_ECLIST_DELETE_ECLIST",
#line 1467 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_SET */
#line 1467
  [FI_ECLIST_DELETE_SET] = "FI_ECLIST_DELETE_SET",
#line 1474 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LC */
#line 1474
  [FI_LCLIST_DELETE_LC] = "FI_LCLIST_DELETE_LC",
#line 1481 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LCLIST */
#line 1481
  [FI_LCLIST_DELETE_LCLIST] = "FI_LCLIST_DELETE_LCLIST",
#line 1492 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_SET */
#line 1492
  [FI_LCLIST_DELETE_SET] = "FI_LCLIST_DELETE_SET",
#line 1503 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FILTER_SET */
#line 1503
  [FI_PATH_FILTER_SET] = "FI_PATH_FILTER_SET",
#line 1510 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_CLIST */
#line 1510
  [FI_CLIST_FILTER_CLIST] = "FI_CLIST_FILTER_CLIST",
#line 1521 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_SET */
#line 1521
  [FI_CLIST_FILTER_SET] = "FI_CLIST_FILTER_SET",
#line 1528 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_ECLIST */
#line 1528
  [FI_ECLIST_FILTER_ECLIST] = "FI_ECLIST_FILTER_ECLIST",
#line 1539 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_SET */
#line 1539
  [FI_ECLIST_FILTER_SET] = "FI_ECLIST_FILTER_SET",
#line 1546 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_LCLIST */
#line 1546
  [FI_LCLIST_FILTER_LCLIST] = "FI_LCLIST_FILTER_LCLIST",
#line 1557 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_SET */
#line 1557
  [FI_LCLIST_FILTER_SET] = "FI_LCLIST_FILTER_SET",
#line 1587 "filter/f-inst.c"
 /* Code enum to string for FI_ROA_CHECK_IMPLICIT */
#line 1587
  [FI_ROA_CHECK_IMPLICIT] = "FI_ROA_CHECK_IMPLICIT",
#line 1609 "filter/f-inst.c"
 /* Code enum to string for FI_ROA_CHECK_EXPLICIT */
#line 1609
  [FI_ROA_CHECK_EXPLICIT] = "FI_ROA_CHECK_EXPLICIT",
#line 1625 "filter/f-inst.c"
 /* Code enum to string for FI_ASPA_CHECK_EXPLICIT */
#line 1625
  [FI_ASPA_CHECK_EXPLICIT] = "FI_ASPA_CHECK_EXPLICIT",
#line 1640 "filter/f-inst.c"
 /* Code enum to string for FI_FROM_HEX */
#line 1640
  [FI_FROM_HEX] = "FI_FROM_HEX",
#line 1645 "filter/f-inst.c"
 /* Code enum to string for FI_FORMAT */
#line 1645
  [FI_FORMAT] = "FI_FORMAT",
#line 825 "filter/decl.m4"
 /* Code enum to string for FI_ASSERT */
#line 825
  [FI_ASSERT] = "FI_ASSERT",
#line 546 "filter/decl.m4"

};

const char *
f_instruction_name_(enum f_instruction_code fi)
{
  if (fi < (sizeof(f_instruction_name_str) / sizeof(f_instruction_name_str[0])))
    return f_instruction_name_str[fi];
  else
    bug("Got unknown instruction code: %d", fi);
}

static inline struct f_inst *
fi_new(enum f_instruction_code fi_code)
{
  struct f_inst *what = tmp_allocz(sizeof(struct f_inst));
  what->lineno = ifs->lino;
  what->size = 1;
  what->fi_code = fi_code;
  return what;
}

static inline struct f_inst *
fi_constant(struct f_inst *what, struct f_val val)
{
  what->fi_code = FI_CONSTANT;
  what->i_FI_CONSTANT.val = val;
  return what;
}

int
f_const_promotion_(struct f_inst *arg, enum f_type want, int update)
{
  if (arg->fi_code != FI_CONSTANT)
    return 0;

  struct f_val *c = &arg->i_FI_CONSTANT.val;

  if ((c->type == T_IP) && ipa_is_ip4(c->val.ip) && (want == T_QUAD)) {
    if (update)
      *c = (struct f_val) {
        .type = T_QUAD,
        .val.i = ipa_to_u32(c->val.ip),
      };
    return 1;
  }

  else if ((c->type == T_SET) && (!c->val.t) && (want == T_PREFIX_SET)) {
    if (update)
      *c = f_const_empty_prefix_set;
    return 1;
  }

  return 0;
}

#define v1 whati->f1->i_FI_CONSTANT.val
#define v2 whati->f2->i_FI_CONSTANT.val
#define v3 whati->f3->i_FI_CONSTANT.val
#define vv(i) items[i]->i_FI_CONSTANT.val
#define runtime(fmt, ...) cf_error("filter preevaluation, line %d: " fmt, ifs->lino, ##__VA_ARGS__)
#define fpool cfg_mem
#define falloc(size) cfg_alloc(size)
/* Instruction constructors */
#line 291 "filter/f-inst.c"
 /* Constructor for FI_ADD */
#line 291
struct f_inst *
#line 287 "filter/f-inst.c"
NONNULL(2)
#line 288 "filter/f-inst.c"
NONNULL(3)
#line 291 "filter/f-inst.c"
f_new_inst_FI_ADD(enum f_instruction_code fi_code
#line 287 "filter/f-inst.c"
  , struct f_inst * f1
#line 288 "filter/f-inst.c"
  , struct f_inst * f2
#line 291 "filter/f-inst.c"
)
#line 291
  {
#line 291
    /* Allocate the structure */
#line 291
    struct f_inst *what = fi_new(fi_code);
#line 291
    uint constargs = 1;
#line 291

#line 291
    /* Initialize all the members */
#line 291
  #define whati (&(what->i_FI_ADD))
#line 291
  #line 287 "filter/f-inst.c"
whati->f1 = f1;
#line 287
const struct f_inst *child1 = f1;
#line 287
do {
#line 287
  what->size += child1->size;
#line 287

#line 287
  if (child1->fi_code != FI_CONSTANT)
#line 287
    constargs = 0;
#line 287

#line 287
} while (child1 = child1->next);
#line 287

#line 287 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 287
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 287
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 288 "filter/f-inst.c"
whati->f2 = f2;
#line 288
const struct f_inst *child2 = f2;
#line 288
do {
#line 288
  what->size += child2->size;
#line 288

#line 288
  if (child2->fi_code != FI_CONSTANT)
#line 288
    constargs = 0;
#line 288

#line 288
} while (child2 = child2->next);
#line 288 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 288
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 288
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 289 "filter/f-inst.c"
what->type = T_INT;

#line 291 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 291
    if (!constargs)
#line 291
      return what;
#line 291

#line 291
    /* Try to pre-calculate the result */
#line 291
    #line 286 "filter/f-inst.c"
 {
    
#line 287 "filter/f-inst.c"
 #line 287 "filter/f-inst.c"
 ;
#line 288 "filter/f-inst.c"
    
#line 288 "filter/f-inst.c"
 #line 288 "filter/f-inst.c"
 ;
#line 289 "filter/f-inst.c"
     
#line 289 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i + v2.val.i } );
  }
  
  #undef whati
#line 291 "filter/f-inst.c"
  }
#line 291

#line 291

#line 296 "filter/f-inst.c"
 /* Constructor for FI_SUBTRACT */
#line 296
struct f_inst *
#line 292 "filter/f-inst.c"
NONNULL(2)
#line 293 "filter/f-inst.c"
NONNULL(3)
#line 296 "filter/f-inst.c"
f_new_inst_FI_SUBTRACT(enum f_instruction_code fi_code
#line 292 "filter/f-inst.c"
  , struct f_inst * f1
#line 293 "filter/f-inst.c"
  , struct f_inst * f2
#line 296 "filter/f-inst.c"
)
#line 296
  {
#line 296
    /* Allocate the structure */
#line 296
    struct f_inst *what = fi_new(fi_code);
#line 296
    uint constargs = 1;
#line 296

#line 296
    /* Initialize all the members */
#line 296
  #define whati (&(what->i_FI_SUBTRACT))
#line 296
  #line 292 "filter/f-inst.c"
whati->f1 = f1;
#line 292
const struct f_inst *child1 = f1;
#line 292
do {
#line 292
  what->size += child1->size;
#line 292

#line 292
  if (child1->fi_code != FI_CONSTANT)
#line 292
    constargs = 0;
#line 292

#line 292
} while (child1 = child1->next);
#line 292

#line 292 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 292
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 292
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 293 "filter/f-inst.c"
whati->f2 = f2;
#line 293
const struct f_inst *child2 = f2;
#line 293
do {
#line 293
  what->size += child2->size;
#line 293

#line 293
  if (child2->fi_code != FI_CONSTANT)
#line 293
    constargs = 0;
#line 293

#line 293
} while (child2 = child2->next);
#line 293 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 293
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 293
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 294 "filter/f-inst.c"
what->type = T_INT;

#line 296 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 296
    if (!constargs)
#line 296
      return what;
#line 296

#line 296
    /* Try to pre-calculate the result */
#line 296
    #line 291 "filter/f-inst.c"
 {
    
#line 292 "filter/f-inst.c"
 #line 292 "filter/f-inst.c"
 ;
#line 293 "filter/f-inst.c"
    
#line 293 "filter/f-inst.c"
 #line 293 "filter/f-inst.c"
 ;
#line 294 "filter/f-inst.c"
     
#line 294 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i - v2.val.i } );
  }
  
  #undef whati
#line 296 "filter/f-inst.c"
  }
#line 296

#line 296

#line 301 "filter/f-inst.c"
 /* Constructor for FI_MULTIPLY */
#line 301
struct f_inst *
#line 297 "filter/f-inst.c"
NONNULL(2)
#line 298 "filter/f-inst.c"
NONNULL(3)
#line 301 "filter/f-inst.c"
f_new_inst_FI_MULTIPLY(enum f_instruction_code fi_code
#line 297 "filter/f-inst.c"
  , struct f_inst * f1
#line 298 "filter/f-inst.c"
  , struct f_inst * f2
#line 301 "filter/f-inst.c"
)
#line 301
  {
#line 301
    /* Allocate the structure */
#line 301
    struct f_inst *what = fi_new(fi_code);
#line 301
    uint constargs = 1;
#line 301

#line 301
    /* Initialize all the members */
#line 301
  #define whati (&(what->i_FI_MULTIPLY))
#line 301
  #line 297 "filter/f-inst.c"
whati->f1 = f1;
#line 297
const struct f_inst *child1 = f1;
#line 297
do {
#line 297
  what->size += child1->size;
#line 297

#line 297
  if (child1->fi_code != FI_CONSTANT)
#line 297
    constargs = 0;
#line 297

#line 297
} while (child1 = child1->next);
#line 297

#line 297 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 297
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 297
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 298 "filter/f-inst.c"
whati->f2 = f2;
#line 298
const struct f_inst *child2 = f2;
#line 298
do {
#line 298
  what->size += child2->size;
#line 298

#line 298
  if (child2->fi_code != FI_CONSTANT)
#line 298
    constargs = 0;
#line 298

#line 298
} while (child2 = child2->next);
#line 298 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 298
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 298
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 299 "filter/f-inst.c"
what->type = T_INT;

#line 301 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 301
    if (!constargs)
#line 301
      return what;
#line 301

#line 301
    /* Try to pre-calculate the result */
#line 301
    #line 296 "filter/f-inst.c"
 {
    
#line 297 "filter/f-inst.c"
 #line 297 "filter/f-inst.c"
 ;
#line 298 "filter/f-inst.c"
    
#line 298 "filter/f-inst.c"
 #line 298 "filter/f-inst.c"
 ;
#line 299 "filter/f-inst.c"
     
#line 299 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i * v2.val.i } );
  }
  
  #undef whati
#line 301 "filter/f-inst.c"
  }
#line 301

#line 301

#line 307 "filter/f-inst.c"
 /* Constructor for FI_DIVIDE */
#line 307
struct f_inst *
#line 302 "filter/f-inst.c"
NONNULL(2)
#line 303 "filter/f-inst.c"
NONNULL(3)
#line 307 "filter/f-inst.c"
f_new_inst_FI_DIVIDE(enum f_instruction_code fi_code
#line 302 "filter/f-inst.c"
  , struct f_inst * f1
#line 303 "filter/f-inst.c"
  , struct f_inst * f2
#line 307 "filter/f-inst.c"
)
#line 307
  {
#line 307
    /* Allocate the structure */
#line 307
    struct f_inst *what = fi_new(fi_code);
#line 307
    uint constargs = 1;
#line 307

#line 307
    /* Initialize all the members */
#line 307
  #define whati (&(what->i_FI_DIVIDE))
#line 307
  #line 302 "filter/f-inst.c"
whati->f1 = f1;
#line 302
const struct f_inst *child1 = f1;
#line 302
do {
#line 302
  what->size += child1->size;
#line 302

#line 302
  if (child1->fi_code != FI_CONSTANT)
#line 302
    constargs = 0;
#line 302

#line 302
} while (child1 = child1->next);
#line 302

#line 302 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 302
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 302
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 303 "filter/f-inst.c"
whati->f2 = f2;
#line 303
const struct f_inst *child2 = f2;
#line 303
do {
#line 303
  what->size += child2->size;
#line 303

#line 303
  if (child2->fi_code != FI_CONSTANT)
#line 303
    constargs = 0;
#line 303

#line 303
} while (child2 = child2->next);
#line 303 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 303
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 303
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 305 "filter/f-inst.c"
what->type = T_INT;

#line 307 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 307
    if (!constargs)
#line 307
      return what;
#line 307

#line 307
    /* Try to pre-calculate the result */
#line 307
    #line 301 "filter/f-inst.c"
 {
    
#line 302 "filter/f-inst.c"
 #line 302 "filter/f-inst.c"
 ;
#line 303 "filter/f-inst.c"
    
#line 303 "filter/f-inst.c"
 #line 303 "filter/f-inst.c"
 ;
#line 304 "filter/f-inst.c"
    if (v2.val.i == 0) runtime( "Mother told me not to divide by 0" );
     
#line 305 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i / v2.val.i } );
  }
  
  #undef whati
#line 307 "filter/f-inst.c"
  }
#line 307

#line 307

#line 317 "filter/f-inst.c"
 /* Constructor for FI_AND */
#line 317
struct f_inst *
#line 308 "filter/f-inst.c"
NONNULL(2)
#line 317 "filter/f-inst.c"
f_new_inst_FI_AND(enum f_instruction_code fi_code
#line 308 "filter/f-inst.c"
  , struct f_inst * f1
#line 313 "filter/f-inst.c"
  , struct f_inst * f2
#line 317 "filter/f-inst.c"
)
#line 317
  {
#line 317
    /* Allocate the structure */
#line 317
    struct f_inst *what = fi_new(fi_code);
#line 317
    uint constargs = 1;
#line 317

#line 317
    /* Initialize all the members */
#line 317
  #define whati (&(what->i_FI_AND))
#line 317
  #line 308 "filter/f-inst.c"
whati->f1 = f1;
#line 308
const struct f_inst *child1 = f1;
#line 308
do {
#line 308
  what->size += child1->size;
#line 308

#line 308
  if (child1->fi_code != FI_CONSTANT)
#line 308
    constargs = 0;
#line 308

#line 308
} while (child1 = child1->next);
#line 308

#line 308 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 308
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 308
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 309 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 309
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 309
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 310 "filter/f-inst.c"
what->type = T_BOOL;
#line 313 "filter/f-inst.c"
whati->f2 = f2;

#line 317 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 317
    if (!constargs)
#line 317
      return what;
#line 317

#line 317
    /* Try to pre-calculate the result */
#line 317
    #line 307 "filter/f-inst.c"
 {
    
#line 308 "filter/f-inst.c"
 #line 308 "filter/f-inst.c"
 ;
#line 309 "filter/f-inst.c"
    #line 309 "filter/f-inst.c"
;
     
#line 310 "filter/f-inst.c"
;

    if (v1.val.i)
      
#line 313 "filter/f-inst.c"
return whati->f2
#line 313
;
    else
      return fi_constant(what, v1);
  }
  
  #undef whati
#line 317 "filter/f-inst.c"
  }
#line 317

#line 317

#line 328 "filter/f-inst.c"
 /* Constructor for FI_OR */
#line 328
struct f_inst *
#line 318 "filter/f-inst.c"
NONNULL(2)
#line 328 "filter/f-inst.c"
f_new_inst_FI_OR(enum f_instruction_code fi_code
#line 318 "filter/f-inst.c"
  , struct f_inst * f1
#line 323 "filter/f-inst.c"
  , struct f_inst * f2
#line 328 "filter/f-inst.c"
)
#line 328
  {
#line 328
    /* Allocate the structure */
#line 328
    struct f_inst *what = fi_new(fi_code);
#line 328
    uint constargs = 1;
#line 328

#line 328
    /* Initialize all the members */
#line 328
  #define whati (&(what->i_FI_OR))
#line 328
  #line 318 "filter/f-inst.c"
whati->f1 = f1;
#line 318
const struct f_inst *child1 = f1;
#line 318
do {
#line 318
  what->size += child1->size;
#line 318

#line 318
  if (child1->fi_code != FI_CONSTANT)
#line 318
    constargs = 0;
#line 318

#line 318
} while (child1 = child1->next);
#line 318

#line 318 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 318
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 318
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 319 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 319
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 319
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 320 "filter/f-inst.c"
what->type = T_BOOL;
#line 323 "filter/f-inst.c"
whati->f2 = f2;

#line 328 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 328
    if (!constargs)
#line 328
      return what;
#line 328

#line 328
    /* Try to pre-calculate the result */
#line 328
    #line 317 "filter/f-inst.c"
 {
    
#line 318 "filter/f-inst.c"
 #line 318 "filter/f-inst.c"
 ;
#line 319 "filter/f-inst.c"
    #line 319 "filter/f-inst.c"
;
     
#line 320 "filter/f-inst.c"
;

    if (!v1.val.i)
      
#line 323 "filter/f-inst.c"
return whati->f2
#line 323
;
    else
      return fi_constant(what, v1);
  }

  
  #undef whati
#line 328 "filter/f-inst.c"
  }
#line 328

#line 328

#line 338 "filter/f-inst.c"
 /* Constructor for FI_PAIR_CONSTRUCT */
#line 338
struct f_inst *
#line 329 "filter/f-inst.c"
NONNULL(2)
#line 330 "filter/f-inst.c"
NONNULL(3)
#line 338 "filter/f-inst.c"
f_new_inst_FI_PAIR_CONSTRUCT(enum f_instruction_code fi_code
#line 329 "filter/f-inst.c"
  , struct f_inst * f1
#line 330 "filter/f-inst.c"
  , struct f_inst * f2
#line 338 "filter/f-inst.c"
)
#line 338
  {
#line 338
    /* Allocate the structure */
#line 338
    struct f_inst *what = fi_new(fi_code);
#line 338
    uint constargs = 1;
#line 338

#line 338
    /* Initialize all the members */
#line 338
  #define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
  #line 329 "filter/f-inst.c"
whati->f1 = f1;
#line 329
const struct f_inst *child1 = f1;
#line 329
do {
#line 329
  what->size += child1->size;
#line 329

#line 329
  if (child1->fi_code != FI_CONSTANT)
#line 329
    constargs = 0;
#line 329

#line 329
} while (child1 = child1->next);
#line 329

#line 329 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 329
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 329
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 330 "filter/f-inst.c"
whati->f2 = f2;
#line 330
const struct f_inst *child2 = f2;
#line 330
do {
#line 330
  what->size += child2->size;
#line 330

#line 330
  if (child2->fi_code != FI_CONSTANT)
#line 330
    constargs = 0;
#line 330

#line 330
} while (child2 = child2->next);
#line 330 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 330
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 330
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 335 "filter/f-inst.c"
what->type = T_PAIR;

#line 338 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 338
    if (!constargs)
#line 338
      return what;
#line 338

#line 338
    /* Try to pre-calculate the result */
#line 338
    #line 328 "filter/f-inst.c"
 {
    
#line 329 "filter/f-inst.c"
 #line 329 "filter/f-inst.c"
 ;
#line 330 "filter/f-inst.c"
    
#line 330 "filter/f-inst.c"
 #line 330 "filter/f-inst.c"
 ;
#line 331 "filter/f-inst.c"
    uint u1 = v1.val.i;
    uint u2 = v2.val.i;
    if ((u1 > 0xFFFF) || (u2 > 0xFFFF))
      runtime( "Can't operate with value out of bounds in pair constructor" );
     
#line 335 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = (u1 << 16) | u2 } );
  }

  
  #undef whati
#line 338 "filter/f-inst.c"
  }
#line 338

#line 338

#line 378 "filter/f-inst.c"
 /* Constructor for FI_EC_CONSTRUCT */
#line 378
struct f_inst *
#line 339 "filter/f-inst.c"
NONNULL(2)
#line 340 "filter/f-inst.c"
NONNULL(3)
#line 378 "filter/f-inst.c"
f_new_inst_FI_EC_CONSTRUCT(enum f_instruction_code fi_code
#line 339 "filter/f-inst.c"
  , struct f_inst * f1
#line 340 "filter/f-inst.c"
  , struct f_inst * f2
#line 342 "filter/f-inst.c"
  , enum ec_subtype ecs
#line 378 "filter/f-inst.c"
)
#line 378
  {
#line 378
    /* Allocate the structure */
#line 378
    struct f_inst *what = fi_new(fi_code);
#line 378
    uint constargs = 1;
#line 378

#line 378
    /* Initialize all the members */
#line 378
  #define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
  #line 339 "filter/f-inst.c"
whati->f1 = f1;
#line 339
const struct f_inst *child1 = f1;
#line 339
do {
#line 339
  what->size += child1->size;
#line 339

#line 339
  if (child1->fi_code != FI_CONSTANT)
#line 339
    constargs = 0;
#line 339

#line 339
} while (child1 = child1->next);
#line 339

#line 340 "filter/f-inst.c"
whati->f2 = f2;
#line 340
const struct f_inst *child2 = f2;
#line 340
do {
#line 340
  what->size += child2->size;
#line 340

#line 340
  if (child2->fi_code != FI_CONSTANT)
#line 340
    constargs = 0;
#line 340

#line 340
} while (child2 = child2->next);
#line 340 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 340
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 340
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 342 "filter/f-inst.c"
whati->ecs = ecs;
#line 363 "filter/f-inst.c"
what->type = T_EC;

#line 378 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 378
    if (!constargs)
#line 378
      return what;
#line 378

#line 378
    /* Try to pre-calculate the result */
#line 378
    #line 338 "filter/f-inst.c"
 {
    
#line 339 "filter/f-inst.c"
;
    
#line 340 "filter/f-inst.c"
 #line 340 "filter/f-inst.c"
 ;
#line 341 "filter/f-inst.c"

    #line 342 "filter/f-inst.c"
;

    int ipv4_used;
    u32 key, val;

    if (v1.type == T_INT) {
      ipv4_used = 0; key = v1.val.i;
    }
    else if (v1.type == T_QUAD) {
      ipv4_used = 1; key = v1.val.i;
    }
    /* IP->Quad implicit conversion */
    else if (val_is_ip4(&v1)) {
      ipv4_used = 1; key = ipa_to_u32(v1.val.ip);
    }
    else
      runtime("Argument 1 of EC constructor must be integer or IPv4 address, got 0x%02x", v1.type);

    val = v2.val.i;

    if (ecs == EC_GENERIC)
       
#line 363 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_generic(key, val) } );
    else if (ipv4_used)
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_ip4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with IP-address key in extended community", val);
    else if (key < 0x10000)
       return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as2(ecs, key, val) } );
    else
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with 4-byte ASN in extended community", val);
  }

  
  #undef whati
#line 378 "filter/f-inst.c"
  }
#line 378

#line 378

#line 385 "filter/f-inst.c"
 /* Constructor for FI_LC_CONSTRUCT */
#line 385
struct f_inst *
#line 379 "filter/f-inst.c"
NONNULL(2)
#line 380 "filter/f-inst.c"
NONNULL(3)
#line 381 "filter/f-inst.c"
NONNULL(4)
#line 385 "filter/f-inst.c"
f_new_inst_FI_LC_CONSTRUCT(enum f_instruction_code fi_code
#line 379 "filter/f-inst.c"
  , struct f_inst * f1
#line 380 "filter/f-inst.c"
  , struct f_inst * f2
#line 381 "filter/f-inst.c"
  , struct f_inst * f3
#line 385 "filter/f-inst.c"
)
#line 385
  {
#line 385
    /* Allocate the structure */
#line 385
    struct f_inst *what = fi_new(fi_code);
#line 385
    uint constargs = 1;
#line 385

#line 385
    /* Initialize all the members */
#line 385
  #define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
  #line 379 "filter/f-inst.c"
whati->f1 = f1;
#line 379
const struct f_inst *child1 = f1;
#line 379
do {
#line 379
  what->size += child1->size;
#line 379

#line 379
  if (child1->fi_code != FI_CONSTANT)
#line 379
    constargs = 0;
#line 379

#line 379
} while (child1 = child1->next);
#line 379

#line 379 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 379
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 379
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 380 "filter/f-inst.c"
whati->f2 = f2;
#line 380
const struct f_inst *child2 = f2;
#line 380
do {
#line 380
  what->size += child2->size;
#line 380

#line 380
  if (child2->fi_code != FI_CONSTANT)
#line 380
    constargs = 0;
#line 380

#line 380
} while (child2 = child2->next);
#line 380 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 380
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 380
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 381 "filter/f-inst.c"
whati->f3 = f3;
#line 381
const struct f_inst *child3 = f3;
#line 381
do {
#line 381
  what->size += child3->size;
#line 381

#line 381
  if (child3->fi_code != FI_CONSTANT)
#line 381
    constargs = 0;
#line 381

#line 381
} while (child3 = child3->next);
#line 381 "filter/f-inst.c"
if (f3->type && (f3->type != (T_INT)) && !f_const_promotion(f3, (T_INT)))
#line 381
  cf_error("Argument 3 of %s must be of type %s, got type %s",
#line 381
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f3->type));
#line 382 "filter/f-inst.c"
what->type = T_LC;

#line 385 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 385
    if (!constargs)
#line 385
      return what;
#line 385

#line 385
    /* Try to pre-calculate the result */
#line 385
    #line 378 "filter/f-inst.c"
 {
    
#line 379 "filter/f-inst.c"
 #line 379 "filter/f-inst.c"
 ;
#line 380 "filter/f-inst.c"
    
#line 380 "filter/f-inst.c"
 #line 380 "filter/f-inst.c"
 ;
#line 381 "filter/f-inst.c"
    
#line 381 "filter/f-inst.c"
 #line 381 "filter/f-inst.c"
 ;
#line 382 "filter/f-inst.c"
     
#line 382 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = (lcomm) { v1.val.i, v2.val.i, v3.val.i } } );
  }

  
  #undef whati
#line 385 "filter/f-inst.c"
  }
#line 385

#line 385

#line 435 "filter/f-inst.c"
 /* Constructor for FI_PATHMASK_CONSTRUCT */
#line 435
struct f_inst *
#line 435
f_new_inst_FI_PATHMASK_CONSTRUCT(enum f_instruction_code fi_code
#line 386 "filter/f-inst.c"
  , struct f_inst * fvar
#line 435 "filter/f-inst.c"
)
#line 435
  {
#line 435
    /* Allocate the structure */
#line 435
    struct f_inst *what = fi_new(fi_code);
#line 435
    uint constargs = 1;
#line 435

#line 435
    /* Initialize all the members */
#line 435
  #define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
  #line 386 "filter/f-inst.c"
whati->varcount = 0;
#line 386
whati->fvar = fvar;
#line 386
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 386
  what->size += child->size;
#line 386

#line 386
  if (child->fi_code != FI_CONSTANT)
#line 386
    constargs = 0;
#line 386

#line 386
}
#line 386

#line 386
  const struct f_inst **items = NULL;
#line 386
  if (constargs && whati->varcount) {
#line 386
    items = alloca(whati->varcount * sizeof(struct f_inst *));
#line 386
    const struct f_inst *child = fvar;
#line 386
    for (uint i=0; child; i++)
#line 386
      child = (items[i] = child)->next;
#line 386
  }
#line 386

#line 430 "filter/f-inst.c"
what->type = T_PATH_MASK;

#line 435 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 435
    if (!constargs)
#line 435
      return what;
#line 435

#line 435
    /* Try to pre-calculate the result */
#line 435
    #line 385 "filter/f-inst.c"
 {
    
#line 386 "filter/f-inst.c"

#line 386

#line 386
;

    struct f_path_mask *pm = falloc(sizeof(struct f_path_mask) + whati->varcount * sizeof(struct f_path_mask_item));
    pm->len = whati->varcount;

    for (uint i=0; i<whati->varcount; i++) {
      switch (vv(i).type) {
	case T_PATH_MASK_ITEM:
	  if (vv(i).val.pmi.kind == PM_LOOP)
	  {
	    if (i == 0)
	      runtime("Path mask iterator '+' cannot be first");

	    /* We want PM_LOOP as prefix operator */
	    pm->item[i] = pm->item[i - 1];
	    pm->item[i - 1] = vv(i).val.pmi;
	    break;
	  }

	  pm->item[i] = vv(i).val.pmi;
	  break;

	case T_INT:
	  pm->item[i] = (struct f_path_mask_item) {
	    .asn = vv(i).val.i,
	    .kind = PM_ASN,
	  };
	  break;

	case T_SET:
	  if (!path_set_type(vv(i).val.t))
	    runtime("Only integer sets allowed in path mask");

	  pm->item[i] = (struct f_path_mask_item) {
	    .set = vv(i).val.t,
	    .kind = PM_ASN_SET,
	  };
	  break;

	default:
	  runtime( "Error resolving path mask template: value not an integer" );
      }
    }

     
#line 430 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm } );
  }

/* Relational operators */

  
  #undef whati
#line 435 "filter/f-inst.c"
  }
#line 435

#line 435

#line 442 "filter/f-inst.c"
 /* Constructor for FI_NEQ */
#line 442
struct f_inst *
#line 436 "filter/f-inst.c"
NONNULL(2)
#line 437 "filter/f-inst.c"
NONNULL(3)
#line 442 "filter/f-inst.c"
f_new_inst_FI_NEQ(enum f_instruction_code fi_code
#line 436 "filter/f-inst.c"
  , struct f_inst * f1
#line 437 "filter/f-inst.c"
  , struct f_inst * f2
#line 442 "filter/f-inst.c"
)
#line 442
  {
#line 442
    /* Allocate the structure */
#line 442
    struct f_inst *what = fi_new(fi_code);
#line 442
    uint constargs = 1;
#line 442

#line 442
    /* Initialize all the members */
#line 442
  #define whati (&(what->i_FI_NEQ))
#line 442
  #line 436 "filter/f-inst.c"
whati->f1 = f1;
#line 436
const struct f_inst *child1 = f1;
#line 436
do {
#line 436
  what->size += child1->size;
#line 436

#line 436
  if (child1->fi_code != FI_CONSTANT)
#line 436
    constargs = 0;
#line 436

#line 436
} while (child1 = child1->next);
#line 436

#line 437 "filter/f-inst.c"
whati->f2 = f2;
#line 437
const struct f_inst *child2 = f2;
#line 437
do {
#line 437
  what->size += child2->size;
#line 437

#line 437
  if (child2->fi_code != FI_CONSTANT)
#line 437
    constargs = 0;
#line 437

#line 437
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 438 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 439 "filter/f-inst.c"
what->type = T_BOOL;

#line 442 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 442
    if (!constargs)
#line 442
      return what;
#line 442

#line 442
    /* Try to pre-calculate the result */
#line 442
    #line 435 "filter/f-inst.c"
 {
    
#line 436 "filter/f-inst.c"
;
    
#line 437 "filter/f-inst.c"
;
    #line 438 "filter/f-inst.c"
;
     
#line 439 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 442 "filter/f-inst.c"
  }
#line 442

#line 442

#line 449 "filter/f-inst.c"
 /* Constructor for FI_EQ */
#line 449
struct f_inst *
#line 443 "filter/f-inst.c"
NONNULL(2)
#line 444 "filter/f-inst.c"
NONNULL(3)
#line 449 "filter/f-inst.c"
f_new_inst_FI_EQ(enum f_instruction_code fi_code
#line 443 "filter/f-inst.c"
  , struct f_inst * f1
#line 444 "filter/f-inst.c"
  , struct f_inst * f2
#line 449 "filter/f-inst.c"
)
#line 449
  {
#line 449
    /* Allocate the structure */
#line 449
    struct f_inst *what = fi_new(fi_code);
#line 449
    uint constargs = 1;
#line 449

#line 449
    /* Initialize all the members */
#line 449
  #define whati (&(what->i_FI_EQ))
#line 449
  #line 443 "filter/f-inst.c"
whati->f1 = f1;
#line 443
const struct f_inst *child1 = f1;
#line 443
do {
#line 443
  what->size += child1->size;
#line 443

#line 443
  if (child1->fi_code != FI_CONSTANT)
#line 443
    constargs = 0;
#line 443

#line 443
} while (child1 = child1->next);
#line 443

#line 444 "filter/f-inst.c"
whati->f2 = f2;
#line 444
const struct f_inst *child2 = f2;
#line 444
do {
#line 444
  what->size += child2->size;
#line 444

#line 444
  if (child2->fi_code != FI_CONSTANT)
#line 444
    constargs = 0;
#line 444

#line 444
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 445 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 446 "filter/f-inst.c"
what->type = T_BOOL;

#line 449 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 449
    if (!constargs)
#line 449
      return what;
#line 449

#line 449
    /* Try to pre-calculate the result */
#line 449
    #line 442 "filter/f-inst.c"
 {
    
#line 443 "filter/f-inst.c"
;
    
#line 444 "filter/f-inst.c"
;
    #line 445 "filter/f-inst.c"
;
     
#line 446 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 449 "filter/f-inst.c"
  }
#line 449

#line 449

#line 460 "filter/f-inst.c"
 /* Constructor for FI_LT */
#line 460
struct f_inst *
#line 450 "filter/f-inst.c"
NONNULL(2)
#line 451 "filter/f-inst.c"
NONNULL(3)
#line 460 "filter/f-inst.c"
f_new_inst_FI_LT(enum f_instruction_code fi_code
#line 450 "filter/f-inst.c"
  , struct f_inst * f1
#line 451 "filter/f-inst.c"
  , struct f_inst * f2
#line 460 "filter/f-inst.c"
)
#line 460
  {
#line 460
    /* Allocate the structure */
#line 460
    struct f_inst *what = fi_new(fi_code);
#line 460
    uint constargs = 1;
#line 460

#line 460
    /* Initialize all the members */
#line 460
  #define whati (&(what->i_FI_LT))
#line 460
  #line 450 "filter/f-inst.c"
whati->f1 = f1;
#line 450
const struct f_inst *child1 = f1;
#line 450
do {
#line 450
  what->size += child1->size;
#line 450

#line 450
  if (child1->fi_code != FI_CONSTANT)
#line 450
    constargs = 0;
#line 450

#line 450
} while (child1 = child1->next);
#line 450

#line 451 "filter/f-inst.c"
whati->f2 = f2;
#line 451
const struct f_inst *child2 = f2;
#line 451
do {
#line 451
  what->size += child2->size;
#line 451

#line 451
  if (child2->fi_code != FI_CONSTANT)
#line 451
    constargs = 0;
#line 451

#line 451
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 452 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 452
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 457 "filter/f-inst.c"
what->type = T_BOOL;

#line 460 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 460
    if (!constargs)
#line 460
      return what;
#line 460

#line 460
    /* Try to pre-calculate the result */
#line 460
    #line 449 "filter/f-inst.c"
 {
    
#line 450 "filter/f-inst.c"
;
    
#line 451 "filter/f-inst.c"
;
    #line 452 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 457 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i == -1) } );
  }

  
  #undef whati
#line 460 "filter/f-inst.c"
  }
#line 460

#line 460

#line 471 "filter/f-inst.c"
 /* Constructor for FI_LTE */
#line 471
struct f_inst *
#line 461 "filter/f-inst.c"
NONNULL(2)
#line 462 "filter/f-inst.c"
NONNULL(3)
#line 471 "filter/f-inst.c"
f_new_inst_FI_LTE(enum f_instruction_code fi_code
#line 461 "filter/f-inst.c"
  , struct f_inst * f1
#line 462 "filter/f-inst.c"
  , struct f_inst * f2
#line 471 "filter/f-inst.c"
)
#line 471
  {
#line 471
    /* Allocate the structure */
#line 471
    struct f_inst *what = fi_new(fi_code);
#line 471
    uint constargs = 1;
#line 471

#line 471
    /* Initialize all the members */
#line 471
  #define whati (&(what->i_FI_LTE))
#line 471
  #line 461 "filter/f-inst.c"
whati->f1 = f1;
#line 461
const struct f_inst *child1 = f1;
#line 461
do {
#line 461
  what->size += child1->size;
#line 461

#line 461
  if (child1->fi_code != FI_CONSTANT)
#line 461
    constargs = 0;
#line 461

#line 461
} while (child1 = child1->next);
#line 461

#line 462 "filter/f-inst.c"
whati->f2 = f2;
#line 462
const struct f_inst *child2 = f2;
#line 462
do {
#line 462
  what->size += child2->size;
#line 462

#line 462
  if (child2->fi_code != FI_CONSTANT)
#line 462
    constargs = 0;
#line 462

#line 462
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 463 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 463
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 468 "filter/f-inst.c"
what->type = T_BOOL;

#line 471 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 471
    if (!constargs)
#line 471
      return what;
#line 471

#line 471
    /* Try to pre-calculate the result */
#line 471
    #line 460 "filter/f-inst.c"
 {
    
#line 461 "filter/f-inst.c"
;
    
#line 462 "filter/f-inst.c"
;
    #line 463 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 468 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i != 1) } );
  }

  
  #undef whati
#line 471 "filter/f-inst.c"
  }
#line 471

#line 471

#line 476 "filter/f-inst.c"
 /* Constructor for FI_NOT */
#line 476
struct f_inst *
#line 472 "filter/f-inst.c"
NONNULL(2)
#line 476 "filter/f-inst.c"
f_new_inst_FI_NOT(enum f_instruction_code fi_code
#line 472 "filter/f-inst.c"
  , struct f_inst * f1
#line 476 "filter/f-inst.c"
)
#line 476
  {
#line 476
    /* Allocate the structure */
#line 476
    struct f_inst *what = fi_new(fi_code);
#line 476
    uint constargs = 1;
#line 476

#line 476
    /* Initialize all the members */
#line 476
  #define whati (&(what->i_FI_NOT))
#line 476
  #line 472 "filter/f-inst.c"
whati->f1 = f1;
#line 472
const struct f_inst *child1 = f1;
#line 472
do {
#line 472
  what->size += child1->size;
#line 472

#line 472
  if (child1->fi_code != FI_CONSTANT)
#line 472
    constargs = 0;
#line 472

#line 472
} while (child1 = child1->next);
#line 472

#line 472 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 472
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 472
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 473 "filter/f-inst.c"
what->type = T_BOOL;

#line 476 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 476
    if (!constargs)
#line 476
      return what;
#line 476

#line 476
    /* Try to pre-calculate the result */
#line 476
    #line 471 "filter/f-inst.c"
 {
    
#line 472 "filter/f-inst.c"
 #line 472 "filter/f-inst.c"
 ;
#line 473 "filter/f-inst.c"
     
#line 473 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !v1.val.i } );
  }

  
  #undef whati
#line 476 "filter/f-inst.c"
  }
#line 476

#line 476

#line 485 "filter/f-inst.c"
 /* Constructor for FI_MATCH */
#line 485
struct f_inst *
#line 477 "filter/f-inst.c"
NONNULL(2)
#line 478 "filter/f-inst.c"
NONNULL(3)
#line 485 "filter/f-inst.c"
f_new_inst_FI_MATCH(enum f_instruction_code fi_code
#line 477 "filter/f-inst.c"
  , struct f_inst * f1
#line 478 "filter/f-inst.c"
  , struct f_inst * f2
#line 485 "filter/f-inst.c"
)
#line 485
  {
#line 485
    /* Allocate the structure */
#line 485
    struct f_inst *what = fi_new(fi_code);
#line 485
    uint constargs = 1;
#line 485

#line 485
    /* Initialize all the members */
#line 485
  #define whati (&(what->i_FI_MATCH))
#line 485
  #line 477 "filter/f-inst.c"
whati->f1 = f1;
#line 477
const struct f_inst *child1 = f1;
#line 477
do {
#line 477
  what->size += child1->size;
#line 477

#line 477
  if (child1->fi_code != FI_CONSTANT)
#line 477
    constargs = 0;
#line 477

#line 477
} while (child1 = child1->next);
#line 477

#line 478 "filter/f-inst.c"
whati->f2 = f2;
#line 478
const struct f_inst *child2 = f2;
#line 478
do {
#line 478
  what->size += child2->size;
#line 478

#line 478
  if (child2->fi_code != FI_CONSTANT)
#line 478
    constargs = 0;
#line 478

#line 478
} while (child2 = child2->next);
#line 482 "filter/f-inst.c"
what->type = T_BOOL;

#line 485 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 485
    if (!constargs)
#line 485
      return what;
#line 485

#line 485
    /* Try to pre-calculate the result */
#line 485
    #line 476 "filter/f-inst.c"
 {
    
#line 477 "filter/f-inst.c"
;
    
#line 478 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "~ applied on unknown type pair" );
     
#line 482 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !!i } );
  }

  
  #undef whati
#line 485 "filter/f-inst.c"
  }
#line 485

#line 485

#line 494 "filter/f-inst.c"
 /* Constructor for FI_NOT_MATCH */
#line 494
struct f_inst *
#line 486 "filter/f-inst.c"
NONNULL(2)
#line 487 "filter/f-inst.c"
NONNULL(3)
#line 494 "filter/f-inst.c"
f_new_inst_FI_NOT_MATCH(enum f_instruction_code fi_code
#line 486 "filter/f-inst.c"
  , struct f_inst * f1
#line 487 "filter/f-inst.c"
  , struct f_inst * f2
#line 494 "filter/f-inst.c"
)
#line 494
  {
#line 494
    /* Allocate the structure */
#line 494
    struct f_inst *what = fi_new(fi_code);
#line 494
    uint constargs = 1;
#line 494

#line 494
    /* Initialize all the members */
#line 494
  #define whati (&(what->i_FI_NOT_MATCH))
#line 494
  #line 486 "filter/f-inst.c"
whati->f1 = f1;
#line 486
const struct f_inst *child1 = f1;
#line 486
do {
#line 486
  what->size += child1->size;
#line 486

#line 486
  if (child1->fi_code != FI_CONSTANT)
#line 486
    constargs = 0;
#line 486

#line 486
} while (child1 = child1->next);
#line 486

#line 487 "filter/f-inst.c"
whati->f2 = f2;
#line 487
const struct f_inst *child2 = f2;
#line 487
do {
#line 487
  what->size += child2->size;
#line 487

#line 487
  if (child2->fi_code != FI_CONSTANT)
#line 487
    constargs = 0;
#line 487

#line 487
} while (child2 = child2->next);
#line 491 "filter/f-inst.c"
what->type = T_BOOL;

#line 494 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 494
    if (!constargs)
#line 494
      return what;
#line 494

#line 494
    /* Try to pre-calculate the result */
#line 494
    #line 485 "filter/f-inst.c"
 {
    
#line 486 "filter/f-inst.c"
;
    
#line 487 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "!~ applied on unknown type pair" );
     
#line 491 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !i } );
  }

  
  #undef whati
#line 494 "filter/f-inst.c"
  }
#line 494

#line 494

#line 499 "filter/f-inst.c"
 /* Constructor for FI_DEFINED */
#line 499
struct f_inst *
#line 495 "filter/f-inst.c"
NONNULL(2)
#line 499 "filter/f-inst.c"
f_new_inst_FI_DEFINED(enum f_instruction_code fi_code
#line 495 "filter/f-inst.c"
  , struct f_inst * f1
#line 499 "filter/f-inst.c"
)
#line 499
  {
#line 499
    /* Allocate the structure */
#line 499
    struct f_inst *what = fi_new(fi_code);
#line 499
    uint constargs = 1;
#line 499

#line 499
    /* Initialize all the members */
#line 499
  #define whati (&(what->i_FI_DEFINED))
#line 499
  #line 495 "filter/f-inst.c"
whati->f1 = f1;
#line 495
const struct f_inst *child1 = f1;
#line 495
do {
#line 495
  what->size += child1->size;
#line 495

#line 495
  if (child1->fi_code != FI_CONSTANT)
#line 495
    constargs = 0;
#line 495

#line 495
} while (child1 = child1->next);
#line 495

#line 496 "filter/f-inst.c"
what->type = T_BOOL;

#line 499 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 499
    if (!constargs)
#line 499
      return what;
#line 499

#line 499
    /* Try to pre-calculate the result */
#line 499
    #line 494 "filter/f-inst.c"
 {
    
#line 495 "filter/f-inst.c"
;
     
#line 496 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (v1.type != T_VOID) && !val_is_undefined(v1) } );
  }

  
  #undef whati
#line 499 "filter/f-inst.c"
  }
#line 499

#line 499

#line 500 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__type */
#line 500
struct f_inst *
#line 499 "filter/f-inst.c"
NONNULL(2)
#line 500 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__type(enum f_instruction_code fi_code
#line 499 "filter/f-inst.c"
  , struct f_inst * f1
#line 500 "filter/f-inst.c"
)
#line 500
  {
#line 500
    /* Allocate the structure */
#line 500
    struct f_inst *what = fi_new(fi_code);
#line 500
    uint constargs = 1;
#line 500

#line 500
    /* Initialize all the members */
#line 500
  #define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
  #line 499 "filter/f-inst.c"
whati->f1 = f1;
#line 499
const struct f_inst *child1 = f1;
#line 499
do {
#line 499
  what->size += child1->size;
#line 499

#line 499
  if (child1->fi_code != FI_CONSTANT)
#line 499
    constargs = 0;
#line 499

#line 499
} while (child1 = child1->next);
#line 499

#line 499 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 499
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 499
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 499 "filter/f-inst.c"
what->type = T_ENUM_NET_TYPE;

#line 500 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 500
    if (!constargs)
#line 500
      return what;
#line 500

#line 500
    /* Try to pre-calculate the result */
#line 500
    #line 499 "filter/f-inst.c"
 {
#line 499
  
#line 499 "filter/f-inst.c"
 #line 499 "filter/f-inst.c"
 ;
#line 499 "filter/f-inst.c"
    
#line 499 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ENUM_NET_TYPE, .val.i = v1.val.net->type } ) 
#line 499
  #line 499 "filter/f-inst.c"
;
#line 499
};
  
  #undef whati
#line 500 "filter/f-inst.c"
  }
#line 500

#line 500

#line 503 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_IP__is_v4 */
#line 503
struct f_inst *
#line 500 "filter/f-inst.c"
NONNULL(2)
#line 503 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_IP__is_v4(enum f_instruction_code fi_code
#line 500 "filter/f-inst.c"
  , struct f_inst * f1
#line 503 "filter/f-inst.c"
)
#line 503
  {
#line 503
    /* Allocate the structure */
#line 503
    struct f_inst *what = fi_new(fi_code);
#line 503
    uint constargs = 1;
#line 503

#line 503
    /* Initialize all the members */
#line 503
  #define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
  #line 500 "filter/f-inst.c"
whati->f1 = f1;
#line 500
const struct f_inst *child1 = f1;
#line 500
do {
#line 500
  what->size += child1->size;
#line 500

#line 500
  if (child1->fi_code != FI_CONSTANT)
#line 500
    constargs = 0;
#line 500

#line 500
} while (child1 = child1->next);
#line 500

#line 500 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 500
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 500
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 500 "filter/f-inst.c"
what->type = T_BOOL;

#line 503 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 503
    if (!constargs)
#line 503
      return what;
#line 503

#line 503
    /* Try to pre-calculate the result */
#line 503
    #line 500 "filter/f-inst.c"
 {
#line 500
  
#line 500 "filter/f-inst.c"
 #line 500 "filter/f-inst.c"
 ;
#line 500 "filter/f-inst.c"
    
#line 500 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = ipa_is_ip4(v1.val.ip) } ) 
#line 500
  #line 500 "filter/f-inst.c"
;
#line 500
};

  /* Add initialized variable */
  
  #undef whati
#line 503 "filter/f-inst.c"
  }
#line 503

#line 503

#line 516 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT */
#line 516
struct f_inst *
#line 505 "filter/f-inst.c"
NONNULL(2)
#line 516 "filter/f-inst.c"
f_new_inst_FI_VAR_INIT(enum f_instruction_code fi_code
#line 505 "filter/f-inst.c"
  , struct f_inst * f1
#line 506 "filter/f-inst.c"
  , struct symbol * sym
#line 516 "filter/f-inst.c"
)
#line 516
  {
#line 516
    /* Allocate the structure */
#line 516
    struct f_inst *what = fi_new(fi_code);
#line 516
    
#line 516

#line 516
    /* Initialize all the members */
#line 516
  #define whati (&(what->i_FI_VAR_INIT))
#line 516
  #line 505 "filter/f-inst.c"
whati->f1 = f1;
#line 505
const struct f_inst *child1 = f1;
#line 505
do {
#line 505
  what->size += child1->size;
#line 505

#line 505
} while (child1 = child1->next);
#line 505

#line 506 "filter/f-inst.c"
whati->sym = sym;
#line 507 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 507
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 507
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 516 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 516
    
#line 516
      return what;
#line 516

#line 516
    /* Try to pre-calculate the result */
#line 516
      #undef whati
#line 516
  }
#line 516

#line 516

#line 527 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT0 */
#line 527
struct f_inst *
#line 527
f_new_inst_FI_VAR_INIT0(enum f_instruction_code fi_code
#line 518 "filter/f-inst.c"
  , struct symbol * sym
#line 527 "filter/f-inst.c"
)
#line 527
  {
#line 527
    /* Allocate the structure */
#line 527
    struct f_inst *what = fi_new(fi_code);
#line 527
    
#line 527

#line 527
    /* Initialize all the members */
#line 527
  #define whati (&(what->i_FI_VAR_INIT0))
#line 527
  #line 518 "filter/f-inst.c"
whati->sym = sym;

#line 527 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 527
    
#line 527
      return what;
#line 527

#line 527
    /* Try to pre-calculate the result */
#line 527
      #undef whati
#line 527
  }
#line 527

#line 527

#line 536 "filter/f-inst.c"
 /* Constructor for FI_VAR_SET */
#line 536
struct f_inst *
#line 529 "filter/f-inst.c"
NONNULL(2)
#line 536 "filter/f-inst.c"
f_new_inst_FI_VAR_SET(enum f_instruction_code fi_code
#line 529 "filter/f-inst.c"
  , struct f_inst * f1
#line 530 "filter/f-inst.c"
  , struct symbol * sym
#line 536 "filter/f-inst.c"
)
#line 536
  {
#line 536
    /* Allocate the structure */
#line 536
    struct f_inst *what = fi_new(fi_code);
#line 536
    
#line 536

#line 536
    /* Initialize all the members */
#line 536
  #define whati (&(what->i_FI_VAR_SET))
#line 536
  #line 529 "filter/f-inst.c"
whati->f1 = f1;
#line 529
const struct f_inst *child1 = f1;
#line 529
do {
#line 529
  what->size += child1->size;
#line 529

#line 529
} while (child1 = child1->next);
#line 529

#line 530 "filter/f-inst.c"
whati->sym = sym;
#line 531 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 531
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 531
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 536 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 536
    
#line 536
      return what;
#line 536

#line 536
    /* Try to pre-calculate the result */
#line 536
      #undef whati
#line 536
  }
#line 536

#line 536

#line 543 "filter/f-inst.c"
 /* Constructor for FI_VAR_GET */
#line 543
struct f_inst *
#line 543
f_new_inst_FI_VAR_GET(enum f_instruction_code fi_code
#line 537 "filter/f-inst.c"
  , struct symbol * sym
#line 543 "filter/f-inst.c"
)
#line 543
  {
#line 543
    /* Allocate the structure */
#line 543
    struct f_inst *what = fi_new(fi_code);
#line 543
    
#line 543

#line 543
    /* Initialize all the members */
#line 543
  #define whati (&(what->i_FI_VAR_GET))
#line 543
  #line 537 "filter/f-inst.c"
whati->sym = sym;
#line 539 "filter/f-inst.c"
what->type = sym->class & 0xff;

#line 543 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 543
    
#line 543
      return what;
#line 543

#line 543
    /* Try to pre-calculate the result */
#line 543
      #undef whati
#line 543
  }
#line 543

#line 543

#line 556 "filter/f-inst.c"
 /* Constructor for FI_CONSTANT */
#line 556
struct f_inst *
#line 556
f_new_inst_FI_CONSTANT(enum f_instruction_code fi_code
#line 544 "filter/f-inst.c"
  , struct f_val val
#line 556 "filter/f-inst.c"
)
#line 556
  {
#line 556
    /* Allocate the structure */
#line 556
    struct f_inst *what = fi_new(fi_code);
#line 556
    uint constargs = 1;
#line 556

#line 556
    /* Initialize all the members */
#line 556
  #define whati (&(what->i_FI_CONSTANT))
#line 556
  #line 544 "filter/f-inst.c"
whati->val = val;
#line 552 "filter/f-inst.c"
what->type = val.type;

#line 556 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 556
    if (!constargs)
#line 556
      return what;
#line 556

#line 556
    /* Try to pre-calculate the result */
#line 556
    #line 543 "filter/f-inst.c"
 {
    #line 550 "filter/f-inst.c"
;

     
#line 552 "filter/f-inst.c"
;
    return fi_constant(what, val);
  }

  
  #undef whati
#line 556 "filter/f-inst.c"
  }
#line 556

#line 556

#line 557 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__empty */
#line 557
struct f_inst *
#line 556 "filter/f-inst.c"
NONNULL(2)
#line 557 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__empty(enum f_instruction_code fi_code
#line 556 "filter/f-inst.c"
  , struct f_inst * f1
#line 557 "filter/f-inst.c"
)
#line 557
  {
#line 557
    /* Allocate the structure */
#line 557
    struct f_inst *what = fi_new(fi_code);
#line 557
    uint constargs = 1;
#line 557

#line 557
    /* Initialize all the members */
#line 557
  #define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
  #line 556 "filter/f-inst.c"
whati->f1 = f1;
#line 556
const struct f_inst *child1 = f1;
#line 556
do {
#line 556
  what->size += child1->size;
#line 556

#line 556
  if (child1->fi_code != FI_CONSTANT)
#line 556
    constargs = 0;
#line 556

#line 556
} while (child1 = child1->next);
#line 556

#line 556 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 556
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 556
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 556 "filter/f-inst.c"
what->type = T_PATH;

#line 557 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 557
    if (!constargs)
#line 557
      return what;
#line 557

#line 557
    /* Try to pre-calculate the result */
#line 557
    #line 556 "filter/f-inst.c"
 {
#line 556
  
#line 556 "filter/f-inst.c"
 #line 556 "filter/f-inst.c"
 ;
#line 556 "filter/f-inst.c"
    
#line 556 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad = &null_adata } ) 
#line 556
  #line 556 "filter/f-inst.c"
;
#line 556
};
  
  #undef whati
#line 557 "filter/f-inst.c"
  }
#line 557

#line 557

#line 558 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__empty */
#line 558
struct f_inst *
#line 557 "filter/f-inst.c"
NONNULL(2)
#line 558 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__empty(enum f_instruction_code fi_code
#line 557 "filter/f-inst.c"
  , struct f_inst * f1
#line 558 "filter/f-inst.c"
)
#line 558
  {
#line 558
    /* Allocate the structure */
#line 558
    struct f_inst *what = fi_new(fi_code);
#line 558
    uint constargs = 1;
#line 558

#line 558
    /* Initialize all the members */
#line 558
  #define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
  #line 557 "filter/f-inst.c"
whati->f1 = f1;
#line 557
const struct f_inst *child1 = f1;
#line 557
do {
#line 557
  what->size += child1->size;
#line 557

#line 557
  if (child1->fi_code != FI_CONSTANT)
#line 557
    constargs = 0;
#line 557

#line 557
} while (child1 = child1->next);
#line 557

#line 557 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 557
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 557
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 557 "filter/f-inst.c"
what->type = T_CLIST;

#line 558 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 558
    if (!constargs)
#line 558
      return what;
#line 558

#line 558
    /* Try to pre-calculate the result */
#line 558
    #line 557 "filter/f-inst.c"
 {
#line 557
  
#line 557 "filter/f-inst.c"
 #line 557 "filter/f-inst.c"
 ;
#line 557 "filter/f-inst.c"
    
#line 557 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad = &null_adata } ) 
#line 557
  #line 557 "filter/f-inst.c"
;
#line 557
};
  
  #undef whati
#line 558 "filter/f-inst.c"
  }
#line 558

#line 558

#line 559 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__empty */
#line 559
struct f_inst *
#line 558 "filter/f-inst.c"
NONNULL(2)
#line 559 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__empty(enum f_instruction_code fi_code
#line 558 "filter/f-inst.c"
  , struct f_inst * f1
#line 559 "filter/f-inst.c"
)
#line 559
  {
#line 559
    /* Allocate the structure */
#line 559
    struct f_inst *what = fi_new(fi_code);
#line 559
    uint constargs = 1;
#line 559

#line 559
    /* Initialize all the members */
#line 559
  #define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
  #line 558 "filter/f-inst.c"
whati->f1 = f1;
#line 558
const struct f_inst *child1 = f1;
#line 558
do {
#line 558
  what->size += child1->size;
#line 558

#line 558
  if (child1->fi_code != FI_CONSTANT)
#line 558
    constargs = 0;
#line 558

#line 558
} while (child1 = child1->next);
#line 558

#line 558 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 558
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 558
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 558 "filter/f-inst.c"
what->type = T_ECLIST;

#line 559 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 559
    if (!constargs)
#line 559
      return what;
#line 559

#line 559
    /* Try to pre-calculate the result */
#line 559
    #line 558 "filter/f-inst.c"
 {
#line 558
  
#line 558 "filter/f-inst.c"
 #line 558 "filter/f-inst.c"
 ;
#line 558 "filter/f-inst.c"
    
#line 558 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad = &null_adata } ) 
#line 558
  #line 558 "filter/f-inst.c"
;
#line 558
};
  
  #undef whati
#line 559 "filter/f-inst.c"
  }
#line 559

#line 559

#line 562 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__empty */
#line 562
struct f_inst *
#line 559 "filter/f-inst.c"
NONNULL(2)
#line 562 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__empty(enum f_instruction_code fi_code
#line 559 "filter/f-inst.c"
  , struct f_inst * f1
#line 562 "filter/f-inst.c"
)
#line 562
  {
#line 562
    /* Allocate the structure */
#line 562
    struct f_inst *what = fi_new(fi_code);
#line 562
    uint constargs = 1;
#line 562

#line 562
    /* Initialize all the members */
#line 562
  #define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
  #line 559 "filter/f-inst.c"
whati->f1 = f1;
#line 559
const struct f_inst *child1 = f1;
#line 559
do {
#line 559
  what->size += child1->size;
#line 559

#line 559
  if (child1->fi_code != FI_CONSTANT)
#line 559
    constargs = 0;
#line 559

#line 559
} while (child1 = child1->next);
#line 559

#line 559 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 559
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 559
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 559 "filter/f-inst.c"
what->type = T_LCLIST;

#line 562 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 562
    if (!constargs)
#line 562
      return what;
#line 562

#line 562
    /* Try to pre-calculate the result */
#line 562
    #line 559 "filter/f-inst.c"
 {
#line 559
  
#line 559 "filter/f-inst.c"
 #line 559 "filter/f-inst.c"
 ;
#line 559 "filter/f-inst.c"
    
#line 559 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad = &null_adata } ) 
#line 559
  #line 559 "filter/f-inst.c"
;
#line 559
};

  /* Common loop begin instruction, always created by f_for_cycle() */
  
  #undef whati
#line 562 "filter/f-inst.c"
  }
#line 562

#line 562

#line 584 "filter/f-inst.c"
 /* Constructor for FI_FOR_LOOP_START */
#line 584
struct f_inst *
#line 584
f_new_inst_FI_FOR_LOOP_START(enum f_instruction_code fi_code
#line 564 "filter/f-inst.c"
  , struct symbol * sym
#line 584 "filter/f-inst.c"
)
#line 584
  {
#line 584
    /* Allocate the structure */
#line 584
    struct f_inst *what = fi_new(fi_code);
#line 584
    
#line 584

#line 584
    /* Initialize all the members */
#line 584
  #define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
  #line 564 "filter/f-inst.c"
whati->sym = sym;
#line 580 "filter/f-inst.c"
what->type = T_VOID;

#line 584 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 584
    
#line 584
      return what;
#line 584

#line 584
    /* Try to pre-calculate the result */
#line 584
      #undef whati
#line 584
  }
#line 584

#line 584

#line 593 "filter/f-inst.c"
 /* Constructor for FI_PATH_FOR_NEXT */
#line 593
struct f_inst *
#line 586 "filter/f-inst.c"
NONNULL(2)
#line 593 "filter/f-inst.c"
f_new_inst_FI_PATH_FOR_NEXT(enum f_instruction_code fi_code
#line 586 "filter/f-inst.c"
  , struct f_inst * f1
#line 588 "filter/f-inst.c"
  , struct f_inst * f2
#line 593 "filter/f-inst.c"
)
#line 593
  {
#line 593
    /* Allocate the structure */
#line 593
    struct f_inst *what = fi_new(fi_code);
#line 593
    
#line 593

#line 593
    /* Initialize all the members */
#line 593
  #define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 593
  #line 586 "filter/f-inst.c"
whati->f1 = f1;
#line 586
const struct f_inst *child1 = f1;
#line 586
do {
#line 586
  what->size += child1->size;
#line 586

#line 586
} while (child1 = child1->next);
#line 586

#line 586 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 586
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 586
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 588 "filter/f-inst.c"
whati->f2 = f2;

#line 593 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 593
    
#line 593
      return what;
#line 593

#line 593
    /* Try to pre-calculate the result */
#line 593
      #undef whati
#line 593
  }
#line 593

#line 593

#line 602 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FOR_NEXT */
#line 602
struct f_inst *
#line 595 "filter/f-inst.c"
NONNULL(2)
#line 602 "filter/f-inst.c"
f_new_inst_FI_CLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 595 "filter/f-inst.c"
  , struct f_inst * f1
#line 597 "filter/f-inst.c"
  , struct f_inst * f2
#line 602 "filter/f-inst.c"
)
#line 602
  {
#line 602
    /* Allocate the structure */
#line 602
    struct f_inst *what = fi_new(fi_code);
#line 602
    
#line 602

#line 602
    /* Initialize all the members */
#line 602
  #define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 602
  #line 595 "filter/f-inst.c"
whati->f1 = f1;
#line 595
const struct f_inst *child1 = f1;
#line 595
do {
#line 595
  what->size += child1->size;
#line 595

#line 595
} while (child1 = child1->next);
#line 595

#line 595 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 595
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 595
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 597 "filter/f-inst.c"
whati->f2 = f2;

#line 602 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 602
    
#line 602
      return what;
#line 602

#line 602
    /* Try to pre-calculate the result */
#line 602
      #undef whati
#line 602
  }
#line 602

#line 602

#line 611 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FOR_NEXT */
#line 611
struct f_inst *
#line 604 "filter/f-inst.c"
NONNULL(2)
#line 611 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 604 "filter/f-inst.c"
  , struct f_inst * f1
#line 606 "filter/f-inst.c"
  , struct f_inst * f2
#line 611 "filter/f-inst.c"
)
#line 611
  {
#line 611
    /* Allocate the structure */
#line 611
    struct f_inst *what = fi_new(fi_code);
#line 611
    
#line 611

#line 611
    /* Initialize all the members */
#line 611
  #define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 611
  #line 604 "filter/f-inst.c"
whati->f1 = f1;
#line 604
const struct f_inst *child1 = f1;
#line 604
do {
#line 604
  what->size += child1->size;
#line 604

#line 604
} while (child1 = child1->next);
#line 604

#line 604 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 604
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 604
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 606 "filter/f-inst.c"
whati->f2 = f2;

#line 611 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 611
    
#line 611
      return what;
#line 611

#line 611
    /* Try to pre-calculate the result */
#line 611
      #undef whati
#line 611
  }
#line 611

#line 611

#line 620 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FOR_NEXT */
#line 620
struct f_inst *
#line 613 "filter/f-inst.c"
NONNULL(2)
#line 620 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 613 "filter/f-inst.c"
  , struct f_inst * f1
#line 615 "filter/f-inst.c"
  , struct f_inst * f2
#line 620 "filter/f-inst.c"
)
#line 620
  {
#line 620
    /* Allocate the structure */
#line 620
    struct f_inst *what = fi_new(fi_code);
#line 620
    
#line 620

#line 620
    /* Initialize all the members */
#line 620
  #define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 620
  #line 613 "filter/f-inst.c"
whati->f1 = f1;
#line 613
const struct f_inst *child1 = f1;
#line 613
do {
#line 613
  what->size += child1->size;
#line 613

#line 613
} while (child1 = child1->next);
#line 613

#line 613 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 613
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 613
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 615 "filter/f-inst.c"
whati->f2 = f2;

#line 620 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 620
    
#line 620
      return what;
#line 620

#line 620
    /* Try to pre-calculate the result */
#line 620
      #undef whati
#line 620
  }
#line 620

#line 620

#line 636 "filter/f-inst.c"
 /* Constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
struct f_inst *
#line 622 "filter/f-inst.c"
NONNULL(2)
#line 636 "filter/f-inst.c"
f_new_inst_FI_ROUTES_BLOCK_FOR_NEXT(enum f_instruction_code fi_code
#line 622 "filter/f-inst.c"
  , struct f_inst * f1
#line 630 "filter/f-inst.c"
  , struct f_inst * f2
#line 636 "filter/f-inst.c"
)
#line 636
  {
#line 636
    /* Allocate the structure */
#line 636
    struct f_inst *what = fi_new(fi_code);
#line 636
    
#line 636

#line 636
    /* Initialize all the members */
#line 636
  #define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
  #line 622 "filter/f-inst.c"
whati->f1 = f1;
#line 622
const struct f_inst *child1 = f1;
#line 622
do {
#line 622
  what->size += child1->size;
#line 622

#line 622
} while (child1 = child1->next);
#line 622

#line 622 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTES_BLOCK)) && !f_const_promotion(f1, (T_ROUTES_BLOCK)))
#line 622
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 622
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTES_BLOCK), f_type_name(f1->type));
#line 630 "filter/f-inst.c"
whati->f2 = f2;

#line 636 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 636
    
#line 636
      return what;
#line 636

#line 636
    /* Try to pre-calculate the result */
#line 636
      #undef whati
#line 636
  }
#line 636

#line 636

#line 644 "filter/f-inst.c"
 /* Constructor for FI_CONDITION */
#line 644
struct f_inst *
#line 637 "filter/f-inst.c"
NONNULL(2)
#line 644 "filter/f-inst.c"
f_new_inst_FI_CONDITION(enum f_instruction_code fi_code
#line 637 "filter/f-inst.c"
  , struct f_inst * f1
#line 639 "filter/f-inst.c"
  , struct f_inst * f2
#line 641 "filter/f-inst.c"
  , struct f_inst * f3
#line 644 "filter/f-inst.c"
)
#line 644
  {
#line 644
    /* Allocate the structure */
#line 644
    struct f_inst *what = fi_new(fi_code);
#line 644
    uint constargs = 1;
#line 644

#line 644
    /* Initialize all the members */
#line 644
  #define whati (&(what->i_FI_CONDITION))
#line 644
  #line 637 "filter/f-inst.c"
whati->f1 = f1;
#line 637
const struct f_inst *child1 = f1;
#line 637
do {
#line 637
  what->size += child1->size;
#line 637

#line 637
  if (child1->fi_code != FI_CONSTANT)
#line 637
    constargs = 0;
#line 637

#line 637
} while (child1 = child1->next);
#line 637

#line 637 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 637
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 637
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 639 "filter/f-inst.c"
whati->f2 = f2;
#line 641 "filter/f-inst.c"
whati->f3 = f3;

#line 644 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 644
    if (!constargs)
#line 644
      return what;
#line 644

#line 644
    /* Try to pre-calculate the result */
#line 644
    #line 636 "filter/f-inst.c"
 {
    
#line 637 "filter/f-inst.c"
 #line 637 "filter/f-inst.c"
 ;
#line 638 "filter/f-inst.c"
    if (v1.val.i)
      
#line 639 "filter/f-inst.c"
return whati->f2
#line 639
;
    else
      
#line 641 "filter/f-inst.c"
return whati->f3
#line 641
;
  }

  
  #undef whati
#line 644 "filter/f-inst.c"
  }
#line 644

#line 644

#line 652 "filter/f-inst.c"
 /* Constructor for FI_PRINT */
#line 652
struct f_inst *
#line 646 "filter/f-inst.c"
NONNULL(2)
#line 652 "filter/f-inst.c"
f_new_inst_FI_PRINT(enum f_instruction_code fi_code
#line 646 "filter/f-inst.c"
  , struct f_inst * f1
#line 652 "filter/f-inst.c"
)
#line 652
  {
#line 652
    /* Allocate the structure */
#line 652
    struct f_inst *what = fi_new(fi_code);
#line 652
    
#line 652

#line 652
    /* Initialize all the members */
#line 652
  #define whati (&(what->i_FI_PRINT))
#line 652
  #line 646 "filter/f-inst.c"
whati->f1 = f1;
#line 646
const struct f_inst *child1 = f1;
#line 646
do {
#line 646
  what->size += child1->size;
#line 646

#line 646
} while (child1 = child1->next);
#line 646


#line 652 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 652
    
#line 652
      return what;
#line 652

#line 652
    /* Try to pre-calculate the result */
#line 652
      #undef whati
#line 652
  }
#line 652

#line 652

#line 659 "filter/f-inst.c"
 /* Constructor for FI_FLUSH */
#line 659
struct f_inst *
#line 659
f_new_inst_FI_FLUSH(enum f_instruction_code fi_code
#line 659
)
#line 659
  {
#line 659
    /* Allocate the structure */
#line 659
    struct f_inst *what = fi_new(fi_code);
#line 659
    
#line 659

#line 659
    /* Initialize all the members */
#line 659
  #define whati (&(what->i_FI_FLUSH))
#line 659
  
#line 659
    /* If not constant, return the instruction itself */
#line 659
    
#line 659
      return what;
#line 659

#line 659
    /* Try to pre-calculate the result */
#line 659
      #undef whati
#line 659
  }
#line 659

#line 659

#line 673 "filter/f-inst.c"
 /* Constructor for FI_DIE */
#line 673
struct f_inst *
#line 673
f_new_inst_FI_DIE(enum f_instruction_code fi_code
#line 661 "filter/f-inst.c"
  , enum filter_return fret
#line 673 "filter/f-inst.c"
)
#line 673
  {
#line 673
    /* Allocate the structure */
#line 673
    struct f_inst *what = fi_new(fi_code);
#line 673
    
#line 673

#line 673
    /* Initialize all the members */
#line 673
  #define whati (&(what->i_FI_DIE))
#line 673
  #line 661 "filter/f-inst.c"
whati->fret = fret;

#line 673 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 673
    
#line 673
      return what;
#line 673

#line 673
    /* Try to pre-calculate the result */
#line 673
      #undef whati
#line 673
  }
#line 673

#line 673

#line 713 "filter/f-inst.c"
 /* Constructor for FI_RTA_GET */
#line 713
struct f_inst *
#line 676 "filter/f-inst.c"
NONNULL(2)
#line 713 "filter/f-inst.c"
f_new_inst_FI_RTA_GET(enum f_instruction_code fi_code
#line 676 "filter/f-inst.c"
  , struct f_inst * f1
#line 677 "filter/f-inst.c"
  , struct f_static_attr sa
#line 713 "filter/f-inst.c"
)
#line 713
  {
#line 713
    /* Allocate the structure */
#line 713
    struct f_inst *what = fi_new(fi_code);
#line 713
    
#line 713

#line 713
    /* Initialize all the members */
#line 713
  #define whati (&(what->i_FI_RTA_GET))
#line 713
  #line 676 "filter/f-inst.c"
whati->f1 = f1;
#line 676
const struct f_inst *child1 = f1;
#line 676
do {
#line 676
  what->size += child1->size;
#line 676

#line 676
} while (child1 = child1->next);
#line 676

#line 676 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 676
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 676
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 677 "filter/f-inst.c"
whati->sa = sa;
#line 683 "filter/f-inst.c"
what->type = sa.f_type;

#line 713 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 713
    
#line 713
      return what;
#line 713

#line 713
    /* Try to pre-calculate the result */
#line 713
      #undef whati
#line 713
  }
#line 713

#line 713

#line 858 "filter/f-inst.c"
 /* Constructor for FI_RTA_SET */
#line 858
struct f_inst *
#line 715 "filter/f-inst.c"
NONNULL(2)
#line 858 "filter/f-inst.c"
f_new_inst_FI_RTA_SET(enum f_instruction_code fi_code
#line 715 "filter/f-inst.c"
  , struct f_inst * f1
#line 716 "filter/f-inst.c"
  , struct f_static_attr sa
#line 858 "filter/f-inst.c"
)
#line 858
  {
#line 858
    /* Allocate the structure */
#line 858
    struct f_inst *what = fi_new(fi_code);
#line 858
    
#line 858

#line 858
    /* Initialize all the members */
#line 858
  #define whati (&(what->i_FI_RTA_SET))
#line 858
  #line 715 "filter/f-inst.c"
whati->f1 = f1;
#line 715
const struct f_inst *child1 = f1;
#line 715
do {
#line 715
  what->size += child1->size;
#line 715

#line 715
} while (child1 = child1->next);
#line 715

#line 716 "filter/f-inst.c"
whati->sa = sa;
#line 717 "filter/f-inst.c"
if (f1->type && (f1->type != (sa.f_type)) && !f_const_promotion(f1, (sa.f_type)))
#line 717
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 717
	   f_instruction_name(what->fi_code), f_type_name(sa.f_type), f_type_name(f1->type));

#line 858 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 858
    
#line 858
      return what;
#line 858

#line 858
    /* Try to pre-calculate the result */
#line 858
      #undef whati
#line 858
  }
#line 858

#line 858

#line 913 "filter/f-inst.c"
 /* Constructor for FI_EA_GET */
#line 913
struct f_inst *
#line 861 "filter/f-inst.c"
NONNULL(2)
#line 913 "filter/f-inst.c"
f_new_inst_FI_EA_GET(enum f_instruction_code fi_code
#line 861 "filter/f-inst.c"
  , struct f_inst * f1
#line 862 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 913 "filter/f-inst.c"
)
#line 913
  {
#line 913
    /* Allocate the structure */
#line 913
    struct f_inst *what = fi_new(fi_code);
#line 913
    
#line 913

#line 913
    /* Initialize all the members */
#line 913
  #define whati (&(what->i_FI_EA_GET))
#line 913
  #line 861 "filter/f-inst.c"
whati->f1 = f1;
#line 861
const struct f_inst *child1 = f1;
#line 861
do {
#line 861
  what->size += child1->size;
#line 861

#line 861
} while (child1 = child1->next);
#line 861

#line 861 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 861
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 861
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 862 "filter/f-inst.c"
whati->da = da;
#line 863 "filter/f-inst.c"
what->type = da.f_type;

#line 913 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 913
    
#line 913
      return what;
#line 913

#line 913
    /* Try to pre-calculate the result */
#line 913
      #undef whati
#line 913
  }
#line 913

#line 913

#line 989 "filter/f-inst.c"
 /* Constructor for FI_EA_SET */
#line 989
struct f_inst *
#line 916 "filter/f-inst.c"
NONNULL(2)
#line 989 "filter/f-inst.c"
f_new_inst_FI_EA_SET(enum f_instruction_code fi_code
#line 916 "filter/f-inst.c"
  , struct f_inst * f1
#line 917 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 989 "filter/f-inst.c"
)
#line 989
  {
#line 989
    /* Allocate the structure */
#line 989
    struct f_inst *what = fi_new(fi_code);
#line 989
    
#line 989

#line 989
    /* Initialize all the members */
#line 989
  #define whati (&(what->i_FI_EA_SET))
#line 989
  #line 916 "filter/f-inst.c"
whati->f1 = f1;
#line 916
const struct f_inst *child1 = f1;
#line 916
do {
#line 916
  what->size += child1->size;
#line 916

#line 916
} while (child1 = child1->next);
#line 916

#line 917 "filter/f-inst.c"
whati->da = da;
#line 918 "filter/f-inst.c"
if (f1->type && (f1->type != (da.f_type)) && !f_const_promotion(f1, (da.f_type)))
#line 918
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 918
	   f_instruction_name(what->fi_code), f_type_name(da.f_type), f_type_name(f1->type));
;
#line 921 "filter/f-inst.c"
      if (da.f_type == T_ENUM_EMPTY)
	cf_error("Setting opaque attribute is not allowed");

    
#line 989 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 989
    
#line 989
      return what;
#line 989

#line 989
    /* Try to pre-calculate the result */
#line 989
      #undef whati
#line 989
  }
#line 989

#line 989

#line 999 "filter/f-inst.c"
 /* Constructor for FI_EA_UNSET */
#line 999
struct f_inst *
#line 999
f_new_inst_FI_EA_UNSET(enum f_instruction_code fi_code
#line 990 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 999 "filter/f-inst.c"
)
#line 999
  {
#line 999
    /* Allocate the structure */
#line 999
    struct f_inst *what = fi_new(fi_code);
#line 999
    
#line 999

#line 999
    /* Initialize all the members */
#line 999
  #define whati (&(what->i_FI_EA_UNSET))
#line 999
  #line 990 "filter/f-inst.c"
whati->da = da;

#line 999 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 999
    
#line 999
      return what;
#line 999

#line 999
    /* Try to pre-calculate the result */
#line 999
      #undef whati
#line 999
  }
#line 999

#line 999

#line 1000 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__len */
#line 1000
struct f_inst *
#line 999 "filter/f-inst.c"
NONNULL(2)
#line 1000 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__len(enum f_instruction_code fi_code
#line 999 "filter/f-inst.c"
  , struct f_inst * f1
#line 1000 "filter/f-inst.c"
)
#line 1000
  {
#line 1000
    /* Allocate the structure */
#line 1000
    struct f_inst *what = fi_new(fi_code);
#line 1000
    uint constargs = 1;
#line 1000

#line 1000
    /* Initialize all the members */
#line 1000
  #define whati (&(what->i_FI_METHOD__T_NET__len))
#line 1000
  #line 999 "filter/f-inst.c"
whati->f1 = f1;
#line 999
const struct f_inst *child1 = f1;
#line 999
do {
#line 999
  what->size += child1->size;
#line 999

#line 999
  if (child1->fi_code != FI_CONSTANT)
#line 999
    constargs = 0;
#line 999

#line 999
} while (child1 = child1->next);
#line 999

#line 999 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 999
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 999
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 999 "filter/f-inst.c"
what->type = T_INT;

#line 1000 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1000
    if (!constargs)
#line 1000
      return what;
#line 1000

#line 1000
    /* Try to pre-calculate the result */
#line 1000
    #line 999 "filter/f-inst.c"
 {
#line 999
  
#line 999 "filter/f-inst.c"
 #line 999 "filter/f-inst.c"
 ;
#line 999 "filter/f-inst.c"
    
#line 999 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = net_pxlen(v1.val.net) } ) 
#line 999
  #line 999 "filter/f-inst.c"
;
#line 999
};
  
  #undef whati
#line 1000 "filter/f-inst.c"
  }
#line 1000

#line 1000

#line 1001 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__len */
#line 1001
struct f_inst *
#line 1000 "filter/f-inst.c"
NONNULL(2)
#line 1001 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__len(enum f_instruction_code fi_code
#line 1000 "filter/f-inst.c"
  , struct f_inst * f1
#line 1001 "filter/f-inst.c"
)
#line 1001
  {
#line 1001
    /* Allocate the structure */
#line 1001
    struct f_inst *what = fi_new(fi_code);
#line 1001
    uint constargs = 1;
#line 1001

#line 1001
    /* Initialize all the members */
#line 1001
  #define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 1001
  #line 1000 "filter/f-inst.c"
whati->f1 = f1;
#line 1000
const struct f_inst *child1 = f1;
#line 1000
do {
#line 1000
  what->size += child1->size;
#line 1000

#line 1000
  if (child1->fi_code != FI_CONSTANT)
#line 1000
    constargs = 0;
#line 1000

#line 1000
} while (child1 = child1->next);
#line 1000

#line 1000 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1000
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1000
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1000 "filter/f-inst.c"
what->type = T_INT;

#line 1001 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1001
    if (!constargs)
#line 1001
      return what;
#line 1001

#line 1001
    /* Try to pre-calculate the result */
#line 1001
    #line 1000 "filter/f-inst.c"
 {
#line 1000
  
#line 1000 "filter/f-inst.c"
 #line 1000 "filter/f-inst.c"
 ;
#line 1000 "filter/f-inst.c"
    
#line 1000 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_getlen(v1.val.ad) } ) 
#line 1000
  #line 1000 "filter/f-inst.c"
;
#line 1000
};
  
  #undef whati
#line 1001 "filter/f-inst.c"
  }
#line 1001

#line 1001

#line 1002 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__len */
#line 1002
struct f_inst *
#line 1001 "filter/f-inst.c"
NONNULL(2)
#line 1002 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__len(enum f_instruction_code fi_code
#line 1001 "filter/f-inst.c"
  , struct f_inst * f1
#line 1002 "filter/f-inst.c"
)
#line 1002
  {
#line 1002
    /* Allocate the structure */
#line 1002
    struct f_inst *what = fi_new(fi_code);
#line 1002
    uint constargs = 1;
#line 1002

#line 1002
    /* Initialize all the members */
#line 1002
  #define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 1002
  #line 1001 "filter/f-inst.c"
whati->f1 = f1;
#line 1001
const struct f_inst *child1 = f1;
#line 1001
do {
#line 1001
  what->size += child1->size;
#line 1001

#line 1001
  if (child1->fi_code != FI_CONSTANT)
#line 1001
    constargs = 0;
#line 1001

#line 1001
} while (child1 = child1->next);
#line 1001

#line 1001 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1001
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1001
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1001 "filter/f-inst.c"
what->type = T_INT;

#line 1002 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1002
    if (!constargs)
#line 1002
      return what;
#line 1002

#line 1002
    /* Try to pre-calculate the result */
#line 1002
    #line 1001 "filter/f-inst.c"
 {
#line 1001
  
#line 1001 "filter/f-inst.c"
 #line 1001 "filter/f-inst.c"
 ;
#line 1001 "filter/f-inst.c"
    
#line 1001 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = int_set_get_size(v1.val.ad) } ) 
#line 1001
  #line 1001 "filter/f-inst.c"
;
#line 1001
};
  
  #undef whati
#line 1002 "filter/f-inst.c"
  }
#line 1002

#line 1002

#line 1003 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__len */
#line 1003
struct f_inst *
#line 1002 "filter/f-inst.c"
NONNULL(2)
#line 1003 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__len(enum f_instruction_code fi_code
#line 1002 "filter/f-inst.c"
  , struct f_inst * f1
#line 1003 "filter/f-inst.c"
)
#line 1003
  {
#line 1003
    /* Allocate the structure */
#line 1003
    struct f_inst *what = fi_new(fi_code);
#line 1003
    uint constargs = 1;
#line 1003

#line 1003
    /* Initialize all the members */
#line 1003
  #define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 1003
  #line 1002 "filter/f-inst.c"
whati->f1 = f1;
#line 1002
const struct f_inst *child1 = f1;
#line 1002
do {
#line 1002
  what->size += child1->size;
#line 1002

#line 1002
  if (child1->fi_code != FI_CONSTANT)
#line 1002
    constargs = 0;
#line 1002

#line 1002
} while (child1 = child1->next);
#line 1002

#line 1002 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1002
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1002
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1002 "filter/f-inst.c"
what->type = T_INT;

#line 1003 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1003
    if (!constargs)
#line 1003
      return what;
#line 1003

#line 1003
    /* Try to pre-calculate the result */
#line 1003
    #line 1002 "filter/f-inst.c"
 {
#line 1002
  
#line 1002 "filter/f-inst.c"
 #line 1002 "filter/f-inst.c"
 ;
#line 1002 "filter/f-inst.c"
    
#line 1002 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ec_set_get_size(v1.val.ad) } ) 
#line 1002
  #line 1002 "filter/f-inst.c"
;
#line 1002
};
  
  #undef whati
#line 1003 "filter/f-inst.c"
  }
#line 1003

#line 1003

#line 1005 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__len */
#line 1005
struct f_inst *
#line 1003 "filter/f-inst.c"
NONNULL(2)
#line 1005 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__len(enum f_instruction_code fi_code
#line 1003 "filter/f-inst.c"
  , struct f_inst * f1
#line 1005 "filter/f-inst.c"
)
#line 1005
  {
#line 1005
    /* Allocate the structure */
#line 1005
    struct f_inst *what = fi_new(fi_code);
#line 1005
    uint constargs = 1;
#line 1005

#line 1005
    /* Initialize all the members */
#line 1005
  #define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 1005
  #line 1003 "filter/f-inst.c"
whati->f1 = f1;
#line 1003
const struct f_inst *child1 = f1;
#line 1003
do {
#line 1003
  what->size += child1->size;
#line 1003

#line 1003
  if (child1->fi_code != FI_CONSTANT)
#line 1003
    constargs = 0;
#line 1003

#line 1003
} while (child1 = child1->next);
#line 1003

#line 1003 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1003
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1003
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1003 "filter/f-inst.c"
what->type = T_INT;

#line 1005 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1005
    if (!constargs)
#line 1005
      return what;
#line 1005

#line 1005
    /* Try to pre-calculate the result */
#line 1005
    #line 1003 "filter/f-inst.c"
 {
#line 1003
  
#line 1003 "filter/f-inst.c"
 #line 1003 "filter/f-inst.c"
 ;
#line 1003 "filter/f-inst.c"
    
#line 1003 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = lc_set_get_size(v1.val.ad) } ) 
#line 1003
  #line 1003 "filter/f-inst.c"
;
#line 1003
};

  
  #undef whati
#line 1005 "filter/f-inst.c"
  }
#line 1005

#line 1005

#line 1041 "filter/f-inst.c"
 /* Constructor for FI_NET_SRC */
#line 1041
struct f_inst *
#line 1006 "filter/f-inst.c"
NONNULL(2)
#line 1041 "filter/f-inst.c"
f_new_inst_FI_NET_SRC(enum f_instruction_code fi_code
#line 1006 "filter/f-inst.c"
  , struct f_inst * f1
#line 1041 "filter/f-inst.c"
)
#line 1041
  {
#line 1041
    /* Allocate the structure */
#line 1041
    struct f_inst *what = fi_new(fi_code);
#line 1041
    uint constargs = 1;
#line 1041

#line 1041
    /* Initialize all the members */
#line 1041
  #define whati (&(what->i_FI_NET_SRC))
#line 1041
  #line 1006 "filter/f-inst.c"
whati->f1 = f1;
#line 1006
const struct f_inst *child1 = f1;
#line 1006
do {
#line 1006
  what->size += child1->size;
#line 1006

#line 1006
  if (child1->fi_code != FI_CONSTANT)
#line 1006
    constargs = 0;
#line 1006

#line 1006
} while (child1 = child1->next);
#line 1006

#line 1006 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1006
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1006
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1038 "filter/f-inst.c"
what->type = T_NET;

#line 1041 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1041
    if (!constargs)
#line 1041
      return what;
#line 1041

#line 1041
    /* Try to pre-calculate the result */
#line 1041
    #line 1005 "filter/f-inst.c"
 { 	/* Get src prefix */
    
#line 1006 "filter/f-inst.c"
 #line 1006 "filter/f-inst.c"
 ;
#line 1007 "filter/f-inst.c"
    #line 1007 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *src = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip4(src, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(src, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip6(src, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(src, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(src, net->ip6_sadr.src_prefix, net->ip6_sadr.src_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 1038 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = src } );
  }

  
  #undef whati
#line 1041 "filter/f-inst.c"
  }
#line 1041

#line 1041

#line 1078 "filter/f-inst.c"
 /* Constructor for FI_NET_DST */
#line 1078
struct f_inst *
#line 1042 "filter/f-inst.c"
NONNULL(2)
#line 1078 "filter/f-inst.c"
f_new_inst_FI_NET_DST(enum f_instruction_code fi_code
#line 1042 "filter/f-inst.c"
  , struct f_inst * f1
#line 1078 "filter/f-inst.c"
)
#line 1078
  {
#line 1078
    /* Allocate the structure */
#line 1078
    struct f_inst *what = fi_new(fi_code);
#line 1078
    uint constargs = 1;
#line 1078

#line 1078
    /* Initialize all the members */
#line 1078
  #define whati (&(what->i_FI_NET_DST))
#line 1078
  #line 1042 "filter/f-inst.c"
whati->f1 = f1;
#line 1042
const struct f_inst *child1 = f1;
#line 1042
do {
#line 1042
  what->size += child1->size;
#line 1042

#line 1042
  if (child1->fi_code != FI_CONSTANT)
#line 1042
    constargs = 0;
#line 1042

#line 1042
} while (child1 = child1->next);
#line 1042

#line 1042 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1042
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1042
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1074 "filter/f-inst.c"
what->type = T_NET;

#line 1078 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1078
    if (!constargs)
#line 1078
      return what;
#line 1078

#line 1078
    /* Try to pre-calculate the result */
#line 1078
    #line 1041 "filter/f-inst.c"
 { 	/* Get dst prefix */
    
#line 1042 "filter/f-inst.c"
 #line 1042 "filter/f-inst.c"
 ;
#line 1043 "filter/f-inst.c"
    #line 1043 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *dst = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip4(dst, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(dst, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip6(dst, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(dst, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(dst, net->ip6_sadr.dst_prefix, net->ip6_sadr.dst_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 1074 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = dst } );
  }

  /* Get ROA max prefix length */
  
  #undef whati
#line 1078 "filter/f-inst.c"
  }
#line 1078

#line 1078

#line 1088 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__maxlen */
#line 1088
struct f_inst *
#line 1078 "filter/f-inst.c"
NONNULL(2)
#line 1088 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__maxlen(enum f_instruction_code fi_code
#line 1078 "filter/f-inst.c"
  , struct f_inst * f1
#line 1088 "filter/f-inst.c"
)
#line 1088
  {
#line 1088
    /* Allocate the structure */
#line 1088
    struct f_inst *what = fi_new(fi_code);
#line 1088
    uint constargs = 1;
#line 1088

#line 1088
    /* Initialize all the members */
#line 1088
  #define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1088
  #line 1078 "filter/f-inst.c"
whati->f1 = f1;
#line 1078
const struct f_inst *child1 = f1;
#line 1078
do {
#line 1078
  what->size += child1->size;
#line 1078

#line 1078
  if (child1->fi_code != FI_CONSTANT)
#line 1078
    constargs = 0;
#line 1078

#line 1078
} while (child1 = child1->next);
#line 1078

#line 1078 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1078
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1078
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1078 "filter/f-inst.c"
what->type = T_INT;

#line 1088 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1088
    if (!constargs)
#line 1088
      return what;
#line 1088

#line 1088
    /* Try to pre-calculate the result */
#line 1088
    #line 1078 "filter/f-inst.c"
 {
#line 1078
  
#line 1078 "filter/f-inst.c"
 #line 1078 "filter/f-inst.c"
 ;
#line 1078 "filter/f-inst.c"
  
#line 1078
    if (!net_is_roa(v1.val.net))
#line 1078
      runtime( "ROA expected" );
#line 1078

#line 1078
     
#line 1078 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1078
      ((net_addr_roa4 *) v1.val.net)->max_pxlen :
#line 1078
      ((net_addr_roa6 *) v1.val.net)->max_pxlen } );
#line 1078
  
#line 1078
  #line 1078 "filter/f-inst.c"
;
#line 1078
};
#line 1086

  /* Get ROA ASN */
  
  #undef whati
#line 1088 "filter/f-inst.c"
  }
#line 1088

#line 1088

#line 1098 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__asn */
#line 1098
struct f_inst *
#line 1088 "filter/f-inst.c"
NONNULL(2)
#line 1098 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__asn(enum f_instruction_code fi_code
#line 1088 "filter/f-inst.c"
  , struct f_inst * f1
#line 1098 "filter/f-inst.c"
)
#line 1098
  {
#line 1098
    /* Allocate the structure */
#line 1098
    struct f_inst *what = fi_new(fi_code);
#line 1098
    uint constargs = 1;
#line 1098

#line 1098
    /* Initialize all the members */
#line 1098
  #define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1098
  #line 1088 "filter/f-inst.c"
whati->f1 = f1;
#line 1088
const struct f_inst *child1 = f1;
#line 1088
do {
#line 1088
  what->size += child1->size;
#line 1088

#line 1088
  if (child1->fi_code != FI_CONSTANT)
#line 1088
    constargs = 0;
#line 1088

#line 1088
} while (child1 = child1->next);
#line 1088

#line 1088 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1088
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1088
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1088 "filter/f-inst.c"
what->type = T_INT;

#line 1098 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1098
    if (!constargs)
#line 1098
      return what;
#line 1098

#line 1098
    /* Try to pre-calculate the result */
#line 1098
    #line 1088 "filter/f-inst.c"
 {
#line 1088
  
#line 1088 "filter/f-inst.c"
 #line 1088 "filter/f-inst.c"
 ;
#line 1088 "filter/f-inst.c"
  
#line 1088
        if (!net_is_roa(v1.val.net))
#line 1088
          runtime( "ROA expected" );
#line 1088

#line 1088
         
#line 1088 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1088
          ((net_addr_roa4 *) v1.val.net)->asn :
#line 1088
          ((net_addr_roa6 *) v1.val.net)->asn } );
#line 1088
  
#line 1088
  #line 1088 "filter/f-inst.c"
;
#line 1088
};
#line 1096

  /* Convert prefix to IP */
  
  #undef whati
#line 1098 "filter/f-inst.c"
  }
#line 1098

#line 1098

#line 1100 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__ip */
#line 1100
struct f_inst *
#line 1098 "filter/f-inst.c"
NONNULL(2)
#line 1100 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__ip(enum f_instruction_code fi_code
#line 1098 "filter/f-inst.c"
  , struct f_inst * f1
#line 1100 "filter/f-inst.c"
)
#line 1100
  {
#line 1100
    /* Allocate the structure */
#line 1100
    struct f_inst *what = fi_new(fi_code);
#line 1100
    uint constargs = 1;
#line 1100

#line 1100
    /* Initialize all the members */
#line 1100
  #define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1100
  #line 1098 "filter/f-inst.c"
whati->f1 = f1;
#line 1098
const struct f_inst *child1 = f1;
#line 1098
do {
#line 1098
  what->size += child1->size;
#line 1098

#line 1098
  if (child1->fi_code != FI_CONSTANT)
#line 1098
    constargs = 0;
#line 1098

#line 1098
} while (child1 = child1->next);
#line 1098

#line 1098 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1098
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1098
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1098 "filter/f-inst.c"
what->type = T_IP;

#line 1100 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1100
    if (!constargs)
#line 1100
      return what;
#line 1100

#line 1100
    /* Try to pre-calculate the result */
#line 1100
    #line 1098 "filter/f-inst.c"
 {
#line 1098
  
#line 1098 "filter/f-inst.c"
 #line 1098 "filter/f-inst.c"
 ;
#line 1098 "filter/f-inst.c"
    
#line 1098 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip = net_prefix(v1.val.net) } ) 
#line 1098
  #line 1098 "filter/f-inst.c"
;
#line 1098
};

  
  #undef whati
#line 1100 "filter/f-inst.c"
  }
#line 1100

#line 1100

#line 1109 "filter/f-inst.c"
 /* Constructor for FI_ROUTE_DISTINGUISHER */
#line 1109
struct f_inst *
#line 1101 "filter/f-inst.c"
NONNULL(2)
#line 1109 "filter/f-inst.c"
f_new_inst_FI_ROUTE_DISTINGUISHER(enum f_instruction_code fi_code
#line 1101 "filter/f-inst.c"
  , struct f_inst * f1
#line 1109 "filter/f-inst.c"
)
#line 1109
  {
#line 1109
    /* Allocate the structure */
#line 1109
    struct f_inst *what = fi_new(fi_code);
#line 1109
    uint constargs = 1;
#line 1109

#line 1109
    /* Initialize all the members */
#line 1109
  #define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1109
  #line 1101 "filter/f-inst.c"
whati->f1 = f1;
#line 1101
const struct f_inst *child1 = f1;
#line 1101
do {
#line 1101
  what->size += child1->size;
#line 1101

#line 1101
  if (child1->fi_code != FI_CONSTANT)
#line 1101
    constargs = 0;
#line 1101

#line 1101
} while (child1 = child1->next);
#line 1101

#line 1101 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1101
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1101
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1105 "filter/f-inst.c"
what->type = T_RD;

#line 1109 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1109
    if (!constargs)
#line 1109
      return what;
#line 1109

#line 1109
    /* Try to pre-calculate the result */
#line 1109
    #line 1100 "filter/f-inst.c"
 {
    
#line 1101 "filter/f-inst.c"
 #line 1101 "filter/f-inst.c"
 ;
#line 1102 "filter/f-inst.c"
    #line 1102 "filter/f-inst.c"
;
    if (!net_is_vpn(v1.val.net))
      runtime( "VPN address expected" );
     
#line 1105 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_RD, .val.rd = net_rd(v1.val.net) } );
  }

  /* Get first ASN from AS PATH */
  
  #undef whati
#line 1109 "filter/f-inst.c"
  }
#line 1109

#line 1109

#line 1112 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__first */
#line 1112
struct f_inst *
#line 1109 "filter/f-inst.c"
NONNULL(2)
#line 1112 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__first(enum f_instruction_code fi_code
#line 1109 "filter/f-inst.c"
  , struct f_inst * f1
#line 1112 "filter/f-inst.c"
)
#line 1112
  {
#line 1112
    /* Allocate the structure */
#line 1112
    struct f_inst *what = fi_new(fi_code);
#line 1112
    uint constargs = 1;
#line 1112

#line 1112
    /* Initialize all the members */
#line 1112
  #define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1112
  #line 1109 "filter/f-inst.c"
whati->f1 = f1;
#line 1109
const struct f_inst *child1 = f1;
#line 1109
do {
#line 1109
  what->size += child1->size;
#line 1109

#line 1109
  if (child1->fi_code != FI_CONSTANT)
#line 1109
    constargs = 0;
#line 1109

#line 1109
} while (child1 = child1->next);
#line 1109

#line 1109 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1109
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1109
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1109 "filter/f-inst.c"
what->type = T_INT;

#line 1112 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1112
    if (!constargs)
#line 1112
      return what;
#line 1112

#line 1112
    /* Try to pre-calculate the result */
#line 1112
    #line 1109 "filter/f-inst.c"
 {
#line 1109
  
#line 1109 "filter/f-inst.c"
 #line 1109 "filter/f-inst.c"
 ;
#line 1109 "filter/f-inst.c"
    
#line 1109 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_first(v1.val.ad, &as); as; }) } ) 
#line 1109
  #line 1109 "filter/f-inst.c"
;
#line 1109
};

  /* Get last ASN from AS PATH */
  
  #undef whati
#line 1112 "filter/f-inst.c"
  }
#line 1112

#line 1112

#line 1115 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last */
#line 1115
struct f_inst *
#line 1112 "filter/f-inst.c"
NONNULL(2)
#line 1115 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last(enum f_instruction_code fi_code
#line 1112 "filter/f-inst.c"
  , struct f_inst * f1
#line 1115 "filter/f-inst.c"
)
#line 1115
  {
#line 1115
    /* Allocate the structure */
#line 1115
    struct f_inst *what = fi_new(fi_code);
#line 1115
    uint constargs = 1;
#line 1115

#line 1115
    /* Initialize all the members */
#line 1115
  #define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1115
  #line 1112 "filter/f-inst.c"
whati->f1 = f1;
#line 1112
const struct f_inst *child1 = f1;
#line 1112
do {
#line 1112
  what->size += child1->size;
#line 1112

#line 1112
  if (child1->fi_code != FI_CONSTANT)
#line 1112
    constargs = 0;
#line 1112

#line 1112
} while (child1 = child1->next);
#line 1112

#line 1112 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1112
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1112
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1112 "filter/f-inst.c"
what->type = T_INT;

#line 1115 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1115
    if (!constargs)
#line 1115
      return what;
#line 1115

#line 1115
    /* Try to pre-calculate the result */
#line 1115
    #line 1112 "filter/f-inst.c"
 {
#line 1112
  
#line 1112 "filter/f-inst.c"
 #line 1112 "filter/f-inst.c"
 ;
#line 1112 "filter/f-inst.c"
    
#line 1112 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_last(v1.val.ad, &as); as; }) } ) 
#line 1112
  #line 1112 "filter/f-inst.c"
;
#line 1112
};

  /* Get last ASN from non-aggregated part of AS PATH */
  
  #undef whati
#line 1115 "filter/f-inst.c"
  }
#line 1115

#line 1115

#line 1118 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
struct f_inst *
#line 1115 "filter/f-inst.c"
NONNULL(2)
#line 1118 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last_nonaggregated(enum f_instruction_code fi_code
#line 1115 "filter/f-inst.c"
  , struct f_inst * f1
#line 1118 "filter/f-inst.c"
)
#line 1118
  {
#line 1118
    /* Allocate the structure */
#line 1118
    struct f_inst *what = fi_new(fi_code);
#line 1118
    uint constargs = 1;
#line 1118

#line 1118
    /* Initialize all the members */
#line 1118
  #define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
  #line 1115 "filter/f-inst.c"
whati->f1 = f1;
#line 1115
const struct f_inst *child1 = f1;
#line 1115
do {
#line 1115
  what->size += child1->size;
#line 1115

#line 1115
  if (child1->fi_code != FI_CONSTANT)
#line 1115
    constargs = 0;
#line 1115

#line 1115
} while (child1 = child1->next);
#line 1115

#line 1115 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1115
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1115
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1115 "filter/f-inst.c"
what->type = T_INT;

#line 1118 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1118
    if (!constargs)
#line 1118
      return what;
#line 1118

#line 1118
    /* Try to pre-calculate the result */
#line 1118
    #line 1115 "filter/f-inst.c"
 {
#line 1115
  
#line 1115 "filter/f-inst.c"
 #line 1115 "filter/f-inst.c"
 ;
#line 1115 "filter/f-inst.c"
    
#line 1115 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_get_last_nonaggregated(v1.val.ad) } ) 
#line 1115
  #line 1115 "filter/f-inst.c"
;
#line 1115
};

  /* Get ASN part from the standard community ASN */
  
  #undef whati
#line 1118 "filter/f-inst.c"
  }
#line 1118

#line 1118

#line 1121 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__asn */
#line 1121
struct f_inst *
#line 1118 "filter/f-inst.c"
NONNULL(2)
#line 1121 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__asn(enum f_instruction_code fi_code
#line 1118 "filter/f-inst.c"
  , struct f_inst * f1
#line 1121 "filter/f-inst.c"
)
#line 1121
  {
#line 1121
    /* Allocate the structure */
#line 1121
    struct f_inst *what = fi_new(fi_code);
#line 1121
    uint constargs = 1;
#line 1121

#line 1121
    /* Initialize all the members */
#line 1121
  #define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1121
  #line 1118 "filter/f-inst.c"
whati->f1 = f1;
#line 1118
const struct f_inst *child1 = f1;
#line 1118
do {
#line 1118
  what->size += child1->size;
#line 1118

#line 1118
  if (child1->fi_code != FI_CONSTANT)
#line 1118
    constargs = 0;
#line 1118

#line 1118
} while (child1 = child1->next);
#line 1118

#line 1118 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1118
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1118
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1118 "filter/f-inst.c"
what->type = T_INT;

#line 1121 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1121
    if (!constargs)
#line 1121
      return what;
#line 1121

#line 1121
    /* Try to pre-calculate the result */
#line 1121
    #line 1118 "filter/f-inst.c"
 {
#line 1118
  
#line 1118 "filter/f-inst.c"
 #line 1118 "filter/f-inst.c"
 ;
#line 1118 "filter/f-inst.c"
    
#line 1118 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i >> 16 } ) 
#line 1118
  #line 1118 "filter/f-inst.c"
;
#line 1118
};

  /* Get data part from the standard community */
  
  #undef whati
#line 1121 "filter/f-inst.c"
  }
#line 1121

#line 1121

#line 1124 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__data */
#line 1124
struct f_inst *
#line 1121 "filter/f-inst.c"
NONNULL(2)
#line 1124 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__data(enum f_instruction_code fi_code
#line 1121 "filter/f-inst.c"
  , struct f_inst * f1
#line 1124 "filter/f-inst.c"
)
#line 1124
  {
#line 1124
    /* Allocate the structure */
#line 1124
    struct f_inst *what = fi_new(fi_code);
#line 1124
    uint constargs = 1;
#line 1124

#line 1124
    /* Initialize all the members */
#line 1124
  #define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1124
  #line 1121 "filter/f-inst.c"
whati->f1 = f1;
#line 1121
const struct f_inst *child1 = f1;
#line 1121
do {
#line 1121
  what->size += child1->size;
#line 1121

#line 1121
  if (child1->fi_code != FI_CONSTANT)
#line 1121
    constargs = 0;
#line 1121

#line 1121
} while (child1 = child1->next);
#line 1121

#line 1121 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1121
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1121
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1121 "filter/f-inst.c"
what->type = T_INT;

#line 1124 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1124
    if (!constargs)
#line 1124
      return what;
#line 1124

#line 1124
    /* Try to pre-calculate the result */
#line 1124
    #line 1121 "filter/f-inst.c"
 {
#line 1121
  
#line 1121 "filter/f-inst.c"
 #line 1121 "filter/f-inst.c"
 ;
#line 1121 "filter/f-inst.c"
    
#line 1121 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i & 0xFFFF } ) 
#line 1121
  #line 1121 "filter/f-inst.c"
;
#line 1121
};

  /* Get ASN part from the large community */
  
  #undef whati
#line 1124 "filter/f-inst.c"
  }
#line 1124

#line 1124

#line 1127 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__asn */
#line 1127
struct f_inst *
#line 1124 "filter/f-inst.c"
NONNULL(2)
#line 1127 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__asn(enum f_instruction_code fi_code
#line 1124 "filter/f-inst.c"
  , struct f_inst * f1
#line 1127 "filter/f-inst.c"
)
#line 1127
  {
#line 1127
    /* Allocate the structure */
#line 1127
    struct f_inst *what = fi_new(fi_code);
#line 1127
    uint constargs = 1;
#line 1127

#line 1127
    /* Initialize all the members */
#line 1127
  #define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1127
  #line 1124 "filter/f-inst.c"
whati->f1 = f1;
#line 1124
const struct f_inst *child1 = f1;
#line 1124
do {
#line 1124
  what->size += child1->size;
#line 1124

#line 1124
  if (child1->fi_code != FI_CONSTANT)
#line 1124
    constargs = 0;
#line 1124

#line 1124
} while (child1 = child1->next);
#line 1124

#line 1124 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1124
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1124
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1124 "filter/f-inst.c"
what->type = T_INT;

#line 1127 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1127
    if (!constargs)
#line 1127
      return what;
#line 1127

#line 1127
    /* Try to pre-calculate the result */
#line 1127
    #line 1124 "filter/f-inst.c"
 {
#line 1124
  
#line 1124 "filter/f-inst.c"
 #line 1124 "filter/f-inst.c"
 ;
#line 1124 "filter/f-inst.c"
    
#line 1124 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.asn } ) 
#line 1124
  #line 1124 "filter/f-inst.c"
;
#line 1124
};

  /* Get data1 part from the large community */
  
  #undef whati
#line 1127 "filter/f-inst.c"
  }
#line 1127

#line 1127

#line 1130 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data1 */
#line 1130
struct f_inst *
#line 1127 "filter/f-inst.c"
NONNULL(2)
#line 1130 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data1(enum f_instruction_code fi_code
#line 1127 "filter/f-inst.c"
  , struct f_inst * f1
#line 1130 "filter/f-inst.c"
)
#line 1130
  {
#line 1130
    /* Allocate the structure */
#line 1130
    struct f_inst *what = fi_new(fi_code);
#line 1130
    uint constargs = 1;
#line 1130

#line 1130
    /* Initialize all the members */
#line 1130
  #define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1130
  #line 1127 "filter/f-inst.c"
whati->f1 = f1;
#line 1127
const struct f_inst *child1 = f1;
#line 1127
do {
#line 1127
  what->size += child1->size;
#line 1127

#line 1127
  if (child1->fi_code != FI_CONSTANT)
#line 1127
    constargs = 0;
#line 1127

#line 1127
} while (child1 = child1->next);
#line 1127

#line 1127 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1127
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1127
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1127 "filter/f-inst.c"
what->type = T_INT;

#line 1130 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1130
    if (!constargs)
#line 1130
      return what;
#line 1130

#line 1130
    /* Try to pre-calculate the result */
#line 1130
    #line 1127 "filter/f-inst.c"
 {
#line 1127
  
#line 1127 "filter/f-inst.c"
 #line 1127 "filter/f-inst.c"
 ;
#line 1127 "filter/f-inst.c"
    
#line 1127 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp1 } ) 
#line 1127
  #line 1127 "filter/f-inst.c"
;
#line 1127
};

  /* Get data2 part from the large community */
  
  #undef whati
#line 1130 "filter/f-inst.c"
  }
#line 1130

#line 1130

#line 1133 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data2 */
#line 1133
struct f_inst *
#line 1130 "filter/f-inst.c"
NONNULL(2)
#line 1133 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data2(enum f_instruction_code fi_code
#line 1130 "filter/f-inst.c"
  , struct f_inst * f1
#line 1133 "filter/f-inst.c"
)
#line 1133
  {
#line 1133
    /* Allocate the structure */
#line 1133
    struct f_inst *what = fi_new(fi_code);
#line 1133
    uint constargs = 1;
#line 1133

#line 1133
    /* Initialize all the members */
#line 1133
  #define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1133
  #line 1130 "filter/f-inst.c"
whati->f1 = f1;
#line 1130
const struct f_inst *child1 = f1;
#line 1130
do {
#line 1130
  what->size += child1->size;
#line 1130

#line 1130
  if (child1->fi_code != FI_CONSTANT)
#line 1130
    constargs = 0;
#line 1130

#line 1130
} while (child1 = child1->next);
#line 1130

#line 1130 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1130
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1130
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1130 "filter/f-inst.c"
what->type = T_INT;

#line 1133 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1133
    if (!constargs)
#line 1133
      return what;
#line 1133

#line 1133
    /* Try to pre-calculate the result */
#line 1133
    #line 1130 "filter/f-inst.c"
 {
#line 1130
  
#line 1130 "filter/f-inst.c"
 #line 1130 "filter/f-inst.c"
 ;
#line 1130 "filter/f-inst.c"
    
#line 1130 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp2 } ) 
#line 1130
  #line 1130 "filter/f-inst.c"
;
#line 1130
};

  /* Get minimum element from clist */
  
  #undef whati
#line 1133 "filter/f-inst.c"
  }
#line 1133

#line 1133

#line 1136 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__min */
#line 1136
struct f_inst *
#line 1133 "filter/f-inst.c"
NONNULL(2)
#line 1136 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__min(enum f_instruction_code fi_code
#line 1133 "filter/f-inst.c"
  , struct f_inst * f1
#line 1136 "filter/f-inst.c"
)
#line 1136
  {
#line 1136
    /* Allocate the structure */
#line 1136
    struct f_inst *what = fi_new(fi_code);
#line 1136
    uint constargs = 1;
#line 1136

#line 1136
    /* Initialize all the members */
#line 1136
  #define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1136
  #line 1133 "filter/f-inst.c"
whati->f1 = f1;
#line 1133
const struct f_inst *child1 = f1;
#line 1133
do {
#line 1133
  what->size += child1->size;
#line 1133

#line 1133
  if (child1->fi_code != FI_CONSTANT)
#line 1133
    constargs = 0;
#line 1133

#line 1133
} while (child1 = child1->next);
#line 1133

#line 1133 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1133
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1133
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1133 "filter/f-inst.c"
what->type = T_PAIR;

#line 1136 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1136
    if (!constargs)
#line 1136
      return what;
#line 1136

#line 1136
    /* Try to pre-calculate the result */
#line 1136
    #line 1133 "filter/f-inst.c"
 {
#line 1133
  
#line 1133 "filter/f-inst.c"
 #line 1133 "filter/f-inst.c"
 ;
#line 1133 "filter/f-inst.c"
    
#line 1133 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_min(v1.val.ad, &val); val; }) } ) 
#line 1133
  #line 1133 "filter/f-inst.c"
;
#line 1133
};

  /* Get maximum element from clist */
  
  #undef whati
#line 1136 "filter/f-inst.c"
  }
#line 1136

#line 1136

#line 1139 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__max */
#line 1139
struct f_inst *
#line 1136 "filter/f-inst.c"
NONNULL(2)
#line 1139 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__max(enum f_instruction_code fi_code
#line 1136 "filter/f-inst.c"
  , struct f_inst * f1
#line 1139 "filter/f-inst.c"
)
#line 1139
  {
#line 1139
    /* Allocate the structure */
#line 1139
    struct f_inst *what = fi_new(fi_code);
#line 1139
    uint constargs = 1;
#line 1139

#line 1139
    /* Initialize all the members */
#line 1139
  #define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1139
  #line 1136 "filter/f-inst.c"
whati->f1 = f1;
#line 1136
const struct f_inst *child1 = f1;
#line 1136
do {
#line 1136
  what->size += child1->size;
#line 1136

#line 1136
  if (child1->fi_code != FI_CONSTANT)
#line 1136
    constargs = 0;
#line 1136

#line 1136
} while (child1 = child1->next);
#line 1136

#line 1136 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1136
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1136
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1136 "filter/f-inst.c"
what->type = T_PAIR;

#line 1139 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1139
    if (!constargs)
#line 1139
      return what;
#line 1139

#line 1139
    /* Try to pre-calculate the result */
#line 1139
    #line 1136 "filter/f-inst.c"
 {
#line 1136
  
#line 1136 "filter/f-inst.c"
 #line 1136 "filter/f-inst.c"
 ;
#line 1136 "filter/f-inst.c"
    
#line 1136 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_max(v1.val.ad, &val); val; }) } ) 
#line 1136
  #line 1136 "filter/f-inst.c"
;
#line 1136
};

  /* Get minimum element from eclist */
  
  #undef whati
#line 1139 "filter/f-inst.c"
  }
#line 1139

#line 1139

#line 1142 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__min */
#line 1142
struct f_inst *
#line 1139 "filter/f-inst.c"
NONNULL(2)
#line 1142 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__min(enum f_instruction_code fi_code
#line 1139 "filter/f-inst.c"
  , struct f_inst * f1
#line 1142 "filter/f-inst.c"
)
#line 1142
  {
#line 1142
    /* Allocate the structure */
#line 1142
    struct f_inst *what = fi_new(fi_code);
#line 1142
    uint constargs = 1;
#line 1142

#line 1142
    /* Initialize all the members */
#line 1142
  #define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1142
  #line 1139 "filter/f-inst.c"
whati->f1 = f1;
#line 1139
const struct f_inst *child1 = f1;
#line 1139
do {
#line 1139
  what->size += child1->size;
#line 1139

#line 1139
  if (child1->fi_code != FI_CONSTANT)
#line 1139
    constargs = 0;
#line 1139

#line 1139
} while (child1 = child1->next);
#line 1139

#line 1139 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1139
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1139
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1139 "filter/f-inst.c"
what->type = T_EC;

#line 1142 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1142
    if (!constargs)
#line 1142
      return what;
#line 1142

#line 1142
    /* Try to pre-calculate the result */
#line 1142
    #line 1139 "filter/f-inst.c"
 {
#line 1139
  
#line 1139 "filter/f-inst.c"
 #line 1139 "filter/f-inst.c"
 ;
#line 1139 "filter/f-inst.c"
    
#line 1139 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_min(v1.val.ad, &val); val; }) } ) 
#line 1139
  #line 1139 "filter/f-inst.c"
;
#line 1139
};

  /* Get maximum element from eclist */
  
  #undef whati
#line 1142 "filter/f-inst.c"
  }
#line 1142

#line 1142

#line 1145 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__max */
#line 1145
struct f_inst *
#line 1142 "filter/f-inst.c"
NONNULL(2)
#line 1145 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__max(enum f_instruction_code fi_code
#line 1142 "filter/f-inst.c"
  , struct f_inst * f1
#line 1145 "filter/f-inst.c"
)
#line 1145
  {
#line 1145
    /* Allocate the structure */
#line 1145
    struct f_inst *what = fi_new(fi_code);
#line 1145
    uint constargs = 1;
#line 1145

#line 1145
    /* Initialize all the members */
#line 1145
  #define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1145
  #line 1142 "filter/f-inst.c"
whati->f1 = f1;
#line 1142
const struct f_inst *child1 = f1;
#line 1142
do {
#line 1142
  what->size += child1->size;
#line 1142

#line 1142
  if (child1->fi_code != FI_CONSTANT)
#line 1142
    constargs = 0;
#line 1142

#line 1142
} while (child1 = child1->next);
#line 1142

#line 1142 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1142
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1142
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1142 "filter/f-inst.c"
what->type = T_EC;

#line 1145 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1145
    if (!constargs)
#line 1145
      return what;
#line 1145

#line 1145
    /* Try to pre-calculate the result */
#line 1145
    #line 1142 "filter/f-inst.c"
 {
#line 1142
  
#line 1142 "filter/f-inst.c"
 #line 1142 "filter/f-inst.c"
 ;
#line 1142 "filter/f-inst.c"
    
#line 1142 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_max(v1.val.ad, &val); val; }) } ) 
#line 1142
  #line 1142 "filter/f-inst.c"
;
#line 1142
};

  /* Get minimum element from lclist */
  
  #undef whati
#line 1145 "filter/f-inst.c"
  }
#line 1145

#line 1145

#line 1148 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__min */
#line 1148
struct f_inst *
#line 1145 "filter/f-inst.c"
NONNULL(2)
#line 1148 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__min(enum f_instruction_code fi_code
#line 1145 "filter/f-inst.c"
  , struct f_inst * f1
#line 1148 "filter/f-inst.c"
)
#line 1148
  {
#line 1148
    /* Allocate the structure */
#line 1148
    struct f_inst *what = fi_new(fi_code);
#line 1148
    uint constargs = 1;
#line 1148

#line 1148
    /* Initialize all the members */
#line 1148
  #define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1148
  #line 1145 "filter/f-inst.c"
whati->f1 = f1;
#line 1145
const struct f_inst *child1 = f1;
#line 1145
do {
#line 1145
  what->size += child1->size;
#line 1145

#line 1145
  if (child1->fi_code != FI_CONSTANT)
#line 1145
    constargs = 0;
#line 1145

#line 1145
} while (child1 = child1->next);
#line 1145

#line 1145 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1145
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1145
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1145 "filter/f-inst.c"
what->type = T_LC;

#line 1148 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1148
    if (!constargs)
#line 1148
      return what;
#line 1148

#line 1148
    /* Try to pre-calculate the result */
#line 1148
    #line 1145 "filter/f-inst.c"
 {
#line 1145
  
#line 1145 "filter/f-inst.c"
 #line 1145 "filter/f-inst.c"
 ;
#line 1145 "filter/f-inst.c"
    
#line 1145 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_min(v1.val.ad, &val); val; }) } ) 
#line 1145
  #line 1145 "filter/f-inst.c"
;
#line 1145
};

  /* Get maximum element from lclist */
  
  #undef whati
#line 1148 "filter/f-inst.c"
  }
#line 1148

#line 1148

#line 1150 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__max */
#line 1150
struct f_inst *
#line 1148 "filter/f-inst.c"
NONNULL(2)
#line 1150 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__max(enum f_instruction_code fi_code
#line 1148 "filter/f-inst.c"
  , struct f_inst * f1
#line 1150 "filter/f-inst.c"
)
#line 1150
  {
#line 1150
    /* Allocate the structure */
#line 1150
    struct f_inst *what = fi_new(fi_code);
#line 1150
    uint constargs = 1;
#line 1150

#line 1150
    /* Initialize all the members */
#line 1150
  #define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1150
  #line 1148 "filter/f-inst.c"
whati->f1 = f1;
#line 1148
const struct f_inst *child1 = f1;
#line 1148
do {
#line 1148
  what->size += child1->size;
#line 1148

#line 1148
  if (child1->fi_code != FI_CONSTANT)
#line 1148
    constargs = 0;
#line 1148

#line 1148
} while (child1 = child1->next);
#line 1148

#line 1148 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1148
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1148
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1148 "filter/f-inst.c"
what->type = T_LC;

#line 1150 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1150
    if (!constargs)
#line 1150
      return what;
#line 1150

#line 1150
    /* Try to pre-calculate the result */
#line 1150
    #line 1148 "filter/f-inst.c"
 {
#line 1148
  
#line 1148 "filter/f-inst.c"
 #line 1148 "filter/f-inst.c"
 ;
#line 1148 "filter/f-inst.c"
    
#line 1148 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_max(v1.val.ad, &val); val; }) } ) 
#line 1148
  #line 1148 "filter/f-inst.c"
;
#line 1148
};

  
  #undef whati
#line 1150 "filter/f-inst.c"
  }
#line 1150

#line 1150

#line 1176 "filter/f-inst.c"
 /* Constructor for FI_RETURN */
#line 1176
struct f_inst *
#line 1153 "filter/f-inst.c"
NONNULL(2)
#line 1176 "filter/f-inst.c"
f_new_inst_FI_RETURN(enum f_instruction_code fi_code
#line 1153 "filter/f-inst.c"
  , struct f_inst * f1
#line 1176 "filter/f-inst.c"
)
#line 1176
  {
#line 1176
    /* Allocate the structure */
#line 1176
    struct f_inst *what = fi_new(fi_code);
#line 1176
    
#line 1176

#line 1176
    /* Initialize all the members */
#line 1176
  #define whati (&(what->i_FI_RETURN))
#line 1176
  #line 1153 "filter/f-inst.c"
whati->f1 = f1;
#line 1153
const struct f_inst *child1 = f1;
#line 1153
do {
#line 1153
  what->size += child1->size;
#line 1153

#line 1153
} while (child1 = child1->next);
#line 1153


#line 1176 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1176
    
#line 1176
      return what;
#line 1176

#line 1176
    /* Try to pre-calculate the result */
#line 1176
      #undef whati
#line 1176
  }
#line 1176

#line 1176

#line 1235 "filter/f-inst.c"
 /* Constructor for FI_CALL */
#line 1235
struct f_inst *
#line 1235
f_new_inst_FI_CALL(enum f_instruction_code fi_code
#line 1178 "filter/f-inst.c"
  , struct f_inst * fvar
#line 1179 "filter/f-inst.c"
  , struct symbol * sym
#line 1235 "filter/f-inst.c"
)
#line 1235
  {
#line 1235
    /* Allocate the structure */
#line 1235
    struct f_inst *what = fi_new(fi_code);
#line 1235
    
#line 1235

#line 1235
    /* Initialize all the members */
#line 1235
  #define whati (&(what->i_FI_CALL))
#line 1235
  #line 1178 "filter/f-inst.c"
whati->varcount = 0;
#line 1178
whati->fvar = fvar;
#line 1178
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 1178
  what->size += child->size;
#line 1178

#line 1178
}
#line 1178

#line 1179 "filter/f-inst.c"
whati->sym = sym;
#line 1180 "filter/f-inst.c"
what->type = sym->function->return_type;

#line 1183 "filter/f-inst.c"
    ASSERT(sym->class == SYM_FUNCTION);

    if (whati->varcount != sym->function->args)
      cf_error("Function '%s' expects %u arguments, got %u arguments",
	       sym->name, sym->function->args, whati->varcount);

    /* Typecheck individual arguments */
    struct f_inst *a = fvar;
    struct f_arg *b = sym->function->arg_list;
    for (uint i = 1; a && b; a = a->next, b = b->next, i++)
    {
      enum f_type b_type = b->arg->class & 0xff;

      if (a->type && (a->type != b_type) && !f_const_promotion(a, b_type))
	cf_error("Argument %u of '%s' must be %s, got %s",
		 i, sym->name, f_type_name(b_type), f_type_name(a->type));
    }
    ASSERT(!a && !b);

    /* Add implicit void slot for the return value */
    struct f_inst *tmp = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
    tmp->next = whati->fvar;
    whati->fvar = tmp;
    what->size += tmp->size;

    /* Mark recursive calls, they have dummy f_line */
    if (!sym->function->len)
      what->flags |= FIF_RECURSIVE;

    
#line 1235 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1235
    
#line 1235
      return what;
#line 1235

#line 1235
    /* Try to pre-calculate the result */
#line 1235
      #undef whati
#line 1235
  }
#line 1235

#line 1235

#line 1240 "filter/f-inst.c"
 /* Constructor for FI_DROP_RESULT */
#line 1240
struct f_inst *
#line 1237 "filter/f-inst.c"
NONNULL(2)
#line 1240 "filter/f-inst.c"
f_new_inst_FI_DROP_RESULT(enum f_instruction_code fi_code
#line 1237 "filter/f-inst.c"
  , struct f_inst * f1
#line 1240 "filter/f-inst.c"
)
#line 1240
  {
#line 1240
    /* Allocate the structure */
#line 1240
    struct f_inst *what = fi_new(fi_code);
#line 1240
    
#line 1240

#line 1240
    /* Initialize all the members */
#line 1240
  #define whati (&(what->i_FI_DROP_RESULT))
#line 1240
  #line 1237 "filter/f-inst.c"
whati->f1 = f1;
#line 1237
const struct f_inst *child1 = f1;
#line 1237
do {
#line 1237
  what->size += child1->size;
#line 1237

#line 1237
} while (child1 = child1->next);
#line 1237


#line 1240 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1240
    
#line 1240
      return what;
#line 1240

#line 1240
    /* Try to pre-calculate the result */
#line 1240
      #undef whati
#line 1240
  }
#line 1240

#line 1240

#line 1281 "filter/f-inst.c"
 /* Constructor for FI_SWITCH */
#line 1281
struct f_inst *
#line 1241 "filter/f-inst.c"
NONNULL(2)
#line 1281 "filter/f-inst.c"
f_new_inst_FI_SWITCH(enum f_instruction_code fi_code
#line 1241 "filter/f-inst.c"
  , struct f_inst * f1
#line 1243 "filter/f-inst.c"
  , struct f_tree * tree
#line 1281 "filter/f-inst.c"
)
#line 1281
  {
#line 1281
    /* Allocate the structure */
#line 1281
    struct f_inst *what = fi_new(fi_code);
#line 1281
    uint constargs = 1;
#line 1281

#line 1281
    /* Initialize all the members */
#line 1281
  #define whati (&(what->i_FI_SWITCH))
#line 1281
  #line 1241 "filter/f-inst.c"
whati->f1 = f1;
#line 1241
const struct f_inst *child1 = f1;
#line 1241
do {
#line 1241
  what->size += child1->size;
#line 1241

#line 1241
  if (child1->fi_code != FI_CONSTANT)
#line 1241
    constargs = 0;
#line 1241

#line 1241
} while (child1 = child1->next);
#line 1241

#line 1243 "filter/f-inst.c"
whati->tree = tree;

#line 1281 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1281
    if (!constargs)
#line 1281
      return what;
#line 1281

#line 1281
    /* Try to pre-calculate the result */
#line 1281
    #line 1240 "filter/f-inst.c"
 {
    
#line 1241 "filter/f-inst.c"
;

    #line 1243 "filter/f-inst.c"
;

    
#line 1267 "filter/f-inst.c"
    /* In parse-time use find_tree_linear(), in runtime use find_tree() */
    const struct f_tree *t = find_tree_linear(tree, &v1);
    if (!t) {
      v1.type = T_VOID;
      t = find_tree_linear(tree, &v1);
      if (!t) {
	debug( "No else statement?\n");
	return NULL;
      }
    }

    return t->data ;
#line 1279 "filter/f-inst.c"
  }

  
  #undef whati
#line 1281 "filter/f-inst.c"
  }
#line 1281

#line 1281

#line 1290 "filter/f-inst.c"
 /* Constructor for FI_IP_MASK */
#line 1290
struct f_inst *
#line 1282 "filter/f-inst.c"
NONNULL(2)
#line 1283 "filter/f-inst.c"
NONNULL(3)
#line 1290 "filter/f-inst.c"
f_new_inst_FI_IP_MASK(enum f_instruction_code fi_code
#line 1282 "filter/f-inst.c"
  , struct f_inst * f1
#line 1283 "filter/f-inst.c"
  , struct f_inst * f2
#line 1290 "filter/f-inst.c"
)
#line 1290
  {
#line 1290
    /* Allocate the structure */
#line 1290
    struct f_inst *what = fi_new(fi_code);
#line 1290
    uint constargs = 1;
#line 1290

#line 1290
    /* Initialize all the members */
#line 1290
  #define whati (&(what->i_FI_IP_MASK))
#line 1290
  #line 1282 "filter/f-inst.c"
whati->f1 = f1;
#line 1282
const struct f_inst *child1 = f1;
#line 1282
do {
#line 1282
  what->size += child1->size;
#line 1282

#line 1282
  if (child1->fi_code != FI_CONSTANT)
#line 1282
    constargs = 0;
#line 1282

#line 1282
} while (child1 = child1->next);
#line 1282

#line 1282 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 1282
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1282
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 1283 "filter/f-inst.c"
whati->f2 = f2;
#line 1283
const struct f_inst *child2 = f2;
#line 1283
do {
#line 1283
  what->size += child2->size;
#line 1283

#line 1283
  if (child2->fi_code != FI_CONSTANT)
#line 1283
    constargs = 0;
#line 1283

#line 1283
} while (child2 = child2->next);
#line 1283 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1283
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1283
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1285 "filter/f-inst.c"
what->type = T_IP;

#line 1290 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1290
    if (!constargs)
#line 1290
      return what;
#line 1290

#line 1290
    /* Try to pre-calculate the result */
#line 1290
    #line 1281 "filter/f-inst.c"
 { /* IP.MASK(val) */
    
#line 1282 "filter/f-inst.c"
 #line 1282 "filter/f-inst.c"
 ;
#line 1283 "filter/f-inst.c"
    
#line 1283 "filter/f-inst.c"
 #line 1283 "filter/f-inst.c"
 ;
#line 1284 "filter/f-inst.c"
    #line 1284 "filter/f-inst.c"
;
     
#line 1285 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip =  ipa_is_ip4(v1.val.ip) ?
#line 1285
      ipa_from_ip4(ip4_and(ipa_to_ip4(v1.val.ip), ip4_mkmask(v2.val.i))) :
#line 1285
      ipa_from_ip6(ip6_and(ipa_to_ip6(v1.val.ip), ip6_mkmask(v2.val.i)))  } );
#line 1288
  }

  
  #undef whati
#line 1290 "filter/f-inst.c"
  }
#line 1290

#line 1290

#line 1298 "filter/f-inst.c"
 /* Constructor for FI_PATH_PREPEND */
#line 1298
struct f_inst *
#line 1291 "filter/f-inst.c"
NONNULL(2)
#line 1292 "filter/f-inst.c"
NONNULL(3)
#line 1298 "filter/f-inst.c"
f_new_inst_FI_PATH_PREPEND(enum f_instruction_code fi_code
#line 1291 "filter/f-inst.c"
  , struct f_inst * f1
#line 1292 "filter/f-inst.c"
  , struct f_inst * f2
#line 1298 "filter/f-inst.c"
)
#line 1298
  {
#line 1298
    /* Allocate the structure */
#line 1298
    struct f_inst *what = fi_new(fi_code);
#line 1298
    uint constargs = 1;
#line 1298

#line 1298
    /* Initialize all the members */
#line 1298
  #define whati (&(what->i_FI_PATH_PREPEND))
#line 1298
  #line 1291 "filter/f-inst.c"
whati->f1 = f1;
#line 1291
const struct f_inst *child1 = f1;
#line 1291
do {
#line 1291
  what->size += child1->size;
#line 1291

#line 1291
  if (child1->fi_code != FI_CONSTANT)
#line 1291
    constargs = 0;
#line 1291

#line 1291
} while (child1 = child1->next);
#line 1291

#line 1291 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1291
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1291
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1292 "filter/f-inst.c"
whati->f2 = f2;
#line 1292
const struct f_inst *child2 = f2;
#line 1292
do {
#line 1292
  what->size += child2->size;
#line 1292

#line 1292
  if (child2->fi_code != FI_CONSTANT)
#line 1292
    constargs = 0;
#line 1292

#line 1292
} while (child2 = child2->next);
#line 1292 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1292
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1292
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1294 "filter/f-inst.c"
what->type = T_PATH;

#line 1298 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1298
    if (!constargs)
#line 1298
      return what;
#line 1298

#line 1298
    /* Try to pre-calculate the result */
#line 1298
    #line 1290 "filter/f-inst.c"
 {	/* Path prepend */
    
#line 1291 "filter/f-inst.c"
 #line 1291 "filter/f-inst.c"
 ;
#line 1292 "filter/f-inst.c"
    
#line 1292 "filter/f-inst.c"
 #line 1292 "filter/f-inst.c"
 ;
#line 1293 "filter/f-inst.c"
    #line 1293 "filter/f-inst.c"
;
     
#line 1294 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_prepend(fpool, v1.val.ad, v2.val.i)  } );
  }

  /* Community list add */
  
  #undef whati
#line 1298 "filter/f-inst.c"
  }
#line 1298

#line 1298

#line 1306 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_PAIR */
#line 1306
struct f_inst *
#line 1299 "filter/f-inst.c"
NONNULL(2)
#line 1300 "filter/f-inst.c"
NONNULL(3)
#line 1306 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_PAIR(enum f_instruction_code fi_code
#line 1299 "filter/f-inst.c"
  , struct f_inst * f1
#line 1300 "filter/f-inst.c"
  , struct f_inst * f2
#line 1306 "filter/f-inst.c"
)
#line 1306
  {
#line 1306
    /* Allocate the structure */
#line 1306
    struct f_inst *what = fi_new(fi_code);
#line 1306
    uint constargs = 1;
#line 1306

#line 1306
    /* Initialize all the members */
#line 1306
  #define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1306
  #line 1299 "filter/f-inst.c"
whati->f1 = f1;
#line 1299
const struct f_inst *child1 = f1;
#line 1299
do {
#line 1299
  what->size += child1->size;
#line 1299

#line 1299
  if (child1->fi_code != FI_CONSTANT)
#line 1299
    constargs = 0;
#line 1299

#line 1299
} while (child1 = child1->next);
#line 1299

#line 1299 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1299
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1299
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1300 "filter/f-inst.c"
whati->f2 = f2;
#line 1300
const struct f_inst *child2 = f2;
#line 1300
do {
#line 1300
  what->size += child2->size;
#line 1300

#line 1300
  if (child2->fi_code != FI_CONSTANT)
#line 1300
    constargs = 0;
#line 1300

#line 1300
} while (child2 = child2->next);
#line 1300 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1300
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1300
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1302 "filter/f-inst.c"
what->type = T_CLIST;

#line 1306 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1306
    if (!constargs)
#line 1306
      return what;
#line 1306

#line 1306
    /* Try to pre-calculate the result */
#line 1306
    #line 1298 "filter/f-inst.c"
 {
    
#line 1299 "filter/f-inst.c"
 #line 1299 "filter/f-inst.c"
 ;
#line 1300 "filter/f-inst.c"
    
#line 1300 "filter/f-inst.c"
 #line 1300 "filter/f-inst.c"
 ;
#line 1301 "filter/f-inst.c"
    #line 1301 "filter/f-inst.c"
;
     
#line 1302 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  /* Hack for gw_mpls_list */
  
  #undef whati
#line 1306 "filter/f-inst.c"
  }
#line 1306

#line 1306

#line 1313 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_INT */
#line 1313
struct f_inst *
#line 1307 "filter/f-inst.c"
NONNULL(2)
#line 1308 "filter/f-inst.c"
NONNULL(3)
#line 1313 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_INT(enum f_instruction_code fi_code
#line 1307 "filter/f-inst.c"
  , struct f_inst * f1
#line 1308 "filter/f-inst.c"
  , struct f_inst * f2
#line 1313 "filter/f-inst.c"
)
#line 1313
  {
#line 1313
    /* Allocate the structure */
#line 1313
    struct f_inst *what = fi_new(fi_code);
#line 1313
    uint constargs = 1;
#line 1313

#line 1313
    /* Initialize all the members */
#line 1313
  #define whati (&(what->i_FI_CLIST_ADD_INT))
#line 1313
  #line 1307 "filter/f-inst.c"
whati->f1 = f1;
#line 1307
const struct f_inst *child1 = f1;
#line 1307
do {
#line 1307
  what->size += child1->size;
#line 1307

#line 1307
  if (child1->fi_code != FI_CONSTANT)
#line 1307
    constargs = 0;
#line 1307

#line 1307
} while (child1 = child1->next);
#line 1307

#line 1307 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1307
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1307
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1308 "filter/f-inst.c"
whati->f2 = f2;
#line 1308
const struct f_inst *child2 = f2;
#line 1308
do {
#line 1308
  what->size += child2->size;
#line 1308

#line 1308
  if (child2->fi_code != FI_CONSTANT)
#line 1308
    constargs = 0;
#line 1308

#line 1308
} while (child2 = child2->next);
#line 1308 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1308
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1308
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1310 "filter/f-inst.c"
what->type = T_CLIST;

#line 1313 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1313
    if (!constargs)
#line 1313
      return what;
#line 1313

#line 1313
    /* Try to pre-calculate the result */
#line 1313
    #line 1306 "filter/f-inst.c"
 {
    
#line 1307 "filter/f-inst.c"
 #line 1307 "filter/f-inst.c"
 ;
#line 1308 "filter/f-inst.c"
    
#line 1308 "filter/f-inst.c"
 #line 1308 "filter/f-inst.c"
 ;
#line 1309 "filter/f-inst.c"
    #line 1309 "filter/f-inst.c"
;
     
#line 1310 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1313 "filter/f-inst.c"
  }
#line 1313

#line 1313

#line 1327 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_IP */
#line 1327
struct f_inst *
#line 1314 "filter/f-inst.c"
NONNULL(2)
#line 1315 "filter/f-inst.c"
NONNULL(3)
#line 1327 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_IP(enum f_instruction_code fi_code
#line 1314 "filter/f-inst.c"
  , struct f_inst * f1
#line 1315 "filter/f-inst.c"
  , struct f_inst * f2
#line 1327 "filter/f-inst.c"
)
#line 1327
  {
#line 1327
    /* Allocate the structure */
#line 1327
    struct f_inst *what = fi_new(fi_code);
#line 1327
    uint constargs = 1;
#line 1327

#line 1327
    /* Initialize all the members */
#line 1327
  #define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1327
  #line 1314 "filter/f-inst.c"
whati->f1 = f1;
#line 1314
const struct f_inst *child1 = f1;
#line 1314
do {
#line 1314
  what->size += child1->size;
#line 1314

#line 1314
  if (child1->fi_code != FI_CONSTANT)
#line 1314
    constargs = 0;
#line 1314

#line 1314
} while (child1 = child1->next);
#line 1314

#line 1314 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1314
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1314
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1315 "filter/f-inst.c"
whati->f2 = f2;
#line 1315
const struct f_inst *child2 = f2;
#line 1315
do {
#line 1315
  what->size += child2->size;
#line 1315

#line 1315
  if (child2->fi_code != FI_CONSTANT)
#line 1315
    constargs = 0;
#line 1315

#line 1315
} while (child2 = child2->next);
#line 1315 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1315
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1315
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1319 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_ADD_QUAD */
    cf_warn("Method add(clist, ip) is deprecated, please use add(clist, quad)");

    #line 1324 "filter/f-inst.c"
what->type = T_CLIST;

#line 1327 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1327
    if (!constargs)
#line 1327
      return what;
#line 1327

#line 1327
    /* Try to pre-calculate the result */
#line 1327
    #line 1313 "filter/f-inst.c"
 {
    
#line 1314 "filter/f-inst.c"
 #line 1314 "filter/f-inst.c"
 ;
#line 1315 "filter/f-inst.c"
    
#line 1315 "filter/f-inst.c"
 #line 1315 "filter/f-inst.c"
 ;
#line 1316 "filter/f-inst.c"
    #line 1316 "filter/f-inst.c"
;

    ;
#line 1323 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1324 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1327 "filter/f-inst.c"
  }
#line 1327

#line 1327

#line 1334 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_QUAD */
#line 1334
struct f_inst *
#line 1328 "filter/f-inst.c"
NONNULL(2)
#line 1329 "filter/f-inst.c"
NONNULL(3)
#line 1334 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_QUAD(enum f_instruction_code fi_code
#line 1328 "filter/f-inst.c"
  , struct f_inst * f1
#line 1329 "filter/f-inst.c"
  , struct f_inst * f2
#line 1334 "filter/f-inst.c"
)
#line 1334
  {
#line 1334
    /* Allocate the structure */
#line 1334
    struct f_inst *what = fi_new(fi_code);
#line 1334
    uint constargs = 1;
#line 1334

#line 1334
    /* Initialize all the members */
#line 1334
  #define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1334
  #line 1328 "filter/f-inst.c"
whati->f1 = f1;
#line 1328
const struct f_inst *child1 = f1;
#line 1328
do {
#line 1328
  what->size += child1->size;
#line 1328

#line 1328
  if (child1->fi_code != FI_CONSTANT)
#line 1328
    constargs = 0;
#line 1328

#line 1328
} while (child1 = child1->next);
#line 1328

#line 1328 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1328
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1328
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1329 "filter/f-inst.c"
whati->f2 = f2;
#line 1329
const struct f_inst *child2 = f2;
#line 1329
do {
#line 1329
  what->size += child2->size;
#line 1329

#line 1329
  if (child2->fi_code != FI_CONSTANT)
#line 1329
    constargs = 0;
#line 1329

#line 1329
} while (child2 = child2->next);
#line 1329 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1329
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1329
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1331 "filter/f-inst.c"
what->type = T_CLIST;

#line 1334 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1334
    if (!constargs)
#line 1334
      return what;
#line 1334

#line 1334
    /* Try to pre-calculate the result */
#line 1334
    #line 1327 "filter/f-inst.c"
 {
    
#line 1328 "filter/f-inst.c"
 #line 1328 "filter/f-inst.c"
 ;
#line 1329 "filter/f-inst.c"
    
#line 1329 "filter/f-inst.c"
 #line 1329 "filter/f-inst.c"
 ;
#line 1330 "filter/f-inst.c"
    #line 1330 "filter/f-inst.c"
;
     
#line 1331 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1334 "filter/f-inst.c"
  }
#line 1334

#line 1334

#line 1341 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_CLIST */
#line 1341
struct f_inst *
#line 1335 "filter/f-inst.c"
NONNULL(2)
#line 1336 "filter/f-inst.c"
NONNULL(3)
#line 1341 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_CLIST(enum f_instruction_code fi_code
#line 1335 "filter/f-inst.c"
  , struct f_inst * f1
#line 1336 "filter/f-inst.c"
  , struct f_inst * f2
#line 1341 "filter/f-inst.c"
)
#line 1341
  {
#line 1341
    /* Allocate the structure */
#line 1341
    struct f_inst *what = fi_new(fi_code);
#line 1341
    uint constargs = 1;
#line 1341

#line 1341
    /* Initialize all the members */
#line 1341
  #define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1341
  #line 1335 "filter/f-inst.c"
whati->f1 = f1;
#line 1335
const struct f_inst *child1 = f1;
#line 1335
do {
#line 1335
  what->size += child1->size;
#line 1335

#line 1335
  if (child1->fi_code != FI_CONSTANT)
#line 1335
    constargs = 0;
#line 1335

#line 1335
} while (child1 = child1->next);
#line 1335

#line 1335 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1335
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1335
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1336 "filter/f-inst.c"
whati->f2 = f2;
#line 1336
const struct f_inst *child2 = f2;
#line 1336
do {
#line 1336
  what->size += child2->size;
#line 1336

#line 1336
  if (child2->fi_code != FI_CONSTANT)
#line 1336
    constargs = 0;
#line 1336

#line 1336
} while (child2 = child2->next);
#line 1336 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1336
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1336
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1338 "filter/f-inst.c"
what->type = T_CLIST;

#line 1341 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1341
    if (!constargs)
#line 1341
      return what;
#line 1341

#line 1341
    /* Try to pre-calculate the result */
#line 1341
    #line 1334 "filter/f-inst.c"
 {
    
#line 1335 "filter/f-inst.c"
 #line 1335 "filter/f-inst.c"
 ;
#line 1336 "filter/f-inst.c"
    
#line 1336 "filter/f-inst.c"
 #line 1336 "filter/f-inst.c"
 ;
#line 1337 "filter/f-inst.c"
    #line 1337 "filter/f-inst.c"
;
     
#line 1338 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1341 "filter/f-inst.c"
  }
#line 1341

#line 1341

#line 1348 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_EC */
#line 1348
struct f_inst *
#line 1342 "filter/f-inst.c"
NONNULL(2)
#line 1343 "filter/f-inst.c"
NONNULL(3)
#line 1348 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_EC(enum f_instruction_code fi_code
#line 1342 "filter/f-inst.c"
  , struct f_inst * f1
#line 1343 "filter/f-inst.c"
  , struct f_inst * f2
#line 1348 "filter/f-inst.c"
)
#line 1348
  {
#line 1348
    /* Allocate the structure */
#line 1348
    struct f_inst *what = fi_new(fi_code);
#line 1348
    uint constargs = 1;
#line 1348

#line 1348
    /* Initialize all the members */
#line 1348
  #define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1348
  #line 1342 "filter/f-inst.c"
whati->f1 = f1;
#line 1342
const struct f_inst *child1 = f1;
#line 1342
do {
#line 1342
  what->size += child1->size;
#line 1342

#line 1342
  if (child1->fi_code != FI_CONSTANT)
#line 1342
    constargs = 0;
#line 1342

#line 1342
} while (child1 = child1->next);
#line 1342

#line 1342 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1342
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1342
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1343 "filter/f-inst.c"
whati->f2 = f2;
#line 1343
const struct f_inst *child2 = f2;
#line 1343
do {
#line 1343
  what->size += child2->size;
#line 1343

#line 1343
  if (child2->fi_code != FI_CONSTANT)
#line 1343
    constargs = 0;
#line 1343

#line 1343
} while (child2 = child2->next);
#line 1343 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1343
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1343
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1345 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1348 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1348
    if (!constargs)
#line 1348
      return what;
#line 1348

#line 1348
    /* Try to pre-calculate the result */
#line 1348
    #line 1341 "filter/f-inst.c"
 {
    
#line 1342 "filter/f-inst.c"
 #line 1342 "filter/f-inst.c"
 ;
#line 1343 "filter/f-inst.c"
    
#line 1343 "filter/f-inst.c"
 #line 1343 "filter/f-inst.c"
 ;
#line 1344 "filter/f-inst.c"
    #line 1344 "filter/f-inst.c"
;
     
#line 1345 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_add(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1348 "filter/f-inst.c"
  }
#line 1348

#line 1348

#line 1355 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_ECLIST */
#line 1355
struct f_inst *
#line 1349 "filter/f-inst.c"
NONNULL(2)
#line 1350 "filter/f-inst.c"
NONNULL(3)
#line 1355 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_ECLIST(enum f_instruction_code fi_code
#line 1349 "filter/f-inst.c"
  , struct f_inst * f1
#line 1350 "filter/f-inst.c"
  , struct f_inst * f2
#line 1355 "filter/f-inst.c"
)
#line 1355
  {
#line 1355
    /* Allocate the structure */
#line 1355
    struct f_inst *what = fi_new(fi_code);
#line 1355
    uint constargs = 1;
#line 1355

#line 1355
    /* Initialize all the members */
#line 1355
  #define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1355
  #line 1349 "filter/f-inst.c"
whati->f1 = f1;
#line 1349
const struct f_inst *child1 = f1;
#line 1349
do {
#line 1349
  what->size += child1->size;
#line 1349

#line 1349
  if (child1->fi_code != FI_CONSTANT)
#line 1349
    constargs = 0;
#line 1349

#line 1349
} while (child1 = child1->next);
#line 1349

#line 1349 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1349
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1349
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1350 "filter/f-inst.c"
whati->f2 = f2;
#line 1350
const struct f_inst *child2 = f2;
#line 1350
do {
#line 1350
  what->size += child2->size;
#line 1350

#line 1350
  if (child2->fi_code != FI_CONSTANT)
#line 1350
    constargs = 0;
#line 1350

#line 1350
} while (child2 = child2->next);
#line 1350 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1350
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1350
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1352 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1355 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1355
    if (!constargs)
#line 1355
      return what;
#line 1355

#line 1355
    /* Try to pre-calculate the result */
#line 1355
    #line 1348 "filter/f-inst.c"
 {
    
#line 1349 "filter/f-inst.c"
 #line 1349 "filter/f-inst.c"
 ;
#line 1350 "filter/f-inst.c"
    
#line 1350 "filter/f-inst.c"
 #line 1350 "filter/f-inst.c"
 ;
#line 1351 "filter/f-inst.c"
    #line 1351 "filter/f-inst.c"
;
     
#line 1352 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1355 "filter/f-inst.c"
  }
#line 1355

#line 1355

#line 1362 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LC */
#line 1362
struct f_inst *
#line 1356 "filter/f-inst.c"
NONNULL(2)
#line 1357 "filter/f-inst.c"
NONNULL(3)
#line 1362 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LC(enum f_instruction_code fi_code
#line 1356 "filter/f-inst.c"
  , struct f_inst * f1
#line 1357 "filter/f-inst.c"
  , struct f_inst * f2
#line 1362 "filter/f-inst.c"
)
#line 1362
  {
#line 1362
    /* Allocate the structure */
#line 1362
    struct f_inst *what = fi_new(fi_code);
#line 1362
    uint constargs = 1;
#line 1362

#line 1362
    /* Initialize all the members */
#line 1362
  #define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1362
  #line 1356 "filter/f-inst.c"
whati->f1 = f1;
#line 1356
const struct f_inst *child1 = f1;
#line 1356
do {
#line 1356
  what->size += child1->size;
#line 1356

#line 1356
  if (child1->fi_code != FI_CONSTANT)
#line 1356
    constargs = 0;
#line 1356

#line 1356
} while (child1 = child1->next);
#line 1356

#line 1356 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1356
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1356
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1357 "filter/f-inst.c"
whati->f2 = f2;
#line 1357
const struct f_inst *child2 = f2;
#line 1357
do {
#line 1357
  what->size += child2->size;
#line 1357

#line 1357
  if (child2->fi_code != FI_CONSTANT)
#line 1357
    constargs = 0;
#line 1357

#line 1357
} while (child2 = child2->next);
#line 1357 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1357
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1357
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1359 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1362 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1362
    if (!constargs)
#line 1362
      return what;
#line 1362

#line 1362
    /* Try to pre-calculate the result */
#line 1362
    #line 1355 "filter/f-inst.c"
 {
    
#line 1356 "filter/f-inst.c"
 #line 1356 "filter/f-inst.c"
 ;
#line 1357 "filter/f-inst.c"
    
#line 1357 "filter/f-inst.c"
 #line 1357 "filter/f-inst.c"
 ;
#line 1358 "filter/f-inst.c"
    #line 1358 "filter/f-inst.c"
;
     
#line 1359 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_add(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1362 "filter/f-inst.c"
  }
#line 1362

#line 1362

#line 1369 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LCLIST */
#line 1369
struct f_inst *
#line 1363 "filter/f-inst.c"
NONNULL(2)
#line 1364 "filter/f-inst.c"
NONNULL(3)
#line 1369 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LCLIST(enum f_instruction_code fi_code
#line 1363 "filter/f-inst.c"
  , struct f_inst * f1
#line 1364 "filter/f-inst.c"
  , struct f_inst * f2
#line 1369 "filter/f-inst.c"
)
#line 1369
  {
#line 1369
    /* Allocate the structure */
#line 1369
    struct f_inst *what = fi_new(fi_code);
#line 1369
    uint constargs = 1;
#line 1369

#line 1369
    /* Initialize all the members */
#line 1369
  #define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1369
  #line 1363 "filter/f-inst.c"
whati->f1 = f1;
#line 1363
const struct f_inst *child1 = f1;
#line 1363
do {
#line 1363
  what->size += child1->size;
#line 1363

#line 1363
  if (child1->fi_code != FI_CONSTANT)
#line 1363
    constargs = 0;
#line 1363

#line 1363
} while (child1 = child1->next);
#line 1363

#line 1363 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1363
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1363
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1364 "filter/f-inst.c"
whati->f2 = f2;
#line 1364
const struct f_inst *child2 = f2;
#line 1364
do {
#line 1364
  what->size += child2->size;
#line 1364

#line 1364
  if (child2->fi_code != FI_CONSTANT)
#line 1364
    constargs = 0;
#line 1364

#line 1364
} while (child2 = child2->next);
#line 1364 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1364
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1364
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1366 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1369 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1369
    if (!constargs)
#line 1369
      return what;
#line 1369

#line 1369
    /* Try to pre-calculate the result */
#line 1369
    #line 1362 "filter/f-inst.c"
 {
    
#line 1363 "filter/f-inst.c"
 #line 1363 "filter/f-inst.c"
 ;
#line 1364 "filter/f-inst.c"
    
#line 1364 "filter/f-inst.c"
 #line 1364 "filter/f-inst.c"
 ;
#line 1365 "filter/f-inst.c"
    #line 1365 "filter/f-inst.c"
;
     
#line 1366 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1369 "filter/f-inst.c"
  }
#line 1369

#line 1369

#line 1376 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_INT */
#line 1376
struct f_inst *
#line 1370 "filter/f-inst.c"
NONNULL(2)
#line 1371 "filter/f-inst.c"
NONNULL(3)
#line 1376 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_INT(enum f_instruction_code fi_code
#line 1370 "filter/f-inst.c"
  , struct f_inst * f1
#line 1371 "filter/f-inst.c"
  , struct f_inst * f2
#line 1376 "filter/f-inst.c"
)
#line 1376
  {
#line 1376
    /* Allocate the structure */
#line 1376
    struct f_inst *what = fi_new(fi_code);
#line 1376
    uint constargs = 1;
#line 1376

#line 1376
    /* Initialize all the members */
#line 1376
  #define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1376
  #line 1370 "filter/f-inst.c"
whati->f1 = f1;
#line 1370
const struct f_inst *child1 = f1;
#line 1370
do {
#line 1370
  what->size += child1->size;
#line 1370

#line 1370
  if (child1->fi_code != FI_CONSTANT)
#line 1370
    constargs = 0;
#line 1370

#line 1370
} while (child1 = child1->next);
#line 1370

#line 1370 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1370
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1370
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1371 "filter/f-inst.c"
whati->f2 = f2;
#line 1371
const struct f_inst *child2 = f2;
#line 1371
do {
#line 1371
  what->size += child2->size;
#line 1371

#line 1371
  if (child2->fi_code != FI_CONSTANT)
#line 1371
    constargs = 0;
#line 1371

#line 1371
} while (child2 = child2->next);
#line 1371 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1371
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1371
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1373 "filter/f-inst.c"
what->type = T_PATH;

#line 1376 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1376
    if (!constargs)
#line 1376
      return what;
#line 1376

#line 1376
    /* Try to pre-calculate the result */
#line 1376
    #line 1369 "filter/f-inst.c"
 {
    
#line 1370 "filter/f-inst.c"
 #line 1370 "filter/f-inst.c"
 ;
#line 1371 "filter/f-inst.c"
    
#line 1371 "filter/f-inst.c"
 #line 1371 "filter/f-inst.c"
 ;
#line 1372 "filter/f-inst.c"
    #line 1372 "filter/f-inst.c"
;
     
#line 1373 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1376 "filter/f-inst.c"
  }
#line 1376

#line 1376

#line 1388 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_SET */
#line 1388
struct f_inst *
#line 1377 "filter/f-inst.c"
NONNULL(2)
#line 1378 "filter/f-inst.c"
NONNULL(3)
#line 1388 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_SET(enum f_instruction_code fi_code
#line 1377 "filter/f-inst.c"
  , struct f_inst * f1
#line 1378 "filter/f-inst.c"
  , struct f_inst * f2
#line 1388 "filter/f-inst.c"
)
#line 1388
  {
#line 1388
    /* Allocate the structure */
#line 1388
    struct f_inst *what = fi_new(fi_code);
#line 1388
    uint constargs = 1;
#line 1388

#line 1388
    /* Initialize all the members */
#line 1388
  #define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1388
  #line 1377 "filter/f-inst.c"
whati->f1 = f1;
#line 1377
const struct f_inst *child1 = f1;
#line 1377
do {
#line 1377
  what->size += child1->size;
#line 1377

#line 1377
  if (child1->fi_code != FI_CONSTANT)
#line 1377
    constargs = 0;
#line 1377

#line 1377
} while (child1 = child1->next);
#line 1377

#line 1377 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1377
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1377
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1378 "filter/f-inst.c"
whati->f2 = f2;
#line 1378
const struct f_inst *child2 = f2;
#line 1378
do {
#line 1378
  what->size += child2->size;
#line 1378

#line 1378
  if (child2->fi_code != FI_CONSTANT)
#line 1378
    constargs = 0;
#line 1378

#line 1378
} while (child2 = child2->next);
#line 1378 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1378
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1378
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1384 "filter/f-inst.c"
what->type = T_PATH;

#line 1388 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1388
    if (!constargs)
#line 1388
      return what;
#line 1388

#line 1388
    /* Try to pre-calculate the result */
#line 1388
    #line 1376 "filter/f-inst.c"
 {
    
#line 1377 "filter/f-inst.c"
 #line 1377 "filter/f-inst.c"
 ;
#line 1378 "filter/f-inst.c"
    
#line 1378 "filter/f-inst.c"
 #line 1378 "filter/f-inst.c"
 ;
#line 1379 "filter/f-inst.c"
    #line 1379 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1384 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  /* Community list delete */
  
  #undef whati
#line 1388 "filter/f-inst.c"
  }
#line 1388

#line 1388

#line 1396 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_PAIR */
#line 1396
struct f_inst *
#line 1389 "filter/f-inst.c"
NONNULL(2)
#line 1390 "filter/f-inst.c"
NONNULL(3)
#line 1396 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_PAIR(enum f_instruction_code fi_code
#line 1389 "filter/f-inst.c"
  , struct f_inst * f1
#line 1390 "filter/f-inst.c"
  , struct f_inst * f2
#line 1396 "filter/f-inst.c"
)
#line 1396
  {
#line 1396
    /* Allocate the structure */
#line 1396
    struct f_inst *what = fi_new(fi_code);
#line 1396
    uint constargs = 1;
#line 1396

#line 1396
    /* Initialize all the members */
#line 1396
  #define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1396
  #line 1389 "filter/f-inst.c"
whati->f1 = f1;
#line 1389
const struct f_inst *child1 = f1;
#line 1389
do {
#line 1389
  what->size += child1->size;
#line 1389

#line 1389
  if (child1->fi_code != FI_CONSTANT)
#line 1389
    constargs = 0;
#line 1389

#line 1389
} while (child1 = child1->next);
#line 1389

#line 1389 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1389
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1389
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1390 "filter/f-inst.c"
whati->f2 = f2;
#line 1390
const struct f_inst *child2 = f2;
#line 1390
do {
#line 1390
  what->size += child2->size;
#line 1390

#line 1390
  if (child2->fi_code != FI_CONSTANT)
#line 1390
    constargs = 0;
#line 1390

#line 1390
} while (child2 = child2->next);
#line 1390 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1390
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1390
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1392 "filter/f-inst.c"
what->type = T_CLIST;

#line 1396 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1396
    if (!constargs)
#line 1396
      return what;
#line 1396

#line 1396
    /* Try to pre-calculate the result */
#line 1396
    #line 1388 "filter/f-inst.c"
 {
    
#line 1389 "filter/f-inst.c"
 #line 1389 "filter/f-inst.c"
 ;
#line 1390 "filter/f-inst.c"
    
#line 1390 "filter/f-inst.c"
 #line 1390 "filter/f-inst.c"
 ;
#line 1391 "filter/f-inst.c"
    #line 1391 "filter/f-inst.c"
;
     
#line 1392 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  /* Hack for gw_mpls_list */
  
  #undef whati
#line 1396 "filter/f-inst.c"
  }
#line 1396

#line 1396

#line 1403 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_INT */
#line 1403
struct f_inst *
#line 1397 "filter/f-inst.c"
NONNULL(2)
#line 1398 "filter/f-inst.c"
NONNULL(3)
#line 1403 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_INT(enum f_instruction_code fi_code
#line 1397 "filter/f-inst.c"
  , struct f_inst * f1
#line 1398 "filter/f-inst.c"
  , struct f_inst * f2
#line 1403 "filter/f-inst.c"
)
#line 1403
  {
#line 1403
    /* Allocate the structure */
#line 1403
    struct f_inst *what = fi_new(fi_code);
#line 1403
    uint constargs = 1;
#line 1403

#line 1403
    /* Initialize all the members */
#line 1403
  #define whati (&(what->i_FI_CLIST_DELETE_INT))
#line 1403
  #line 1397 "filter/f-inst.c"
whati->f1 = f1;
#line 1397
const struct f_inst *child1 = f1;
#line 1397
do {
#line 1397
  what->size += child1->size;
#line 1397

#line 1397
  if (child1->fi_code != FI_CONSTANT)
#line 1397
    constargs = 0;
#line 1397

#line 1397
} while (child1 = child1->next);
#line 1397

#line 1397 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1397
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1397
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1398 "filter/f-inst.c"
whati->f2 = f2;
#line 1398
const struct f_inst *child2 = f2;
#line 1398
do {
#line 1398
  what->size += child2->size;
#line 1398

#line 1398
  if (child2->fi_code != FI_CONSTANT)
#line 1398
    constargs = 0;
#line 1398

#line 1398
} while (child2 = child2->next);
#line 1398 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1398
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1398
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1400 "filter/f-inst.c"
what->type = T_CLIST;

#line 1403 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1403
    if (!constargs)
#line 1403
      return what;
#line 1403

#line 1403
    /* Try to pre-calculate the result */
#line 1403
    #line 1396 "filter/f-inst.c"
 {
    
#line 1397 "filter/f-inst.c"
 #line 1397 "filter/f-inst.c"
 ;
#line 1398 "filter/f-inst.c"
    
#line 1398 "filter/f-inst.c"
 #line 1398 "filter/f-inst.c"
 ;
#line 1399 "filter/f-inst.c"
    #line 1399 "filter/f-inst.c"
;
     
#line 1400 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1403 "filter/f-inst.c"
  }
#line 1403

#line 1403

#line 1417 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_IP */
#line 1417
struct f_inst *
#line 1404 "filter/f-inst.c"
NONNULL(2)
#line 1405 "filter/f-inst.c"
NONNULL(3)
#line 1417 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_IP(enum f_instruction_code fi_code
#line 1404 "filter/f-inst.c"
  , struct f_inst * f1
#line 1405 "filter/f-inst.c"
  , struct f_inst * f2
#line 1417 "filter/f-inst.c"
)
#line 1417
  {
#line 1417
    /* Allocate the structure */
#line 1417
    struct f_inst *what = fi_new(fi_code);
#line 1417
    uint constargs = 1;
#line 1417

#line 1417
    /* Initialize all the members */
#line 1417
  #define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1417
  #line 1404 "filter/f-inst.c"
whati->f1 = f1;
#line 1404
const struct f_inst *child1 = f1;
#line 1404
do {
#line 1404
  what->size += child1->size;
#line 1404

#line 1404
  if (child1->fi_code != FI_CONSTANT)
#line 1404
    constargs = 0;
#line 1404

#line 1404
} while (child1 = child1->next);
#line 1404

#line 1404 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1404
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1404
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1405 "filter/f-inst.c"
whati->f2 = f2;
#line 1405
const struct f_inst *child2 = f2;
#line 1405
do {
#line 1405
  what->size += child2->size;
#line 1405

#line 1405
  if (child2->fi_code != FI_CONSTANT)
#line 1405
    constargs = 0;
#line 1405

#line 1405
} while (child2 = child2->next);
#line 1405 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1405
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1405
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1409 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_DELETE_QUAD */
    cf_warn("Method delete(clist, ip) is deprecated, please use delete(clist, quad)");

    #line 1414 "filter/f-inst.c"
what->type = T_CLIST;

#line 1417 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1417
    if (!constargs)
#line 1417
      return what;
#line 1417

#line 1417
    /* Try to pre-calculate the result */
#line 1417
    #line 1403 "filter/f-inst.c"
 {
    
#line 1404 "filter/f-inst.c"
 #line 1404 "filter/f-inst.c"
 ;
#line 1405 "filter/f-inst.c"
    
#line 1405 "filter/f-inst.c"
 #line 1405 "filter/f-inst.c"
 ;
#line 1406 "filter/f-inst.c"
    #line 1406 "filter/f-inst.c"
;

    ;
#line 1413 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1414 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1417 "filter/f-inst.c"
  }
#line 1417

#line 1417

#line 1424 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_QUAD */
#line 1424
struct f_inst *
#line 1418 "filter/f-inst.c"
NONNULL(2)
#line 1419 "filter/f-inst.c"
NONNULL(3)
#line 1424 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_QUAD(enum f_instruction_code fi_code
#line 1418 "filter/f-inst.c"
  , struct f_inst * f1
#line 1419 "filter/f-inst.c"
  , struct f_inst * f2
#line 1424 "filter/f-inst.c"
)
#line 1424
  {
#line 1424
    /* Allocate the structure */
#line 1424
    struct f_inst *what = fi_new(fi_code);
#line 1424
    uint constargs = 1;
#line 1424

#line 1424
    /* Initialize all the members */
#line 1424
  #define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1424
  #line 1418 "filter/f-inst.c"
whati->f1 = f1;
#line 1418
const struct f_inst *child1 = f1;
#line 1418
do {
#line 1418
  what->size += child1->size;
#line 1418

#line 1418
  if (child1->fi_code != FI_CONSTANT)
#line 1418
    constargs = 0;
#line 1418

#line 1418
} while (child1 = child1->next);
#line 1418

#line 1418 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1418
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1418
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1419 "filter/f-inst.c"
whati->f2 = f2;
#line 1419
const struct f_inst *child2 = f2;
#line 1419
do {
#line 1419
  what->size += child2->size;
#line 1419

#line 1419
  if (child2->fi_code != FI_CONSTANT)
#line 1419
    constargs = 0;
#line 1419

#line 1419
} while (child2 = child2->next);
#line 1419 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1419
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1419
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1421 "filter/f-inst.c"
what->type = T_CLIST;

#line 1424 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1424
    if (!constargs)
#line 1424
      return what;
#line 1424

#line 1424
    /* Try to pre-calculate the result */
#line 1424
    #line 1417 "filter/f-inst.c"
 {
    
#line 1418 "filter/f-inst.c"
 #line 1418 "filter/f-inst.c"
 ;
#line 1419 "filter/f-inst.c"
    
#line 1419 "filter/f-inst.c"
 #line 1419 "filter/f-inst.c"
 ;
#line 1420 "filter/f-inst.c"
    #line 1420 "filter/f-inst.c"
;
     
#line 1421 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1424 "filter/f-inst.c"
  }
#line 1424

#line 1424

#line 1431 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_CLIST */
#line 1431
struct f_inst *
#line 1425 "filter/f-inst.c"
NONNULL(2)
#line 1426 "filter/f-inst.c"
NONNULL(3)
#line 1431 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_CLIST(enum f_instruction_code fi_code
#line 1425 "filter/f-inst.c"
  , struct f_inst * f1
#line 1426 "filter/f-inst.c"
  , struct f_inst * f2
#line 1431 "filter/f-inst.c"
)
#line 1431
  {
#line 1431
    /* Allocate the structure */
#line 1431
    struct f_inst *what = fi_new(fi_code);
#line 1431
    uint constargs = 1;
#line 1431

#line 1431
    /* Initialize all the members */
#line 1431
  #define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1431
  #line 1425 "filter/f-inst.c"
whati->f1 = f1;
#line 1425
const struct f_inst *child1 = f1;
#line 1425
do {
#line 1425
  what->size += child1->size;
#line 1425

#line 1425
  if (child1->fi_code != FI_CONSTANT)
#line 1425
    constargs = 0;
#line 1425

#line 1425
} while (child1 = child1->next);
#line 1425

#line 1425 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1425
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1425
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1426 "filter/f-inst.c"
whati->f2 = f2;
#line 1426
const struct f_inst *child2 = f2;
#line 1426
do {
#line 1426
  what->size += child2->size;
#line 1426

#line 1426
  if (child2->fi_code != FI_CONSTANT)
#line 1426
    constargs = 0;
#line 1426

#line 1426
} while (child2 = child2->next);
#line 1426 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1426
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1426
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1428 "filter/f-inst.c"
what->type = T_CLIST;

#line 1431 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1431
    if (!constargs)
#line 1431
      return what;
#line 1431

#line 1431
    /* Try to pre-calculate the result */
#line 1431
    #line 1424 "filter/f-inst.c"
 {
    
#line 1425 "filter/f-inst.c"
 #line 1425 "filter/f-inst.c"
 ;
#line 1426 "filter/f-inst.c"
    
#line 1426 "filter/f-inst.c"
 #line 1426 "filter/f-inst.c"
 ;
#line 1427 "filter/f-inst.c"
    #line 1427 "filter/f-inst.c"
;
     
#line 1428 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1431 "filter/f-inst.c"
  }
#line 1431

#line 1431

#line 1442 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_SET */
#line 1442
struct f_inst *
#line 1432 "filter/f-inst.c"
NONNULL(2)
#line 1433 "filter/f-inst.c"
NONNULL(3)
#line 1442 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1432 "filter/f-inst.c"
  , struct f_inst * f1
#line 1433 "filter/f-inst.c"
  , struct f_inst * f2
#line 1442 "filter/f-inst.c"
)
#line 1442
  {
#line 1442
    /* Allocate the structure */
#line 1442
    struct f_inst *what = fi_new(fi_code);
#line 1442
    uint constargs = 1;
#line 1442

#line 1442
    /* Initialize all the members */
#line 1442
  #define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1442
  #line 1432 "filter/f-inst.c"
whati->f1 = f1;
#line 1432
const struct f_inst *child1 = f1;
#line 1432
do {
#line 1432
  what->size += child1->size;
#line 1432

#line 1432
  if (child1->fi_code != FI_CONSTANT)
#line 1432
    constargs = 0;
#line 1432

#line 1432
} while (child1 = child1->next);
#line 1432

#line 1432 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1432
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1432
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1433 "filter/f-inst.c"
whati->f2 = f2;
#line 1433
const struct f_inst *child2 = f2;
#line 1433
do {
#line 1433
  what->size += child2->size;
#line 1433

#line 1433
  if (child2->fi_code != FI_CONSTANT)
#line 1433
    constargs = 0;
#line 1433

#line 1433
} while (child2 = child2->next);
#line 1433 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1433
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1433
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1439 "filter/f-inst.c"
what->type = T_CLIST;

#line 1442 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1442
    if (!constargs)
#line 1442
      return what;
#line 1442

#line 1442
    /* Try to pre-calculate the result */
#line 1442
    #line 1431 "filter/f-inst.c"
 {
    
#line 1432 "filter/f-inst.c"
 #line 1432 "filter/f-inst.c"
 ;
#line 1433 "filter/f-inst.c"
    
#line 1433 "filter/f-inst.c"
 #line 1433 "filter/f-inst.c"
 ;
#line 1434 "filter/f-inst.c"
    #line 1434 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1439 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1442 "filter/f-inst.c"
  }
#line 1442

#line 1442

#line 1449 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_EC */
#line 1449
struct f_inst *
#line 1443 "filter/f-inst.c"
NONNULL(2)
#line 1444 "filter/f-inst.c"
NONNULL(3)
#line 1449 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_EC(enum f_instruction_code fi_code
#line 1443 "filter/f-inst.c"
  , struct f_inst * f1
#line 1444 "filter/f-inst.c"
  , struct f_inst * f2
#line 1449 "filter/f-inst.c"
)
#line 1449
  {
#line 1449
    /* Allocate the structure */
#line 1449
    struct f_inst *what = fi_new(fi_code);
#line 1449
    uint constargs = 1;
#line 1449

#line 1449
    /* Initialize all the members */
#line 1449
  #define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1449
  #line 1443 "filter/f-inst.c"
whati->f1 = f1;
#line 1443
const struct f_inst *child1 = f1;
#line 1443
do {
#line 1443
  what->size += child1->size;
#line 1443

#line 1443
  if (child1->fi_code != FI_CONSTANT)
#line 1443
    constargs = 0;
#line 1443

#line 1443
} while (child1 = child1->next);
#line 1443

#line 1443 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1443
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1443
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1444 "filter/f-inst.c"
whati->f2 = f2;
#line 1444
const struct f_inst *child2 = f2;
#line 1444
do {
#line 1444
  what->size += child2->size;
#line 1444

#line 1444
  if (child2->fi_code != FI_CONSTANT)
#line 1444
    constargs = 0;
#line 1444

#line 1444
} while (child2 = child2->next);
#line 1444 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1444
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1444
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1446 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1449 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1449
    if (!constargs)
#line 1449
      return what;
#line 1449

#line 1449
    /* Try to pre-calculate the result */
#line 1449
    #line 1442 "filter/f-inst.c"
 {
    
#line 1443 "filter/f-inst.c"
 #line 1443 "filter/f-inst.c"
 ;
#line 1444 "filter/f-inst.c"
    
#line 1444 "filter/f-inst.c"
 #line 1444 "filter/f-inst.c"
 ;
#line 1445 "filter/f-inst.c"
    #line 1445 "filter/f-inst.c"
;
     
#line 1446 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_del(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1449 "filter/f-inst.c"
  }
#line 1449

#line 1449

#line 1456 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_ECLIST */
#line 1456
struct f_inst *
#line 1450 "filter/f-inst.c"
NONNULL(2)
#line 1451 "filter/f-inst.c"
NONNULL(3)
#line 1456 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_ECLIST(enum f_instruction_code fi_code
#line 1450 "filter/f-inst.c"
  , struct f_inst * f1
#line 1451 "filter/f-inst.c"
  , struct f_inst * f2
#line 1456 "filter/f-inst.c"
)
#line 1456
  {
#line 1456
    /* Allocate the structure */
#line 1456
    struct f_inst *what = fi_new(fi_code);
#line 1456
    uint constargs = 1;
#line 1456

#line 1456
    /* Initialize all the members */
#line 1456
  #define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
  #line 1450 "filter/f-inst.c"
whati->f1 = f1;
#line 1450
const struct f_inst *child1 = f1;
#line 1450
do {
#line 1450
  what->size += child1->size;
#line 1450

#line 1450
  if (child1->fi_code != FI_CONSTANT)
#line 1450
    constargs = 0;
#line 1450

#line 1450
} while (child1 = child1->next);
#line 1450

#line 1450 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1450
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1450
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1451 "filter/f-inst.c"
whati->f2 = f2;
#line 1451
const struct f_inst *child2 = f2;
#line 1451
do {
#line 1451
  what->size += child2->size;
#line 1451

#line 1451
  if (child2->fi_code != FI_CONSTANT)
#line 1451
    constargs = 0;
#line 1451

#line 1451
} while (child2 = child2->next);
#line 1451 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1451
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1451
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1453 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1456 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1456
    if (!constargs)
#line 1456
      return what;
#line 1456

#line 1456
    /* Try to pre-calculate the result */
#line 1456
    #line 1449 "filter/f-inst.c"
 {
    
#line 1450 "filter/f-inst.c"
 #line 1450 "filter/f-inst.c"
 ;
#line 1451 "filter/f-inst.c"
    
#line 1451 "filter/f-inst.c"
 #line 1451 "filter/f-inst.c"
 ;
#line 1452 "filter/f-inst.c"
    #line 1452 "filter/f-inst.c"
;
     
#line 1453 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1456 "filter/f-inst.c"
  }
#line 1456

#line 1456

#line 1467 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_SET */
#line 1467
struct f_inst *
#line 1457 "filter/f-inst.c"
NONNULL(2)
#line 1458 "filter/f-inst.c"
NONNULL(3)
#line 1467 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1457 "filter/f-inst.c"
  , struct f_inst * f1
#line 1458 "filter/f-inst.c"
  , struct f_inst * f2
#line 1467 "filter/f-inst.c"
)
#line 1467
  {
#line 1467
    /* Allocate the structure */
#line 1467
    struct f_inst *what = fi_new(fi_code);
#line 1467
    uint constargs = 1;
#line 1467

#line 1467
    /* Initialize all the members */
#line 1467
  #define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1467
  #line 1457 "filter/f-inst.c"
whati->f1 = f1;
#line 1457
const struct f_inst *child1 = f1;
#line 1457
do {
#line 1457
  what->size += child1->size;
#line 1457

#line 1457
  if (child1->fi_code != FI_CONSTANT)
#line 1457
    constargs = 0;
#line 1457

#line 1457
} while (child1 = child1->next);
#line 1457

#line 1457 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1457
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1457
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1458 "filter/f-inst.c"
whati->f2 = f2;
#line 1458
const struct f_inst *child2 = f2;
#line 1458
do {
#line 1458
  what->size += child2->size;
#line 1458

#line 1458
  if (child2->fi_code != FI_CONSTANT)
#line 1458
    constargs = 0;
#line 1458

#line 1458
} while (child2 = child2->next);
#line 1458 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1458
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1458
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1464 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1467 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1467
    if (!constargs)
#line 1467
      return what;
#line 1467

#line 1467
    /* Try to pre-calculate the result */
#line 1467
    #line 1456 "filter/f-inst.c"
 {
    
#line 1457 "filter/f-inst.c"
 #line 1457 "filter/f-inst.c"
 ;
#line 1458 "filter/f-inst.c"
    
#line 1458 "filter/f-inst.c"
 #line 1458 "filter/f-inst.c"
 ;
#line 1459 "filter/f-inst.c"
    #line 1459 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1464 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1467 "filter/f-inst.c"
  }
#line 1467

#line 1467

#line 1474 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LC */
#line 1474
struct f_inst *
#line 1468 "filter/f-inst.c"
NONNULL(2)
#line 1469 "filter/f-inst.c"
NONNULL(3)
#line 1474 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LC(enum f_instruction_code fi_code
#line 1468 "filter/f-inst.c"
  , struct f_inst * f1
#line 1469 "filter/f-inst.c"
  , struct f_inst * f2
#line 1474 "filter/f-inst.c"
)
#line 1474
  {
#line 1474
    /* Allocate the structure */
#line 1474
    struct f_inst *what = fi_new(fi_code);
#line 1474
    uint constargs = 1;
#line 1474

#line 1474
    /* Initialize all the members */
#line 1474
  #define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1474
  #line 1468 "filter/f-inst.c"
whati->f1 = f1;
#line 1468
const struct f_inst *child1 = f1;
#line 1468
do {
#line 1468
  what->size += child1->size;
#line 1468

#line 1468
  if (child1->fi_code != FI_CONSTANT)
#line 1468
    constargs = 0;
#line 1468

#line 1468
} while (child1 = child1->next);
#line 1468

#line 1468 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1468
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1468
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1469 "filter/f-inst.c"
whati->f2 = f2;
#line 1469
const struct f_inst *child2 = f2;
#line 1469
do {
#line 1469
  what->size += child2->size;
#line 1469

#line 1469
  if (child2->fi_code != FI_CONSTANT)
#line 1469
    constargs = 0;
#line 1469

#line 1469
} while (child2 = child2->next);
#line 1469 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1469
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1469
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1471 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1474 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1474
    if (!constargs)
#line 1474
      return what;
#line 1474

#line 1474
    /* Try to pre-calculate the result */
#line 1474
    #line 1467 "filter/f-inst.c"
 {
    
#line 1468 "filter/f-inst.c"
 #line 1468 "filter/f-inst.c"
 ;
#line 1469 "filter/f-inst.c"
    
#line 1469 "filter/f-inst.c"
 #line 1469 "filter/f-inst.c"
 ;
#line 1470 "filter/f-inst.c"
    #line 1470 "filter/f-inst.c"
;
     
#line 1471 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_del(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1474 "filter/f-inst.c"
  }
#line 1474

#line 1474

#line 1481 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LCLIST */
#line 1481
struct f_inst *
#line 1475 "filter/f-inst.c"
NONNULL(2)
#line 1476 "filter/f-inst.c"
NONNULL(3)
#line 1481 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LCLIST(enum f_instruction_code fi_code
#line 1475 "filter/f-inst.c"
  , struct f_inst * f1
#line 1476 "filter/f-inst.c"
  , struct f_inst * f2
#line 1481 "filter/f-inst.c"
)
#line 1481
  {
#line 1481
    /* Allocate the structure */
#line 1481
    struct f_inst *what = fi_new(fi_code);
#line 1481
    uint constargs = 1;
#line 1481

#line 1481
    /* Initialize all the members */
#line 1481
  #define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
  #line 1475 "filter/f-inst.c"
whati->f1 = f1;
#line 1475
const struct f_inst *child1 = f1;
#line 1475
do {
#line 1475
  what->size += child1->size;
#line 1475

#line 1475
  if (child1->fi_code != FI_CONSTANT)
#line 1475
    constargs = 0;
#line 1475

#line 1475
} while (child1 = child1->next);
#line 1475

#line 1475 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1475
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1475
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1476 "filter/f-inst.c"
whati->f2 = f2;
#line 1476
const struct f_inst *child2 = f2;
#line 1476
do {
#line 1476
  what->size += child2->size;
#line 1476

#line 1476
  if (child2->fi_code != FI_CONSTANT)
#line 1476
    constargs = 0;
#line 1476

#line 1476
} while (child2 = child2->next);
#line 1476 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1476
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1476
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1478 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1481 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1481
    if (!constargs)
#line 1481
      return what;
#line 1481

#line 1481
    /* Try to pre-calculate the result */
#line 1481
    #line 1474 "filter/f-inst.c"
 {
    
#line 1475 "filter/f-inst.c"
 #line 1475 "filter/f-inst.c"
 ;
#line 1476 "filter/f-inst.c"
    
#line 1476 "filter/f-inst.c"
 #line 1476 "filter/f-inst.c"
 ;
#line 1477 "filter/f-inst.c"
    #line 1477 "filter/f-inst.c"
;
     
#line 1478 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1481 "filter/f-inst.c"
  }
#line 1481

#line 1481

#line 1492 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_SET */
#line 1492
struct f_inst *
#line 1482 "filter/f-inst.c"
NONNULL(2)
#line 1483 "filter/f-inst.c"
NONNULL(3)
#line 1492 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1482 "filter/f-inst.c"
  , struct f_inst * f1
#line 1483 "filter/f-inst.c"
  , struct f_inst * f2
#line 1492 "filter/f-inst.c"
)
#line 1492
  {
#line 1492
    /* Allocate the structure */
#line 1492
    struct f_inst *what = fi_new(fi_code);
#line 1492
    uint constargs = 1;
#line 1492

#line 1492
    /* Initialize all the members */
#line 1492
  #define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1492
  #line 1482 "filter/f-inst.c"
whati->f1 = f1;
#line 1482
const struct f_inst *child1 = f1;
#line 1482
do {
#line 1482
  what->size += child1->size;
#line 1482

#line 1482
  if (child1->fi_code != FI_CONSTANT)
#line 1482
    constargs = 0;
#line 1482

#line 1482
} while (child1 = child1->next);
#line 1482

#line 1482 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1482
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1482
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1483 "filter/f-inst.c"
whati->f2 = f2;
#line 1483
const struct f_inst *child2 = f2;
#line 1483
do {
#line 1483
  what->size += child2->size;
#line 1483

#line 1483
  if (child2->fi_code != FI_CONSTANT)
#line 1483
    constargs = 0;
#line 1483

#line 1483
} while (child2 = child2->next);
#line 1483 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1483
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1483
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1489 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1492 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1492
    if (!constargs)
#line 1492
      return what;
#line 1492

#line 1492
    /* Try to pre-calculate the result */
#line 1492
    #line 1481 "filter/f-inst.c"
 {
    
#line 1482 "filter/f-inst.c"
 #line 1482 "filter/f-inst.c"
 ;
#line 1483 "filter/f-inst.c"
    
#line 1483 "filter/f-inst.c"
 #line 1483 "filter/f-inst.c"
 ;
#line 1484 "filter/f-inst.c"
    #line 1484 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1489 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1492 "filter/f-inst.c"
  }
#line 1492

#line 1492

#line 1503 "filter/f-inst.c"
 /* Constructor for FI_PATH_FILTER_SET */
#line 1503
struct f_inst *
#line 1493 "filter/f-inst.c"
NONNULL(2)
#line 1494 "filter/f-inst.c"
NONNULL(3)
#line 1503 "filter/f-inst.c"
f_new_inst_FI_PATH_FILTER_SET(enum f_instruction_code fi_code
#line 1493 "filter/f-inst.c"
  , struct f_inst * f1
#line 1494 "filter/f-inst.c"
  , struct f_inst * f2
#line 1503 "filter/f-inst.c"
)
#line 1503
  {
#line 1503
    /* Allocate the structure */
#line 1503
    struct f_inst *what = fi_new(fi_code);
#line 1503
    uint constargs = 1;
#line 1503

#line 1503
    /* Initialize all the members */
#line 1503
  #define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1503
  #line 1493 "filter/f-inst.c"
whati->f1 = f1;
#line 1493
const struct f_inst *child1 = f1;
#line 1493
do {
#line 1493
  what->size += child1->size;
#line 1493

#line 1493
  if (child1->fi_code != FI_CONSTANT)
#line 1493
    constargs = 0;
#line 1493

#line 1493
} while (child1 = child1->next);
#line 1493

#line 1493 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1493
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1493
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1494 "filter/f-inst.c"
whati->f2 = f2;
#line 1494
const struct f_inst *child2 = f2;
#line 1494
do {
#line 1494
  what->size += child2->size;
#line 1494

#line 1494
  if (child2->fi_code != FI_CONSTANT)
#line 1494
    constargs = 0;
#line 1494

#line 1494
} while (child2 = child2->next);
#line 1494 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1494
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1494
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1500 "filter/f-inst.c"
what->type = T_PATH;

#line 1503 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1503
    if (!constargs)
#line 1503
      return what;
#line 1503

#line 1503
    /* Try to pre-calculate the result */
#line 1503
    #line 1492 "filter/f-inst.c"
 {
    
#line 1493 "filter/f-inst.c"
 #line 1493 "filter/f-inst.c"
 ;
#line 1494 "filter/f-inst.c"
    
#line 1494 "filter/f-inst.c"
 #line 1494 "filter/f-inst.c"
 ;
#line 1495 "filter/f-inst.c"
    #line 1495 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1500 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1503 "filter/f-inst.c"
  }
#line 1503

#line 1503

#line 1510 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_CLIST */
#line 1510
struct f_inst *
#line 1504 "filter/f-inst.c"
NONNULL(2)
#line 1505 "filter/f-inst.c"
NONNULL(3)
#line 1510 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_CLIST(enum f_instruction_code fi_code
#line 1504 "filter/f-inst.c"
  , struct f_inst * f1
#line 1505 "filter/f-inst.c"
  , struct f_inst * f2
#line 1510 "filter/f-inst.c"
)
#line 1510
  {
#line 1510
    /* Allocate the structure */
#line 1510
    struct f_inst *what = fi_new(fi_code);
#line 1510
    uint constargs = 1;
#line 1510

#line 1510
    /* Initialize all the members */
#line 1510
  #define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1510
  #line 1504 "filter/f-inst.c"
whati->f1 = f1;
#line 1504
const struct f_inst *child1 = f1;
#line 1504
do {
#line 1504
  what->size += child1->size;
#line 1504

#line 1504
  if (child1->fi_code != FI_CONSTANT)
#line 1504
    constargs = 0;
#line 1504

#line 1504
} while (child1 = child1->next);
#line 1504

#line 1504 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1504
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1504
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1505 "filter/f-inst.c"
whati->f2 = f2;
#line 1505
const struct f_inst *child2 = f2;
#line 1505
do {
#line 1505
  what->size += child2->size;
#line 1505

#line 1505
  if (child2->fi_code != FI_CONSTANT)
#line 1505
    constargs = 0;
#line 1505

#line 1505
} while (child2 = child2->next);
#line 1505 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1505
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1505
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1507 "filter/f-inst.c"
what->type = T_CLIST;

#line 1510 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1510
    if (!constargs)
#line 1510
      return what;
#line 1510

#line 1510
    /* Try to pre-calculate the result */
#line 1510
    #line 1503 "filter/f-inst.c"
 {
    
#line 1504 "filter/f-inst.c"
 #line 1504 "filter/f-inst.c"
 ;
#line 1505 "filter/f-inst.c"
    
#line 1505 "filter/f-inst.c"
 #line 1505 "filter/f-inst.c"
 ;
#line 1506 "filter/f-inst.c"
    #line 1506 "filter/f-inst.c"
;
     
#line 1507 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1510 "filter/f-inst.c"
  }
#line 1510

#line 1510

#line 1521 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_SET */
#line 1521
struct f_inst *
#line 1511 "filter/f-inst.c"
NONNULL(2)
#line 1512 "filter/f-inst.c"
NONNULL(3)
#line 1521 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1511 "filter/f-inst.c"
  , struct f_inst * f1
#line 1512 "filter/f-inst.c"
  , struct f_inst * f2
#line 1521 "filter/f-inst.c"
)
#line 1521
  {
#line 1521
    /* Allocate the structure */
#line 1521
    struct f_inst *what = fi_new(fi_code);
#line 1521
    uint constargs = 1;
#line 1521

#line 1521
    /* Initialize all the members */
#line 1521
  #define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1521
  #line 1511 "filter/f-inst.c"
whati->f1 = f1;
#line 1511
const struct f_inst *child1 = f1;
#line 1511
do {
#line 1511
  what->size += child1->size;
#line 1511

#line 1511
  if (child1->fi_code != FI_CONSTANT)
#line 1511
    constargs = 0;
#line 1511

#line 1511
} while (child1 = child1->next);
#line 1511

#line 1511 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1511
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1511
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1512 "filter/f-inst.c"
whati->f2 = f2;
#line 1512
const struct f_inst *child2 = f2;
#line 1512
do {
#line 1512
  what->size += child2->size;
#line 1512

#line 1512
  if (child2->fi_code != FI_CONSTANT)
#line 1512
    constargs = 0;
#line 1512

#line 1512
} while (child2 = child2->next);
#line 1512 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1512
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1512
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1518 "filter/f-inst.c"
what->type = T_CLIST;

#line 1521 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1521
    if (!constargs)
#line 1521
      return what;
#line 1521

#line 1521
    /* Try to pre-calculate the result */
#line 1521
    #line 1510 "filter/f-inst.c"
 {
    
#line 1511 "filter/f-inst.c"
 #line 1511 "filter/f-inst.c"
 ;
#line 1512 "filter/f-inst.c"
    
#line 1512 "filter/f-inst.c"
 #line 1512 "filter/f-inst.c"
 ;
#line 1513 "filter/f-inst.c"
    #line 1513 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1518 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1521 "filter/f-inst.c"
  }
#line 1521

#line 1521

#line 1528 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_ECLIST */
#line 1528
struct f_inst *
#line 1522 "filter/f-inst.c"
NONNULL(2)
#line 1523 "filter/f-inst.c"
NONNULL(3)
#line 1528 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_ECLIST(enum f_instruction_code fi_code
#line 1522 "filter/f-inst.c"
  , struct f_inst * f1
#line 1523 "filter/f-inst.c"
  , struct f_inst * f2
#line 1528 "filter/f-inst.c"
)
#line 1528
  {
#line 1528
    /* Allocate the structure */
#line 1528
    struct f_inst *what = fi_new(fi_code);
#line 1528
    uint constargs = 1;
#line 1528

#line 1528
    /* Initialize all the members */
#line 1528
  #define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
  #line 1522 "filter/f-inst.c"
whati->f1 = f1;
#line 1522
const struct f_inst *child1 = f1;
#line 1522
do {
#line 1522
  what->size += child1->size;
#line 1522

#line 1522
  if (child1->fi_code != FI_CONSTANT)
#line 1522
    constargs = 0;
#line 1522

#line 1522
} while (child1 = child1->next);
#line 1522

#line 1522 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1522
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1522
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1523 "filter/f-inst.c"
whati->f2 = f2;
#line 1523
const struct f_inst *child2 = f2;
#line 1523
do {
#line 1523
  what->size += child2->size;
#line 1523

#line 1523
  if (child2->fi_code != FI_CONSTANT)
#line 1523
    constargs = 0;
#line 1523

#line 1523
} while (child2 = child2->next);
#line 1523 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1523
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1523
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1525 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1528 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1528
    if (!constargs)
#line 1528
      return what;
#line 1528

#line 1528
    /* Try to pre-calculate the result */
#line 1528
    #line 1521 "filter/f-inst.c"
 {
    
#line 1522 "filter/f-inst.c"
 #line 1522 "filter/f-inst.c"
 ;
#line 1523 "filter/f-inst.c"
    
#line 1523 "filter/f-inst.c"
 #line 1523 "filter/f-inst.c"
 ;
#line 1524 "filter/f-inst.c"
    #line 1524 "filter/f-inst.c"
;
     
#line 1525 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1528 "filter/f-inst.c"
  }
#line 1528

#line 1528

#line 1539 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_SET */
#line 1539
struct f_inst *
#line 1529 "filter/f-inst.c"
NONNULL(2)
#line 1530 "filter/f-inst.c"
NONNULL(3)
#line 1539 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1529 "filter/f-inst.c"
  , struct f_inst * f1
#line 1530 "filter/f-inst.c"
  , struct f_inst * f2
#line 1539 "filter/f-inst.c"
)
#line 1539
  {
#line 1539
    /* Allocate the structure */
#line 1539
    struct f_inst *what = fi_new(fi_code);
#line 1539
    uint constargs = 1;
#line 1539

#line 1539
    /* Initialize all the members */
#line 1539
  #define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1539
  #line 1529 "filter/f-inst.c"
whati->f1 = f1;
#line 1529
const struct f_inst *child1 = f1;
#line 1529
do {
#line 1529
  what->size += child1->size;
#line 1529

#line 1529
  if (child1->fi_code != FI_CONSTANT)
#line 1529
    constargs = 0;
#line 1529

#line 1529
} while (child1 = child1->next);
#line 1529

#line 1529 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1529
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1529
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1530 "filter/f-inst.c"
whati->f2 = f2;
#line 1530
const struct f_inst *child2 = f2;
#line 1530
do {
#line 1530
  what->size += child2->size;
#line 1530

#line 1530
  if (child2->fi_code != FI_CONSTANT)
#line 1530
    constargs = 0;
#line 1530

#line 1530
} while (child2 = child2->next);
#line 1530 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1530
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1530
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1536 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1539 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1539
    if (!constargs)
#line 1539
      return what;
#line 1539

#line 1539
    /* Try to pre-calculate the result */
#line 1539
    #line 1528 "filter/f-inst.c"
 {
    
#line 1529 "filter/f-inst.c"
 #line 1529 "filter/f-inst.c"
 ;
#line 1530 "filter/f-inst.c"
    
#line 1530 "filter/f-inst.c"
 #line 1530 "filter/f-inst.c"
 ;
#line 1531 "filter/f-inst.c"
    #line 1531 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1536 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1539 "filter/f-inst.c"
  }
#line 1539

#line 1539

#line 1546 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_LCLIST */
#line 1546
struct f_inst *
#line 1540 "filter/f-inst.c"
NONNULL(2)
#line 1541 "filter/f-inst.c"
NONNULL(3)
#line 1546 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_LCLIST(enum f_instruction_code fi_code
#line 1540 "filter/f-inst.c"
  , struct f_inst * f1
#line 1541 "filter/f-inst.c"
  , struct f_inst * f2
#line 1546 "filter/f-inst.c"
)
#line 1546
  {
#line 1546
    /* Allocate the structure */
#line 1546
    struct f_inst *what = fi_new(fi_code);
#line 1546
    uint constargs = 1;
#line 1546

#line 1546
    /* Initialize all the members */
#line 1546
  #define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
  #line 1540 "filter/f-inst.c"
whati->f1 = f1;
#line 1540
const struct f_inst *child1 = f1;
#line 1540
do {
#line 1540
  what->size += child1->size;
#line 1540

#line 1540
  if (child1->fi_code != FI_CONSTANT)
#line 1540
    constargs = 0;
#line 1540

#line 1540
} while (child1 = child1->next);
#line 1540

#line 1540 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1540
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1540
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1541 "filter/f-inst.c"
whati->f2 = f2;
#line 1541
const struct f_inst *child2 = f2;
#line 1541
do {
#line 1541
  what->size += child2->size;
#line 1541

#line 1541
  if (child2->fi_code != FI_CONSTANT)
#line 1541
    constargs = 0;
#line 1541

#line 1541
} while (child2 = child2->next);
#line 1541 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1541
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1541
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1543 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1546 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1546
    if (!constargs)
#line 1546
      return what;
#line 1546

#line 1546
    /* Try to pre-calculate the result */
#line 1546
    #line 1539 "filter/f-inst.c"
 {
    
#line 1540 "filter/f-inst.c"
 #line 1540 "filter/f-inst.c"
 ;
#line 1541 "filter/f-inst.c"
    
#line 1541 "filter/f-inst.c"
 #line 1541 "filter/f-inst.c"
 ;
#line 1542 "filter/f-inst.c"
    #line 1542 "filter/f-inst.c"
;
     
#line 1543 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1546 "filter/f-inst.c"
  }
#line 1546

#line 1546

#line 1557 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_SET */
#line 1557
struct f_inst *
#line 1547 "filter/f-inst.c"
NONNULL(2)
#line 1548 "filter/f-inst.c"
NONNULL(3)
#line 1557 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1547 "filter/f-inst.c"
  , struct f_inst * f1
#line 1548 "filter/f-inst.c"
  , struct f_inst * f2
#line 1557 "filter/f-inst.c"
)
#line 1557
  {
#line 1557
    /* Allocate the structure */
#line 1557
    struct f_inst *what = fi_new(fi_code);
#line 1557
    uint constargs = 1;
#line 1557

#line 1557
    /* Initialize all the members */
#line 1557
  #define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1557
  #line 1547 "filter/f-inst.c"
whati->f1 = f1;
#line 1547
const struct f_inst *child1 = f1;
#line 1547
do {
#line 1547
  what->size += child1->size;
#line 1547

#line 1547
  if (child1->fi_code != FI_CONSTANT)
#line 1547
    constargs = 0;
#line 1547

#line 1547
} while (child1 = child1->next);
#line 1547

#line 1547 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1547
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1547
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1548 "filter/f-inst.c"
whati->f2 = f2;
#line 1548
const struct f_inst *child2 = f2;
#line 1548
do {
#line 1548
  what->size += child2->size;
#line 1548

#line 1548
  if (child2->fi_code != FI_CONSTANT)
#line 1548
    constargs = 0;
#line 1548

#line 1548
} while (child2 = child2->next);
#line 1548 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1548
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1548
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1554 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1557 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1557
    if (!constargs)
#line 1557
      return what;
#line 1557

#line 1557
    /* Try to pre-calculate the result */
#line 1557
    #line 1546 "filter/f-inst.c"
 {
    
#line 1547 "filter/f-inst.c"
 #line 1547 "filter/f-inst.c"
 ;
#line 1548 "filter/f-inst.c"
    
#line 1548 "filter/f-inst.c"
 #line 1548 "filter/f-inst.c"
 ;
#line 1549 "filter/f-inst.c"
    #line 1549 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1554 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1557 "filter/f-inst.c"
  }
#line 1557

#line 1557

#line 1587 "filter/f-inst.c"
 /* Constructor for FI_ROA_CHECK_IMPLICIT */
#line 1587
struct f_inst *
#line 1587
f_new_inst_FI_ROA_CHECK_IMPLICIT(enum f_instruction_code fi_code
#line 1559 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1587 "filter/f-inst.c"
)
#line 1587
  {
#line 1587
    /* Allocate the structure */
#line 1587
    struct f_inst *what = fi_new(fi_code);
#line 1587
    
#line 1587

#line 1587
    /* Initialize all the members */
#line 1587
  #define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1587
  #line 1559 "filter/f-inst.c"
whati->rtc = rtc;
#line 1582 "filter/f-inst.c"
what->type = T_ENUM_ROA;

#line 1587 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1587
    
#line 1587
      return what;
#line 1587

#line 1587
    /* Try to pre-calculate the result */
#line 1587
      #undef whati
#line 1587
  }
#line 1587

#line 1587

#line 1609 "filter/f-inst.c"
 /* Constructor for FI_ROA_CHECK_EXPLICIT */
#line 1609
struct f_inst *
#line 1589 "filter/f-inst.c"
NONNULL(2)
#line 1590 "filter/f-inst.c"
NONNULL(3)
#line 1609 "filter/f-inst.c"
f_new_inst_FI_ROA_CHECK_EXPLICIT(enum f_instruction_code fi_code
#line 1589 "filter/f-inst.c"
  , struct f_inst * f1
#line 1590 "filter/f-inst.c"
  , struct f_inst * f2
#line 1591 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1609 "filter/f-inst.c"
)
#line 1609
  {
#line 1609
    /* Allocate the structure */
#line 1609
    struct f_inst *what = fi_new(fi_code);
#line 1609
    
#line 1609

#line 1609
    /* Initialize all the members */
#line 1609
  #define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1609
  #line 1589 "filter/f-inst.c"
whati->f1 = f1;
#line 1589
const struct f_inst *child1 = f1;
#line 1589
do {
#line 1589
  what->size += child1->size;
#line 1589

#line 1589
} while (child1 = child1->next);
#line 1589

#line 1589 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1589
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1589
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1590 "filter/f-inst.c"
whati->f2 = f2;
#line 1590
const struct f_inst *child2 = f2;
#line 1590
do {
#line 1590
  what->size += child2->size;
#line 1590

#line 1590
} while (child2 = child2->next);
#line 1590 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1590
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1590
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1591 "filter/f-inst.c"
whati->rtc = rtc;
#line 1603 "filter/f-inst.c"
what->type = T_ENUM_ROA;

#line 1609 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1609
    
#line 1609
      return what;
#line 1609

#line 1609
    /* Try to pre-calculate the result */
#line 1609
      #undef whati
#line 1609
  }
#line 1609

#line 1609

#line 1625 "filter/f-inst.c"
 /* Constructor for FI_ASPA_CHECK_EXPLICIT */
#line 1625
struct f_inst *
#line 1611 "filter/f-inst.c"
NONNULL(2)
#line 1612 "filter/f-inst.c"
NONNULL(3)
#line 1625 "filter/f-inst.c"
f_new_inst_FI_ASPA_CHECK_EXPLICIT(enum f_instruction_code fi_code
#line 1611 "filter/f-inst.c"
  , struct f_inst * f1
#line 1612 "filter/f-inst.c"
  , struct f_inst * f2
#line 1613 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1625 "filter/f-inst.c"
)
#line 1625
  {
#line 1625
    /* Allocate the structure */
#line 1625
    struct f_inst *what = fi_new(fi_code);
#line 1625
    
#line 1625

#line 1625
    /* Initialize all the members */
#line 1625
  #define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1625
  #line 1611 "filter/f-inst.c"
whati->f1 = f1;
#line 1611
const struct f_inst *child1 = f1;
#line 1611
do {
#line 1611
  what->size += child1->size;
#line 1611

#line 1611
} while (child1 = child1->next);
#line 1611

#line 1611 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1611
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1611
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1612 "filter/f-inst.c"
whati->f2 = f2;
#line 1612
const struct f_inst *child2 = f2;
#line 1612
do {
#line 1612
  what->size += child2->size;
#line 1612

#line 1612
} while (child2 = child2->next);
#line 1612 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 1612
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1612
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 1613 "filter/f-inst.c"
whati->rtc = rtc;
#line 1622 "filter/f-inst.c"
what->type = T_ENUM_ASPA;

#line 1625 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1625
    
#line 1625
      return what;
#line 1625

#line 1625
    /* Try to pre-calculate the result */
#line 1625
      #undef whati
#line 1625
  }
#line 1625

#line 1625

#line 1640 "filter/f-inst.c"
 /* Constructor for FI_FROM_HEX */
#line 1640
struct f_inst *
#line 1626 "filter/f-inst.c"
NONNULL(2)
#line 1640 "filter/f-inst.c"
f_new_inst_FI_FROM_HEX(enum f_instruction_code fi_code
#line 1626 "filter/f-inst.c"
  , struct f_inst * f1
#line 1640 "filter/f-inst.c"
)
#line 1640
  {
#line 1640
    /* Allocate the structure */
#line 1640
    struct f_inst *what = fi_new(fi_code);
#line 1640
    uint constargs = 1;
#line 1640

#line 1640
    /* Initialize all the members */
#line 1640
  #define whati (&(what->i_FI_FROM_HEX))
#line 1640
  #line 1626 "filter/f-inst.c"
whati->f1 = f1;
#line 1626
const struct f_inst *child1 = f1;
#line 1626
do {
#line 1626
  what->size += child1->size;
#line 1626

#line 1626
  if (child1->fi_code != FI_CONSTANT)
#line 1626
    constargs = 0;
#line 1626

#line 1626
} while (child1 = child1->next);
#line 1626

#line 1626 "filter/f-inst.c"
if (f1->type && (f1->type != (T_STRING)) && !f_const_promotion(f1, (T_STRING)))
#line 1626
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1626
	   f_instruction_name(what->fi_code), f_type_name(T_STRING), f_type_name(f1->type));
#line 1637 "filter/f-inst.c"
what->type = T_BYTESTRING;

#line 1640 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1640
    if (!constargs)
#line 1640
      return what;
#line 1640

#line 1640
    /* Try to pre-calculate the result */
#line 1640
    #line 1625 "filter/f-inst.c"
 {	/* Convert hex text to bytestring */
    
#line 1626 "filter/f-inst.c"
 #line 1626 "filter/f-inst.c"
 ;
#line 1627 "filter/f-inst.c"

    int len = bstrhextobin(v1.val.s, NULL);
    if (len < 0)
      runtime("Invalid hex string");

    struct adata *bs;
    bs = falloc(sizeof(struct adata) + len);
    bs->length = bstrhextobin(v1.val.s, bs->data);
    ASSERT(bs->length == (size_t) len);

     
#line 1637 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BYTESTRING, .val.bs = bs } );
  }

  
  #undef whati
#line 1640 "filter/f-inst.c"
  }
#line 1640

#line 1640

#line 1645 "filter/f-inst.c"
 /* Constructor for FI_FORMAT */
#line 1645
struct f_inst *
#line 1641 "filter/f-inst.c"
NONNULL(2)
#line 1645 "filter/f-inst.c"
f_new_inst_FI_FORMAT(enum f_instruction_code fi_code
#line 1641 "filter/f-inst.c"
  , struct f_inst * f1
#line 1645 "filter/f-inst.c"
)
#line 1645
  {
#line 1645
    /* Allocate the structure */
#line 1645
    struct f_inst *what = fi_new(fi_code);
#line 1645
    uint constargs = 1;
#line 1645

#line 1645
    /* Initialize all the members */
#line 1645
  #define whati (&(what->i_FI_FORMAT))
#line 1645
  #line 1641 "filter/f-inst.c"
whati->f1 = f1;
#line 1641
const struct f_inst *child1 = f1;
#line 1641
do {
#line 1641
  what->size += child1->size;
#line 1641

#line 1641
  if (child1->fi_code != FI_CONSTANT)
#line 1641
    constargs = 0;
#line 1641

#line 1641
} while (child1 = child1->next);
#line 1641

#line 1642 "filter/f-inst.c"
what->type = T_STRING;

#line 1645 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1645
    if (!constargs)
#line 1645
      return what;
#line 1645

#line 1645
    /* Try to pre-calculate the result */
#line 1645
    #line 1640 "filter/f-inst.c"
 {	/* Format */
    
#line 1641 "filter/f-inst.c"
;
     
#line 1642 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_STRING, .val.s = val_format_str(fpool, &v1) } );
  }

  
  #undef whati
#line 1645 "filter/f-inst.c"
  }
#line 1645

#line 1645

#line 825 "filter/decl.m4"
 /* Constructor for FI_ASSERT */
#line 825
struct f_inst *
#line 1647 "filter/f-inst.c"
NONNULL(2)
#line 825 "filter/decl.m4"
f_new_inst_FI_ASSERT(enum f_instruction_code fi_code
#line 1647 "filter/f-inst.c"
  , struct f_inst * f1
#line 1649 "filter/f-inst.c"
  , char * s
#line 825 "filter/decl.m4"
)
#line 825
  {
#line 825
    /* Allocate the structure */
#line 825
    struct f_inst *what = fi_new(fi_code);
#line 825
    
#line 825

#line 825
    /* Initialize all the members */
#line 825
  #define whati (&(what->i_FI_ASSERT))
#line 825
  #line 1647 "filter/f-inst.c"
whati->f1 = f1;
#line 1647
const struct f_inst *child1 = f1;
#line 1647
do {
#line 1647
  what->size += child1->size;
#line 1647

#line 1647
} while (child1 = child1->next);
#line 1647

#line 1647 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 1647
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1647
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 1649 "filter/f-inst.c"
whati->s = s;

#line 825 "filter/decl.m4"
    /* If not constant, return the instruction itself */
#line 825
    
#line 825
      return what;
#line 825

#line 825
    /* Try to pre-calculate the result */
#line 825
      #undef whati
#line 825
  }
#line 825

#line 825

#line 610 "filter/decl.m4"

#undef v1
#undef v2
#undef v3
#undef vv

/* Method constructor wrappers */
#line 291 "filter/f-inst.c"

#line 296 "filter/f-inst.c"

#line 301 "filter/f-inst.c"

#line 307 "filter/f-inst.c"

#line 317 "filter/f-inst.c"

#line 328 "filter/f-inst.c"

#line 338 "filter/f-inst.c"

#line 378 "filter/f-inst.c"

#line 385 "filter/f-inst.c"

#line 435 "filter/f-inst.c"

#line 442 "filter/f-inst.c"

#line 449 "filter/f-inst.c"

#line 460 "filter/f-inst.c"

#line 471 "filter/f-inst.c"

#line 476 "filter/f-inst.c"

#line 485 "filter/f-inst.c"

#line 494 "filter/f-inst.c"

#line 499 "filter/f-inst.c"

#line 500 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__type */
#line 500
struct f_inst * NONNULL(1)
#line 500
f_new_method_FI_METHOD__T_NET__type(struct f_inst *obj, struct f_inst *args)
#line 500
  {
#line 500
    /* Unwind the arguments (1) */
#line 500
        if (args) cf_error("Too many arguments");
#line 499 "filter/f-inst.c"

#line 499

    return f_new_inst(FI_METHOD__T_NET__type, obj
#line 500 "filter/f-inst.c"

#line 500
    );
#line 500
  }
#line 500

#line 503 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_IP__is_v4 */
#line 503
struct f_inst * NONNULL(1)
#line 503
f_new_method_FI_METHOD__T_IP__is_v4(struct f_inst *obj, struct f_inst *args)
#line 503
  {
#line 503
    /* Unwind the arguments (1) */
#line 503
        if (args) cf_error("Too many arguments");
#line 500 "filter/f-inst.c"

#line 500

    return f_new_inst(FI_METHOD__T_IP__is_v4, obj
#line 503 "filter/f-inst.c"

#line 503
    );
#line 503
  }
#line 503

#line 516 "filter/f-inst.c"

#line 527 "filter/f-inst.c"

#line 536 "filter/f-inst.c"

#line 543 "filter/f-inst.c"

#line 556 "filter/f-inst.c"

#line 557 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__empty */
#line 557
struct f_inst * NONNULL(1)
#line 557
f_new_method_FI_METHOD__T_PATH__empty(struct f_inst *obj, struct f_inst *args)
#line 557
  {
#line 557
    /* Unwind the arguments (1) */
#line 557
        if (args) cf_error("Too many arguments");
#line 556 "filter/f-inst.c"

#line 556

    return f_new_inst(FI_METHOD__T_PATH__empty, obj
#line 557 "filter/f-inst.c"

#line 557
    );
#line 557
  }
#line 557

#line 558 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__empty */
#line 558
struct f_inst * NONNULL(1)
#line 558
f_new_method_FI_METHOD__T_CLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 558
  {
#line 558
    /* Unwind the arguments (1) */
#line 558
        if (args) cf_error("Too many arguments");
#line 557 "filter/f-inst.c"

#line 557

    return f_new_inst(FI_METHOD__T_CLIST__empty, obj
#line 558 "filter/f-inst.c"

#line 558
    );
#line 558
  }
#line 558

#line 559 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__empty */
#line 559
struct f_inst * NONNULL(1)
#line 559
f_new_method_FI_METHOD__T_ECLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 559
  {
#line 559
    /* Unwind the arguments (1) */
#line 559
        if (args) cf_error("Too many arguments");
#line 558 "filter/f-inst.c"

#line 558

    return f_new_inst(FI_METHOD__T_ECLIST__empty, obj
#line 559 "filter/f-inst.c"

#line 559
    );
#line 559
  }
#line 559

#line 562 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__empty */
#line 562
struct f_inst * NONNULL(1)
#line 562
f_new_method_FI_METHOD__T_LCLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 562
  {
#line 562
    /* Unwind the arguments (1) */
#line 562
        if (args) cf_error("Too many arguments");
#line 559 "filter/f-inst.c"

#line 559

    return f_new_inst(FI_METHOD__T_LCLIST__empty, obj
#line 562 "filter/f-inst.c"

#line 562
    );
#line 562
  }
#line 562

#line 584 "filter/f-inst.c"

#line 593 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FOR_NEXT */
#line 593
struct f_inst * NONNULL(1)
#line 593
f_new_method_FI_PATH_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 593
  {
#line 593
    /* Unwind the arguments (2) */
#line 593
    #line 588 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 588
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FOR_NEXT */
#line 588
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 590 "filter/f-inst.c"

#line 590

    return f_new_inst(FI_PATH_FOR_NEXT, obj
#line 588 "filter/f-inst.c"
    , arg2
#line 593 "filter/f-inst.c"

#line 593
    );
#line 593
  }
#line 593

#line 602 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FOR_NEXT */
#line 602
struct f_inst * NONNULL(1)
#line 602
f_new_method_FI_CLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 602
  {
#line 602
    /* Unwind the arguments (2) */
#line 602
    #line 597 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 597
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FOR_NEXT */
#line 597
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 599 "filter/f-inst.c"

#line 599

    return f_new_inst(FI_CLIST_FOR_NEXT, obj
#line 597 "filter/f-inst.c"
    , arg2
#line 602 "filter/f-inst.c"

#line 602
    );
#line 602
  }
#line 602

#line 611 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FOR_NEXT */
#line 611
struct f_inst * NONNULL(1)
#line 611
f_new_method_FI_ECLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 611
  {
#line 611
    /* Unwind the arguments (2) */
#line 611
    #line 606 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 606
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FOR_NEXT */
#line 606
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 608 "filter/f-inst.c"

#line 608

    return f_new_inst(FI_ECLIST_FOR_NEXT, obj
#line 606 "filter/f-inst.c"
    , arg2
#line 611 "filter/f-inst.c"

#line 611
    );
#line 611
  }
#line 611

#line 620 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FOR_NEXT */
#line 620
struct f_inst * NONNULL(1)
#line 620
f_new_method_FI_LCLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 620
  {
#line 620
    /* Unwind the arguments (2) */
#line 620
    #line 615 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 615
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FOR_NEXT */
#line 615
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 617 "filter/f-inst.c"

#line 617

    return f_new_inst(FI_LCLIST_FOR_NEXT, obj
#line 615 "filter/f-inst.c"
    , arg2
#line 620 "filter/f-inst.c"

#line 620
    );
#line 620
  }
#line 620

#line 636 "filter/f-inst.c"
 /* Method constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
struct f_inst * NONNULL(1)
#line 636
f_new_method_FI_ROUTES_BLOCK_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 636
  {
#line 636
    /* Unwind the arguments (2) */
#line 636
    #line 630 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 630
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ROUTES_BLOCK_FOR_NEXT */
#line 630
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 633 "filter/f-inst.c"

#line 633

    return f_new_inst(FI_ROUTES_BLOCK_FOR_NEXT, obj
#line 630 "filter/f-inst.c"
    , arg2
#line 636 "filter/f-inst.c"

#line 636
    );
#line 636
  }
#line 636

#line 644 "filter/f-inst.c"

#line 652 "filter/f-inst.c"

#line 659 "filter/f-inst.c"

#line 673 "filter/f-inst.c"

#line 713 "filter/f-inst.c"

#line 858 "filter/f-inst.c"

#line 913 "filter/f-inst.c"

#line 989 "filter/f-inst.c"

#line 999 "filter/f-inst.c"

#line 1000 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__len */
#line 1000
struct f_inst * NONNULL(1)
#line 1000
f_new_method_FI_METHOD__T_NET__len(struct f_inst *obj, struct f_inst *args)
#line 1000
  {
#line 1000
    /* Unwind the arguments (1) */
#line 1000
        if (args) cf_error("Too many arguments");
#line 999 "filter/f-inst.c"

#line 999

    return f_new_inst(FI_METHOD__T_NET__len, obj
#line 1000 "filter/f-inst.c"

#line 1000
    );
#line 1000
  }
#line 1000

#line 1001 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__len */
#line 1001
struct f_inst * NONNULL(1)
#line 1001
f_new_method_FI_METHOD__T_PATH__len(struct f_inst *obj, struct f_inst *args)
#line 1001
  {
#line 1001
    /* Unwind the arguments (1) */
#line 1001
        if (args) cf_error("Too many arguments");
#line 1000 "filter/f-inst.c"

#line 1000

    return f_new_inst(FI_METHOD__T_PATH__len, obj
#line 1001 "filter/f-inst.c"

#line 1001
    );
#line 1001
  }
#line 1001

#line 1002 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__len */
#line 1002
struct f_inst * NONNULL(1)
#line 1002
f_new_method_FI_METHOD__T_CLIST__len(struct f_inst *obj, struct f_inst *args)
#line 1002
  {
#line 1002
    /* Unwind the arguments (1) */
#line 1002
        if (args) cf_error("Too many arguments");
#line 1001 "filter/f-inst.c"

#line 1001

    return f_new_inst(FI_METHOD__T_CLIST__len, obj
#line 1002 "filter/f-inst.c"

#line 1002
    );
#line 1002
  }
#line 1002

#line 1003 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__len */
#line 1003
struct f_inst * NONNULL(1)
#line 1003
f_new_method_FI_METHOD__T_ECLIST__len(struct f_inst *obj, struct f_inst *args)
#line 1003
  {
#line 1003
    /* Unwind the arguments (1) */
#line 1003
        if (args) cf_error("Too many arguments");
#line 1002 "filter/f-inst.c"

#line 1002

    return f_new_inst(FI_METHOD__T_ECLIST__len, obj
#line 1003 "filter/f-inst.c"

#line 1003
    );
#line 1003
  }
#line 1003

#line 1005 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__len */
#line 1005
struct f_inst * NONNULL(1)
#line 1005
f_new_method_FI_METHOD__T_LCLIST__len(struct f_inst *obj, struct f_inst *args)
#line 1005
  {
#line 1005
    /* Unwind the arguments (1) */
#line 1005
        if (args) cf_error("Too many arguments");
#line 1003 "filter/f-inst.c"

#line 1003

    return f_new_inst(FI_METHOD__T_LCLIST__len, obj
#line 1005 "filter/f-inst.c"

#line 1005
    );
#line 1005
  }
#line 1005

#line 1041 "filter/f-inst.c"
 /* Method constructor for FI_NET_SRC */
#line 1041
struct f_inst * NONNULL(1)
#line 1041
f_new_method_FI_NET_SRC(struct f_inst *obj, struct f_inst *args)
#line 1041
  {
#line 1041
    /* Unwind the arguments (1) */
#line 1041
        if (args) cf_error("Too many arguments");
#line 1007 "filter/f-inst.c"

#line 1007

    return f_new_inst(FI_NET_SRC, obj
#line 1041 "filter/f-inst.c"

#line 1041
    );
#line 1041
  }
#line 1041

#line 1078 "filter/f-inst.c"
 /* Method constructor for FI_NET_DST */
#line 1078
struct f_inst * NONNULL(1)
#line 1078
f_new_method_FI_NET_DST(struct f_inst *obj, struct f_inst *args)
#line 1078
  {
#line 1078
    /* Unwind the arguments (1) */
#line 1078
        if (args) cf_error("Too many arguments");
#line 1043 "filter/f-inst.c"

#line 1043

    return f_new_inst(FI_NET_DST, obj
#line 1078 "filter/f-inst.c"

#line 1078
    );
#line 1078
  }
#line 1078

#line 1088 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__maxlen */
#line 1088
struct f_inst * NONNULL(1)
#line 1088
f_new_method_FI_METHOD__T_NET__maxlen(struct f_inst *obj, struct f_inst *args)
#line 1088
  {
#line 1088
    /* Unwind the arguments (1) */
#line 1088
        if (args) cf_error("Too many arguments");
#line 1078 "filter/f-inst.c"

#line 1078

    return f_new_inst(FI_METHOD__T_NET__maxlen, obj
#line 1088 "filter/f-inst.c"

#line 1088
    );
#line 1088
  }
#line 1088

#line 1098 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__asn */
#line 1098
struct f_inst * NONNULL(1)
#line 1098
f_new_method_FI_METHOD__T_NET__asn(struct f_inst *obj, struct f_inst *args)
#line 1098
  {
#line 1098
    /* Unwind the arguments (1) */
#line 1098
        if (args) cf_error("Too many arguments");
#line 1088 "filter/f-inst.c"

#line 1088

    return f_new_inst(FI_METHOD__T_NET__asn, obj
#line 1098 "filter/f-inst.c"

#line 1098
    );
#line 1098
  }
#line 1098

#line 1100 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__ip */
#line 1100
struct f_inst * NONNULL(1)
#line 1100
f_new_method_FI_METHOD__T_NET__ip(struct f_inst *obj, struct f_inst *args)
#line 1100
  {
#line 1100
    /* Unwind the arguments (1) */
#line 1100
        if (args) cf_error("Too many arguments");
#line 1098 "filter/f-inst.c"

#line 1098

    return f_new_inst(FI_METHOD__T_NET__ip, obj
#line 1100 "filter/f-inst.c"

#line 1100
    );
#line 1100
  }
#line 1100

#line 1109 "filter/f-inst.c"
 /* Method constructor for FI_ROUTE_DISTINGUISHER */
#line 1109
struct f_inst * NONNULL(1)
#line 1109
f_new_method_FI_ROUTE_DISTINGUISHER(struct f_inst *obj, struct f_inst *args)
#line 1109
  {
#line 1109
    /* Unwind the arguments (1) */
#line 1109
        if (args) cf_error("Too many arguments");
#line 1102 "filter/f-inst.c"

#line 1102

    return f_new_inst(FI_ROUTE_DISTINGUISHER, obj
#line 1109 "filter/f-inst.c"

#line 1109
    );
#line 1109
  }
#line 1109

#line 1112 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__first */
#line 1112
struct f_inst * NONNULL(1)
#line 1112
f_new_method_FI_METHOD__T_PATH__first(struct f_inst *obj, struct f_inst *args)
#line 1112
  {
#line 1112
    /* Unwind the arguments (1) */
#line 1112
        if (args) cf_error("Too many arguments");
#line 1109 "filter/f-inst.c"

#line 1109

    return f_new_inst(FI_METHOD__T_PATH__first, obj
#line 1112 "filter/f-inst.c"

#line 1112
    );
#line 1112
  }
#line 1112

#line 1115 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last */
#line 1115
struct f_inst * NONNULL(1)
#line 1115
f_new_method_FI_METHOD__T_PATH__last(struct f_inst *obj, struct f_inst *args)
#line 1115
  {
#line 1115
    /* Unwind the arguments (1) */
#line 1115
        if (args) cf_error("Too many arguments");
#line 1112 "filter/f-inst.c"

#line 1112

    return f_new_inst(FI_METHOD__T_PATH__last, obj
#line 1115 "filter/f-inst.c"

#line 1115
    );
#line 1115
  }
#line 1115

#line 1118 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
struct f_inst * NONNULL(1)
#line 1118
f_new_method_FI_METHOD__T_PATH__last_nonaggregated(struct f_inst *obj, struct f_inst *args)
#line 1118
  {
#line 1118
    /* Unwind the arguments (1) */
#line 1118
        if (args) cf_error("Too many arguments");
#line 1115 "filter/f-inst.c"

#line 1115

    return f_new_inst(FI_METHOD__T_PATH__last_nonaggregated, obj
#line 1118 "filter/f-inst.c"

#line 1118
    );
#line 1118
  }
#line 1118

#line 1121 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__asn */
#line 1121
struct f_inst * NONNULL(1)
#line 1121
f_new_method_FI_METHOD__T_PAIR__asn(struct f_inst *obj, struct f_inst *args)
#line 1121
  {
#line 1121
    /* Unwind the arguments (1) */
#line 1121
        if (args) cf_error("Too many arguments");
#line 1118 "filter/f-inst.c"

#line 1118

    return f_new_inst(FI_METHOD__T_PAIR__asn, obj
#line 1121 "filter/f-inst.c"

#line 1121
    );
#line 1121
  }
#line 1121

#line 1124 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__data */
#line 1124
struct f_inst * NONNULL(1)
#line 1124
f_new_method_FI_METHOD__T_PAIR__data(struct f_inst *obj, struct f_inst *args)
#line 1124
  {
#line 1124
    /* Unwind the arguments (1) */
#line 1124
        if (args) cf_error("Too many arguments");
#line 1121 "filter/f-inst.c"

#line 1121

    return f_new_inst(FI_METHOD__T_PAIR__data, obj
#line 1124 "filter/f-inst.c"

#line 1124
    );
#line 1124
  }
#line 1124

#line 1127 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__asn */
#line 1127
struct f_inst * NONNULL(1)
#line 1127
f_new_method_FI_METHOD__T_LC__asn(struct f_inst *obj, struct f_inst *args)
#line 1127
  {
#line 1127
    /* Unwind the arguments (1) */
#line 1127
        if (args) cf_error("Too many arguments");
#line 1124 "filter/f-inst.c"

#line 1124

    return f_new_inst(FI_METHOD__T_LC__asn, obj
#line 1127 "filter/f-inst.c"

#line 1127
    );
#line 1127
  }
#line 1127

#line 1130 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data1 */
#line 1130
struct f_inst * NONNULL(1)
#line 1130
f_new_method_FI_METHOD__T_LC__data1(struct f_inst *obj, struct f_inst *args)
#line 1130
  {
#line 1130
    /* Unwind the arguments (1) */
#line 1130
        if (args) cf_error("Too many arguments");
#line 1127 "filter/f-inst.c"

#line 1127

    return f_new_inst(FI_METHOD__T_LC__data1, obj
#line 1130 "filter/f-inst.c"

#line 1130
    );
#line 1130
  }
#line 1130

#line 1133 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data2 */
#line 1133
struct f_inst * NONNULL(1)
#line 1133
f_new_method_FI_METHOD__T_LC__data2(struct f_inst *obj, struct f_inst *args)
#line 1133
  {
#line 1133
    /* Unwind the arguments (1) */
#line 1133
        if (args) cf_error("Too many arguments");
#line 1130 "filter/f-inst.c"

#line 1130

    return f_new_inst(FI_METHOD__T_LC__data2, obj
#line 1133 "filter/f-inst.c"

#line 1133
    );
#line 1133
  }
#line 1133

#line 1136 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__min */
#line 1136
struct f_inst * NONNULL(1)
#line 1136
f_new_method_FI_METHOD__T_CLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1136
  {
#line 1136
    /* Unwind the arguments (1) */
#line 1136
        if (args) cf_error("Too many arguments");
#line 1133 "filter/f-inst.c"

#line 1133

    return f_new_inst(FI_METHOD__T_CLIST__min, obj
#line 1136 "filter/f-inst.c"

#line 1136
    );
#line 1136
  }
#line 1136

#line 1139 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__max */
#line 1139
struct f_inst * NONNULL(1)
#line 1139
f_new_method_FI_METHOD__T_CLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1139
  {
#line 1139
    /* Unwind the arguments (1) */
#line 1139
        if (args) cf_error("Too many arguments");
#line 1136 "filter/f-inst.c"

#line 1136

    return f_new_inst(FI_METHOD__T_CLIST__max, obj
#line 1139 "filter/f-inst.c"

#line 1139
    );
#line 1139
  }
#line 1139

#line 1142 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__min */
#line 1142
struct f_inst * NONNULL(1)
#line 1142
f_new_method_FI_METHOD__T_ECLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1142
  {
#line 1142
    /* Unwind the arguments (1) */
#line 1142
        if (args) cf_error("Too many arguments");
#line 1139 "filter/f-inst.c"

#line 1139

    return f_new_inst(FI_METHOD__T_ECLIST__min, obj
#line 1142 "filter/f-inst.c"

#line 1142
    );
#line 1142
  }
#line 1142

#line 1145 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__max */
#line 1145
struct f_inst * NONNULL(1)
#line 1145
f_new_method_FI_METHOD__T_ECLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1145
  {
#line 1145
    /* Unwind the arguments (1) */
#line 1145
        if (args) cf_error("Too many arguments");
#line 1142 "filter/f-inst.c"

#line 1142

    return f_new_inst(FI_METHOD__T_ECLIST__max, obj
#line 1145 "filter/f-inst.c"

#line 1145
    );
#line 1145
  }
#line 1145

#line 1148 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__min */
#line 1148
struct f_inst * NONNULL(1)
#line 1148
f_new_method_FI_METHOD__T_LCLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1148
  {
#line 1148
    /* Unwind the arguments (1) */
#line 1148
        if (args) cf_error("Too many arguments");
#line 1145 "filter/f-inst.c"

#line 1145

    return f_new_inst(FI_METHOD__T_LCLIST__min, obj
#line 1148 "filter/f-inst.c"

#line 1148
    );
#line 1148
  }
#line 1148

#line 1150 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__max */
#line 1150
struct f_inst * NONNULL(1)
#line 1150
f_new_method_FI_METHOD__T_LCLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1150
  {
#line 1150
    /* Unwind the arguments (1) */
#line 1150
        if (args) cf_error("Too many arguments");
#line 1148 "filter/f-inst.c"

#line 1148

    return f_new_inst(FI_METHOD__T_LCLIST__max, obj
#line 1150 "filter/f-inst.c"

#line 1150
    );
#line 1150
  }
#line 1150

#line 1176 "filter/f-inst.c"

#line 1235 "filter/f-inst.c"

#line 1240 "filter/f-inst.c"

#line 1281 "filter/f-inst.c"

#line 1290 "filter/f-inst.c"
 /* Method constructor for FI_IP_MASK */
#line 1290
struct f_inst * NONNULL(1)
#line 1290
f_new_method_FI_IP_MASK(struct f_inst *obj, struct f_inst *args)
#line 1290
  {
#line 1290
    /* Unwind the arguments (2) */
#line 1290
    #line 1283 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1283
  if (args == NULL) cf_error("Not enough arguments"); /* FI_IP_MASK */
#line 1283
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1284 "filter/f-inst.c"

#line 1284

    return f_new_inst(FI_IP_MASK, obj
#line 1283 "filter/f-inst.c"
    , arg2
#line 1290 "filter/f-inst.c"

#line 1290
    );
#line 1290
  }
#line 1290

#line 1298 "filter/f-inst.c"
 /* Method constructor for FI_PATH_PREPEND */
#line 1298
struct f_inst * NONNULL(1)
#line 1298
f_new_method_FI_PATH_PREPEND(struct f_inst *obj, struct f_inst *args)
#line 1298
  {
#line 1298
    /* Unwind the arguments (2) */
#line 1298
    #line 1292 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1292
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_PREPEND */
#line 1292
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1293 "filter/f-inst.c"

#line 1293

    return f_new_inst(FI_PATH_PREPEND, obj
#line 1292 "filter/f-inst.c"
    , arg2
#line 1298 "filter/f-inst.c"

#line 1298
    );
#line 1298
  }
#line 1298

#line 1306 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_PAIR */
#line 1306
struct f_inst * NONNULL(1)
#line 1306
f_new_method_FI_CLIST_ADD_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1306
  {
#line 1306
    /* Unwind the arguments (2) */
#line 1306
    #line 1300 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1300
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_PAIR */
#line 1300
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1301 "filter/f-inst.c"

#line 1301

    return f_new_inst(FI_CLIST_ADD_PAIR, obj
#line 1300 "filter/f-inst.c"
    , arg2
#line 1306 "filter/f-inst.c"

#line 1306
    );
#line 1306
  }
#line 1306

#line 1313 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_INT */
#line 1313
struct f_inst * NONNULL(1)
#line 1313
f_new_method_FI_CLIST_ADD_INT(struct f_inst *obj, struct f_inst *args)
#line 1313
  {
#line 1313
    /* Unwind the arguments (2) */
#line 1313
    #line 1308 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1308
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_INT */
#line 1308
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1309 "filter/f-inst.c"

#line 1309

    return f_new_inst(FI_CLIST_ADD_INT, obj
#line 1308 "filter/f-inst.c"
    , arg2
#line 1313 "filter/f-inst.c"

#line 1313
    );
#line 1313
  }
#line 1313

#line 1327 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_IP */
#line 1327
struct f_inst * NONNULL(1)
#line 1327
f_new_method_FI_CLIST_ADD_IP(struct f_inst *obj, struct f_inst *args)
#line 1327
  {
#line 1327
    /* Unwind the arguments (2) */
#line 1327
    #line 1315 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1315
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_IP */
#line 1315
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1316 "filter/f-inst.c"

#line 1316

    return f_new_inst(FI_CLIST_ADD_IP, obj
#line 1315 "filter/f-inst.c"
    , arg2
#line 1327 "filter/f-inst.c"

#line 1327
    );
#line 1327
  }
#line 1327

#line 1334 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_QUAD */
#line 1334
struct f_inst * NONNULL(1)
#line 1334
f_new_method_FI_CLIST_ADD_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1334
  {
#line 1334
    /* Unwind the arguments (2) */
#line 1334
    #line 1329 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1329
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_QUAD */
#line 1329
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1330 "filter/f-inst.c"

#line 1330

    return f_new_inst(FI_CLIST_ADD_QUAD, obj
#line 1329 "filter/f-inst.c"
    , arg2
#line 1334 "filter/f-inst.c"

#line 1334
    );
#line 1334
  }
#line 1334

#line 1341 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_CLIST */
#line 1341
struct f_inst * NONNULL(1)
#line 1341
f_new_method_FI_CLIST_ADD_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1341
  {
#line 1341
    /* Unwind the arguments (2) */
#line 1341
    #line 1336 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1336
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_CLIST */
#line 1336
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1337 "filter/f-inst.c"

#line 1337

    return f_new_inst(FI_CLIST_ADD_CLIST, obj
#line 1336 "filter/f-inst.c"
    , arg2
#line 1341 "filter/f-inst.c"

#line 1341
    );
#line 1341
  }
#line 1341

#line 1348 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_EC */
#line 1348
struct f_inst * NONNULL(1)
#line 1348
f_new_method_FI_ECLIST_ADD_EC(struct f_inst *obj, struct f_inst *args)
#line 1348
  {
#line 1348
    /* Unwind the arguments (2) */
#line 1348
    #line 1343 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1343
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_EC */
#line 1343
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1344 "filter/f-inst.c"

#line 1344

    return f_new_inst(FI_ECLIST_ADD_EC, obj
#line 1343 "filter/f-inst.c"
    , arg2
#line 1348 "filter/f-inst.c"

#line 1348
    );
#line 1348
  }
#line 1348

#line 1355 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_ECLIST */
#line 1355
struct f_inst * NONNULL(1)
#line 1355
f_new_method_FI_ECLIST_ADD_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1355
  {
#line 1355
    /* Unwind the arguments (2) */
#line 1355
    #line 1350 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1350
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_ECLIST */
#line 1350
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1351 "filter/f-inst.c"

#line 1351

    return f_new_inst(FI_ECLIST_ADD_ECLIST, obj
#line 1350 "filter/f-inst.c"
    , arg2
#line 1355 "filter/f-inst.c"

#line 1355
    );
#line 1355
  }
#line 1355

#line 1362 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LC */
#line 1362
struct f_inst * NONNULL(1)
#line 1362
f_new_method_FI_LCLIST_ADD_LC(struct f_inst *obj, struct f_inst *args)
#line 1362
  {
#line 1362
    /* Unwind the arguments (2) */
#line 1362
    #line 1357 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1357
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LC */
#line 1357
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1358 "filter/f-inst.c"

#line 1358

    return f_new_inst(FI_LCLIST_ADD_LC, obj
#line 1357 "filter/f-inst.c"
    , arg2
#line 1362 "filter/f-inst.c"

#line 1362
    );
#line 1362
  }
#line 1362

#line 1369 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LCLIST */
#line 1369
struct f_inst * NONNULL(1)
#line 1369
f_new_method_FI_LCLIST_ADD_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1369
  {
#line 1369
    /* Unwind the arguments (2) */
#line 1369
    #line 1364 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1364
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LCLIST */
#line 1364
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1365 "filter/f-inst.c"

#line 1365

    return f_new_inst(FI_LCLIST_ADD_LCLIST, obj
#line 1364 "filter/f-inst.c"
    , arg2
#line 1369 "filter/f-inst.c"

#line 1369
    );
#line 1369
  }
#line 1369

#line 1376 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_INT */
#line 1376
struct f_inst * NONNULL(1)
#line 1376
f_new_method_FI_PATH_DELETE_INT(struct f_inst *obj, struct f_inst *args)
#line 1376
  {
#line 1376
    /* Unwind the arguments (2) */
#line 1376
    #line 1371 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1371
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_INT */
#line 1371
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1372 "filter/f-inst.c"

#line 1372

    return f_new_inst(FI_PATH_DELETE_INT, obj
#line 1371 "filter/f-inst.c"
    , arg2
#line 1376 "filter/f-inst.c"

#line 1376
    );
#line 1376
  }
#line 1376

#line 1388 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_SET */
#line 1388
struct f_inst * NONNULL(1)
#line 1388
f_new_method_FI_PATH_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1388
  {
#line 1388
    /* Unwind the arguments (2) */
#line 1388
    #line 1378 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1378
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_SET */
#line 1378
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1379 "filter/f-inst.c"

#line 1379

    return f_new_inst(FI_PATH_DELETE_SET, obj
#line 1378 "filter/f-inst.c"
    , arg2
#line 1388 "filter/f-inst.c"

#line 1388
    );
#line 1388
  }
#line 1388

#line 1396 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_PAIR */
#line 1396
struct f_inst * NONNULL(1)
#line 1396
f_new_method_FI_CLIST_DELETE_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1396
  {
#line 1396
    /* Unwind the arguments (2) */
#line 1396
    #line 1390 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1390
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_PAIR */
#line 1390
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1391 "filter/f-inst.c"

#line 1391

    return f_new_inst(FI_CLIST_DELETE_PAIR, obj
#line 1390 "filter/f-inst.c"
    , arg2
#line 1396 "filter/f-inst.c"

#line 1396
    );
#line 1396
  }
#line 1396

#line 1403 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_INT */
#line 1403
struct f_inst * NONNULL(1)
#line 1403
f_new_method_FI_CLIST_DELETE_INT(struct f_inst *obj, struct f_inst *args)
#line 1403
  {
#line 1403
    /* Unwind the arguments (2) */
#line 1403
    #line 1398 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1398
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_INT */
#line 1398
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1399 "filter/f-inst.c"

#line 1399

    return f_new_inst(FI_CLIST_DELETE_INT, obj
#line 1398 "filter/f-inst.c"
    , arg2
#line 1403 "filter/f-inst.c"

#line 1403
    );
#line 1403
  }
#line 1403

#line 1417 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_IP */
#line 1417
struct f_inst * NONNULL(1)
#line 1417
f_new_method_FI_CLIST_DELETE_IP(struct f_inst *obj, struct f_inst *args)
#line 1417
  {
#line 1417
    /* Unwind the arguments (2) */
#line 1417
    #line 1405 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1405
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_IP */
#line 1405
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1406 "filter/f-inst.c"

#line 1406

    return f_new_inst(FI_CLIST_DELETE_IP, obj
#line 1405 "filter/f-inst.c"
    , arg2
#line 1417 "filter/f-inst.c"

#line 1417
    );
#line 1417
  }
#line 1417

#line 1424 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_QUAD */
#line 1424
struct f_inst * NONNULL(1)
#line 1424
f_new_method_FI_CLIST_DELETE_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1424
  {
#line 1424
    /* Unwind the arguments (2) */
#line 1424
    #line 1419 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1419
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_QUAD */
#line 1419
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1420 "filter/f-inst.c"

#line 1420

    return f_new_inst(FI_CLIST_DELETE_QUAD, obj
#line 1419 "filter/f-inst.c"
    , arg2
#line 1424 "filter/f-inst.c"

#line 1424
    );
#line 1424
  }
#line 1424

#line 1431 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_CLIST */
#line 1431
struct f_inst * NONNULL(1)
#line 1431
f_new_method_FI_CLIST_DELETE_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1431
  {
#line 1431
    /* Unwind the arguments (2) */
#line 1431
    #line 1426 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1426
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_CLIST */
#line 1426
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1427 "filter/f-inst.c"

#line 1427

    return f_new_inst(FI_CLIST_DELETE_CLIST, obj
#line 1426 "filter/f-inst.c"
    , arg2
#line 1431 "filter/f-inst.c"

#line 1431
    );
#line 1431
  }
#line 1431

#line 1442 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_SET */
#line 1442
struct f_inst * NONNULL(1)
#line 1442
f_new_method_FI_CLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1442
  {
#line 1442
    /* Unwind the arguments (2) */
#line 1442
    #line 1433 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1433
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_SET */
#line 1433
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1434 "filter/f-inst.c"

#line 1434

    return f_new_inst(FI_CLIST_DELETE_SET, obj
#line 1433 "filter/f-inst.c"
    , arg2
#line 1442 "filter/f-inst.c"

#line 1442
    );
#line 1442
  }
#line 1442

#line 1449 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_EC */
#line 1449
struct f_inst * NONNULL(1)
#line 1449
f_new_method_FI_ECLIST_DELETE_EC(struct f_inst *obj, struct f_inst *args)
#line 1449
  {
#line 1449
    /* Unwind the arguments (2) */
#line 1449
    #line 1444 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1444
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_EC */
#line 1444
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1445 "filter/f-inst.c"

#line 1445

    return f_new_inst(FI_ECLIST_DELETE_EC, obj
#line 1444 "filter/f-inst.c"
    , arg2
#line 1449 "filter/f-inst.c"

#line 1449
    );
#line 1449
  }
#line 1449

#line 1456 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_ECLIST */
#line 1456
struct f_inst * NONNULL(1)
#line 1456
f_new_method_FI_ECLIST_DELETE_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1456
  {
#line 1456
    /* Unwind the arguments (2) */
#line 1456
    #line 1451 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1451
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_ECLIST */
#line 1451
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1452 "filter/f-inst.c"

#line 1452

    return f_new_inst(FI_ECLIST_DELETE_ECLIST, obj
#line 1451 "filter/f-inst.c"
    , arg2
#line 1456 "filter/f-inst.c"

#line 1456
    );
#line 1456
  }
#line 1456

#line 1467 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_SET */
#line 1467
struct f_inst * NONNULL(1)
#line 1467
f_new_method_FI_ECLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1467
  {
#line 1467
    /* Unwind the arguments (2) */
#line 1467
    #line 1458 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1458
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_SET */
#line 1458
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1459 "filter/f-inst.c"

#line 1459

    return f_new_inst(FI_ECLIST_DELETE_SET, obj
#line 1458 "filter/f-inst.c"
    , arg2
#line 1467 "filter/f-inst.c"

#line 1467
    );
#line 1467
  }
#line 1467

#line 1474 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LC */
#line 1474
struct f_inst * NONNULL(1)
#line 1474
f_new_method_FI_LCLIST_DELETE_LC(struct f_inst *obj, struct f_inst *args)
#line 1474
  {
#line 1474
    /* Unwind the arguments (2) */
#line 1474
    #line 1469 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1469
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LC */
#line 1469
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1470 "filter/f-inst.c"

#line 1470

    return f_new_inst(FI_LCLIST_DELETE_LC, obj
#line 1469 "filter/f-inst.c"
    , arg2
#line 1474 "filter/f-inst.c"

#line 1474
    );
#line 1474
  }
#line 1474

#line 1481 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LCLIST */
#line 1481
struct f_inst * NONNULL(1)
#line 1481
f_new_method_FI_LCLIST_DELETE_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1481
  {
#line 1481
    /* Unwind the arguments (2) */
#line 1481
    #line 1476 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1476
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LCLIST */
#line 1476
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1477 "filter/f-inst.c"

#line 1477

    return f_new_inst(FI_LCLIST_DELETE_LCLIST, obj
#line 1476 "filter/f-inst.c"
    , arg2
#line 1481 "filter/f-inst.c"

#line 1481
    );
#line 1481
  }
#line 1481

#line 1492 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_SET */
#line 1492
struct f_inst * NONNULL(1)
#line 1492
f_new_method_FI_LCLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1492
  {
#line 1492
    /* Unwind the arguments (2) */
#line 1492
    #line 1483 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1483
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_SET */
#line 1483
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1484 "filter/f-inst.c"

#line 1484

    return f_new_inst(FI_LCLIST_DELETE_SET, obj
#line 1483 "filter/f-inst.c"
    , arg2
#line 1492 "filter/f-inst.c"

#line 1492
    );
#line 1492
  }
#line 1492

#line 1503 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FILTER_SET */
#line 1503
struct f_inst * NONNULL(1)
#line 1503
f_new_method_FI_PATH_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1503
  {
#line 1503
    /* Unwind the arguments (2) */
#line 1503
    #line 1494 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1494
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FILTER_SET */
#line 1494
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1495 "filter/f-inst.c"

#line 1495

    return f_new_inst(FI_PATH_FILTER_SET, obj
#line 1494 "filter/f-inst.c"
    , arg2
#line 1503 "filter/f-inst.c"

#line 1503
    );
#line 1503
  }
#line 1503

#line 1510 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_CLIST */
#line 1510
struct f_inst * NONNULL(1)
#line 1510
f_new_method_FI_CLIST_FILTER_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1510
  {
#line 1510
    /* Unwind the arguments (2) */
#line 1510
    #line 1505 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1505
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_CLIST */
#line 1505
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1506 "filter/f-inst.c"

#line 1506

    return f_new_inst(FI_CLIST_FILTER_CLIST, obj
#line 1505 "filter/f-inst.c"
    , arg2
#line 1510 "filter/f-inst.c"

#line 1510
    );
#line 1510
  }
#line 1510

#line 1521 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_SET */
#line 1521
struct f_inst * NONNULL(1)
#line 1521
f_new_method_FI_CLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1521
  {
#line 1521
    /* Unwind the arguments (2) */
#line 1521
    #line 1512 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1512
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_SET */
#line 1512
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1513 "filter/f-inst.c"

#line 1513

    return f_new_inst(FI_CLIST_FILTER_SET, obj
#line 1512 "filter/f-inst.c"
    , arg2
#line 1521 "filter/f-inst.c"

#line 1521
    );
#line 1521
  }
#line 1521

#line 1528 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_ECLIST */
#line 1528
struct f_inst * NONNULL(1)
#line 1528
f_new_method_FI_ECLIST_FILTER_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1528
  {
#line 1528
    /* Unwind the arguments (2) */
#line 1528
    #line 1523 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1523
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_ECLIST */
#line 1523
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1524 "filter/f-inst.c"

#line 1524

    return f_new_inst(FI_ECLIST_FILTER_ECLIST, obj
#line 1523 "filter/f-inst.c"
    , arg2
#line 1528 "filter/f-inst.c"

#line 1528
    );
#line 1528
  }
#line 1528

#line 1539 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_SET */
#line 1539
struct f_inst * NONNULL(1)
#line 1539
f_new_method_FI_ECLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1539
  {
#line 1539
    /* Unwind the arguments (2) */
#line 1539
    #line 1530 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1530
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_SET */
#line 1530
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1531 "filter/f-inst.c"

#line 1531

    return f_new_inst(FI_ECLIST_FILTER_SET, obj
#line 1530 "filter/f-inst.c"
    , arg2
#line 1539 "filter/f-inst.c"

#line 1539
    );
#line 1539
  }
#line 1539

#line 1546 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_LCLIST */
#line 1546
struct f_inst * NONNULL(1)
#line 1546
f_new_method_FI_LCLIST_FILTER_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1546
  {
#line 1546
    /* Unwind the arguments (2) */
#line 1546
    #line 1541 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1541
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_LCLIST */
#line 1541
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1542 "filter/f-inst.c"

#line 1542

    return f_new_inst(FI_LCLIST_FILTER_LCLIST, obj
#line 1541 "filter/f-inst.c"
    , arg2
#line 1546 "filter/f-inst.c"

#line 1546
    );
#line 1546
  }
#line 1546

#line 1557 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_SET */
#line 1557
struct f_inst * NONNULL(1)
#line 1557
f_new_method_FI_LCLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1557
  {
#line 1557
    /* Unwind the arguments (2) */
#line 1557
    #line 1548 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1548
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_SET */
#line 1548
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1549 "filter/f-inst.c"

#line 1549

    return f_new_inst(FI_LCLIST_FILTER_SET, obj
#line 1548 "filter/f-inst.c"
    , arg2
#line 1557 "filter/f-inst.c"

#line 1557
    );
#line 1557
  }
#line 1557

#line 1587 "filter/f-inst.c"

#line 1609 "filter/f-inst.c"

#line 1625 "filter/f-inst.c"

#line 1640 "filter/f-inst.c"

#line 1645 "filter/f-inst.c"

#line 825 "filter/decl.m4"

#line 617 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Woverride-init"
#endif

#if defined(__clang__)
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Winitializer-overrides"
#endif

static struct sym_scope f_type_method_scopes[] = {
#line 500 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__type */
#line 500
  [T_NET] = {},
#line 503 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_IP__is_v4 */
#line 503
  [T_IP] = {},
#line 557 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__empty */
#line 557
  [T_PATH] = {},
#line 558 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__empty */
#line 558
  [T_CLIST] = {},
#line 559 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__empty */
#line 559
  [T_ECLIST] = {},
#line 562 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__empty */
#line 562
  [T_LCLIST] = {},
#line 593 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FOR_NEXT */
#line 593
  [T_PATH] = {},
#line 602 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FOR_NEXT */
#line 602
  [T_CLIST] = {},
#line 611 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FOR_NEXT */
#line 611
  [T_ECLIST] = {},
#line 620 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FOR_NEXT */
#line 620
  [T_LCLIST] = {},
#line 636 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  [T_ROUTES_BLOCK] = {},
#line 1000 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__len */
#line 1000
  [T_NET] = {},
#line 1001 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__len */
#line 1001
  [T_PATH] = {},
#line 1002 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__len */
#line 1002
  [T_CLIST] = {},
#line 1003 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__len */
#line 1003
  [T_ECLIST] = {},
#line 1005 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__len */
#line 1005
  [T_LCLIST] = {},
#line 1041 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_SRC */
#line 1041
  [T_NET] = {},
#line 1078 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_DST */
#line 1078
  [T_NET] = {},
#line 1088 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__maxlen */
#line 1088
  [T_NET] = {},
#line 1098 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__asn */
#line 1098
  [T_NET] = {},
#line 1100 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__ip */
#line 1100
  [T_NET] = {},
#line 1109 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTE_DISTINGUISHER */
#line 1109
  [T_NET] = {},
#line 1112 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__first */
#line 1112
  [T_PATH] = {},
#line 1115 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last */
#line 1115
  [T_PATH] = {},
#line 1118 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
  [T_PATH] = {},
#line 1121 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__asn */
#line 1121
  [T_PAIR] = {},
#line 1124 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__data */
#line 1124
  [T_PAIR] = {},
#line 1127 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__asn */
#line 1127
  [T_LC] = {},
#line 1130 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data1 */
#line 1130
  [T_LC] = {},
#line 1133 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data2 */
#line 1133
  [T_LC] = {},
#line 1136 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__min */
#line 1136
  [T_CLIST] = {},
#line 1139 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__max */
#line 1139
  [T_CLIST] = {},
#line 1142 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__min */
#line 1142
  [T_ECLIST] = {},
#line 1145 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__max */
#line 1145
  [T_ECLIST] = {},
#line 1148 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__min */
#line 1148
  [T_LCLIST] = {},
#line 1150 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__max */
#line 1150
  [T_LCLIST] = {},
#line 1290 "filter/f-inst.c"
 /* Method scope initializator for FI_IP_MASK */
#line 1290
  [T_IP] = {},
#line 1298 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_PREPEND */
#line 1298
  [T_PATH] = {},
#line 1306 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_PAIR */
#line 1306
  [T_CLIST] = {},
#line 1313 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_INT */
#line 1313
  [T_CLIST] = {},
#line 1327 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_IP */
#line 1327
  [T_CLIST] = {},
#line 1334 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_QUAD */
#line 1334
  [T_CLIST] = {},
#line 1341 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_CLIST */
#line 1341
  [T_CLIST] = {},
#line 1348 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_EC */
#line 1348
  [T_ECLIST] = {},
#line 1355 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_ECLIST */
#line 1355
  [T_ECLIST] = {},
#line 1362 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LC */
#line 1362
  [T_LCLIST] = {},
#line 1369 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LCLIST */
#line 1369
  [T_LCLIST] = {},
#line 1376 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_INT */
#line 1376
  [T_PATH] = {},
#line 1388 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_SET */
#line 1388
  [T_PATH] = {},
#line 1396 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_PAIR */
#line 1396
  [T_CLIST] = {},
#line 1403 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_INT */
#line 1403
  [T_CLIST] = {},
#line 1417 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_IP */
#line 1417
  [T_CLIST] = {},
#line 1424 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_QUAD */
#line 1424
  [T_CLIST] = {},
#line 1431 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_CLIST */
#line 1431
  [T_CLIST] = {},
#line 1442 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_SET */
#line 1442
  [T_CLIST] = {},
#line 1449 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_EC */
#line 1449
  [T_ECLIST] = {},
#line 1456 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_ECLIST */
#line 1456
  [T_ECLIST] = {},
#line 1467 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_SET */
#line 1467
  [T_ECLIST] = {},
#line 1474 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LC */
#line 1474
  [T_LCLIST] = {},
#line 1481 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LCLIST */
#line 1481
  [T_LCLIST] = {},
#line 1492 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_SET */
#line 1492
  [T_LCLIST] = {},
#line 1503 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FILTER_SET */
#line 1503
  [T_PATH] = {},
#line 1510 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_CLIST */
#line 1510
  [T_CLIST] = {},
#line 1521 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_SET */
#line 1521
  [T_CLIST] = {},
#line 1528 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_ECLIST */
#line 1528
  [T_ECLIST] = {},
#line 1539 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_SET */
#line 1539
  [T_ECLIST] = {},
#line 1546 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_LCLIST */
#line 1546
  [T_LCLIST] = {},
#line 1557 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_SET */
#line 1557
  [T_LCLIST] = {},
#line 630 "filter/decl.m4"

};

#if defined(__clang__)
#pragma clang diagnostic pop
#endif

#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

struct sym_scope *f_type_method_scope(enum f_type t)
{
  return (t < ARRAY_SIZE(f_type_method_scopes)) ? &f_type_method_scopes[t] : NULL;
}

static void
f_register_method(enum f_type t, const byte *name, struct f_method *dsc)
{
  struct sym_scope *scope = &f_type_method_scopes[t];
  struct symbol *sym = cf_find_symbol_scope(scope, name);

  if (!sym)
  {
    sym = cf_new_symbol(scope, global_root_scope_pool, global_root_scope_linpool, name);
    sym->class = SYM_METHOD;
  }

  dsc->sym = sym;
  dsc->next = sym->method;
  sym->method = dsc;
}

void f_type_methods_register(void)
{
  struct f_method *method;

#line 500 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__type */
#line 500
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 500
  method->new_inst = f_new_method_FI_METHOD__T_NET__type;
#line 500
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 500 "filter/f-inst.c"

#line 500
  f_register_method(T_NET, "type", method);
#line 500

#line 500

#line 503 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_IP__is_v4 */
#line 503
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 503
  method->new_inst = f_new_method_FI_METHOD__T_IP__is_v4;
#line 503
  method->arg_num = 1;
  method->args_type[0] = T_IP;
#line 503 "filter/f-inst.c"

#line 503
  f_register_method(T_IP, "is_v4", method);
#line 503

#line 503

#line 557 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__empty */
#line 557
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 557
  method->new_inst = f_new_method_FI_METHOD__T_PATH__empty;
#line 557
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 557 "filter/f-inst.c"

#line 557
  f_register_method(T_PATH, "empty", method);
#line 557

#line 557

#line 558 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__empty */
#line 558
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 558
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__empty;
#line 558
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 558 "filter/f-inst.c"

#line 558
  f_register_method(T_CLIST, "empty", method);
#line 558

#line 558

#line 559 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__empty */
#line 559
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 559
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__empty;
#line 559
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 559 "filter/f-inst.c"

#line 559
  f_register_method(T_ECLIST, "empty", method);
#line 559

#line 559

#line 562 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__empty */
#line 562
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 562
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__empty;
#line 562
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 562 "filter/f-inst.c"

#line 562
  f_register_method(T_LCLIST, "empty", method);
#line 562

#line 562

#line 593 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FOR_NEXT */
#line 593
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 593
  method->new_inst = f_new_method_FI_PATH_FOR_NEXT;
#line 593
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
#line 593 "filter/f-inst.c"

#line 593
  f_register_method(T_PATH, "!for_next", method);
#line 593

#line 593

#line 602 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FOR_NEXT */
#line 602
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 602
  method->new_inst = f_new_method_FI_CLIST_FOR_NEXT;
#line 602
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
#line 602 "filter/f-inst.c"

#line 602
  f_register_method(T_CLIST, "!for_next", method);
#line 602

#line 602

#line 611 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FOR_NEXT */
#line 611
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 611
  method->new_inst = f_new_method_FI_ECLIST_FOR_NEXT;
#line 611
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
#line 611 "filter/f-inst.c"

#line 611
  f_register_method(T_ECLIST, "!for_next", method);
#line 611

#line 611

#line 620 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FOR_NEXT */
#line 620
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 620
  method->new_inst = f_new_method_FI_LCLIST_FOR_NEXT;
#line 620
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
#line 620 "filter/f-inst.c"

#line 620
  f_register_method(T_LCLIST, "!for_next", method);
#line 620

#line 620

#line 636 "filter/f-inst.c"
 /* Method registrator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 636
  method->new_inst = f_new_method_FI_ROUTES_BLOCK_FOR_NEXT;
#line 636
  method->arg_num = 2;
  method->args_type[0] = T_ROUTES_BLOCK;
#line 636 "filter/f-inst.c"

#line 636
  f_register_method(T_ROUTES_BLOCK, "!for_next", method);
#line 636

#line 636

#line 1000 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__len */
#line 1000
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1000
  method->new_inst = f_new_method_FI_METHOD__T_NET__len;
#line 1000
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1000 "filter/f-inst.c"

#line 1000
  f_register_method(T_NET, "len", method);
#line 1000

#line 1000

#line 1001 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__len */
#line 1001
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1001
  method->new_inst = f_new_method_FI_METHOD__T_PATH__len;
#line 1001
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1001 "filter/f-inst.c"

#line 1001
  f_register_method(T_PATH, "len", method);
#line 1001

#line 1001

#line 1002 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__len */
#line 1002
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1002
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__len;
#line 1002
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1002 "filter/f-inst.c"

#line 1002
  f_register_method(T_CLIST, "len", method);
#line 1002

#line 1002

#line 1003 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__len */
#line 1003
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1003
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__len;
#line 1003
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1003 "filter/f-inst.c"

#line 1003
  f_register_method(T_ECLIST, "len", method);
#line 1003

#line 1003

#line 1005 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__len */
#line 1005
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1005
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__len;
#line 1005
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1005 "filter/f-inst.c"

#line 1005
  f_register_method(T_LCLIST, "len", method);
#line 1005

#line 1005

#line 1041 "filter/f-inst.c"
 /* Method registrator for FI_NET_SRC */
#line 1041
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1041
  method->new_inst = f_new_method_FI_NET_SRC;
#line 1041
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1041 "filter/f-inst.c"

#line 1041
  f_register_method(T_NET, "src", method);
#line 1041

#line 1041

#line 1078 "filter/f-inst.c"
 /* Method registrator for FI_NET_DST */
#line 1078
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1078
  method->new_inst = f_new_method_FI_NET_DST;
#line 1078
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1078 "filter/f-inst.c"

#line 1078
  f_register_method(T_NET, "dst", method);
#line 1078

#line 1078

#line 1088 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__maxlen */
#line 1088
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1088
  method->new_inst = f_new_method_FI_METHOD__T_NET__maxlen;
#line 1088
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1088 "filter/f-inst.c"

#line 1088
  f_register_method(T_NET, "maxlen", method);
#line 1088

#line 1088

#line 1098 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__asn */
#line 1098
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1098
  method->new_inst = f_new_method_FI_METHOD__T_NET__asn;
#line 1098
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1098 "filter/f-inst.c"

#line 1098
  f_register_method(T_NET, "asn", method);
#line 1098

#line 1098

#line 1100 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__ip */
#line 1100
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1100
  method->new_inst = f_new_method_FI_METHOD__T_NET__ip;
#line 1100
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1100 "filter/f-inst.c"

#line 1100
  f_register_method(T_NET, "ip", method);
#line 1100

#line 1100

#line 1109 "filter/f-inst.c"
 /* Method registrator for FI_ROUTE_DISTINGUISHER */
#line 1109
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1109
  method->new_inst = f_new_method_FI_ROUTE_DISTINGUISHER;
#line 1109
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1109 "filter/f-inst.c"

#line 1109
  f_register_method(T_NET, "rd", method);
#line 1109

#line 1109

#line 1112 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__first */
#line 1112
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1112
  method->new_inst = f_new_method_FI_METHOD__T_PATH__first;
#line 1112
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1112 "filter/f-inst.c"

#line 1112
  f_register_method(T_PATH, "first", method);
#line 1112

#line 1112

#line 1115 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last */
#line 1115
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1115
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last;
#line 1115
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1115 "filter/f-inst.c"

#line 1115
  f_register_method(T_PATH, "last", method);
#line 1115

#line 1115

#line 1118 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1118
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last_nonaggregated;
#line 1118
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1118 "filter/f-inst.c"

#line 1118
  f_register_method(T_PATH, "last_nonaggregated", method);
#line 1118

#line 1118

#line 1121 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__asn */
#line 1121
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1121
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__asn;
#line 1121
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1121 "filter/f-inst.c"

#line 1121
  f_register_method(T_PAIR, "asn", method);
#line 1121

#line 1121

#line 1124 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__data */
#line 1124
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1124
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__data;
#line 1124
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1124 "filter/f-inst.c"

#line 1124
  f_register_method(T_PAIR, "data", method);
#line 1124

#line 1124

#line 1127 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__asn */
#line 1127
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1127
  method->new_inst = f_new_method_FI_METHOD__T_LC__asn;
#line 1127
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1127 "filter/f-inst.c"

#line 1127
  f_register_method(T_LC, "asn", method);
#line 1127

#line 1127

#line 1130 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data1 */
#line 1130
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1130
  method->new_inst = f_new_method_FI_METHOD__T_LC__data1;
#line 1130
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1130 "filter/f-inst.c"

#line 1130
  f_register_method(T_LC, "data1", method);
#line 1130

#line 1130

#line 1133 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data2 */
#line 1133
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1133
  method->new_inst = f_new_method_FI_METHOD__T_LC__data2;
#line 1133
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1133 "filter/f-inst.c"

#line 1133
  f_register_method(T_LC, "data2", method);
#line 1133

#line 1133

#line 1136 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__min */
#line 1136
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1136
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__min;
#line 1136
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1136 "filter/f-inst.c"

#line 1136
  f_register_method(T_CLIST, "min", method);
#line 1136

#line 1136

#line 1139 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__max */
#line 1139
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1139
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__max;
#line 1139
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1139 "filter/f-inst.c"

#line 1139
  f_register_method(T_CLIST, "max", method);
#line 1139

#line 1139

#line 1142 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__min */
#line 1142
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1142
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__min;
#line 1142
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1142 "filter/f-inst.c"

#line 1142
  f_register_method(T_ECLIST, "min", method);
#line 1142

#line 1142

#line 1145 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__max */
#line 1145
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1145
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__max;
#line 1145
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1145 "filter/f-inst.c"

#line 1145
  f_register_method(T_ECLIST, "max", method);
#line 1145

#line 1145

#line 1148 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__min */
#line 1148
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1148
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__min;
#line 1148
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1148 "filter/f-inst.c"

#line 1148
  f_register_method(T_LCLIST, "min", method);
#line 1148

#line 1148

#line 1150 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__max */
#line 1150
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1150
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__max;
#line 1150
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1150 "filter/f-inst.c"

#line 1150
  f_register_method(T_LCLIST, "max", method);
#line 1150

#line 1150

#line 1290 "filter/f-inst.c"
 /* Method registrator for FI_IP_MASK */
#line 1290
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1290
  method->new_inst = f_new_method_FI_IP_MASK;
#line 1290
  method->arg_num = 2;
  method->args_type[0] = T_IP;
  method->args_type[1] = T_INT;
#line 1290 "filter/f-inst.c"

#line 1290
  f_register_method(T_IP, "mask", method);
#line 1290

#line 1290

#line 1298 "filter/f-inst.c"
 /* Method registrator for FI_PATH_PREPEND */
#line 1298
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1298
  method->new_inst = f_new_method_FI_PATH_PREPEND;
#line 1298
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1298 "filter/f-inst.c"

#line 1298
  f_register_method(T_PATH, "prepend", method);
#line 1298

#line 1298

#line 1306 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_PAIR */
#line 1306
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1306
  method->new_inst = f_new_method_FI_CLIST_ADD_PAIR;
#line 1306
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1306 "filter/f-inst.c"

#line 1306
  f_register_method(T_CLIST, "add", method);
#line 1306

#line 1306

#line 1313 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_INT */
#line 1313
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1313
  method->new_inst = f_new_method_FI_CLIST_ADD_INT;
#line 1313
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_INT;
#line 1313 "filter/f-inst.c"

#line 1313
  f_register_method(T_CLIST, "add", method);
#line 1313

#line 1313

#line 1327 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_IP */
#line 1327
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1327
  method->new_inst = f_new_method_FI_CLIST_ADD_IP;
#line 1327
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1327 "filter/f-inst.c"

#line 1327
  f_register_method(T_CLIST, "add", method);
#line 1327

#line 1327

#line 1334 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_QUAD */
#line 1334
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1334
  method->new_inst = f_new_method_FI_CLIST_ADD_QUAD;
#line 1334
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1334 "filter/f-inst.c"

#line 1334
  f_register_method(T_CLIST, "add", method);
#line 1334

#line 1334

#line 1341 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_CLIST */
#line 1341
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1341
  method->new_inst = f_new_method_FI_CLIST_ADD_CLIST;
#line 1341
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1341 "filter/f-inst.c"

#line 1341
  f_register_method(T_CLIST, "add", method);
#line 1341

#line 1341

#line 1348 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_EC */
#line 1348
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1348
  method->new_inst = f_new_method_FI_ECLIST_ADD_EC;
#line 1348
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1348 "filter/f-inst.c"

#line 1348
  f_register_method(T_ECLIST, "add", method);
#line 1348

#line 1348

#line 1355 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_ECLIST */
#line 1355
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1355
  method->new_inst = f_new_method_FI_ECLIST_ADD_ECLIST;
#line 1355
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1355 "filter/f-inst.c"

#line 1355
  f_register_method(T_ECLIST, "add", method);
#line 1355

#line 1355

#line 1362 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LC */
#line 1362
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1362
  method->new_inst = f_new_method_FI_LCLIST_ADD_LC;
#line 1362
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1362 "filter/f-inst.c"

#line 1362
  f_register_method(T_LCLIST, "add", method);
#line 1362

#line 1362

#line 1369 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LCLIST */
#line 1369
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1369
  method->new_inst = f_new_method_FI_LCLIST_ADD_LCLIST;
#line 1369
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1369 "filter/f-inst.c"

#line 1369
  f_register_method(T_LCLIST, "add", method);
#line 1369

#line 1369

#line 1376 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_INT */
#line 1376
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1376
  method->new_inst = f_new_method_FI_PATH_DELETE_INT;
#line 1376
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1376 "filter/f-inst.c"

#line 1376
  f_register_method(T_PATH, "delete", method);
#line 1376

#line 1376

#line 1388 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_SET */
#line 1388
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1388
  method->new_inst = f_new_method_FI_PATH_DELETE_SET;
#line 1388
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1388 "filter/f-inst.c"

#line 1388
  f_register_method(T_PATH, "delete", method);
#line 1388

#line 1388

#line 1396 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_PAIR */
#line 1396
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1396
  method->new_inst = f_new_method_FI_CLIST_DELETE_PAIR;
#line 1396
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1396 "filter/f-inst.c"

#line 1396
  f_register_method(T_CLIST, "delete", method);
#line 1396

#line 1396

#line 1403 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_INT */
#line 1403
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1403
  method->new_inst = f_new_method_FI_CLIST_DELETE_INT;
#line 1403
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_INT;
#line 1403 "filter/f-inst.c"

#line 1403
  f_register_method(T_CLIST, "delete", method);
#line 1403

#line 1403

#line 1417 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_IP */
#line 1417
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1417
  method->new_inst = f_new_method_FI_CLIST_DELETE_IP;
#line 1417
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1417 "filter/f-inst.c"

#line 1417
  f_register_method(T_CLIST, "delete", method);
#line 1417

#line 1417

#line 1424 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_QUAD */
#line 1424
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1424
  method->new_inst = f_new_method_FI_CLIST_DELETE_QUAD;
#line 1424
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1424 "filter/f-inst.c"

#line 1424
  f_register_method(T_CLIST, "delete", method);
#line 1424

#line 1424

#line 1431 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_CLIST */
#line 1431
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1431
  method->new_inst = f_new_method_FI_CLIST_DELETE_CLIST;
#line 1431
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1431 "filter/f-inst.c"

#line 1431
  f_register_method(T_CLIST, "delete", method);
#line 1431

#line 1431

#line 1442 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_SET */
#line 1442
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1442
  method->new_inst = f_new_method_FI_CLIST_DELETE_SET;
#line 1442
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1442 "filter/f-inst.c"

#line 1442
  f_register_method(T_CLIST, "delete", method);
#line 1442

#line 1442

#line 1449 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_EC */
#line 1449
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1449
  method->new_inst = f_new_method_FI_ECLIST_DELETE_EC;
#line 1449
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1449 "filter/f-inst.c"

#line 1449
  f_register_method(T_ECLIST, "delete", method);
#line 1449

#line 1449

#line 1456 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_ECLIST */
#line 1456
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1456
  method->new_inst = f_new_method_FI_ECLIST_DELETE_ECLIST;
#line 1456
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1456 "filter/f-inst.c"

#line 1456
  f_register_method(T_ECLIST, "delete", method);
#line 1456

#line 1456

#line 1467 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_SET */
#line 1467
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1467
  method->new_inst = f_new_method_FI_ECLIST_DELETE_SET;
#line 1467
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1467 "filter/f-inst.c"

#line 1467
  f_register_method(T_ECLIST, "delete", method);
#line 1467

#line 1467

#line 1474 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LC */
#line 1474
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1474
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LC;
#line 1474
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1474 "filter/f-inst.c"

#line 1474
  f_register_method(T_LCLIST, "delete", method);
#line 1474

#line 1474

#line 1481 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LCLIST */
#line 1481
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1481
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LCLIST;
#line 1481
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1481 "filter/f-inst.c"

#line 1481
  f_register_method(T_LCLIST, "delete", method);
#line 1481

#line 1481

#line 1492 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_SET */
#line 1492
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1492
  method->new_inst = f_new_method_FI_LCLIST_DELETE_SET;
#line 1492
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1492 "filter/f-inst.c"

#line 1492
  f_register_method(T_LCLIST, "delete", method);
#line 1492

#line 1492

#line 1503 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FILTER_SET */
#line 1503
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1503
  method->new_inst = f_new_method_FI_PATH_FILTER_SET;
#line 1503
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1503 "filter/f-inst.c"

#line 1503
  f_register_method(T_PATH, "filter", method);
#line 1503

#line 1503

#line 1510 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_CLIST */
#line 1510
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1510
  method->new_inst = f_new_method_FI_CLIST_FILTER_CLIST;
#line 1510
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1510 "filter/f-inst.c"

#line 1510
  f_register_method(T_CLIST, "filter", method);
#line 1510

#line 1510

#line 1521 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_SET */
#line 1521
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1521
  method->new_inst = f_new_method_FI_CLIST_FILTER_SET;
#line 1521
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1521 "filter/f-inst.c"

#line 1521
  f_register_method(T_CLIST, "filter", method);
#line 1521

#line 1521

#line 1528 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_ECLIST */
#line 1528
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1528
  method->new_inst = f_new_method_FI_ECLIST_FILTER_ECLIST;
#line 1528
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1528 "filter/f-inst.c"

#line 1528
  f_register_method(T_ECLIST, "filter", method);
#line 1528

#line 1528

#line 1539 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_SET */
#line 1539
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1539
  method->new_inst = f_new_method_FI_ECLIST_FILTER_SET;
#line 1539
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1539 "filter/f-inst.c"

#line 1539
  f_register_method(T_ECLIST, "filter", method);
#line 1539

#line 1539

#line 1546 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_LCLIST */
#line 1546
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1546
  method->new_inst = f_new_method_FI_LCLIST_FILTER_LCLIST;
#line 1546
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1546 "filter/f-inst.c"

#line 1546
  f_register_method(T_LCLIST, "filter", method);
#line 1546

#line 1546

#line 1557 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_SET */
#line 1557
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1557
  method->new_inst = f_new_method_FI_LCLIST_FILTER_SET;
#line 1557
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1557 "filter/f-inst.c"

#line 1557
  f_register_method(T_LCLIST, "filter", method);
#line 1557

#line 1557

#line 667 "filter/decl.m4"


  for (uint i = 0; i < ARRAY_SIZE(f_type_method_scopes); i++)
    f_type_method_scopes[i].readonly = 1;
}

/* Line dumpers */
#define INDENT (((const char *) f_dump_line_indent_str) + sizeof(f_dump_line_indent_str) - (indent) - 1)
static const char f_dump_line_indent_str[] = "                                ";

#line 291 "filter/f-inst.c"
 /* Dump line for FI_ADD */
#line 291
static inline void f_dump_line_item_FI_ADD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 291

#line 291
{
#line 291
#define item (&(item_->i_FI_ADD))
#line 291
#undef item
#line 291
}
#line 291

#line 296 "filter/f-inst.c"
 /* Dump line for FI_SUBTRACT */
#line 296
static inline void f_dump_line_item_FI_SUBTRACT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 296

#line 296
{
#line 296
#define item (&(item_->i_FI_SUBTRACT))
#line 296
#undef item
#line 296
}
#line 296

#line 301 "filter/f-inst.c"
 /* Dump line for FI_MULTIPLY */
#line 301
static inline void f_dump_line_item_FI_MULTIPLY(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 301

#line 301
{
#line 301
#define item (&(item_->i_FI_MULTIPLY))
#line 301
#undef item
#line 301
}
#line 301

#line 307 "filter/f-inst.c"
 /* Dump line for FI_DIVIDE */
#line 307
static inline void f_dump_line_item_FI_DIVIDE(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 307

#line 307
{
#line 307
#define item (&(item_->i_FI_DIVIDE))
#line 307
#undef item
#line 307
}
#line 307

#line 317 "filter/f-inst.c"
 /* Dump line for FI_AND */
#line 317
static inline void f_dump_line_item_FI_AND(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 317

#line 317
{
#line 317
#define item (&(item_->i_FI_AND))
#line 313 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 317 "filter/f-inst.c"
#undef item
#line 317
}
#line 317

#line 328 "filter/f-inst.c"
 /* Dump line for FI_OR */
#line 328
static inline void f_dump_line_item_FI_OR(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 328

#line 328
{
#line 328
#define item (&(item_->i_FI_OR))
#line 323 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 328 "filter/f-inst.c"
#undef item
#line 328
}
#line 328

#line 338 "filter/f-inst.c"
 /* Dump line for FI_PAIR_CONSTRUCT */
#line 338
static inline void f_dump_line_item_FI_PAIR_CONSTRUCT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 338

#line 338
{
#line 338
#define item (&(item_->i_FI_PAIR_CONSTRUCT))
#line 338
#undef item
#line 338
}
#line 338

#line 378 "filter/f-inst.c"
 /* Dump line for FI_EC_CONSTRUCT */
#line 378
static inline void f_dump_line_item_FI_EC_CONSTRUCT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 378

#line 378
{
#line 378
#define item (&(item_->i_FI_EC_CONSTRUCT))
#line 342 "filter/f-inst.c"
RDUMP("%s" "ec subtype %s" "\n", INDENT, ec_subtype_str(item->ecs));
#line 342

#line 378 "filter/f-inst.c"
#undef item
#line 378
}
#line 378

#line 385 "filter/f-inst.c"
 /* Dump line for FI_LC_CONSTRUCT */
#line 385
static inline void f_dump_line_item_FI_LC_CONSTRUCT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 385

#line 385
{
#line 385
#define item (&(item_->i_FI_LC_CONSTRUCT))
#line 385
#undef item
#line 385
}
#line 385

#line 435 "filter/f-inst.c"
 /* Dump line for FI_PATHMASK_CONSTRUCT */
#line 435
static inline void f_dump_line_item_FI_PATHMASK_CONSTRUCT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 435

#line 435
{
#line 435
#define item (&(item_->i_FI_PATHMASK_CONSTRUCT))
#line 386 "filter/f-inst.c"
  RDUMP("%snumber of varargs %u\n", INDENT, item->varcount);
#line 435 "filter/f-inst.c"
#undef item
#line 435
}
#line 435

#line 442 "filter/f-inst.c"
 /* Dump line for FI_NEQ */
#line 442
static inline void f_dump_line_item_FI_NEQ(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 442

#line 442
{
#line 442
#define item (&(item_->i_FI_NEQ))
#line 442
#undef item
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line for FI_EQ */
#line 449
static inline void f_dump_line_item_FI_EQ(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 449

#line 449
{
#line 449
#define item (&(item_->i_FI_EQ))
#line 449
#undef item
#line 449
}
#line 449

#line 460 "filter/f-inst.c"
 /* Dump line for FI_LT */
#line 460
static inline void f_dump_line_item_FI_LT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 460

#line 460
{
#line 460
#define item (&(item_->i_FI_LT))
#line 460
#undef item
#line 460
}
#line 460

#line 471 "filter/f-inst.c"
 /* Dump line for FI_LTE */
#line 471
static inline void f_dump_line_item_FI_LTE(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 471

#line 471
{
#line 471
#define item (&(item_->i_FI_LTE))
#line 471
#undef item
#line 471
}
#line 471

#line 476 "filter/f-inst.c"
 /* Dump line for FI_NOT */
#line 476
static inline void f_dump_line_item_FI_NOT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 476

#line 476
{
#line 476
#define item (&(item_->i_FI_NOT))
#line 476
#undef item
#line 476
}
#line 476

#line 485 "filter/f-inst.c"
 /* Dump line for FI_MATCH */
#line 485
static inline void f_dump_line_item_FI_MATCH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 485

#line 485
{
#line 485
#define item (&(item_->i_FI_MATCH))
#line 485
#undef item
#line 485
}
#line 485

#line 494 "filter/f-inst.c"
 /* Dump line for FI_NOT_MATCH */
#line 494
static inline void f_dump_line_item_FI_NOT_MATCH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 494

#line 494
{
#line 494
#define item (&(item_->i_FI_NOT_MATCH))
#line 494
#undef item
#line 494
}
#line 494

#line 499 "filter/f-inst.c"
 /* Dump line for FI_DEFINED */
#line 499
static inline void f_dump_line_item_FI_DEFINED(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 499

#line 499
{
#line 499
#define item (&(item_->i_FI_DEFINED))
#line 499
#undef item
#line 499
}
#line 499

#line 500 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__type */
#line 500
static inline void f_dump_line_item_FI_METHOD__T_NET__type(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 500

#line 500
{
#line 500
#define item (&(item_->i_FI_METHOD__T_NET__type))
#line 500
#undef item
#line 500
}
#line 500

#line 503 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_IP__is_v4 */
#line 503
static inline void f_dump_line_item_FI_METHOD__T_IP__is_v4(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 503

#line 503
{
#line 503
#define item (&(item_->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef item
#line 503
}
#line 503

#line 516 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT */
#line 516
static inline void f_dump_line_item_FI_VAR_INIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 516

#line 516
{
#line 516
#define item (&(item_->i_FI_VAR_INIT))
#line 506 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 506

#line 516 "filter/f-inst.c"
#undef item
#line 516
}
#line 516

#line 527 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT0 */
#line 527
static inline void f_dump_line_item_FI_VAR_INIT0(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 527

#line 527
{
#line 527
#define item (&(item_->i_FI_VAR_INIT0))
#line 518 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 518

#line 527 "filter/f-inst.c"
#undef item
#line 527
}
#line 527

#line 536 "filter/f-inst.c"
 /* Dump line for FI_VAR_SET */
#line 536
static inline void f_dump_line_item_FI_VAR_SET(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 536

#line 536
{
#line 536
#define item (&(item_->i_FI_VAR_SET))
#line 530 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 530

#line 536 "filter/f-inst.c"
#undef item
#line 536
}
#line 536

#line 543 "filter/f-inst.c"
 /* Dump line for FI_VAR_GET */
#line 543
static inline void f_dump_line_item_FI_VAR_GET(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 543

#line 543
{
#line 543
#define item (&(item_->i_FI_VAR_GET))
#line 537 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 537

#line 543 "filter/f-inst.c"
#undef item
#line 543
}
#line 543

#line 556 "filter/f-inst.c"
 /* Dump line for FI_CONSTANT */
#line 556
static inline void f_dump_line_item_FI_CONSTANT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 556

#line 556
{
#line 556
#define item (&(item_->i_FI_CONSTANT))
#line 544 "filter/f-inst.c"
RDUMP("%s" "value %s" "\n", INDENT, val_dump(&(item->val))
#line 544
    );
#line 544

#line 556 "filter/f-inst.c"
#undef item
#line 556
}
#line 556

#line 557 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__empty */
#line 557
static inline void f_dump_line_item_FI_METHOD__T_PATH__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 557

#line 557
{
#line 557
#define item (&(item_->i_FI_METHOD__T_PATH__empty))
#line 557
#undef item
#line 557
}
#line 557

#line 558 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__empty */
#line 558
static inline void f_dump_line_item_FI_METHOD__T_CLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 558

#line 558
{
#line 558
#define item (&(item_->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef item
#line 558
}
#line 558

#line 559 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__empty */
#line 559
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 559

#line 559
{
#line 559
#define item (&(item_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef item
#line 559
}
#line 559

#line 562 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__empty */
#line 562
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__empty(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 562

#line 562
{
#line 562
#define item (&(item_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef item
#line 562
}
#line 562

#line 584 "filter/f-inst.c"
 /* Dump line for FI_FOR_LOOP_START */
#line 584
static inline void f_dump_line_item_FI_FOR_LOOP_START(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 584

#line 584
{
#line 584
#define item (&(item_->i_FI_FOR_LOOP_START))
#line 564 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 564

#line 584 "filter/f-inst.c"
#undef item
#line 584
}
#line 584

#line 593 "filter/f-inst.c"
 /* Dump line for FI_PATH_FOR_NEXT */
#line 593
static inline void f_dump_line_item_FI_PATH_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 593

#line 593
{
#line 593
#define item (&(item_->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 593 "filter/f-inst.c"
#undef item
#line 593
}
#line 593

#line 602 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FOR_NEXT */
#line 602
static inline void f_dump_line_item_FI_CLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 602

#line 602
{
#line 602
#define item (&(item_->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 602 "filter/f-inst.c"
#undef item
#line 602
}
#line 602

#line 611 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FOR_NEXT */
#line 611
static inline void f_dump_line_item_FI_ECLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 611

#line 611
{
#line 611
#define item (&(item_->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 611 "filter/f-inst.c"
#undef item
#line 611
}
#line 611

#line 620 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FOR_NEXT */
#line 620
static inline void f_dump_line_item_FI_LCLIST_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 620

#line 620
{
#line 620
#define item (&(item_->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 620 "filter/f-inst.c"
#undef item
#line 620
}
#line 620

#line 636 "filter/f-inst.c"
 /* Dump line for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
static inline void f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 636

#line 636
{
#line 636
#define item (&(item_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 636 "filter/f-inst.c"
#undef item
#line 636
}
#line 636

#line 644 "filter/f-inst.c"
 /* Dump line for FI_CONDITION */
#line 644
static inline void f_dump_line_item_FI_CONDITION(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 644

#line 644
{
#line 644
#define item (&(item_->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
f_dump_line(dreq, item->fl2, indent + 1);
#line 641 "filter/f-inst.c"
f_dump_line(dreq, item->fl3, indent + 1);
#line 644 "filter/f-inst.c"
#undef item
#line 644
}
#line 644

#line 652 "filter/f-inst.c"
 /* Dump line for FI_PRINT */
#line 652
static inline void f_dump_line_item_FI_PRINT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 652

#line 652
{
#line 652
#define item (&(item_->i_FI_PRINT))
#line 652
#undef item
#line 652
}
#line 652

#line 659 "filter/f-inst.c"
 /* Dump line for FI_FLUSH */
#line 659
static inline void f_dump_line_item_FI_FLUSH(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 659

#line 659
{
#line 659
#define item (&(item_->i_FI_FLUSH))
#line 659
#undef item
#line 659
}
#line 659

#line 673 "filter/f-inst.c"
 /* Dump line for FI_DIE */
#line 673
static inline void f_dump_line_item_FI_DIE(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 673

#line 673
{
#line 673
#define item (&(item_->i_FI_DIE))
#line 661 "filter/f-inst.c"
RDUMP("%s" "%s" "\n", INDENT, filter_return_str(item->fret));
#line 661

#line 673 "filter/f-inst.c"
#undef item
#line 673
}
#line 673

#line 713 "filter/f-inst.c"
 /* Dump line for FI_RTA_GET */
#line 713
static inline void f_dump_line_item_FI_RTA_GET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 713

#line 713
{
#line 713
#define item (&(item_->i_FI_RTA_GET))
#line 713
#undef item
#line 713
}
#line 713

#line 858 "filter/f-inst.c"
 /* Dump line for FI_RTA_SET */
#line 858
static inline void f_dump_line_item_FI_RTA_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 858

#line 858
{
#line 858
#define item (&(item_->i_FI_RTA_SET))
#line 858
#undef item
#line 858
}
#line 858

#line 913 "filter/f-inst.c"
 /* Dump line for FI_EA_GET */
#line 913
static inline void f_dump_line_item_FI_EA_GET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 913

#line 913
{
#line 913
#define item (&(item_->i_FI_EA_GET))
#line 913
#undef item
#line 913
}
#line 913

#line 989 "filter/f-inst.c"
 /* Dump line for FI_EA_SET */
#line 989
static inline void f_dump_line_item_FI_EA_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 989

#line 989
{
#line 989
#define item (&(item_->i_FI_EA_SET))
#line 989
#undef item
#line 989
}
#line 989

#line 999 "filter/f-inst.c"
 /* Dump line for FI_EA_UNSET */
#line 999
static inline void f_dump_line_item_FI_EA_UNSET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 999

#line 999
{
#line 999
#define item (&(item_->i_FI_EA_UNSET))
#line 999
#undef item
#line 999
}
#line 999

#line 1000 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__len */
#line 1000
static inline void f_dump_line_item_FI_METHOD__T_NET__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1000

#line 1000
{
#line 1000
#define item (&(item_->i_FI_METHOD__T_NET__len))
#line 1000
#undef item
#line 1000
}
#line 1000

#line 1001 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__len */
#line 1001
static inline void f_dump_line_item_FI_METHOD__T_PATH__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1001

#line 1001
{
#line 1001
#define item (&(item_->i_FI_METHOD__T_PATH__len))
#line 1001
#undef item
#line 1001
}
#line 1001

#line 1002 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__len */
#line 1002
static inline void f_dump_line_item_FI_METHOD__T_CLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1002

#line 1002
{
#line 1002
#define item (&(item_->i_FI_METHOD__T_CLIST__len))
#line 1002
#undef item
#line 1002
}
#line 1002

#line 1003 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__len */
#line 1003
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1003

#line 1003
{
#line 1003
#define item (&(item_->i_FI_METHOD__T_ECLIST__len))
#line 1003
#undef item
#line 1003
}
#line 1003

#line 1005 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__len */
#line 1005
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__len(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1005

#line 1005
{
#line 1005
#define item (&(item_->i_FI_METHOD__T_LCLIST__len))
#line 1005
#undef item
#line 1005
}
#line 1005

#line 1041 "filter/f-inst.c"
 /* Dump line for FI_NET_SRC */
#line 1041
static inline void f_dump_line_item_FI_NET_SRC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1041

#line 1041
{
#line 1041
#define item (&(item_->i_FI_NET_SRC))
#line 1041
#undef item
#line 1041
}
#line 1041

#line 1078 "filter/f-inst.c"
 /* Dump line for FI_NET_DST */
#line 1078
static inline void f_dump_line_item_FI_NET_DST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1078

#line 1078
{
#line 1078
#define item (&(item_->i_FI_NET_DST))
#line 1078
#undef item
#line 1078
}
#line 1078

#line 1088 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__maxlen */
#line 1088
static inline void f_dump_line_item_FI_METHOD__T_NET__maxlen(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1088

#line 1088
{
#line 1088
#define item (&(item_->i_FI_METHOD__T_NET__maxlen))
#line 1088
#undef item
#line 1088
}
#line 1088

#line 1098 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__asn */
#line 1098
static inline void f_dump_line_item_FI_METHOD__T_NET__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1098

#line 1098
{
#line 1098
#define item (&(item_->i_FI_METHOD__T_NET__asn))
#line 1098
#undef item
#line 1098
}
#line 1098

#line 1100 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__ip */
#line 1100
static inline void f_dump_line_item_FI_METHOD__T_NET__ip(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1100

#line 1100
{
#line 1100
#define item (&(item_->i_FI_METHOD__T_NET__ip))
#line 1100
#undef item
#line 1100
}
#line 1100

#line 1109 "filter/f-inst.c"
 /* Dump line for FI_ROUTE_DISTINGUISHER */
#line 1109
static inline void f_dump_line_item_FI_ROUTE_DISTINGUISHER(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1109

#line 1109
{
#line 1109
#define item (&(item_->i_FI_ROUTE_DISTINGUISHER))
#line 1109
#undef item
#line 1109
}
#line 1109

#line 1112 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__first */
#line 1112
static inline void f_dump_line_item_FI_METHOD__T_PATH__first(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1112

#line 1112
{
#line 1112
#define item (&(item_->i_FI_METHOD__T_PATH__first))
#line 1112
#undef item
#line 1112
}
#line 1112

#line 1115 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last */
#line 1115
static inline void f_dump_line_item_FI_METHOD__T_PATH__last(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1115

#line 1115
{
#line 1115
#define item (&(item_->i_FI_METHOD__T_PATH__last))
#line 1115
#undef item
#line 1115
}
#line 1115

#line 1118 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
static inline void f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1118

#line 1118
{
#line 1118
#define item (&(item_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
#undef item
#line 1118
}
#line 1118

#line 1121 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__asn */
#line 1121
static inline void f_dump_line_item_FI_METHOD__T_PAIR__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1121

#line 1121
{
#line 1121
#define item (&(item_->i_FI_METHOD__T_PAIR__asn))
#line 1121
#undef item
#line 1121
}
#line 1121

#line 1124 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__data */
#line 1124
static inline void f_dump_line_item_FI_METHOD__T_PAIR__data(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1124

#line 1124
{
#line 1124
#define item (&(item_->i_FI_METHOD__T_PAIR__data))
#line 1124
#undef item
#line 1124
}
#line 1124

#line 1127 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__asn */
#line 1127
static inline void f_dump_line_item_FI_METHOD__T_LC__asn(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1127

#line 1127
{
#line 1127
#define item (&(item_->i_FI_METHOD__T_LC__asn))
#line 1127
#undef item
#line 1127
}
#line 1127

#line 1130 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data1 */
#line 1130
static inline void f_dump_line_item_FI_METHOD__T_LC__data1(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1130

#line 1130
{
#line 1130
#define item (&(item_->i_FI_METHOD__T_LC__data1))
#line 1130
#undef item
#line 1130
}
#line 1130

#line 1133 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data2 */
#line 1133
static inline void f_dump_line_item_FI_METHOD__T_LC__data2(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1133

#line 1133
{
#line 1133
#define item (&(item_->i_FI_METHOD__T_LC__data2))
#line 1133
#undef item
#line 1133
}
#line 1133

#line 1136 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__min */
#line 1136
static inline void f_dump_line_item_FI_METHOD__T_CLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1136

#line 1136
{
#line 1136
#define item (&(item_->i_FI_METHOD__T_CLIST__min))
#line 1136
#undef item
#line 1136
}
#line 1136

#line 1139 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__max */
#line 1139
static inline void f_dump_line_item_FI_METHOD__T_CLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1139

#line 1139
{
#line 1139
#define item (&(item_->i_FI_METHOD__T_CLIST__max))
#line 1139
#undef item
#line 1139
}
#line 1139

#line 1142 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__min */
#line 1142
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1142

#line 1142
{
#line 1142
#define item (&(item_->i_FI_METHOD__T_ECLIST__min))
#line 1142
#undef item
#line 1142
}
#line 1142

#line 1145 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__max */
#line 1145
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1145

#line 1145
{
#line 1145
#define item (&(item_->i_FI_METHOD__T_ECLIST__max))
#line 1145
#undef item
#line 1145
}
#line 1145

#line 1148 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__min */
#line 1148
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__min(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1148

#line 1148
{
#line 1148
#define item (&(item_->i_FI_METHOD__T_LCLIST__min))
#line 1148
#undef item
#line 1148
}
#line 1148

#line 1150 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__max */
#line 1150
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__max(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1150

#line 1150
{
#line 1150
#define item (&(item_->i_FI_METHOD__T_LCLIST__max))
#line 1150
#undef item
#line 1150
}
#line 1150

#line 1176 "filter/f-inst.c"
 /* Dump line for FI_RETURN */
#line 1176
static inline void f_dump_line_item_FI_RETURN(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1176

#line 1176
{
#line 1176
#define item (&(item_->i_FI_RETURN))
#line 1176
#undef item
#line 1176
}
#line 1176

#line 1235 "filter/f-inst.c"
 /* Dump line for FI_CALL */
#line 1235
static inline void f_dump_line_item_FI_CALL(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1235

#line 1235
{
#line 1235
#define item (&(item_->i_FI_CALL))
#line 1178 "filter/f-inst.c"
  RDUMP("%snumber of varargs %u\n", INDENT, item->varcount);
#line 1179 "filter/f-inst.c"
RDUMP("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 1179

#line 1235 "filter/f-inst.c"
#undef item
#line 1235
}
#line 1235

#line 1240 "filter/f-inst.c"
 /* Dump line for FI_DROP_RESULT */
#line 1240
static inline void f_dump_line_item_FI_DROP_RESULT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1240

#line 1240
{
#line 1240
#define item (&(item_->i_FI_DROP_RESULT))
#line 1240
#undef item
#line 1240
}
#line 1240

#line 1281 "filter/f-inst.c"
 /* Dump line for FI_SWITCH */
#line 1281
static inline void f_dump_line_item_FI_SWITCH(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1281

#line 1281
{
#line 1281
#define item (&(item_->i_FI_SWITCH))
#line 1243 "filter/f-inst.c"
RDUMP("%s" "tree %p" "\n", INDENT, item->tree);
#line 1243

#line 1281 "filter/f-inst.c"
#undef item
#line 1281
}
#line 1281

#line 1290 "filter/f-inst.c"
 /* Dump line for FI_IP_MASK */
#line 1290
static inline void f_dump_line_item_FI_IP_MASK(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1290

#line 1290
{
#line 1290
#define item (&(item_->i_FI_IP_MASK))
#line 1290
#undef item
#line 1290
}
#line 1290

#line 1298 "filter/f-inst.c"
 /* Dump line for FI_PATH_PREPEND */
#line 1298
static inline void f_dump_line_item_FI_PATH_PREPEND(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1298

#line 1298
{
#line 1298
#define item (&(item_->i_FI_PATH_PREPEND))
#line 1298
#undef item
#line 1298
}
#line 1298

#line 1306 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_PAIR */
#line 1306
static inline void f_dump_line_item_FI_CLIST_ADD_PAIR(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1306

#line 1306
{
#line 1306
#define item (&(item_->i_FI_CLIST_ADD_PAIR))
#line 1306
#undef item
#line 1306
}
#line 1306

#line 1313 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_INT */
#line 1313
static inline void f_dump_line_item_FI_CLIST_ADD_INT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1313

#line 1313
{
#line 1313
#define item (&(item_->i_FI_CLIST_ADD_INT))
#line 1313
#undef item
#line 1313
}
#line 1313

#line 1327 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_IP */
#line 1327
static inline void f_dump_line_item_FI_CLIST_ADD_IP(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1327

#line 1327
{
#line 1327
#define item (&(item_->i_FI_CLIST_ADD_IP))
#line 1327
#undef item
#line 1327
}
#line 1327

#line 1334 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_QUAD */
#line 1334
static inline void f_dump_line_item_FI_CLIST_ADD_QUAD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1334

#line 1334
{
#line 1334
#define item (&(item_->i_FI_CLIST_ADD_QUAD))
#line 1334
#undef item
#line 1334
}
#line 1334

#line 1341 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_CLIST */
#line 1341
static inline void f_dump_line_item_FI_CLIST_ADD_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1341

#line 1341
{
#line 1341
#define item (&(item_->i_FI_CLIST_ADD_CLIST))
#line 1341
#undef item
#line 1341
}
#line 1341

#line 1348 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_EC */
#line 1348
static inline void f_dump_line_item_FI_ECLIST_ADD_EC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1348

#line 1348
{
#line 1348
#define item (&(item_->i_FI_ECLIST_ADD_EC))
#line 1348
#undef item
#line 1348
}
#line 1348

#line 1355 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_ECLIST */
#line 1355
static inline void f_dump_line_item_FI_ECLIST_ADD_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1355

#line 1355
{
#line 1355
#define item (&(item_->i_FI_ECLIST_ADD_ECLIST))
#line 1355
#undef item
#line 1355
}
#line 1355

#line 1362 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LC */
#line 1362
static inline void f_dump_line_item_FI_LCLIST_ADD_LC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1362

#line 1362
{
#line 1362
#define item (&(item_->i_FI_LCLIST_ADD_LC))
#line 1362
#undef item
#line 1362
}
#line 1362

#line 1369 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LCLIST */
#line 1369
static inline void f_dump_line_item_FI_LCLIST_ADD_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1369

#line 1369
{
#line 1369
#define item (&(item_->i_FI_LCLIST_ADD_LCLIST))
#line 1369
#undef item
#line 1369
}
#line 1369

#line 1376 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_INT */
#line 1376
static inline void f_dump_line_item_FI_PATH_DELETE_INT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1376

#line 1376
{
#line 1376
#define item (&(item_->i_FI_PATH_DELETE_INT))
#line 1376
#undef item
#line 1376
}
#line 1376

#line 1388 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_SET */
#line 1388
static inline void f_dump_line_item_FI_PATH_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1388

#line 1388
{
#line 1388
#define item (&(item_->i_FI_PATH_DELETE_SET))
#line 1388
#undef item
#line 1388
}
#line 1388

#line 1396 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_PAIR */
#line 1396
static inline void f_dump_line_item_FI_CLIST_DELETE_PAIR(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1396

#line 1396
{
#line 1396
#define item (&(item_->i_FI_CLIST_DELETE_PAIR))
#line 1396
#undef item
#line 1396
}
#line 1396

#line 1403 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_INT */
#line 1403
static inline void f_dump_line_item_FI_CLIST_DELETE_INT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1403

#line 1403
{
#line 1403
#define item (&(item_->i_FI_CLIST_DELETE_INT))
#line 1403
#undef item
#line 1403
}
#line 1403

#line 1417 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_IP */
#line 1417
static inline void f_dump_line_item_FI_CLIST_DELETE_IP(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1417

#line 1417
{
#line 1417
#define item (&(item_->i_FI_CLIST_DELETE_IP))
#line 1417
#undef item
#line 1417
}
#line 1417

#line 1424 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_QUAD */
#line 1424
static inline void f_dump_line_item_FI_CLIST_DELETE_QUAD(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1424

#line 1424
{
#line 1424
#define item (&(item_->i_FI_CLIST_DELETE_QUAD))
#line 1424
#undef item
#line 1424
}
#line 1424

#line 1431 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_CLIST */
#line 1431
static inline void f_dump_line_item_FI_CLIST_DELETE_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1431

#line 1431
{
#line 1431
#define item (&(item_->i_FI_CLIST_DELETE_CLIST))
#line 1431
#undef item
#line 1431
}
#line 1431

#line 1442 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_SET */
#line 1442
static inline void f_dump_line_item_FI_CLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1442

#line 1442
{
#line 1442
#define item (&(item_->i_FI_CLIST_DELETE_SET))
#line 1442
#undef item
#line 1442
}
#line 1442

#line 1449 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_EC */
#line 1449
static inline void f_dump_line_item_FI_ECLIST_DELETE_EC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1449

#line 1449
{
#line 1449
#define item (&(item_->i_FI_ECLIST_DELETE_EC))
#line 1449
#undef item
#line 1449
}
#line 1449

#line 1456 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_ECLIST */
#line 1456
static inline void f_dump_line_item_FI_ECLIST_DELETE_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1456

#line 1456
{
#line 1456
#define item (&(item_->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
#undef item
#line 1456
}
#line 1456

#line 1467 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_SET */
#line 1467
static inline void f_dump_line_item_FI_ECLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1467

#line 1467
{
#line 1467
#define item (&(item_->i_FI_ECLIST_DELETE_SET))
#line 1467
#undef item
#line 1467
}
#line 1467

#line 1474 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LC */
#line 1474
static inline void f_dump_line_item_FI_LCLIST_DELETE_LC(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1474

#line 1474
{
#line 1474
#define item (&(item_->i_FI_LCLIST_DELETE_LC))
#line 1474
#undef item
#line 1474
}
#line 1474

#line 1481 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LCLIST */
#line 1481
static inline void f_dump_line_item_FI_LCLIST_DELETE_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1481

#line 1481
{
#line 1481
#define item (&(item_->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
#undef item
#line 1481
}
#line 1481

#line 1492 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_SET */
#line 1492
static inline void f_dump_line_item_FI_LCLIST_DELETE_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1492

#line 1492
{
#line 1492
#define item (&(item_->i_FI_LCLIST_DELETE_SET))
#line 1492
#undef item
#line 1492
}
#line 1492

#line 1503 "filter/f-inst.c"
 /* Dump line for FI_PATH_FILTER_SET */
#line 1503
static inline void f_dump_line_item_FI_PATH_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1503

#line 1503
{
#line 1503
#define item (&(item_->i_FI_PATH_FILTER_SET))
#line 1503
#undef item
#line 1503
}
#line 1503

#line 1510 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_CLIST */
#line 1510
static inline void f_dump_line_item_FI_CLIST_FILTER_CLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1510

#line 1510
{
#line 1510
#define item (&(item_->i_FI_CLIST_FILTER_CLIST))
#line 1510
#undef item
#line 1510
}
#line 1510

#line 1521 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_SET */
#line 1521
static inline void f_dump_line_item_FI_CLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1521

#line 1521
{
#line 1521
#define item (&(item_->i_FI_CLIST_FILTER_SET))
#line 1521
#undef item
#line 1521
}
#line 1521

#line 1528 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_ECLIST */
#line 1528
static inline void f_dump_line_item_FI_ECLIST_FILTER_ECLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1528

#line 1528
{
#line 1528
#define item (&(item_->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
#undef item
#line 1528
}
#line 1528

#line 1539 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_SET */
#line 1539
static inline void f_dump_line_item_FI_ECLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1539

#line 1539
{
#line 1539
#define item (&(item_->i_FI_ECLIST_FILTER_SET))
#line 1539
#undef item
#line 1539
}
#line 1539

#line 1546 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_LCLIST */
#line 1546
static inline void f_dump_line_item_FI_LCLIST_FILTER_LCLIST(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1546

#line 1546
{
#line 1546
#define item (&(item_->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
#undef item
#line 1546
}
#line 1546

#line 1557 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_SET */
#line 1557
static inline void f_dump_line_item_FI_LCLIST_FILTER_SET(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1557

#line 1557
{
#line 1557
#define item (&(item_->i_FI_LCLIST_FILTER_SET))
#line 1557
#undef item
#line 1557
}
#line 1557

#line 1587 "filter/f-inst.c"
 /* Dump line for FI_ROA_CHECK_IMPLICIT */
#line 1587
static inline void f_dump_line_item_FI_ROA_CHECK_IMPLICIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1587

#line 1587
{
#line 1587
#define item (&(item_->i_FI_ROA_CHECK_IMPLICIT))
#line 1559 "filter/f-inst.c"
RDUMP("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1559

#line 1587 "filter/f-inst.c"
#undef item
#line 1587
}
#line 1587

#line 1609 "filter/f-inst.c"
 /* Dump line for FI_ROA_CHECK_EXPLICIT */
#line 1609
static inline void f_dump_line_item_FI_ROA_CHECK_EXPLICIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1609

#line 1609
{
#line 1609
#define item (&(item_->i_FI_ROA_CHECK_EXPLICIT))
#line 1591 "filter/f-inst.c"
RDUMP("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1591

#line 1609 "filter/f-inst.c"
#undef item
#line 1609
}
#line 1609

#line 1625 "filter/f-inst.c"
 /* Dump line for FI_ASPA_CHECK_EXPLICIT */
#line 1625
static inline void f_dump_line_item_FI_ASPA_CHECK_EXPLICIT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 1625

#line 1625
{
#line 1625
#define item (&(item_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1613 "filter/f-inst.c"
RDUMP("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1613

#line 1625 "filter/f-inst.c"
#undef item
#line 1625
}
#line 1625

#line 1640 "filter/f-inst.c"
 /* Dump line for FI_FROM_HEX */
#line 1640
static inline void f_dump_line_item_FI_FROM_HEX(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1640

#line 1640
{
#line 1640
#define item (&(item_->i_FI_FROM_HEX))
#line 1640
#undef item
#line 1640
}
#line 1640

#line 1645 "filter/f-inst.c"
 /* Dump line for FI_FORMAT */
#line 1645
static inline void f_dump_line_item_FI_FORMAT(struct dump_request *dreq UNUSED, const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1645

#line 1645
{
#line 1645
#define item (&(item_->i_FI_FORMAT))
#line 1645
#undef item
#line 1645
}
#line 1645

#line 825 "filter/decl.m4"
 /* Dump line for FI_ASSERT */
#line 825
static inline void f_dump_line_item_FI_ASSERT(struct dump_request *dreq, const struct f_line_item *item_, const int indent)
#line 825

#line 825
{
#line 825
#define item (&(item_->i_FI_ASSERT))
#line 1649 "filter/f-inst.c"
RDUMP("%s" "string %s" "\n", INDENT, item->s);
#line 1649

#line 825 "filter/decl.m4"
#undef item
#line 825
}
#line 825

#line 677 "filter/decl.m4"


void f_dump_line(struct dump_request *dreq, const struct f_line *dest, uint indent)
{
  if (!dest) {
    RDUMP("%sNo filter line (NULL)\n", INDENT);
    return;
  }
  RDUMP("%sFilter line %p (len=%u)\n", INDENT, dest, dest->len);
  for (uint i=0; i<dest->len; i++) {
    const struct f_line_item *item = &dest->items[i];
    RDUMP("%sInstruction %s at line %u\n", INDENT, f_instruction_name_(item->fi_code), item->lineno);
    switch (item->fi_code) {
#line 291 "filter/f-inst.c"
 /* Dump line caller for FI_ADD */
#line 291
case FI_ADD: f_dump_line_item_FI_ADD(dreq, item, indent + 1); break;
#line 291

#line 296 "filter/f-inst.c"
 /* Dump line caller for FI_SUBTRACT */
#line 296
case FI_SUBTRACT: f_dump_line_item_FI_SUBTRACT(dreq, item, indent + 1); break;
#line 296

#line 301 "filter/f-inst.c"
 /* Dump line caller for FI_MULTIPLY */
#line 301
case FI_MULTIPLY: f_dump_line_item_FI_MULTIPLY(dreq, item, indent + 1); break;
#line 301

#line 307 "filter/f-inst.c"
 /* Dump line caller for FI_DIVIDE */
#line 307
case FI_DIVIDE: f_dump_line_item_FI_DIVIDE(dreq, item, indent + 1); break;
#line 307

#line 317 "filter/f-inst.c"
 /* Dump line caller for FI_AND */
#line 317
case FI_AND: f_dump_line_item_FI_AND(dreq, item, indent + 1); break;
#line 317

#line 328 "filter/f-inst.c"
 /* Dump line caller for FI_OR */
#line 328
case FI_OR: f_dump_line_item_FI_OR(dreq, item, indent + 1); break;
#line 328

#line 338 "filter/f-inst.c"
 /* Dump line caller for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT: f_dump_line_item_FI_PAIR_CONSTRUCT(dreq, item, indent + 1); break;
#line 338

#line 378 "filter/f-inst.c"
 /* Dump line caller for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT: f_dump_line_item_FI_EC_CONSTRUCT(dreq, item, indent + 1); break;
#line 378

#line 385 "filter/f-inst.c"
 /* Dump line caller for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT: f_dump_line_item_FI_LC_CONSTRUCT(dreq, item, indent + 1); break;
#line 385

#line 435 "filter/f-inst.c"
 /* Dump line caller for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT: f_dump_line_item_FI_PATHMASK_CONSTRUCT(dreq, item, indent + 1); break;
#line 435

#line 442 "filter/f-inst.c"
 /* Dump line caller for FI_NEQ */
#line 442
case FI_NEQ: f_dump_line_item_FI_NEQ(dreq, item, indent + 1); break;
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line caller for FI_EQ */
#line 449
case FI_EQ: f_dump_line_item_FI_EQ(dreq, item, indent + 1); break;
#line 449

#line 460 "filter/f-inst.c"
 /* Dump line caller for FI_LT */
#line 460
case FI_LT: f_dump_line_item_FI_LT(dreq, item, indent + 1); break;
#line 460

#line 471 "filter/f-inst.c"
 /* Dump line caller for FI_LTE */
#line 471
case FI_LTE: f_dump_line_item_FI_LTE(dreq, item, indent + 1); break;
#line 471

#line 476 "filter/f-inst.c"
 /* Dump line caller for FI_NOT */
#line 476
case FI_NOT: f_dump_line_item_FI_NOT(dreq, item, indent + 1); break;
#line 476

#line 485 "filter/f-inst.c"
 /* Dump line caller for FI_MATCH */
#line 485
case FI_MATCH: f_dump_line_item_FI_MATCH(dreq, item, indent + 1); break;
#line 485

#line 494 "filter/f-inst.c"
 /* Dump line caller for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH: f_dump_line_item_FI_NOT_MATCH(dreq, item, indent + 1); break;
#line 494

#line 499 "filter/f-inst.c"
 /* Dump line caller for FI_DEFINED */
#line 499
case FI_DEFINED: f_dump_line_item_FI_DEFINED(dreq, item, indent + 1); break;
#line 499

#line 500 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type: f_dump_line_item_FI_METHOD__T_NET__type(dreq, item, indent + 1); break;
#line 500

#line 503 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4: f_dump_line_item_FI_METHOD__T_IP__is_v4(dreq, item, indent + 1); break;
#line 503

#line 516 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT */
#line 516
case FI_VAR_INIT: f_dump_line_item_FI_VAR_INIT(dreq, item, indent + 1); break;
#line 516

#line 527 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0: f_dump_line_item_FI_VAR_INIT0(dreq, item, indent + 1); break;
#line 527

#line 536 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_SET */
#line 536
case FI_VAR_SET: f_dump_line_item_FI_VAR_SET(dreq, item, indent + 1); break;
#line 536

#line 543 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_GET */
#line 543
case FI_VAR_GET: f_dump_line_item_FI_VAR_GET(dreq, item, indent + 1); break;
#line 543

#line 556 "filter/f-inst.c"
 /* Dump line caller for FI_CONSTANT */
#line 556
case FI_CONSTANT: f_dump_line_item_FI_CONSTANT(dreq, item, indent + 1); break;
#line 556

#line 557 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty: f_dump_line_item_FI_METHOD__T_PATH__empty(dreq, item, indent + 1); break;
#line 557

#line 558 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty: f_dump_line_item_FI_METHOD__T_CLIST__empty(dreq, item, indent + 1); break;
#line 558

#line 559 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty: f_dump_line_item_FI_METHOD__T_ECLIST__empty(dreq, item, indent + 1); break;
#line 559

#line 562 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty: f_dump_line_item_FI_METHOD__T_LCLIST__empty(dreq, item, indent + 1); break;
#line 562

#line 584 "filter/f-inst.c"
 /* Dump line caller for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START: f_dump_line_item_FI_FOR_LOOP_START(dreq, item, indent + 1); break;
#line 584

#line 593 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT: f_dump_line_item_FI_PATH_FOR_NEXT(dreq, item, indent + 1); break;
#line 593

#line 602 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT: f_dump_line_item_FI_CLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 602

#line 611 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT: f_dump_line_item_FI_ECLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 611

#line 620 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT: f_dump_line_item_FI_LCLIST_FOR_NEXT(dreq, item, indent + 1); break;
#line 620

#line 636 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT: f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(dreq, item, indent + 1); break;
#line 636

#line 644 "filter/f-inst.c"
 /* Dump line caller for FI_CONDITION */
#line 644
case FI_CONDITION: f_dump_line_item_FI_CONDITION(dreq, item, indent + 1); break;
#line 644

#line 652 "filter/f-inst.c"
 /* Dump line caller for FI_PRINT */
#line 652
case FI_PRINT: f_dump_line_item_FI_PRINT(dreq, item, indent + 1); break;
#line 652

#line 659 "filter/f-inst.c"
 /* Dump line caller for FI_FLUSH */
#line 659
case FI_FLUSH: f_dump_line_item_FI_FLUSH(dreq, item, indent + 1); break;
#line 659

#line 673 "filter/f-inst.c"
 /* Dump line caller for FI_DIE */
#line 673
case FI_DIE: f_dump_line_item_FI_DIE(dreq, item, indent + 1); break;
#line 673

#line 713 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_GET */
#line 713
case FI_RTA_GET: f_dump_line_item_FI_RTA_GET(dreq, item, indent + 1); break;
#line 713

#line 858 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_SET */
#line 858
case FI_RTA_SET: f_dump_line_item_FI_RTA_SET(dreq, item, indent + 1); break;
#line 858

#line 913 "filter/f-inst.c"
 /* Dump line caller for FI_EA_GET */
#line 913
case FI_EA_GET: f_dump_line_item_FI_EA_GET(dreq, item, indent + 1); break;
#line 913

#line 989 "filter/f-inst.c"
 /* Dump line caller for FI_EA_SET */
#line 989
case FI_EA_SET: f_dump_line_item_FI_EA_SET(dreq, item, indent + 1); break;
#line 989

#line 999 "filter/f-inst.c"
 /* Dump line caller for FI_EA_UNSET */
#line 999
case FI_EA_UNSET: f_dump_line_item_FI_EA_UNSET(dreq, item, indent + 1); break;
#line 999

#line 1000 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__len */
#line 1000
case FI_METHOD__T_NET__len: f_dump_line_item_FI_METHOD__T_NET__len(dreq, item, indent + 1); break;
#line 1000

#line 1001 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__len */
#line 1001
case FI_METHOD__T_PATH__len: f_dump_line_item_FI_METHOD__T_PATH__len(dreq, item, indent + 1); break;
#line 1001

#line 1002 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__len */
#line 1002
case FI_METHOD__T_CLIST__len: f_dump_line_item_FI_METHOD__T_CLIST__len(dreq, item, indent + 1); break;
#line 1002

#line 1003 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__len */
#line 1003
case FI_METHOD__T_ECLIST__len: f_dump_line_item_FI_METHOD__T_ECLIST__len(dreq, item, indent + 1); break;
#line 1003

#line 1005 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__len */
#line 1005
case FI_METHOD__T_LCLIST__len: f_dump_line_item_FI_METHOD__T_LCLIST__len(dreq, item, indent + 1); break;
#line 1005

#line 1041 "filter/f-inst.c"
 /* Dump line caller for FI_NET_SRC */
#line 1041
case FI_NET_SRC: f_dump_line_item_FI_NET_SRC(dreq, item, indent + 1); break;
#line 1041

#line 1078 "filter/f-inst.c"
 /* Dump line caller for FI_NET_DST */
#line 1078
case FI_NET_DST: f_dump_line_item_FI_NET_DST(dreq, item, indent + 1); break;
#line 1078

#line 1088 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__maxlen */
#line 1088
case FI_METHOD__T_NET__maxlen: f_dump_line_item_FI_METHOD__T_NET__maxlen(dreq, item, indent + 1); break;
#line 1088

#line 1098 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__asn */
#line 1098
case FI_METHOD__T_NET__asn: f_dump_line_item_FI_METHOD__T_NET__asn(dreq, item, indent + 1); break;
#line 1098

#line 1100 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__ip */
#line 1100
case FI_METHOD__T_NET__ip: f_dump_line_item_FI_METHOD__T_NET__ip(dreq, item, indent + 1); break;
#line 1100

#line 1109 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTE_DISTINGUISHER */
#line 1109
case FI_ROUTE_DISTINGUISHER: f_dump_line_item_FI_ROUTE_DISTINGUISHER(dreq, item, indent + 1); break;
#line 1109

#line 1112 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__first */
#line 1112
case FI_METHOD__T_PATH__first: f_dump_line_item_FI_METHOD__T_PATH__first(dreq, item, indent + 1); break;
#line 1112

#line 1115 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last */
#line 1115
case FI_METHOD__T_PATH__last: f_dump_line_item_FI_METHOD__T_PATH__last(dreq, item, indent + 1); break;
#line 1115

#line 1118 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
case FI_METHOD__T_PATH__last_nonaggregated: f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(dreq, item, indent + 1); break;
#line 1118

#line 1121 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__asn */
#line 1121
case FI_METHOD__T_PAIR__asn: f_dump_line_item_FI_METHOD__T_PAIR__asn(dreq, item, indent + 1); break;
#line 1121

#line 1124 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__data */
#line 1124
case FI_METHOD__T_PAIR__data: f_dump_line_item_FI_METHOD__T_PAIR__data(dreq, item, indent + 1); break;
#line 1124

#line 1127 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__asn */
#line 1127
case FI_METHOD__T_LC__asn: f_dump_line_item_FI_METHOD__T_LC__asn(dreq, item, indent + 1); break;
#line 1127

#line 1130 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data1 */
#line 1130
case FI_METHOD__T_LC__data1: f_dump_line_item_FI_METHOD__T_LC__data1(dreq, item, indent + 1); break;
#line 1130

#line 1133 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data2 */
#line 1133
case FI_METHOD__T_LC__data2: f_dump_line_item_FI_METHOD__T_LC__data2(dreq, item, indent + 1); break;
#line 1133

#line 1136 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__min */
#line 1136
case FI_METHOD__T_CLIST__min: f_dump_line_item_FI_METHOD__T_CLIST__min(dreq, item, indent + 1); break;
#line 1136

#line 1139 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__max */
#line 1139
case FI_METHOD__T_CLIST__max: f_dump_line_item_FI_METHOD__T_CLIST__max(dreq, item, indent + 1); break;
#line 1139

#line 1142 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__min */
#line 1142
case FI_METHOD__T_ECLIST__min: f_dump_line_item_FI_METHOD__T_ECLIST__min(dreq, item, indent + 1); break;
#line 1142

#line 1145 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__max */
#line 1145
case FI_METHOD__T_ECLIST__max: f_dump_line_item_FI_METHOD__T_ECLIST__max(dreq, item, indent + 1); break;
#line 1145

#line 1148 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__min */
#line 1148
case FI_METHOD__T_LCLIST__min: f_dump_line_item_FI_METHOD__T_LCLIST__min(dreq, item, indent + 1); break;
#line 1148

#line 1150 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__max */
#line 1150
case FI_METHOD__T_LCLIST__max: f_dump_line_item_FI_METHOD__T_LCLIST__max(dreq, item, indent + 1); break;
#line 1150

#line 1176 "filter/f-inst.c"
 /* Dump line caller for FI_RETURN */
#line 1176
case FI_RETURN: f_dump_line_item_FI_RETURN(dreq, item, indent + 1); break;
#line 1176

#line 1235 "filter/f-inst.c"
 /* Dump line caller for FI_CALL */
#line 1235
case FI_CALL: f_dump_line_item_FI_CALL(dreq, item, indent + 1); break;
#line 1235

#line 1240 "filter/f-inst.c"
 /* Dump line caller for FI_DROP_RESULT */
#line 1240
case FI_DROP_RESULT: f_dump_line_item_FI_DROP_RESULT(dreq, item, indent + 1); break;
#line 1240

#line 1281 "filter/f-inst.c"
 /* Dump line caller for FI_SWITCH */
#line 1281
case FI_SWITCH: f_dump_line_item_FI_SWITCH(dreq, item, indent + 1); break;
#line 1281

#line 1290 "filter/f-inst.c"
 /* Dump line caller for FI_IP_MASK */
#line 1290
case FI_IP_MASK: f_dump_line_item_FI_IP_MASK(dreq, item, indent + 1); break;
#line 1290

#line 1298 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_PREPEND */
#line 1298
case FI_PATH_PREPEND: f_dump_line_item_FI_PATH_PREPEND(dreq, item, indent + 1); break;
#line 1298

#line 1306 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_PAIR */
#line 1306
case FI_CLIST_ADD_PAIR: f_dump_line_item_FI_CLIST_ADD_PAIR(dreq, item, indent + 1); break;
#line 1306

#line 1313 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_INT */
#line 1313
case FI_CLIST_ADD_INT: f_dump_line_item_FI_CLIST_ADD_INT(dreq, item, indent + 1); break;
#line 1313

#line 1327 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_IP */
#line 1327
case FI_CLIST_ADD_IP: f_dump_line_item_FI_CLIST_ADD_IP(dreq, item, indent + 1); break;
#line 1327

#line 1334 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_QUAD */
#line 1334
case FI_CLIST_ADD_QUAD: f_dump_line_item_FI_CLIST_ADD_QUAD(dreq, item, indent + 1); break;
#line 1334

#line 1341 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_CLIST */
#line 1341
case FI_CLIST_ADD_CLIST: f_dump_line_item_FI_CLIST_ADD_CLIST(dreq, item, indent + 1); break;
#line 1341

#line 1348 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_EC */
#line 1348
case FI_ECLIST_ADD_EC: f_dump_line_item_FI_ECLIST_ADD_EC(dreq, item, indent + 1); break;
#line 1348

#line 1355 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_ECLIST */
#line 1355
case FI_ECLIST_ADD_ECLIST: f_dump_line_item_FI_ECLIST_ADD_ECLIST(dreq, item, indent + 1); break;
#line 1355

#line 1362 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LC */
#line 1362
case FI_LCLIST_ADD_LC: f_dump_line_item_FI_LCLIST_ADD_LC(dreq, item, indent + 1); break;
#line 1362

#line 1369 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LCLIST */
#line 1369
case FI_LCLIST_ADD_LCLIST: f_dump_line_item_FI_LCLIST_ADD_LCLIST(dreq, item, indent + 1); break;
#line 1369

#line 1376 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_INT */
#line 1376
case FI_PATH_DELETE_INT: f_dump_line_item_FI_PATH_DELETE_INT(dreq, item, indent + 1); break;
#line 1376

#line 1388 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_SET */
#line 1388
case FI_PATH_DELETE_SET: f_dump_line_item_FI_PATH_DELETE_SET(dreq, item, indent + 1); break;
#line 1388

#line 1396 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_PAIR */
#line 1396
case FI_CLIST_DELETE_PAIR: f_dump_line_item_FI_CLIST_DELETE_PAIR(dreq, item, indent + 1); break;
#line 1396

#line 1403 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_INT */
#line 1403
case FI_CLIST_DELETE_INT: f_dump_line_item_FI_CLIST_DELETE_INT(dreq, item, indent + 1); break;
#line 1403

#line 1417 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_IP */
#line 1417
case FI_CLIST_DELETE_IP: f_dump_line_item_FI_CLIST_DELETE_IP(dreq, item, indent + 1); break;
#line 1417

#line 1424 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_QUAD */
#line 1424
case FI_CLIST_DELETE_QUAD: f_dump_line_item_FI_CLIST_DELETE_QUAD(dreq, item, indent + 1); break;
#line 1424

#line 1431 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_CLIST */
#line 1431
case FI_CLIST_DELETE_CLIST: f_dump_line_item_FI_CLIST_DELETE_CLIST(dreq, item, indent + 1); break;
#line 1431

#line 1442 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_SET */
#line 1442
case FI_CLIST_DELETE_SET: f_dump_line_item_FI_CLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1442

#line 1449 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_EC */
#line 1449
case FI_ECLIST_DELETE_EC: f_dump_line_item_FI_ECLIST_DELETE_EC(dreq, item, indent + 1); break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_ECLIST */
#line 1456
case FI_ECLIST_DELETE_ECLIST: f_dump_line_item_FI_ECLIST_DELETE_ECLIST(dreq, item, indent + 1); break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_SET */
#line 1467
case FI_ECLIST_DELETE_SET: f_dump_line_item_FI_ECLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LC */
#line 1474
case FI_LCLIST_DELETE_LC: f_dump_line_item_FI_LCLIST_DELETE_LC(dreq, item, indent + 1); break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LCLIST */
#line 1481
case FI_LCLIST_DELETE_LCLIST: f_dump_line_item_FI_LCLIST_DELETE_LCLIST(dreq, item, indent + 1); break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_SET */
#line 1492
case FI_LCLIST_DELETE_SET: f_dump_line_item_FI_LCLIST_DELETE_SET(dreq, item, indent + 1); break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FILTER_SET */
#line 1503
case FI_PATH_FILTER_SET: f_dump_line_item_FI_PATH_FILTER_SET(dreq, item, indent + 1); break;
#line 1503

#line 1510 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_CLIST */
#line 1510
case FI_CLIST_FILTER_CLIST: f_dump_line_item_FI_CLIST_FILTER_CLIST(dreq, item, indent + 1); break;
#line 1510

#line 1521 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_SET */
#line 1521
case FI_CLIST_FILTER_SET: f_dump_line_item_FI_CLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1521

#line 1528 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_ECLIST */
#line 1528
case FI_ECLIST_FILTER_ECLIST: f_dump_line_item_FI_ECLIST_FILTER_ECLIST(dreq, item, indent + 1); break;
#line 1528

#line 1539 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_SET */
#line 1539
case FI_ECLIST_FILTER_SET: f_dump_line_item_FI_ECLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1539

#line 1546 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_LCLIST */
#line 1546
case FI_LCLIST_FILTER_LCLIST: f_dump_line_item_FI_LCLIST_FILTER_LCLIST(dreq, item, indent + 1); break;
#line 1546

#line 1557 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_SET */
#line 1557
case FI_LCLIST_FILTER_SET: f_dump_line_item_FI_LCLIST_FILTER_SET(dreq, item, indent + 1); break;
#line 1557

#line 1587 "filter/f-inst.c"
 /* Dump line caller for FI_ROA_CHECK_IMPLICIT */
#line 1587
case FI_ROA_CHECK_IMPLICIT: f_dump_line_item_FI_ROA_CHECK_IMPLICIT(dreq, item, indent + 1); break;
#line 1587

#line 1609 "filter/f-inst.c"
 /* Dump line caller for FI_ROA_CHECK_EXPLICIT */
#line 1609
case FI_ROA_CHECK_EXPLICIT: f_dump_line_item_FI_ROA_CHECK_EXPLICIT(dreq, item, indent + 1); break;
#line 1609

#line 1625 "filter/f-inst.c"
 /* Dump line caller for FI_ASPA_CHECK_EXPLICIT */
#line 1625
case FI_ASPA_CHECK_EXPLICIT: f_dump_line_item_FI_ASPA_CHECK_EXPLICIT(dreq, item, indent + 1); break;
#line 1625

#line 1640 "filter/f-inst.c"
 /* Dump line caller for FI_FROM_HEX */
#line 1640
case FI_FROM_HEX: f_dump_line_item_FI_FROM_HEX(dreq, item, indent + 1); break;
#line 1640

#line 1645 "filter/f-inst.c"
 /* Dump line caller for FI_FORMAT */
#line 1645
case FI_FORMAT: f_dump_line_item_FI_FORMAT(dreq, item, indent + 1); break;
#line 1645

#line 825 "filter/decl.m4"
 /* Dump line caller for FI_ASSERT */
#line 825
case FI_ASSERT: f_dump_line_item_FI_ASSERT(dreq, item, indent + 1); break;
#line 825

#line 690 "filter/decl.m4"

      default: bug("Unknown instruction %x in f_dump_line", item->fi_code);
    }
  }
  RDUMP("%sFilter line %p dump done\n", INDENT, dest);
}

/* Linearize */
static uint
linearize(struct f_line *dest, const struct f_inst *what, uint pos)
{
  for ( ; what; what = what->next) {
    switch (what->fi_code) {
#line 291 "filter/f-inst.c"
 /* Linearize for FI_ADD */
#line 291
case FI_ADD: {
#line 291
#define whati (&(what->i_FI_ADD))
#line 291
#define item (&(dest->items[pos].i_FI_ADD))
#line 291
  #line 287 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 288 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 291 "filter/f-inst.c"
#undef item
#line 291
  dest->items[pos].fi_code = what->fi_code;
#line 291
  dest->items[pos].flags = what->flags;
#line 291
  dest->items[pos].lineno = what->lineno;
#line 291
  break;
#line 291
}
#line 291

#line 296 "filter/f-inst.c"
 /* Linearize for FI_SUBTRACT */
#line 296
case FI_SUBTRACT: {
#line 296
#define whati (&(what->i_FI_SUBTRACT))
#line 296
#define item (&(dest->items[pos].i_FI_SUBTRACT))
#line 296
  #line 292 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 293 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 296 "filter/f-inst.c"
#undef item
#line 296
  dest->items[pos].fi_code = what->fi_code;
#line 296
  dest->items[pos].flags = what->flags;
#line 296
  dest->items[pos].lineno = what->lineno;
#line 296
  break;
#line 296
}
#line 296

#line 301 "filter/f-inst.c"
 /* Linearize for FI_MULTIPLY */
#line 301
case FI_MULTIPLY: {
#line 301
#define whati (&(what->i_FI_MULTIPLY))
#line 301
#define item (&(dest->items[pos].i_FI_MULTIPLY))
#line 301
  #line 297 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 298 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 301 "filter/f-inst.c"
#undef item
#line 301
  dest->items[pos].fi_code = what->fi_code;
#line 301
  dest->items[pos].flags = what->flags;
#line 301
  dest->items[pos].lineno = what->lineno;
#line 301
  break;
#line 301
}
#line 301

#line 307 "filter/f-inst.c"
 /* Linearize for FI_DIVIDE */
#line 307
case FI_DIVIDE: {
#line 307
#define whati (&(what->i_FI_DIVIDE))
#line 307
#define item (&(dest->items[pos].i_FI_DIVIDE))
#line 307
  #line 302 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 303 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 307 "filter/f-inst.c"
#undef item
#line 307
  dest->items[pos].fi_code = what->fi_code;
#line 307
  dest->items[pos].flags = what->flags;
#line 307
  dest->items[pos].lineno = what->lineno;
#line 307
  break;
#line 307
}
#line 307

#line 317 "filter/f-inst.c"
 /* Linearize for FI_AND */
#line 317
case FI_AND: {
#line 317
#define whati (&(what->i_FI_AND))
#line 317
#define item (&(dest->items[pos].i_FI_AND))
#line 317
  #line 308 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 313 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 317 "filter/f-inst.c"
#undef item
#line 317
  dest->items[pos].fi_code = what->fi_code;
#line 317
  dest->items[pos].flags = what->flags;
#line 317
  dest->items[pos].lineno = what->lineno;
#line 317
  break;
#line 317
}
#line 317

#line 328 "filter/f-inst.c"
 /* Linearize for FI_OR */
#line 328
case FI_OR: {
#line 328
#define whati (&(what->i_FI_OR))
#line 328
#define item (&(dest->items[pos].i_FI_OR))
#line 328
  #line 318 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 323 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 328 "filter/f-inst.c"
#undef item
#line 328
  dest->items[pos].fi_code = what->fi_code;
#line 328
  dest->items[pos].flags = what->flags;
#line 328
  dest->items[pos].lineno = what->lineno;
#line 328
  break;
#line 328
}
#line 328

#line 338 "filter/f-inst.c"
 /* Linearize for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT: {
#line 338
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
#define item (&(dest->items[pos].i_FI_PAIR_CONSTRUCT))
#line 338
  #line 329 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 330 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 338 "filter/f-inst.c"
#undef item
#line 338
  dest->items[pos].fi_code = what->fi_code;
#line 338
  dest->items[pos].flags = what->flags;
#line 338
  dest->items[pos].lineno = what->lineno;
#line 338
  break;
#line 338
}
#line 338

#line 378 "filter/f-inst.c"
 /* Linearize for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT: {
#line 378
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
#define item (&(dest->items[pos].i_FI_EC_CONSTRUCT))
#line 378
  #line 339 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 340 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 342 "filter/f-inst.c"
item->ecs = whati->ecs;
#line 342

#undef whati
#line 378 "filter/f-inst.c"
#undef item
#line 378
  dest->items[pos].fi_code = what->fi_code;
#line 378
  dest->items[pos].flags = what->flags;
#line 378
  dest->items[pos].lineno = what->lineno;
#line 378
  break;
#line 378
}
#line 378

#line 385 "filter/f-inst.c"
 /* Linearize for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT: {
#line 385
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
#define item (&(dest->items[pos].i_FI_LC_CONSTRUCT))
#line 385
  #line 379 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 380 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 381 "filter/f-inst.c"
pos = linearize(dest, whati->f3, pos);
#undef whati
#line 385 "filter/f-inst.c"
#undef item
#line 385
  dest->items[pos].fi_code = what->fi_code;
#line 385
  dest->items[pos].flags = what->flags;
#line 385
  dest->items[pos].lineno = what->lineno;
#line 385
  break;
#line 385
}
#line 385

#line 435 "filter/f-inst.c"
 /* Linearize for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT: {
#line 435
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
#define item (&(dest->items[pos].i_FI_PATHMASK_CONSTRUCT))
#line 435
  #line 386 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 386
  item->varcount = whati->varcount;
#undef whati
#line 435 "filter/f-inst.c"
#undef item
#line 435
  dest->items[pos].fi_code = what->fi_code;
#line 435
  dest->items[pos].flags = what->flags;
#line 435
  dest->items[pos].lineno = what->lineno;
#line 435
  break;
#line 435
}
#line 435

#line 442 "filter/f-inst.c"
 /* Linearize for FI_NEQ */
#line 442
case FI_NEQ: {
#line 442
#define whati (&(what->i_FI_NEQ))
#line 442
#define item (&(dest->items[pos].i_FI_NEQ))
#line 442
  #line 436 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 437 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 442 "filter/f-inst.c"
#undef item
#line 442
  dest->items[pos].fi_code = what->fi_code;
#line 442
  dest->items[pos].flags = what->flags;
#line 442
  dest->items[pos].lineno = what->lineno;
#line 442
  break;
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Linearize for FI_EQ */
#line 449
case FI_EQ: {
#line 449
#define whati (&(what->i_FI_EQ))
#line 449
#define item (&(dest->items[pos].i_FI_EQ))
#line 449
  #line 443 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 444 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 449 "filter/f-inst.c"
#undef item
#line 449
  dest->items[pos].fi_code = what->fi_code;
#line 449
  dest->items[pos].flags = what->flags;
#line 449
  dest->items[pos].lineno = what->lineno;
#line 449
  break;
#line 449
}
#line 449

#line 460 "filter/f-inst.c"
 /* Linearize for FI_LT */
#line 460
case FI_LT: {
#line 460
#define whati (&(what->i_FI_LT))
#line 460
#define item (&(dest->items[pos].i_FI_LT))
#line 460
  #line 450 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 451 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 460 "filter/f-inst.c"
#undef item
#line 460
  dest->items[pos].fi_code = what->fi_code;
#line 460
  dest->items[pos].flags = what->flags;
#line 460
  dest->items[pos].lineno = what->lineno;
#line 460
  break;
#line 460
}
#line 460

#line 471 "filter/f-inst.c"
 /* Linearize for FI_LTE */
#line 471
case FI_LTE: {
#line 471
#define whati (&(what->i_FI_LTE))
#line 471
#define item (&(dest->items[pos].i_FI_LTE))
#line 471
  #line 461 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 462 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 471 "filter/f-inst.c"
#undef item
#line 471
  dest->items[pos].fi_code = what->fi_code;
#line 471
  dest->items[pos].flags = what->flags;
#line 471
  dest->items[pos].lineno = what->lineno;
#line 471
  break;
#line 471
}
#line 471

#line 476 "filter/f-inst.c"
 /* Linearize for FI_NOT */
#line 476
case FI_NOT: {
#line 476
#define whati (&(what->i_FI_NOT))
#line 476
#define item (&(dest->items[pos].i_FI_NOT))
#line 476
  #line 472 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 476 "filter/f-inst.c"
#undef item
#line 476
  dest->items[pos].fi_code = what->fi_code;
#line 476
  dest->items[pos].flags = what->flags;
#line 476
  dest->items[pos].lineno = what->lineno;
#line 476
  break;
#line 476
}
#line 476

#line 485 "filter/f-inst.c"
 /* Linearize for FI_MATCH */
#line 485
case FI_MATCH: {
#line 485
#define whati (&(what->i_FI_MATCH))
#line 485
#define item (&(dest->items[pos].i_FI_MATCH))
#line 485
  #line 477 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 478 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 485 "filter/f-inst.c"
#undef item
#line 485
  dest->items[pos].fi_code = what->fi_code;
#line 485
  dest->items[pos].flags = what->flags;
#line 485
  dest->items[pos].lineno = what->lineno;
#line 485
  break;
#line 485
}
#line 485

#line 494 "filter/f-inst.c"
 /* Linearize for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH: {
#line 494
#define whati (&(what->i_FI_NOT_MATCH))
#line 494
#define item (&(dest->items[pos].i_FI_NOT_MATCH))
#line 494
  #line 486 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 487 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 494 "filter/f-inst.c"
#undef item
#line 494
  dest->items[pos].fi_code = what->fi_code;
#line 494
  dest->items[pos].flags = what->flags;
#line 494
  dest->items[pos].lineno = what->lineno;
#line 494
  break;
#line 494
}
#line 494

#line 499 "filter/f-inst.c"
 /* Linearize for FI_DEFINED */
#line 499
case FI_DEFINED: {
#line 499
#define whati (&(what->i_FI_DEFINED))
#line 499
#define item (&(dest->items[pos].i_FI_DEFINED))
#line 499
  #line 495 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 499 "filter/f-inst.c"
#undef item
#line 499
  dest->items[pos].fi_code = what->fi_code;
#line 499
  dest->items[pos].flags = what->flags;
#line 499
  dest->items[pos].lineno = what->lineno;
#line 499
  break;
#line 499
}
#line 499

#line 500 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type: {
#line 500
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__type))
#line 500
  #line 499 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 500 "filter/f-inst.c"
#undef item
#line 500
  dest->items[pos].fi_code = what->fi_code;
#line 500
  dest->items[pos].flags = what->flags;
#line 500
  dest->items[pos].lineno = what->lineno;
#line 500
  break;
#line 500
}
#line 500

#line 503 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4: {
#line 503
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
#define item (&(dest->items[pos].i_FI_METHOD__T_IP__is_v4))
#line 503
  #line 500 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 503 "filter/f-inst.c"
#undef item
#line 503
  dest->items[pos].fi_code = what->fi_code;
#line 503
  dest->items[pos].flags = what->flags;
#line 503
  dest->items[pos].lineno = what->lineno;
#line 503
  break;
#line 503
}
#line 503

#line 516 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT */
#line 516
case FI_VAR_INIT: {
#line 516
#define whati (&(what->i_FI_VAR_INIT))
#line 516
#define item (&(dest->items[pos].i_FI_VAR_INIT))
#line 516
  #line 505 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 506 "filter/f-inst.c"
item->sym = whati->sym;
#line 506

#undef whati
#line 516 "filter/f-inst.c"
#undef item
#line 516
  dest->items[pos].fi_code = what->fi_code;
#line 516
  dest->items[pos].flags = what->flags;
#line 516
  dest->items[pos].lineno = what->lineno;
#line 516
  break;
#line 516
}
#line 516

#line 527 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0: {
#line 527
#define whati (&(what->i_FI_VAR_INIT0))
#line 527
#define item (&(dest->items[pos].i_FI_VAR_INIT0))
#line 527
  #line 518 "filter/f-inst.c"
item->sym = whati->sym;
#line 518

#undef whati
#line 527 "filter/f-inst.c"
#undef item
#line 527
  dest->items[pos].fi_code = what->fi_code;
#line 527
  dest->items[pos].flags = what->flags;
#line 527
  dest->items[pos].lineno = what->lineno;
#line 527
  break;
#line 527
}
#line 527

#line 536 "filter/f-inst.c"
 /* Linearize for FI_VAR_SET */
#line 536
case FI_VAR_SET: {
#line 536
#define whati (&(what->i_FI_VAR_SET))
#line 536
#define item (&(dest->items[pos].i_FI_VAR_SET))
#line 536
  #line 529 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 530 "filter/f-inst.c"
item->sym = whati->sym;
#line 530

#undef whati
#line 536 "filter/f-inst.c"
#undef item
#line 536
  dest->items[pos].fi_code = what->fi_code;
#line 536
  dest->items[pos].flags = what->flags;
#line 536
  dest->items[pos].lineno = what->lineno;
#line 536
  break;
#line 536
}
#line 536

#line 543 "filter/f-inst.c"
 /* Linearize for FI_VAR_GET */
#line 543
case FI_VAR_GET: {
#line 543
#define whati (&(what->i_FI_VAR_GET))
#line 543
#define item (&(dest->items[pos].i_FI_VAR_GET))
#line 543
  #line 537 "filter/f-inst.c"
item->sym = whati->sym;
#line 537

#undef whati
#line 543 "filter/f-inst.c"
#undef item
#line 543
  dest->items[pos].fi_code = what->fi_code;
#line 543
  dest->items[pos].flags = what->flags;
#line 543
  dest->items[pos].lineno = what->lineno;
#line 543
  break;
#line 543
}
#line 543

#line 556 "filter/f-inst.c"
 /* Linearize for FI_CONSTANT */
#line 556
case FI_CONSTANT: {
#line 556
#define whati (&(what->i_FI_CONSTANT))
#line 556
#define item (&(dest->items[pos].i_FI_CONSTANT))
#line 556
  #line 544 "filter/f-inst.c"
item->val = whati->val;
#line 544

#undef whati
#line 556 "filter/f-inst.c"
#undef item
#line 556
  dest->items[pos].fi_code = what->fi_code;
#line 556
  dest->items[pos].flags = what->flags;
#line 556
  dest->items[pos].lineno = what->lineno;
#line 556
  break;
#line 556
}
#line 556

#line 557 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty: {
#line 557
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__empty))
#line 557
  #line 556 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 557 "filter/f-inst.c"
#undef item
#line 557
  dest->items[pos].fi_code = what->fi_code;
#line 557
  dest->items[pos].flags = what->flags;
#line 557
  dest->items[pos].lineno = what->lineno;
#line 557
  break;
#line 557
}
#line 557

#line 558 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty: {
#line 558
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__empty))
#line 558
  #line 557 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 558 "filter/f-inst.c"
#undef item
#line 558
  dest->items[pos].fi_code = what->fi_code;
#line 558
  dest->items[pos].flags = what->flags;
#line 558
  dest->items[pos].lineno = what->lineno;
#line 558
  break;
#line 558
}
#line 558

#line 559 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty: {
#line 559
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__empty))
#line 559
  #line 558 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 559 "filter/f-inst.c"
#undef item
#line 559
  dest->items[pos].fi_code = what->fi_code;
#line 559
  dest->items[pos].flags = what->flags;
#line 559
  dest->items[pos].lineno = what->lineno;
#line 559
  break;
#line 559
}
#line 559

#line 562 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty: {
#line 562
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__empty))
#line 562
  #line 559 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 562 "filter/f-inst.c"
#undef item
#line 562
  dest->items[pos].fi_code = what->fi_code;
#line 562
  dest->items[pos].flags = what->flags;
#line 562
  dest->items[pos].lineno = what->lineno;
#line 562
  break;
#line 562
}
#line 562

#line 584 "filter/f-inst.c"
 /* Linearize for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START: {
#line 584
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
#define item (&(dest->items[pos].i_FI_FOR_LOOP_START))
#line 584
  #line 564 "filter/f-inst.c"
item->sym = whati->sym;
#line 564

#undef whati
#line 584 "filter/f-inst.c"
#undef item
#line 584
  dest->items[pos].fi_code = what->fi_code;
#line 584
  dest->items[pos].flags = what->flags;
#line 584
  dest->items[pos].lineno = what->lineno;
#line 584
  break;
#line 584
}
#line 584

#line 593 "filter/f-inst.c"
 /* Linearize for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT: {
#line 593
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 593
#define item (&(dest->items[pos].i_FI_PATH_FOR_NEXT))
#line 593
  #line 586 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 588 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 593 "filter/f-inst.c"
#undef item
#line 593
  dest->items[pos].fi_code = what->fi_code;
#line 593
  dest->items[pos].flags = what->flags;
#line 593
  dest->items[pos].lineno = what->lineno;
#line 593
  break;
#line 593
}
#line 593

#line 602 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT: {
#line 602
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 602
#define item (&(dest->items[pos].i_FI_CLIST_FOR_NEXT))
#line 602
  #line 595 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 597 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 602 "filter/f-inst.c"
#undef item
#line 602
  dest->items[pos].fi_code = what->fi_code;
#line 602
  dest->items[pos].flags = what->flags;
#line 602
  dest->items[pos].lineno = what->lineno;
#line 602
  break;
#line 602
}
#line 602

#line 611 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT: {
#line 611
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 611
#define item (&(dest->items[pos].i_FI_ECLIST_FOR_NEXT))
#line 611
  #line 604 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 606 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 611 "filter/f-inst.c"
#undef item
#line 611
  dest->items[pos].fi_code = what->fi_code;
#line 611
  dest->items[pos].flags = what->flags;
#line 611
  dest->items[pos].lineno = what->lineno;
#line 611
  break;
#line 611
}
#line 611

#line 620 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT: {
#line 620
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 620
#define item (&(dest->items[pos].i_FI_LCLIST_FOR_NEXT))
#line 620
  #line 613 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 615 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 620 "filter/f-inst.c"
#undef item
#line 620
  dest->items[pos].fi_code = what->fi_code;
#line 620
  dest->items[pos].flags = what->flags;
#line 620
  dest->items[pos].lineno = what->lineno;
#line 620
  break;
#line 620
}
#line 620

#line 636 "filter/f-inst.c"
 /* Linearize for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT: {
#line 636
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
#define item (&(dest->items[pos].i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
  #line 622 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 630 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 636 "filter/f-inst.c"
#undef item
#line 636
  dest->items[pos].fi_code = what->fi_code;
#line 636
  dest->items[pos].flags = what->flags;
#line 636
  dest->items[pos].lineno = what->lineno;
#line 636
  break;
#line 636
}
#line 636

#line 644 "filter/f-inst.c"
 /* Linearize for FI_CONDITION */
#line 644
case FI_CONDITION: {
#line 644
#define whati (&(what->i_FI_CONDITION))
#line 644
#define item (&(dest->items[pos].i_FI_CONDITION))
#line 644
  #line 637 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 639 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#line 641 "filter/f-inst.c"
item->fl3 = f_linearize(whati->f3, 0);
#undef whati
#line 644 "filter/f-inst.c"
#undef item
#line 644
  dest->items[pos].fi_code = what->fi_code;
#line 644
  dest->items[pos].flags = what->flags;
#line 644
  dest->items[pos].lineno = what->lineno;
#line 644
  break;
#line 644
}
#line 644

#line 652 "filter/f-inst.c"
 /* Linearize for FI_PRINT */
#line 652
case FI_PRINT: {
#line 652
#define whati (&(what->i_FI_PRINT))
#line 652
#define item (&(dest->items[pos].i_FI_PRINT))
#line 652
  #line 646 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 652 "filter/f-inst.c"
#undef item
#line 652
  dest->items[pos].fi_code = what->fi_code;
#line 652
  dest->items[pos].flags = what->flags;
#line 652
  dest->items[pos].lineno = what->lineno;
#line 652
  break;
#line 652
}
#line 652

#line 659 "filter/f-inst.c"
 /* Linearize for FI_FLUSH */
#line 659
case FI_FLUSH: {
#line 659
#define whati (&(what->i_FI_FLUSH))
#line 659
#define item (&(dest->items[pos].i_FI_FLUSH))
#line 659
  #undef whati
#line 659
#undef item
#line 659
  dest->items[pos].fi_code = what->fi_code;
#line 659
  dest->items[pos].flags = what->flags;
#line 659
  dest->items[pos].lineno = what->lineno;
#line 659
  break;
#line 659
}
#line 659

#line 673 "filter/f-inst.c"
 /* Linearize for FI_DIE */
#line 673
case FI_DIE: {
#line 673
#define whati (&(what->i_FI_DIE))
#line 673
#define item (&(dest->items[pos].i_FI_DIE))
#line 673
  #line 661 "filter/f-inst.c"
item->fret = whati->fret;
#line 661

#undef whati
#line 673 "filter/f-inst.c"
#undef item
#line 673
  dest->items[pos].fi_code = what->fi_code;
#line 673
  dest->items[pos].flags = what->flags;
#line 673
  dest->items[pos].lineno = what->lineno;
#line 673
  break;
#line 673
}
#line 673

#line 713 "filter/f-inst.c"
 /* Linearize for FI_RTA_GET */
#line 713
case FI_RTA_GET: {
#line 713
#define whati (&(what->i_FI_RTA_GET))
#line 713
#define item (&(dest->items[pos].i_FI_RTA_GET))
#line 713
  #line 676 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 677 "filter/f-inst.c"
item->sa = whati->sa;
#line 677

#undef whati
#line 713 "filter/f-inst.c"
#undef item
#line 713
  dest->items[pos].fi_code = what->fi_code;
#line 713
  dest->items[pos].flags = what->flags;
#line 713
  dest->items[pos].lineno = what->lineno;
#line 713
  break;
#line 713
}
#line 713

#line 858 "filter/f-inst.c"
 /* Linearize for FI_RTA_SET */
#line 858
case FI_RTA_SET: {
#line 858
#define whati (&(what->i_FI_RTA_SET))
#line 858
#define item (&(dest->items[pos].i_FI_RTA_SET))
#line 858
  #line 715 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 716 "filter/f-inst.c"
item->sa = whati->sa;
#line 716

#undef whati
#line 858 "filter/f-inst.c"
#undef item
#line 858
  dest->items[pos].fi_code = what->fi_code;
#line 858
  dest->items[pos].flags = what->flags;
#line 858
  dest->items[pos].lineno = what->lineno;
#line 858
  break;
#line 858
}
#line 858

#line 913 "filter/f-inst.c"
 /* Linearize for FI_EA_GET */
#line 913
case FI_EA_GET: {
#line 913
#define whati (&(what->i_FI_EA_GET))
#line 913
#define item (&(dest->items[pos].i_FI_EA_GET))
#line 913
  #line 861 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 862 "filter/f-inst.c"
item->da = whati->da;
#line 862

#undef whati
#line 913 "filter/f-inst.c"
#undef item
#line 913
  dest->items[pos].fi_code = what->fi_code;
#line 913
  dest->items[pos].flags = what->flags;
#line 913
  dest->items[pos].lineno = what->lineno;
#line 913
  break;
#line 913
}
#line 913

#line 989 "filter/f-inst.c"
 /* Linearize for FI_EA_SET */
#line 989
case FI_EA_SET: {
#line 989
#define whati (&(what->i_FI_EA_SET))
#line 989
#define item (&(dest->items[pos].i_FI_EA_SET))
#line 989
  #line 916 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 917 "filter/f-inst.c"
item->da = whati->da;
#line 917

#undef whati
#line 989 "filter/f-inst.c"
#undef item
#line 989
  dest->items[pos].fi_code = what->fi_code;
#line 989
  dest->items[pos].flags = what->flags;
#line 989
  dest->items[pos].lineno = what->lineno;
#line 989
  break;
#line 989
}
#line 989

#line 999 "filter/f-inst.c"
 /* Linearize for FI_EA_UNSET */
#line 999
case FI_EA_UNSET: {
#line 999
#define whati (&(what->i_FI_EA_UNSET))
#line 999
#define item (&(dest->items[pos].i_FI_EA_UNSET))
#line 999
  #line 990 "filter/f-inst.c"
item->da = whati->da;
#line 990

#undef whati
#line 999 "filter/f-inst.c"
#undef item
#line 999
  dest->items[pos].fi_code = what->fi_code;
#line 999
  dest->items[pos].flags = what->flags;
#line 999
  dest->items[pos].lineno = what->lineno;
#line 999
  break;
#line 999
}
#line 999

#line 1000 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__len */
#line 1000
case FI_METHOD__T_NET__len: {
#line 1000
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 1000
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__len))
#line 1000
  #line 999 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1000 "filter/f-inst.c"
#undef item
#line 1000
  dest->items[pos].fi_code = what->fi_code;
#line 1000
  dest->items[pos].flags = what->flags;
#line 1000
  dest->items[pos].lineno = what->lineno;
#line 1000
  break;
#line 1000
}
#line 1000

#line 1001 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__len */
#line 1001
case FI_METHOD__T_PATH__len: {
#line 1001
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 1001
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__len))
#line 1001
  #line 1000 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1001 "filter/f-inst.c"
#undef item
#line 1001
  dest->items[pos].fi_code = what->fi_code;
#line 1001
  dest->items[pos].flags = what->flags;
#line 1001
  dest->items[pos].lineno = what->lineno;
#line 1001
  break;
#line 1001
}
#line 1001

#line 1002 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__len */
#line 1002
case FI_METHOD__T_CLIST__len: {
#line 1002
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 1002
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__len))
#line 1002
  #line 1001 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1002 "filter/f-inst.c"
#undef item
#line 1002
  dest->items[pos].fi_code = what->fi_code;
#line 1002
  dest->items[pos].flags = what->flags;
#line 1002
  dest->items[pos].lineno = what->lineno;
#line 1002
  break;
#line 1002
}
#line 1002

#line 1003 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__len */
#line 1003
case FI_METHOD__T_ECLIST__len: {
#line 1003
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 1003
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__len))
#line 1003
  #line 1002 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1003 "filter/f-inst.c"
#undef item
#line 1003
  dest->items[pos].fi_code = what->fi_code;
#line 1003
  dest->items[pos].flags = what->flags;
#line 1003
  dest->items[pos].lineno = what->lineno;
#line 1003
  break;
#line 1003
}
#line 1003

#line 1005 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__len */
#line 1005
case FI_METHOD__T_LCLIST__len: {
#line 1005
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 1005
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__len))
#line 1005
  #line 1003 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1005 "filter/f-inst.c"
#undef item
#line 1005
  dest->items[pos].fi_code = what->fi_code;
#line 1005
  dest->items[pos].flags = what->flags;
#line 1005
  dest->items[pos].lineno = what->lineno;
#line 1005
  break;
#line 1005
}
#line 1005

#line 1041 "filter/f-inst.c"
 /* Linearize for FI_NET_SRC */
#line 1041
case FI_NET_SRC: {
#line 1041
#define whati (&(what->i_FI_NET_SRC))
#line 1041
#define item (&(dest->items[pos].i_FI_NET_SRC))
#line 1041
  #line 1006 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1041 "filter/f-inst.c"
#undef item
#line 1041
  dest->items[pos].fi_code = what->fi_code;
#line 1041
  dest->items[pos].flags = what->flags;
#line 1041
  dest->items[pos].lineno = what->lineno;
#line 1041
  break;
#line 1041
}
#line 1041

#line 1078 "filter/f-inst.c"
 /* Linearize for FI_NET_DST */
#line 1078
case FI_NET_DST: {
#line 1078
#define whati (&(what->i_FI_NET_DST))
#line 1078
#define item (&(dest->items[pos].i_FI_NET_DST))
#line 1078
  #line 1042 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1078 "filter/f-inst.c"
#undef item
#line 1078
  dest->items[pos].fi_code = what->fi_code;
#line 1078
  dest->items[pos].flags = what->flags;
#line 1078
  dest->items[pos].lineno = what->lineno;
#line 1078
  break;
#line 1078
}
#line 1078

#line 1088 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__maxlen */
#line 1088
case FI_METHOD__T_NET__maxlen: {
#line 1088
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1088
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__maxlen))
#line 1088
  #line 1078 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1088 "filter/f-inst.c"
#undef item
#line 1088
  dest->items[pos].fi_code = what->fi_code;
#line 1088
  dest->items[pos].flags = what->flags;
#line 1088
  dest->items[pos].lineno = what->lineno;
#line 1088
  break;
#line 1088
}
#line 1088

#line 1098 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__asn */
#line 1098
case FI_METHOD__T_NET__asn: {
#line 1098
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1098
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__asn))
#line 1098
  #line 1088 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1098 "filter/f-inst.c"
#undef item
#line 1098
  dest->items[pos].fi_code = what->fi_code;
#line 1098
  dest->items[pos].flags = what->flags;
#line 1098
  dest->items[pos].lineno = what->lineno;
#line 1098
  break;
#line 1098
}
#line 1098

#line 1100 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__ip */
#line 1100
case FI_METHOD__T_NET__ip: {
#line 1100
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1100
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__ip))
#line 1100
  #line 1098 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1100 "filter/f-inst.c"
#undef item
#line 1100
  dest->items[pos].fi_code = what->fi_code;
#line 1100
  dest->items[pos].flags = what->flags;
#line 1100
  dest->items[pos].lineno = what->lineno;
#line 1100
  break;
#line 1100
}
#line 1100

#line 1109 "filter/f-inst.c"
 /* Linearize for FI_ROUTE_DISTINGUISHER */
#line 1109
case FI_ROUTE_DISTINGUISHER: {
#line 1109
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1109
#define item (&(dest->items[pos].i_FI_ROUTE_DISTINGUISHER))
#line 1109
  #line 1101 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1109 "filter/f-inst.c"
#undef item
#line 1109
  dest->items[pos].fi_code = what->fi_code;
#line 1109
  dest->items[pos].flags = what->flags;
#line 1109
  dest->items[pos].lineno = what->lineno;
#line 1109
  break;
#line 1109
}
#line 1109

#line 1112 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__first */
#line 1112
case FI_METHOD__T_PATH__first: {
#line 1112
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1112
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__first))
#line 1112
  #line 1109 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1112 "filter/f-inst.c"
#undef item
#line 1112
  dest->items[pos].fi_code = what->fi_code;
#line 1112
  dest->items[pos].flags = what->flags;
#line 1112
  dest->items[pos].lineno = what->lineno;
#line 1112
  break;
#line 1112
}
#line 1112

#line 1115 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last */
#line 1115
case FI_METHOD__T_PATH__last: {
#line 1115
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1115
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last))
#line 1115
  #line 1112 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1115 "filter/f-inst.c"
#undef item
#line 1115
  dest->items[pos].fi_code = what->fi_code;
#line 1115
  dest->items[pos].flags = what->flags;
#line 1115
  dest->items[pos].lineno = what->lineno;
#line 1115
  break;
#line 1115
}
#line 1115

#line 1118 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
case FI_METHOD__T_PATH__last_nonaggregated: {
#line 1118
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
  #line 1115 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1118 "filter/f-inst.c"
#undef item
#line 1118
  dest->items[pos].fi_code = what->fi_code;
#line 1118
  dest->items[pos].flags = what->flags;
#line 1118
  dest->items[pos].lineno = what->lineno;
#line 1118
  break;
#line 1118
}
#line 1118

#line 1121 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__asn */
#line 1121
case FI_METHOD__T_PAIR__asn: {
#line 1121
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1121
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__asn))
#line 1121
  #line 1118 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1121 "filter/f-inst.c"
#undef item
#line 1121
  dest->items[pos].fi_code = what->fi_code;
#line 1121
  dest->items[pos].flags = what->flags;
#line 1121
  dest->items[pos].lineno = what->lineno;
#line 1121
  break;
#line 1121
}
#line 1121

#line 1124 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__data */
#line 1124
case FI_METHOD__T_PAIR__data: {
#line 1124
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1124
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__data))
#line 1124
  #line 1121 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1124 "filter/f-inst.c"
#undef item
#line 1124
  dest->items[pos].fi_code = what->fi_code;
#line 1124
  dest->items[pos].flags = what->flags;
#line 1124
  dest->items[pos].lineno = what->lineno;
#line 1124
  break;
#line 1124
}
#line 1124

#line 1127 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__asn */
#line 1127
case FI_METHOD__T_LC__asn: {
#line 1127
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1127
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__asn))
#line 1127
  #line 1124 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1127 "filter/f-inst.c"
#undef item
#line 1127
  dest->items[pos].fi_code = what->fi_code;
#line 1127
  dest->items[pos].flags = what->flags;
#line 1127
  dest->items[pos].lineno = what->lineno;
#line 1127
  break;
#line 1127
}
#line 1127

#line 1130 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data1 */
#line 1130
case FI_METHOD__T_LC__data1: {
#line 1130
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1130
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data1))
#line 1130
  #line 1127 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1130 "filter/f-inst.c"
#undef item
#line 1130
  dest->items[pos].fi_code = what->fi_code;
#line 1130
  dest->items[pos].flags = what->flags;
#line 1130
  dest->items[pos].lineno = what->lineno;
#line 1130
  break;
#line 1130
}
#line 1130

#line 1133 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data2 */
#line 1133
case FI_METHOD__T_LC__data2: {
#line 1133
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1133
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data2))
#line 1133
  #line 1130 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1133 "filter/f-inst.c"
#undef item
#line 1133
  dest->items[pos].fi_code = what->fi_code;
#line 1133
  dest->items[pos].flags = what->flags;
#line 1133
  dest->items[pos].lineno = what->lineno;
#line 1133
  break;
#line 1133
}
#line 1133

#line 1136 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__min */
#line 1136
case FI_METHOD__T_CLIST__min: {
#line 1136
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1136
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__min))
#line 1136
  #line 1133 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1136 "filter/f-inst.c"
#undef item
#line 1136
  dest->items[pos].fi_code = what->fi_code;
#line 1136
  dest->items[pos].flags = what->flags;
#line 1136
  dest->items[pos].lineno = what->lineno;
#line 1136
  break;
#line 1136
}
#line 1136

#line 1139 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__max */
#line 1139
case FI_METHOD__T_CLIST__max: {
#line 1139
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1139
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__max))
#line 1139
  #line 1136 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1139 "filter/f-inst.c"
#undef item
#line 1139
  dest->items[pos].fi_code = what->fi_code;
#line 1139
  dest->items[pos].flags = what->flags;
#line 1139
  dest->items[pos].lineno = what->lineno;
#line 1139
  break;
#line 1139
}
#line 1139

#line 1142 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__min */
#line 1142
case FI_METHOD__T_ECLIST__min: {
#line 1142
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1142
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__min))
#line 1142
  #line 1139 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1142 "filter/f-inst.c"
#undef item
#line 1142
  dest->items[pos].fi_code = what->fi_code;
#line 1142
  dest->items[pos].flags = what->flags;
#line 1142
  dest->items[pos].lineno = what->lineno;
#line 1142
  break;
#line 1142
}
#line 1142

#line 1145 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__max */
#line 1145
case FI_METHOD__T_ECLIST__max: {
#line 1145
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1145
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__max))
#line 1145
  #line 1142 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1145 "filter/f-inst.c"
#undef item
#line 1145
  dest->items[pos].fi_code = what->fi_code;
#line 1145
  dest->items[pos].flags = what->flags;
#line 1145
  dest->items[pos].lineno = what->lineno;
#line 1145
  break;
#line 1145
}
#line 1145

#line 1148 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__min */
#line 1148
case FI_METHOD__T_LCLIST__min: {
#line 1148
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1148
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__min))
#line 1148
  #line 1145 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1148 "filter/f-inst.c"
#undef item
#line 1148
  dest->items[pos].fi_code = what->fi_code;
#line 1148
  dest->items[pos].flags = what->flags;
#line 1148
  dest->items[pos].lineno = what->lineno;
#line 1148
  break;
#line 1148
}
#line 1148

#line 1150 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__max */
#line 1150
case FI_METHOD__T_LCLIST__max: {
#line 1150
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1150
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__max))
#line 1150
  #line 1148 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1150 "filter/f-inst.c"
#undef item
#line 1150
  dest->items[pos].fi_code = what->fi_code;
#line 1150
  dest->items[pos].flags = what->flags;
#line 1150
  dest->items[pos].lineno = what->lineno;
#line 1150
  break;
#line 1150
}
#line 1150

#line 1176 "filter/f-inst.c"
 /* Linearize for FI_RETURN */
#line 1176
case FI_RETURN: {
#line 1176
#define whati (&(what->i_FI_RETURN))
#line 1176
#define item (&(dest->items[pos].i_FI_RETURN))
#line 1176
  #line 1153 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1176 "filter/f-inst.c"
#undef item
#line 1176
  dest->items[pos].fi_code = what->fi_code;
#line 1176
  dest->items[pos].flags = what->flags;
#line 1176
  dest->items[pos].lineno = what->lineno;
#line 1176
  break;
#line 1176
}
#line 1176

#line 1235 "filter/f-inst.c"
 /* Linearize for FI_CALL */
#line 1235
case FI_CALL: {
#line 1235
#define whati (&(what->i_FI_CALL))
#line 1235
#define item (&(dest->items[pos].i_FI_CALL))
#line 1235
  #line 1178 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 1178
  item->varcount = whati->varcount;
#line 1179 "filter/f-inst.c"
item->sym = whati->sym;
#line 1179

#undef whati
#line 1235 "filter/f-inst.c"
#undef item
#line 1235
  dest->items[pos].fi_code = what->fi_code;
#line 1235
  dest->items[pos].flags = what->flags;
#line 1235
  dest->items[pos].lineno = what->lineno;
#line 1235
  break;
#line 1235
}
#line 1235

#line 1240 "filter/f-inst.c"
 /* Linearize for FI_DROP_RESULT */
#line 1240
case FI_DROP_RESULT: {
#line 1240
#define whati (&(what->i_FI_DROP_RESULT))
#line 1240
#define item (&(dest->items[pos].i_FI_DROP_RESULT))
#line 1240
  #line 1237 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1240 "filter/f-inst.c"
#undef item
#line 1240
  dest->items[pos].fi_code = what->fi_code;
#line 1240
  dest->items[pos].flags = what->flags;
#line 1240
  dest->items[pos].lineno = what->lineno;
#line 1240
  break;
#line 1240
}
#line 1240

#line 1281 "filter/f-inst.c"
 /* Linearize for FI_SWITCH */
#line 1281
case FI_SWITCH: {
#line 1281
#define whati (&(what->i_FI_SWITCH))
#line 1281
#define item (&(dest->items[pos].i_FI_SWITCH))
#line 1281
  #line 1241 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1243 "filter/f-inst.c"
item->tree = whati->tree;
#line 1243


#line 1246 "filter/f-inst.c"
    /* Linearize all branches in switch */
    struct f_inst *last_inst = NULL;
    struct f_line *last_line = NULL;
    for (struct f_tree *t = whati->tree; t; t = t->left)
    {
      if (t->data != last_inst)
      {
	last_inst = t->data;
	last_line = f_linearize(t->data, 0);
      }

      t->data = last_line;
    }

    /* Balance the tree */
    item->tree = build_tree(whati->tree);

    #undef whati
#line 1281 "filter/f-inst.c"
#undef item
#line 1281
  dest->items[pos].fi_code = what->fi_code;
#line 1281
  dest->items[pos].flags = what->flags;
#line 1281
  dest->items[pos].lineno = what->lineno;
#line 1281
  break;
#line 1281
}
#line 1281

#line 1290 "filter/f-inst.c"
 /* Linearize for FI_IP_MASK */
#line 1290
case FI_IP_MASK: {
#line 1290
#define whati (&(what->i_FI_IP_MASK))
#line 1290
#define item (&(dest->items[pos].i_FI_IP_MASK))
#line 1290
  #line 1282 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1283 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1290 "filter/f-inst.c"
#undef item
#line 1290
  dest->items[pos].fi_code = what->fi_code;
#line 1290
  dest->items[pos].flags = what->flags;
#line 1290
  dest->items[pos].lineno = what->lineno;
#line 1290
  break;
#line 1290
}
#line 1290

#line 1298 "filter/f-inst.c"
 /* Linearize for FI_PATH_PREPEND */
#line 1298
case FI_PATH_PREPEND: {
#line 1298
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1298
#define item (&(dest->items[pos].i_FI_PATH_PREPEND))
#line 1298
  #line 1291 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1292 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1298 "filter/f-inst.c"
#undef item
#line 1298
  dest->items[pos].fi_code = what->fi_code;
#line 1298
  dest->items[pos].flags = what->flags;
#line 1298
  dest->items[pos].lineno = what->lineno;
#line 1298
  break;
#line 1298
}
#line 1298

#line 1306 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_PAIR */
#line 1306
case FI_CLIST_ADD_PAIR: {
#line 1306
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1306
#define item (&(dest->items[pos].i_FI_CLIST_ADD_PAIR))
#line 1306
  #line 1299 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1300 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1306 "filter/f-inst.c"
#undef item
#line 1306
  dest->items[pos].fi_code = what->fi_code;
#line 1306
  dest->items[pos].flags = what->flags;
#line 1306
  dest->items[pos].lineno = what->lineno;
#line 1306
  break;
#line 1306
}
#line 1306

#line 1313 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_INT */
#line 1313
case FI_CLIST_ADD_INT: {
#line 1313
#define whati (&(what->i_FI_CLIST_ADD_INT))
#line 1313
#define item (&(dest->items[pos].i_FI_CLIST_ADD_INT))
#line 1313
  #line 1307 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1308 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1313 "filter/f-inst.c"
#undef item
#line 1313
  dest->items[pos].fi_code = what->fi_code;
#line 1313
  dest->items[pos].flags = what->flags;
#line 1313
  dest->items[pos].lineno = what->lineno;
#line 1313
  break;
#line 1313
}
#line 1313

#line 1327 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_IP */
#line 1327
case FI_CLIST_ADD_IP: {
#line 1327
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1327
#define item (&(dest->items[pos].i_FI_CLIST_ADD_IP))
#line 1327
  #line 1314 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1315 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1327 "filter/f-inst.c"
#undef item
#line 1327
  dest->items[pos].fi_code = what->fi_code;
#line 1327
  dest->items[pos].flags = what->flags;
#line 1327
  dest->items[pos].lineno = what->lineno;
#line 1327
  break;
#line 1327
}
#line 1327

#line 1334 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_QUAD */
#line 1334
case FI_CLIST_ADD_QUAD: {
#line 1334
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1334
#define item (&(dest->items[pos].i_FI_CLIST_ADD_QUAD))
#line 1334
  #line 1328 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1329 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1334 "filter/f-inst.c"
#undef item
#line 1334
  dest->items[pos].fi_code = what->fi_code;
#line 1334
  dest->items[pos].flags = what->flags;
#line 1334
  dest->items[pos].lineno = what->lineno;
#line 1334
  break;
#line 1334
}
#line 1334

#line 1341 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_CLIST */
#line 1341
case FI_CLIST_ADD_CLIST: {
#line 1341
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1341
#define item (&(dest->items[pos].i_FI_CLIST_ADD_CLIST))
#line 1341
  #line 1335 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1336 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1341 "filter/f-inst.c"
#undef item
#line 1341
  dest->items[pos].fi_code = what->fi_code;
#line 1341
  dest->items[pos].flags = what->flags;
#line 1341
  dest->items[pos].lineno = what->lineno;
#line 1341
  break;
#line 1341
}
#line 1341

#line 1348 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_EC */
#line 1348
case FI_ECLIST_ADD_EC: {
#line 1348
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1348
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_EC))
#line 1348
  #line 1342 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1343 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1348 "filter/f-inst.c"
#undef item
#line 1348
  dest->items[pos].fi_code = what->fi_code;
#line 1348
  dest->items[pos].flags = what->flags;
#line 1348
  dest->items[pos].lineno = what->lineno;
#line 1348
  break;
#line 1348
}
#line 1348

#line 1355 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_ECLIST */
#line 1355
case FI_ECLIST_ADD_ECLIST: {
#line 1355
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1355
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_ECLIST))
#line 1355
  #line 1349 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1350 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1355 "filter/f-inst.c"
#undef item
#line 1355
  dest->items[pos].fi_code = what->fi_code;
#line 1355
  dest->items[pos].flags = what->flags;
#line 1355
  dest->items[pos].lineno = what->lineno;
#line 1355
  break;
#line 1355
}
#line 1355

#line 1362 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LC */
#line 1362
case FI_LCLIST_ADD_LC: {
#line 1362
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1362
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LC))
#line 1362
  #line 1356 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1357 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1362 "filter/f-inst.c"
#undef item
#line 1362
  dest->items[pos].fi_code = what->fi_code;
#line 1362
  dest->items[pos].flags = what->flags;
#line 1362
  dest->items[pos].lineno = what->lineno;
#line 1362
  break;
#line 1362
}
#line 1362

#line 1369 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LCLIST */
#line 1369
case FI_LCLIST_ADD_LCLIST: {
#line 1369
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1369
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LCLIST))
#line 1369
  #line 1363 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1364 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1369 "filter/f-inst.c"
#undef item
#line 1369
  dest->items[pos].fi_code = what->fi_code;
#line 1369
  dest->items[pos].flags = what->flags;
#line 1369
  dest->items[pos].lineno = what->lineno;
#line 1369
  break;
#line 1369
}
#line 1369

#line 1376 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_INT */
#line 1376
case FI_PATH_DELETE_INT: {
#line 1376
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1376
#define item (&(dest->items[pos].i_FI_PATH_DELETE_INT))
#line 1376
  #line 1370 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1371 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1376 "filter/f-inst.c"
#undef item
#line 1376
  dest->items[pos].fi_code = what->fi_code;
#line 1376
  dest->items[pos].flags = what->flags;
#line 1376
  dest->items[pos].lineno = what->lineno;
#line 1376
  break;
#line 1376
}
#line 1376

#line 1388 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_SET */
#line 1388
case FI_PATH_DELETE_SET: {
#line 1388
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1388
#define item (&(dest->items[pos].i_FI_PATH_DELETE_SET))
#line 1388
  #line 1377 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1378 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1388 "filter/f-inst.c"
#undef item
#line 1388
  dest->items[pos].fi_code = what->fi_code;
#line 1388
  dest->items[pos].flags = what->flags;
#line 1388
  dest->items[pos].lineno = what->lineno;
#line 1388
  break;
#line 1388
}
#line 1388

#line 1396 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_PAIR */
#line 1396
case FI_CLIST_DELETE_PAIR: {
#line 1396
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1396
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_PAIR))
#line 1396
  #line 1389 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1390 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1396 "filter/f-inst.c"
#undef item
#line 1396
  dest->items[pos].fi_code = what->fi_code;
#line 1396
  dest->items[pos].flags = what->flags;
#line 1396
  dest->items[pos].lineno = what->lineno;
#line 1396
  break;
#line 1396
}
#line 1396

#line 1403 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_INT */
#line 1403
case FI_CLIST_DELETE_INT: {
#line 1403
#define whati (&(what->i_FI_CLIST_DELETE_INT))
#line 1403
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_INT))
#line 1403
  #line 1397 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1398 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1403 "filter/f-inst.c"
#undef item
#line 1403
  dest->items[pos].fi_code = what->fi_code;
#line 1403
  dest->items[pos].flags = what->flags;
#line 1403
  dest->items[pos].lineno = what->lineno;
#line 1403
  break;
#line 1403
}
#line 1403

#line 1417 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_IP */
#line 1417
case FI_CLIST_DELETE_IP: {
#line 1417
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1417
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_IP))
#line 1417
  #line 1404 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1405 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1417 "filter/f-inst.c"
#undef item
#line 1417
  dest->items[pos].fi_code = what->fi_code;
#line 1417
  dest->items[pos].flags = what->flags;
#line 1417
  dest->items[pos].lineno = what->lineno;
#line 1417
  break;
#line 1417
}
#line 1417

#line 1424 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_QUAD */
#line 1424
case FI_CLIST_DELETE_QUAD: {
#line 1424
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1424
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_QUAD))
#line 1424
  #line 1418 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1419 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1424 "filter/f-inst.c"
#undef item
#line 1424
  dest->items[pos].fi_code = what->fi_code;
#line 1424
  dest->items[pos].flags = what->flags;
#line 1424
  dest->items[pos].lineno = what->lineno;
#line 1424
  break;
#line 1424
}
#line 1424

#line 1431 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_CLIST */
#line 1431
case FI_CLIST_DELETE_CLIST: {
#line 1431
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1431
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_CLIST))
#line 1431
  #line 1425 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1426 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1431 "filter/f-inst.c"
#undef item
#line 1431
  dest->items[pos].fi_code = what->fi_code;
#line 1431
  dest->items[pos].flags = what->flags;
#line 1431
  dest->items[pos].lineno = what->lineno;
#line 1431
  break;
#line 1431
}
#line 1431

#line 1442 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_SET */
#line 1442
case FI_CLIST_DELETE_SET: {
#line 1442
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1442
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_SET))
#line 1442
  #line 1432 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1433 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1442 "filter/f-inst.c"
#undef item
#line 1442
  dest->items[pos].fi_code = what->fi_code;
#line 1442
  dest->items[pos].flags = what->flags;
#line 1442
  dest->items[pos].lineno = what->lineno;
#line 1442
  break;
#line 1442
}
#line 1442

#line 1449 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_EC */
#line 1449
case FI_ECLIST_DELETE_EC: {
#line 1449
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1449
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_EC))
#line 1449
  #line 1443 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1444 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1449 "filter/f-inst.c"
#undef item
#line 1449
  dest->items[pos].fi_code = what->fi_code;
#line 1449
  dest->items[pos].flags = what->flags;
#line 1449
  dest->items[pos].lineno = what->lineno;
#line 1449
  break;
#line 1449
}
#line 1449

#line 1456 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_ECLIST */
#line 1456
case FI_ECLIST_DELETE_ECLIST: {
#line 1456
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_ECLIST))
#line 1456
  #line 1450 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1451 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1456 "filter/f-inst.c"
#undef item
#line 1456
  dest->items[pos].fi_code = what->fi_code;
#line 1456
  dest->items[pos].flags = what->flags;
#line 1456
  dest->items[pos].lineno = what->lineno;
#line 1456
  break;
#line 1456
}
#line 1456

#line 1467 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_SET */
#line 1467
case FI_ECLIST_DELETE_SET: {
#line 1467
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1467
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_SET))
#line 1467
  #line 1457 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1458 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1467 "filter/f-inst.c"
#undef item
#line 1467
  dest->items[pos].fi_code = what->fi_code;
#line 1467
  dest->items[pos].flags = what->flags;
#line 1467
  dest->items[pos].lineno = what->lineno;
#line 1467
  break;
#line 1467
}
#line 1467

#line 1474 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LC */
#line 1474
case FI_LCLIST_DELETE_LC: {
#line 1474
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1474
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LC))
#line 1474
  #line 1468 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1469 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1474 "filter/f-inst.c"
#undef item
#line 1474
  dest->items[pos].fi_code = what->fi_code;
#line 1474
  dest->items[pos].flags = what->flags;
#line 1474
  dest->items[pos].lineno = what->lineno;
#line 1474
  break;
#line 1474
}
#line 1474

#line 1481 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LCLIST */
#line 1481
case FI_LCLIST_DELETE_LCLIST: {
#line 1481
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LCLIST))
#line 1481
  #line 1475 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1476 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1481 "filter/f-inst.c"
#undef item
#line 1481
  dest->items[pos].fi_code = what->fi_code;
#line 1481
  dest->items[pos].flags = what->flags;
#line 1481
  dest->items[pos].lineno = what->lineno;
#line 1481
  break;
#line 1481
}
#line 1481

#line 1492 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_SET */
#line 1492
case FI_LCLIST_DELETE_SET: {
#line 1492
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1492
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_SET))
#line 1492
  #line 1482 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1483 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1492 "filter/f-inst.c"
#undef item
#line 1492
  dest->items[pos].fi_code = what->fi_code;
#line 1492
  dest->items[pos].flags = what->flags;
#line 1492
  dest->items[pos].lineno = what->lineno;
#line 1492
  break;
#line 1492
}
#line 1492

#line 1503 "filter/f-inst.c"
 /* Linearize for FI_PATH_FILTER_SET */
#line 1503
case FI_PATH_FILTER_SET: {
#line 1503
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1503
#define item (&(dest->items[pos].i_FI_PATH_FILTER_SET))
#line 1503
  #line 1493 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1494 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1503 "filter/f-inst.c"
#undef item
#line 1503
  dest->items[pos].fi_code = what->fi_code;
#line 1503
  dest->items[pos].flags = what->flags;
#line 1503
  dest->items[pos].lineno = what->lineno;
#line 1503
  break;
#line 1503
}
#line 1503

#line 1510 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_CLIST */
#line 1510
case FI_CLIST_FILTER_CLIST: {
#line 1510
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1510
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_CLIST))
#line 1510
  #line 1504 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1505 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1510 "filter/f-inst.c"
#undef item
#line 1510
  dest->items[pos].fi_code = what->fi_code;
#line 1510
  dest->items[pos].flags = what->flags;
#line 1510
  dest->items[pos].lineno = what->lineno;
#line 1510
  break;
#line 1510
}
#line 1510

#line 1521 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_SET */
#line 1521
case FI_CLIST_FILTER_SET: {
#line 1521
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1521
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_SET))
#line 1521
  #line 1511 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1512 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1521 "filter/f-inst.c"
#undef item
#line 1521
  dest->items[pos].fi_code = what->fi_code;
#line 1521
  dest->items[pos].flags = what->flags;
#line 1521
  dest->items[pos].lineno = what->lineno;
#line 1521
  break;
#line 1521
}
#line 1521

#line 1528 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_ECLIST */
#line 1528
case FI_ECLIST_FILTER_ECLIST: {
#line 1528
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_ECLIST))
#line 1528
  #line 1522 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1523 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1528 "filter/f-inst.c"
#undef item
#line 1528
  dest->items[pos].fi_code = what->fi_code;
#line 1528
  dest->items[pos].flags = what->flags;
#line 1528
  dest->items[pos].lineno = what->lineno;
#line 1528
  break;
#line 1528
}
#line 1528

#line 1539 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_SET */
#line 1539
case FI_ECLIST_FILTER_SET: {
#line 1539
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1539
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_SET))
#line 1539
  #line 1529 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1530 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1539 "filter/f-inst.c"
#undef item
#line 1539
  dest->items[pos].fi_code = what->fi_code;
#line 1539
  dest->items[pos].flags = what->flags;
#line 1539
  dest->items[pos].lineno = what->lineno;
#line 1539
  break;
#line 1539
}
#line 1539

#line 1546 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_LCLIST */
#line 1546
case FI_LCLIST_FILTER_LCLIST: {
#line 1546
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_LCLIST))
#line 1546
  #line 1540 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1541 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1546 "filter/f-inst.c"
#undef item
#line 1546
  dest->items[pos].fi_code = what->fi_code;
#line 1546
  dest->items[pos].flags = what->flags;
#line 1546
  dest->items[pos].lineno = what->lineno;
#line 1546
  break;
#line 1546
}
#line 1546

#line 1557 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_SET */
#line 1557
case FI_LCLIST_FILTER_SET: {
#line 1557
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1557
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_SET))
#line 1557
  #line 1547 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1548 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1557 "filter/f-inst.c"
#undef item
#line 1557
  dest->items[pos].fi_code = what->fi_code;
#line 1557
  dest->items[pos].flags = what->flags;
#line 1557
  dest->items[pos].lineno = what->lineno;
#line 1557
  break;
#line 1557
}
#line 1557

#line 1587 "filter/f-inst.c"
 /* Linearize for FI_ROA_CHECK_IMPLICIT */
#line 1587
case FI_ROA_CHECK_IMPLICIT: {
#line 1587
#define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1587
#define item (&(dest->items[pos].i_FI_ROA_CHECK_IMPLICIT))
#line 1587
  #line 1559 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1559

#undef whati
#line 1587 "filter/f-inst.c"
#undef item
#line 1587
  dest->items[pos].fi_code = what->fi_code;
#line 1587
  dest->items[pos].flags = what->flags;
#line 1587
  dest->items[pos].lineno = what->lineno;
#line 1587
  break;
#line 1587
}
#line 1587

#line 1609 "filter/f-inst.c"
 /* Linearize for FI_ROA_CHECK_EXPLICIT */
#line 1609
case FI_ROA_CHECK_EXPLICIT: {
#line 1609
#define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1609
#define item (&(dest->items[pos].i_FI_ROA_CHECK_EXPLICIT))
#line 1609
  #line 1589 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1590 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 1591 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1591

#undef whati
#line 1609 "filter/f-inst.c"
#undef item
#line 1609
  dest->items[pos].fi_code = what->fi_code;
#line 1609
  dest->items[pos].flags = what->flags;
#line 1609
  dest->items[pos].lineno = what->lineno;
#line 1609
  break;
#line 1609
}
#line 1609

#line 1625 "filter/f-inst.c"
 /* Linearize for FI_ASPA_CHECK_EXPLICIT */
#line 1625
case FI_ASPA_CHECK_EXPLICIT: {
#line 1625
#define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1625
#define item (&(dest->items[pos].i_FI_ASPA_CHECK_EXPLICIT))
#line 1625
  #line 1611 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1612 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 1613 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1613

#undef whati
#line 1625 "filter/f-inst.c"
#undef item
#line 1625
  dest->items[pos].fi_code = what->fi_code;
#line 1625
  dest->items[pos].flags = what->flags;
#line 1625
  dest->items[pos].lineno = what->lineno;
#line 1625
  break;
#line 1625
}
#line 1625

#line 1640 "filter/f-inst.c"
 /* Linearize for FI_FROM_HEX */
#line 1640
case FI_FROM_HEX: {
#line 1640
#define whati (&(what->i_FI_FROM_HEX))
#line 1640
#define item (&(dest->items[pos].i_FI_FROM_HEX))
#line 1640
  #line 1626 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1640 "filter/f-inst.c"
#undef item
#line 1640
  dest->items[pos].fi_code = what->fi_code;
#line 1640
  dest->items[pos].flags = what->flags;
#line 1640
  dest->items[pos].lineno = what->lineno;
#line 1640
  break;
#line 1640
}
#line 1640

#line 1645 "filter/f-inst.c"
 /* Linearize for FI_FORMAT */
#line 1645
case FI_FORMAT: {
#line 1645
#define whati (&(what->i_FI_FORMAT))
#line 1645
#define item (&(dest->items[pos].i_FI_FORMAT))
#line 1645
  #line 1641 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1645 "filter/f-inst.c"
#undef item
#line 1645
  dest->items[pos].fi_code = what->fi_code;
#line 1645
  dest->items[pos].flags = what->flags;
#line 1645
  dest->items[pos].lineno = what->lineno;
#line 1645
  break;
#line 1645
}
#line 1645

#line 825 "filter/decl.m4"
 /* Linearize for FI_ASSERT */
#line 825
case FI_ASSERT: {
#line 825
#define whati (&(what->i_FI_ASSERT))
#line 825
#define item (&(dest->items[pos].i_FI_ASSERT))
#line 825
  #line 1647 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1649 "filter/f-inst.c"
item->s = whati->s;
#line 1649

#undef whati
#line 825 "filter/decl.m4"
#undef item
#line 825
  dest->items[pos].fi_code = what->fi_code;
#line 825
  dest->items[pos].flags = what->flags;
#line 825
  dest->items[pos].lineno = what->lineno;
#line 825
  break;
#line 825
}
#line 825

#line 703 "filter/decl.m4"

    }
    pos++;
  }
  return pos;
}

struct f_line *
f_linearize_concat(const struct f_inst * const inst[], uint count, uint results)
{
  uint len = 0;
  for (uint i=0; i<count; i++)
    for (const struct f_inst *what = inst[i]; what; what = what->next)
      len += what->size;

  struct f_line *out = cfg_allocz(sizeof(struct f_line) + sizeof(struct f_line_item)*len);

  for (uint i=0; i<count; i++)
    out->len = linearize(out, inst[i], out->len);

  out->results = results;
  return out;
}

/* Filter line comparison */
int
f_same(const struct f_line *fl1, const struct f_line *fl2)
{
  if ((!fl1) && (!fl2))
    return 1;
  if ((!fl1) || (!fl2))
    return 0;
  if (fl1->len != fl2->len)
    return 0;
  for (uint i=0; i<fl1->len; i++) {
#define f1_ (&(fl1->items[i]))
#define f2_ (&(fl2->items[i]))
    if (f1_->fi_code != f2_->fi_code)
      return 0;
    if (f1_->flags != f2_->flags)
      return 0;

    switch(f1_->fi_code) {
#line 291 "filter/f-inst.c"
 /* Comparison for FI_ADD */
#line 291
case FI_ADD:
#line 291
#define f1 (&(f1_->i_FI_ADD))
#line 291
#define f2 (&(f2_->i_FI_ADD))
#line 291
#undef f1
#line 291
#undef f2
#line 291
break;
#line 291

#line 296 "filter/f-inst.c"
 /* Comparison for FI_SUBTRACT */
#line 296
case FI_SUBTRACT:
#line 296
#define f1 (&(f1_->i_FI_SUBTRACT))
#line 296
#define f2 (&(f2_->i_FI_SUBTRACT))
#line 296
#undef f1
#line 296
#undef f2
#line 296
break;
#line 296

#line 301 "filter/f-inst.c"
 /* Comparison for FI_MULTIPLY */
#line 301
case FI_MULTIPLY:
#line 301
#define f1 (&(f1_->i_FI_MULTIPLY))
#line 301
#define f2 (&(f2_->i_FI_MULTIPLY))
#line 301
#undef f1
#line 301
#undef f2
#line 301
break;
#line 301

#line 307 "filter/f-inst.c"
 /* Comparison for FI_DIVIDE */
#line 307
case FI_DIVIDE:
#line 307
#define f1 (&(f1_->i_FI_DIVIDE))
#line 307
#define f2 (&(f2_->i_FI_DIVIDE))
#line 307
#undef f1
#line 307
#undef f2
#line 307
break;
#line 307

#line 317 "filter/f-inst.c"
 /* Comparison for FI_AND */
#line 317
case FI_AND:
#line 317
#define f1 (&(f1_->i_FI_AND))
#line 317
#define f2 (&(f2_->i_FI_AND))
#line 313 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 317 "filter/f-inst.c"
#undef f1
#line 317
#undef f2
#line 317
break;
#line 317

#line 328 "filter/f-inst.c"
 /* Comparison for FI_OR */
#line 328
case FI_OR:
#line 328
#define f1 (&(f1_->i_FI_OR))
#line 328
#define f2 (&(f2_->i_FI_OR))
#line 323 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 328 "filter/f-inst.c"
#undef f1
#line 328
#undef f2
#line 328
break;
#line 328

#line 338 "filter/f-inst.c"
 /* Comparison for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT:
#line 338
#define f1 (&(f1_->i_FI_PAIR_CONSTRUCT))
#line 338
#define f2 (&(f2_->i_FI_PAIR_CONSTRUCT))
#line 338
#undef f1
#line 338
#undef f2
#line 338
break;
#line 338

#line 378 "filter/f-inst.c"
 /* Comparison for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT:
#line 378
#define f1 (&(f1_->i_FI_EC_CONSTRUCT))
#line 378
#define f2 (&(f2_->i_FI_EC_CONSTRUCT))
#line 342 "filter/f-inst.c"
if (f1->ecs != f2->ecs) return 0;
#line 342

#line 342

#line 378 "filter/f-inst.c"
#undef f1
#line 378
#undef f2
#line 378
break;
#line 378

#line 385 "filter/f-inst.c"
 /* Comparison for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT:
#line 385
#define f1 (&(f1_->i_FI_LC_CONSTRUCT))
#line 385
#define f2 (&(f2_->i_FI_LC_CONSTRUCT))
#line 385
#undef f1
#line 385
#undef f2
#line 385
break;
#line 385

#line 435 "filter/f-inst.c"
 /* Comparison for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT:
#line 435
#define f1 (&(f1_->i_FI_PATHMASK_CONSTRUCT))
#line 435
#define f2 (&(f2_->i_FI_PATHMASK_CONSTRUCT))
#line 386 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 435 "filter/f-inst.c"
#undef f1
#line 435
#undef f2
#line 435
break;
#line 435

#line 442 "filter/f-inst.c"
 /* Comparison for FI_NEQ */
#line 442
case FI_NEQ:
#line 442
#define f1 (&(f1_->i_FI_NEQ))
#line 442
#define f2 (&(f2_->i_FI_NEQ))
#line 442
#undef f1
#line 442
#undef f2
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Comparison for FI_EQ */
#line 449
case FI_EQ:
#line 449
#define f1 (&(f1_->i_FI_EQ))
#line 449
#define f2 (&(f2_->i_FI_EQ))
#line 449
#undef f1
#line 449
#undef f2
#line 449
break;
#line 449

#line 460 "filter/f-inst.c"
 /* Comparison for FI_LT */
#line 460
case FI_LT:
#line 460
#define f1 (&(f1_->i_FI_LT))
#line 460
#define f2 (&(f2_->i_FI_LT))
#line 460
#undef f1
#line 460
#undef f2
#line 460
break;
#line 460

#line 471 "filter/f-inst.c"
 /* Comparison for FI_LTE */
#line 471
case FI_LTE:
#line 471
#define f1 (&(f1_->i_FI_LTE))
#line 471
#define f2 (&(f2_->i_FI_LTE))
#line 471
#undef f1
#line 471
#undef f2
#line 471
break;
#line 471

#line 476 "filter/f-inst.c"
 /* Comparison for FI_NOT */
#line 476
case FI_NOT:
#line 476
#define f1 (&(f1_->i_FI_NOT))
#line 476
#define f2 (&(f2_->i_FI_NOT))
#line 476
#undef f1
#line 476
#undef f2
#line 476
break;
#line 476

#line 485 "filter/f-inst.c"
 /* Comparison for FI_MATCH */
#line 485
case FI_MATCH:
#line 485
#define f1 (&(f1_->i_FI_MATCH))
#line 485
#define f2 (&(f2_->i_FI_MATCH))
#line 485
#undef f1
#line 485
#undef f2
#line 485
break;
#line 485

#line 494 "filter/f-inst.c"
 /* Comparison for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH:
#line 494
#define f1 (&(f1_->i_FI_NOT_MATCH))
#line 494
#define f2 (&(f2_->i_FI_NOT_MATCH))
#line 494
#undef f1
#line 494
#undef f2
#line 494
break;
#line 494

#line 499 "filter/f-inst.c"
 /* Comparison for FI_DEFINED */
#line 499
case FI_DEFINED:
#line 499
#define f1 (&(f1_->i_FI_DEFINED))
#line 499
#define f2 (&(f2_->i_FI_DEFINED))
#line 499
#undef f1
#line 499
#undef f2
#line 499
break;
#line 499

#line 500 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type:
#line 500
#define f1 (&(f1_->i_FI_METHOD__T_NET__type))
#line 500
#define f2 (&(f2_->i_FI_METHOD__T_NET__type))
#line 500
#undef f1
#line 500
#undef f2
#line 500
break;
#line 500

#line 503 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4:
#line 503
#define f1 (&(f1_->i_FI_METHOD__T_IP__is_v4))
#line 503
#define f2 (&(f2_->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef f1
#line 503
#undef f2
#line 503
break;
#line 503

#line 516 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT */
#line 516
case FI_VAR_INIT:
#line 516
#define f1 (&(f1_->i_FI_VAR_INIT))
#line 516
#define f2 (&(f2_->i_FI_VAR_INIT))
#line 506 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 506

#line 506

#line 516 "filter/f-inst.c"
#undef f1
#line 516
#undef f2
#line 516
break;
#line 516

#line 527 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0:
#line 527
#define f1 (&(f1_->i_FI_VAR_INIT0))
#line 527
#define f2 (&(f2_->i_FI_VAR_INIT0))
#line 518 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 518

#line 518

#line 527 "filter/f-inst.c"
#undef f1
#line 527
#undef f2
#line 527
break;
#line 527

#line 536 "filter/f-inst.c"
 /* Comparison for FI_VAR_SET */
#line 536
case FI_VAR_SET:
#line 536
#define f1 (&(f1_->i_FI_VAR_SET))
#line 536
#define f2 (&(f2_->i_FI_VAR_SET))
#line 530 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 530

#line 530

#line 536 "filter/f-inst.c"
#undef f1
#line 536
#undef f2
#line 536
break;
#line 536

#line 543 "filter/f-inst.c"
 /* Comparison for FI_VAR_GET */
#line 543
case FI_VAR_GET:
#line 543
#define f1 (&(f1_->i_FI_VAR_GET))
#line 543
#define f2 (&(f2_->i_FI_VAR_GET))
#line 537 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 537

#line 537

#line 543 "filter/f-inst.c"
#undef f1
#line 543
#undef f2
#line 543
break;
#line 543

#line 556 "filter/f-inst.c"
 /* Comparison for FI_CONSTANT */
#line 556
case FI_CONSTANT:
#line 556
#define f1 (&(f1_->i_FI_CONSTANT))
#line 556
#define f2 (&(f2_->i_FI_CONSTANT))
#line 544 "filter/f-inst.c"
if ( !val_same(&(f1->val), &(f2->val)) ) return 0;
#line 544

#line 544

#line 556 "filter/f-inst.c"
#undef f1
#line 556
#undef f2
#line 556
break;
#line 556

#line 557 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty:
#line 557
#define f1 (&(f1_->i_FI_METHOD__T_PATH__empty))
#line 557
#define f2 (&(f2_->i_FI_METHOD__T_PATH__empty))
#line 557
#undef f1
#line 557
#undef f2
#line 557
break;
#line 557

#line 558 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty:
#line 558
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__empty))
#line 558
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef f1
#line 558
#undef f2
#line 558
break;
#line 558

#line 559 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty:
#line 559
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef f1
#line 559
#undef f2
#line 559
break;
#line 559

#line 562 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty:
#line 562
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef f1
#line 562
#undef f2
#line 562
break;
#line 562

#line 584 "filter/f-inst.c"
 /* Comparison for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START:
#line 584
#define f1 (&(f1_->i_FI_FOR_LOOP_START))
#line 584
#define f2 (&(f2_->i_FI_FOR_LOOP_START))
#line 564 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 564

#line 564

#line 584 "filter/f-inst.c"
#undef f1
#line 584
#undef f2
#line 584
break;
#line 584

#line 593 "filter/f-inst.c"
 /* Comparison for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT:
#line 593
#define f1 (&(f1_->i_FI_PATH_FOR_NEXT))
#line 593
#define f2 (&(f2_->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 593 "filter/f-inst.c"
#undef f1
#line 593
#undef f2
#line 593
break;
#line 593

#line 602 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT:
#line 602
#define f1 (&(f1_->i_FI_CLIST_FOR_NEXT))
#line 602
#define f2 (&(f2_->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 602 "filter/f-inst.c"
#undef f1
#line 602
#undef f2
#line 602
break;
#line 602

#line 611 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT:
#line 611
#define f1 (&(f1_->i_FI_ECLIST_FOR_NEXT))
#line 611
#define f2 (&(f2_->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 611 "filter/f-inst.c"
#undef f1
#line 611
#undef f2
#line 611
break;
#line 611

#line 620 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT:
#line 620
#define f1 (&(f1_->i_FI_LCLIST_FOR_NEXT))
#line 620
#define f2 (&(f2_->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 620 "filter/f-inst.c"
#undef f1
#line 620
#undef f2
#line 620
break;
#line 620

#line 636 "filter/f-inst.c"
 /* Comparison for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 636
#define f1 (&(f1_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
#define f2 (&(f2_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 636 "filter/f-inst.c"
#undef f1
#line 636
#undef f2
#line 636
break;
#line 636

#line 644 "filter/f-inst.c"
 /* Comparison for FI_CONDITION */
#line 644
case FI_CONDITION:
#line 644
#define f1 (&(f1_->i_FI_CONDITION))
#line 644
#define f2 (&(f2_->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 641 "filter/f-inst.c"
if (!f_same(f1->fl3, f2->fl3)) return 0;
#line 644 "filter/f-inst.c"
#undef f1
#line 644
#undef f2
#line 644
break;
#line 644

#line 652 "filter/f-inst.c"
 /* Comparison for FI_PRINT */
#line 652
case FI_PRINT:
#line 652
#define f1 (&(f1_->i_FI_PRINT))
#line 652
#define f2 (&(f2_->i_FI_PRINT))
#line 652
#undef f1
#line 652
#undef f2
#line 652
break;
#line 652

#line 659 "filter/f-inst.c"
 /* Comparison for FI_FLUSH */
#line 659
case FI_FLUSH:
#line 659
#define f1 (&(f1_->i_FI_FLUSH))
#line 659
#define f2 (&(f2_->i_FI_FLUSH))
#line 659
#undef f1
#line 659
#undef f2
#line 659
break;
#line 659

#line 673 "filter/f-inst.c"
 /* Comparison for FI_DIE */
#line 673
case FI_DIE:
#line 673
#define f1 (&(f1_->i_FI_DIE))
#line 673
#define f2 (&(f2_->i_FI_DIE))
#line 661 "filter/f-inst.c"
if (f1->fret != f2->fret) return 0;
#line 661

#line 661

#line 673 "filter/f-inst.c"
#undef f1
#line 673
#undef f2
#line 673
break;
#line 673

#line 713 "filter/f-inst.c"
 /* Comparison for FI_RTA_GET */
#line 713
case FI_RTA_GET:
#line 713
#define f1 (&(f1_->i_FI_RTA_GET))
#line 713
#define f2 (&(f2_->i_FI_RTA_GET))
#line 677 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 677

#line 677

#line 713 "filter/f-inst.c"
#undef f1
#line 713
#undef f2
#line 713
break;
#line 713

#line 858 "filter/f-inst.c"
 /* Comparison for FI_RTA_SET */
#line 858
case FI_RTA_SET:
#line 858
#define f1 (&(f1_->i_FI_RTA_SET))
#line 858
#define f2 (&(f2_->i_FI_RTA_SET))
#line 716 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 716

#line 716

#line 858 "filter/f-inst.c"
#undef f1
#line 858
#undef f2
#line 858
break;
#line 858

#line 913 "filter/f-inst.c"
 /* Comparison for FI_EA_GET */
#line 913
case FI_EA_GET:
#line 913
#define f1 (&(f1_->i_FI_EA_GET))
#line 913
#define f2 (&(f2_->i_FI_EA_GET))
#line 862 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 862

#line 862

#line 913 "filter/f-inst.c"
#undef f1
#line 913
#undef f2
#line 913
break;
#line 913

#line 989 "filter/f-inst.c"
 /* Comparison for FI_EA_SET */
#line 989
case FI_EA_SET:
#line 989
#define f1 (&(f1_->i_FI_EA_SET))
#line 989
#define f2 (&(f2_->i_FI_EA_SET))
#line 917 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 917

#line 917

#line 989 "filter/f-inst.c"
#undef f1
#line 989
#undef f2
#line 989
break;
#line 989

#line 999 "filter/f-inst.c"
 /* Comparison for FI_EA_UNSET */
#line 999
case FI_EA_UNSET:
#line 999
#define f1 (&(f1_->i_FI_EA_UNSET))
#line 999
#define f2 (&(f2_->i_FI_EA_UNSET))
#line 990 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 990

#line 990

#line 999 "filter/f-inst.c"
#undef f1
#line 999
#undef f2
#line 999
break;
#line 999

#line 1000 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__len */
#line 1000
case FI_METHOD__T_NET__len:
#line 1000
#define f1 (&(f1_->i_FI_METHOD__T_NET__len))
#line 1000
#define f2 (&(f2_->i_FI_METHOD__T_NET__len))
#line 1000
#undef f1
#line 1000
#undef f2
#line 1000
break;
#line 1000

#line 1001 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__len */
#line 1001
case FI_METHOD__T_PATH__len:
#line 1001
#define f1 (&(f1_->i_FI_METHOD__T_PATH__len))
#line 1001
#define f2 (&(f2_->i_FI_METHOD__T_PATH__len))
#line 1001
#undef f1
#line 1001
#undef f2
#line 1001
break;
#line 1001

#line 1002 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__len */
#line 1002
case FI_METHOD__T_CLIST__len:
#line 1002
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__len))
#line 1002
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__len))
#line 1002
#undef f1
#line 1002
#undef f2
#line 1002
break;
#line 1002

#line 1003 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__len */
#line 1003
case FI_METHOD__T_ECLIST__len:
#line 1003
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__len))
#line 1003
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__len))
#line 1003
#undef f1
#line 1003
#undef f2
#line 1003
break;
#line 1003

#line 1005 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__len */
#line 1005
case FI_METHOD__T_LCLIST__len:
#line 1005
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__len))
#line 1005
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__len))
#line 1005
#undef f1
#line 1005
#undef f2
#line 1005
break;
#line 1005

#line 1041 "filter/f-inst.c"
 /* Comparison for FI_NET_SRC */
#line 1041
case FI_NET_SRC:
#line 1041
#define f1 (&(f1_->i_FI_NET_SRC))
#line 1041
#define f2 (&(f2_->i_FI_NET_SRC))
#line 1041
#undef f1
#line 1041
#undef f2
#line 1041
break;
#line 1041

#line 1078 "filter/f-inst.c"
 /* Comparison for FI_NET_DST */
#line 1078
case FI_NET_DST:
#line 1078
#define f1 (&(f1_->i_FI_NET_DST))
#line 1078
#define f2 (&(f2_->i_FI_NET_DST))
#line 1078
#undef f1
#line 1078
#undef f2
#line 1078
break;
#line 1078

#line 1088 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__maxlen */
#line 1088
case FI_METHOD__T_NET__maxlen:
#line 1088
#define f1 (&(f1_->i_FI_METHOD__T_NET__maxlen))
#line 1088
#define f2 (&(f2_->i_FI_METHOD__T_NET__maxlen))
#line 1088
#undef f1
#line 1088
#undef f2
#line 1088
break;
#line 1088

#line 1098 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__asn */
#line 1098
case FI_METHOD__T_NET__asn:
#line 1098
#define f1 (&(f1_->i_FI_METHOD__T_NET__asn))
#line 1098
#define f2 (&(f2_->i_FI_METHOD__T_NET__asn))
#line 1098
#undef f1
#line 1098
#undef f2
#line 1098
break;
#line 1098

#line 1100 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__ip */
#line 1100
case FI_METHOD__T_NET__ip:
#line 1100
#define f1 (&(f1_->i_FI_METHOD__T_NET__ip))
#line 1100
#define f2 (&(f2_->i_FI_METHOD__T_NET__ip))
#line 1100
#undef f1
#line 1100
#undef f2
#line 1100
break;
#line 1100

#line 1109 "filter/f-inst.c"
 /* Comparison for FI_ROUTE_DISTINGUISHER */
#line 1109
case FI_ROUTE_DISTINGUISHER:
#line 1109
#define f1 (&(f1_->i_FI_ROUTE_DISTINGUISHER))
#line 1109
#define f2 (&(f2_->i_FI_ROUTE_DISTINGUISHER))
#line 1109
#undef f1
#line 1109
#undef f2
#line 1109
break;
#line 1109

#line 1112 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__first */
#line 1112
case FI_METHOD__T_PATH__first:
#line 1112
#define f1 (&(f1_->i_FI_METHOD__T_PATH__first))
#line 1112
#define f2 (&(f2_->i_FI_METHOD__T_PATH__first))
#line 1112
#undef f1
#line 1112
#undef f2
#line 1112
break;
#line 1112

#line 1115 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last */
#line 1115
case FI_METHOD__T_PATH__last:
#line 1115
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last))
#line 1115
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last))
#line 1115
#undef f1
#line 1115
#undef f2
#line 1115
break;
#line 1115

#line 1118 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1118
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
#undef f1
#line 1118
#undef f2
#line 1118
break;
#line 1118

#line 1121 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__asn */
#line 1121
case FI_METHOD__T_PAIR__asn:
#line 1121
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__asn))
#line 1121
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__asn))
#line 1121
#undef f1
#line 1121
#undef f2
#line 1121
break;
#line 1121

#line 1124 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__data */
#line 1124
case FI_METHOD__T_PAIR__data:
#line 1124
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__data))
#line 1124
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__data))
#line 1124
#undef f1
#line 1124
#undef f2
#line 1124
break;
#line 1124

#line 1127 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__asn */
#line 1127
case FI_METHOD__T_LC__asn:
#line 1127
#define f1 (&(f1_->i_FI_METHOD__T_LC__asn))
#line 1127
#define f2 (&(f2_->i_FI_METHOD__T_LC__asn))
#line 1127
#undef f1
#line 1127
#undef f2
#line 1127
break;
#line 1127

#line 1130 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data1 */
#line 1130
case FI_METHOD__T_LC__data1:
#line 1130
#define f1 (&(f1_->i_FI_METHOD__T_LC__data1))
#line 1130
#define f2 (&(f2_->i_FI_METHOD__T_LC__data1))
#line 1130
#undef f1
#line 1130
#undef f2
#line 1130
break;
#line 1130

#line 1133 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data2 */
#line 1133
case FI_METHOD__T_LC__data2:
#line 1133
#define f1 (&(f1_->i_FI_METHOD__T_LC__data2))
#line 1133
#define f2 (&(f2_->i_FI_METHOD__T_LC__data2))
#line 1133
#undef f1
#line 1133
#undef f2
#line 1133
break;
#line 1133

#line 1136 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__min */
#line 1136
case FI_METHOD__T_CLIST__min:
#line 1136
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__min))
#line 1136
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__min))
#line 1136
#undef f1
#line 1136
#undef f2
#line 1136
break;
#line 1136

#line 1139 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__max */
#line 1139
case FI_METHOD__T_CLIST__max:
#line 1139
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__max))
#line 1139
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__max))
#line 1139
#undef f1
#line 1139
#undef f2
#line 1139
break;
#line 1139

#line 1142 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__min */
#line 1142
case FI_METHOD__T_ECLIST__min:
#line 1142
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__min))
#line 1142
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__min))
#line 1142
#undef f1
#line 1142
#undef f2
#line 1142
break;
#line 1142

#line 1145 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__max */
#line 1145
case FI_METHOD__T_ECLIST__max:
#line 1145
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__max))
#line 1145
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__max))
#line 1145
#undef f1
#line 1145
#undef f2
#line 1145
break;
#line 1145

#line 1148 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__min */
#line 1148
case FI_METHOD__T_LCLIST__min:
#line 1148
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__min))
#line 1148
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__min))
#line 1148
#undef f1
#line 1148
#undef f2
#line 1148
break;
#line 1148

#line 1150 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__max */
#line 1150
case FI_METHOD__T_LCLIST__max:
#line 1150
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__max))
#line 1150
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__max))
#line 1150
#undef f1
#line 1150
#undef f2
#line 1150
break;
#line 1150

#line 1176 "filter/f-inst.c"
 /* Comparison for FI_RETURN */
#line 1176
case FI_RETURN:
#line 1176
#define f1 (&(f1_->i_FI_RETURN))
#line 1176
#define f2 (&(f2_->i_FI_RETURN))
#line 1176
#undef f1
#line 1176
#undef f2
#line 1176
break;
#line 1176

#line 1235 "filter/f-inst.c"
 /* Comparison for FI_CALL */
#line 1235
case FI_CALL:
#line 1235
#define f1 (&(f1_->i_FI_CALL))
#line 1235
#define f2 (&(f2_->i_FI_CALL))
#line 1178 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 1179 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 1179

#line 1179


#line 1213 "filter/f-inst.c"
    if (!(f1->sym->flags & SYM_FLAG_SAME) && !(f1_->flags & FIF_RECURSIVE))
      return 0;

    #line 1235 "filter/f-inst.c"
#undef f1
#line 1235
#undef f2
#line 1235
break;
#line 1235

#line 1240 "filter/f-inst.c"
 /* Comparison for FI_DROP_RESULT */
#line 1240
case FI_DROP_RESULT:
#line 1240
#define f1 (&(f1_->i_FI_DROP_RESULT))
#line 1240
#define f2 (&(f2_->i_FI_DROP_RESULT))
#line 1240
#undef f1
#line 1240
#undef f2
#line 1240
break;
#line 1240

#line 1281 "filter/f-inst.c"
 /* Comparison for FI_SWITCH */
#line 1281
case FI_SWITCH:
#line 1281
#define f1 (&(f1_->i_FI_SWITCH))
#line 1281
#define f2 (&(f2_->i_FI_SWITCH))
#line 1243 "filter/f-inst.c"
if (!same_tree(f1->tree, f2->tree)) return 0;
#line 1243

#line 1243

#line 1281 "filter/f-inst.c"
#undef f1
#line 1281
#undef f2
#line 1281
break;
#line 1281

#line 1290 "filter/f-inst.c"
 /* Comparison for FI_IP_MASK */
#line 1290
case FI_IP_MASK:
#line 1290
#define f1 (&(f1_->i_FI_IP_MASK))
#line 1290
#define f2 (&(f2_->i_FI_IP_MASK))
#line 1290
#undef f1
#line 1290
#undef f2
#line 1290
break;
#line 1290

#line 1298 "filter/f-inst.c"
 /* Comparison for FI_PATH_PREPEND */
#line 1298
case FI_PATH_PREPEND:
#line 1298
#define f1 (&(f1_->i_FI_PATH_PREPEND))
#line 1298
#define f2 (&(f2_->i_FI_PATH_PREPEND))
#line 1298
#undef f1
#line 1298
#undef f2
#line 1298
break;
#line 1298

#line 1306 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_PAIR */
#line 1306
case FI_CLIST_ADD_PAIR:
#line 1306
#define f1 (&(f1_->i_FI_CLIST_ADD_PAIR))
#line 1306
#define f2 (&(f2_->i_FI_CLIST_ADD_PAIR))
#line 1306
#undef f1
#line 1306
#undef f2
#line 1306
break;
#line 1306

#line 1313 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_INT */
#line 1313
case FI_CLIST_ADD_INT:
#line 1313
#define f1 (&(f1_->i_FI_CLIST_ADD_INT))
#line 1313
#define f2 (&(f2_->i_FI_CLIST_ADD_INT))
#line 1313
#undef f1
#line 1313
#undef f2
#line 1313
break;
#line 1313

#line 1327 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_IP */
#line 1327
case FI_CLIST_ADD_IP:
#line 1327
#define f1 (&(f1_->i_FI_CLIST_ADD_IP))
#line 1327
#define f2 (&(f2_->i_FI_CLIST_ADD_IP))
#line 1327
#undef f1
#line 1327
#undef f2
#line 1327
break;
#line 1327

#line 1334 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_QUAD */
#line 1334
case FI_CLIST_ADD_QUAD:
#line 1334
#define f1 (&(f1_->i_FI_CLIST_ADD_QUAD))
#line 1334
#define f2 (&(f2_->i_FI_CLIST_ADD_QUAD))
#line 1334
#undef f1
#line 1334
#undef f2
#line 1334
break;
#line 1334

#line 1341 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_CLIST */
#line 1341
case FI_CLIST_ADD_CLIST:
#line 1341
#define f1 (&(f1_->i_FI_CLIST_ADD_CLIST))
#line 1341
#define f2 (&(f2_->i_FI_CLIST_ADD_CLIST))
#line 1341
#undef f1
#line 1341
#undef f2
#line 1341
break;
#line 1341

#line 1348 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_EC */
#line 1348
case FI_ECLIST_ADD_EC:
#line 1348
#define f1 (&(f1_->i_FI_ECLIST_ADD_EC))
#line 1348
#define f2 (&(f2_->i_FI_ECLIST_ADD_EC))
#line 1348
#undef f1
#line 1348
#undef f2
#line 1348
break;
#line 1348

#line 1355 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_ECLIST */
#line 1355
case FI_ECLIST_ADD_ECLIST:
#line 1355
#define f1 (&(f1_->i_FI_ECLIST_ADD_ECLIST))
#line 1355
#define f2 (&(f2_->i_FI_ECLIST_ADD_ECLIST))
#line 1355
#undef f1
#line 1355
#undef f2
#line 1355
break;
#line 1355

#line 1362 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LC */
#line 1362
case FI_LCLIST_ADD_LC:
#line 1362
#define f1 (&(f1_->i_FI_LCLIST_ADD_LC))
#line 1362
#define f2 (&(f2_->i_FI_LCLIST_ADD_LC))
#line 1362
#undef f1
#line 1362
#undef f2
#line 1362
break;
#line 1362

#line 1369 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LCLIST */
#line 1369
case FI_LCLIST_ADD_LCLIST:
#line 1369
#define f1 (&(f1_->i_FI_LCLIST_ADD_LCLIST))
#line 1369
#define f2 (&(f2_->i_FI_LCLIST_ADD_LCLIST))
#line 1369
#undef f1
#line 1369
#undef f2
#line 1369
break;
#line 1369

#line 1376 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_INT */
#line 1376
case FI_PATH_DELETE_INT:
#line 1376
#define f1 (&(f1_->i_FI_PATH_DELETE_INT))
#line 1376
#define f2 (&(f2_->i_FI_PATH_DELETE_INT))
#line 1376
#undef f1
#line 1376
#undef f2
#line 1376
break;
#line 1376

#line 1388 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_SET */
#line 1388
case FI_PATH_DELETE_SET:
#line 1388
#define f1 (&(f1_->i_FI_PATH_DELETE_SET))
#line 1388
#define f2 (&(f2_->i_FI_PATH_DELETE_SET))
#line 1388
#undef f1
#line 1388
#undef f2
#line 1388
break;
#line 1388

#line 1396 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_PAIR */
#line 1396
case FI_CLIST_DELETE_PAIR:
#line 1396
#define f1 (&(f1_->i_FI_CLIST_DELETE_PAIR))
#line 1396
#define f2 (&(f2_->i_FI_CLIST_DELETE_PAIR))
#line 1396
#undef f1
#line 1396
#undef f2
#line 1396
break;
#line 1396

#line 1403 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_INT */
#line 1403
case FI_CLIST_DELETE_INT:
#line 1403
#define f1 (&(f1_->i_FI_CLIST_DELETE_INT))
#line 1403
#define f2 (&(f2_->i_FI_CLIST_DELETE_INT))
#line 1403
#undef f1
#line 1403
#undef f2
#line 1403
break;
#line 1403

#line 1417 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_IP */
#line 1417
case FI_CLIST_DELETE_IP:
#line 1417
#define f1 (&(f1_->i_FI_CLIST_DELETE_IP))
#line 1417
#define f2 (&(f2_->i_FI_CLIST_DELETE_IP))
#line 1417
#undef f1
#line 1417
#undef f2
#line 1417
break;
#line 1417

#line 1424 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_QUAD */
#line 1424
case FI_CLIST_DELETE_QUAD:
#line 1424
#define f1 (&(f1_->i_FI_CLIST_DELETE_QUAD))
#line 1424
#define f2 (&(f2_->i_FI_CLIST_DELETE_QUAD))
#line 1424
#undef f1
#line 1424
#undef f2
#line 1424
break;
#line 1424

#line 1431 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_CLIST */
#line 1431
case FI_CLIST_DELETE_CLIST:
#line 1431
#define f1 (&(f1_->i_FI_CLIST_DELETE_CLIST))
#line 1431
#define f2 (&(f2_->i_FI_CLIST_DELETE_CLIST))
#line 1431
#undef f1
#line 1431
#undef f2
#line 1431
break;
#line 1431

#line 1442 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_SET */
#line 1442
case FI_CLIST_DELETE_SET:
#line 1442
#define f1 (&(f1_->i_FI_CLIST_DELETE_SET))
#line 1442
#define f2 (&(f2_->i_FI_CLIST_DELETE_SET))
#line 1442
#undef f1
#line 1442
#undef f2
#line 1442
break;
#line 1442

#line 1449 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_EC */
#line 1449
case FI_ECLIST_DELETE_EC:
#line 1449
#define f1 (&(f1_->i_FI_ECLIST_DELETE_EC))
#line 1449
#define f2 (&(f2_->i_FI_ECLIST_DELETE_EC))
#line 1449
#undef f1
#line 1449
#undef f2
#line 1449
break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_ECLIST */
#line 1456
case FI_ECLIST_DELETE_ECLIST:
#line 1456
#define f1 (&(f1_->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
#define f2 (&(f2_->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
#undef f1
#line 1456
#undef f2
#line 1456
break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_SET */
#line 1467
case FI_ECLIST_DELETE_SET:
#line 1467
#define f1 (&(f1_->i_FI_ECLIST_DELETE_SET))
#line 1467
#define f2 (&(f2_->i_FI_ECLIST_DELETE_SET))
#line 1467
#undef f1
#line 1467
#undef f2
#line 1467
break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LC */
#line 1474
case FI_LCLIST_DELETE_LC:
#line 1474
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LC))
#line 1474
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LC))
#line 1474
#undef f1
#line 1474
#undef f2
#line 1474
break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LCLIST */
#line 1481
case FI_LCLIST_DELETE_LCLIST:
#line 1481
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
#undef f1
#line 1481
#undef f2
#line 1481
break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_SET */
#line 1492
case FI_LCLIST_DELETE_SET:
#line 1492
#define f1 (&(f1_->i_FI_LCLIST_DELETE_SET))
#line 1492
#define f2 (&(f2_->i_FI_LCLIST_DELETE_SET))
#line 1492
#undef f1
#line 1492
#undef f2
#line 1492
break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Comparison for FI_PATH_FILTER_SET */
#line 1503
case FI_PATH_FILTER_SET:
#line 1503
#define f1 (&(f1_->i_FI_PATH_FILTER_SET))
#line 1503
#define f2 (&(f2_->i_FI_PATH_FILTER_SET))
#line 1503
#undef f1
#line 1503
#undef f2
#line 1503
break;
#line 1503

#line 1510 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_CLIST */
#line 1510
case FI_CLIST_FILTER_CLIST:
#line 1510
#define f1 (&(f1_->i_FI_CLIST_FILTER_CLIST))
#line 1510
#define f2 (&(f2_->i_FI_CLIST_FILTER_CLIST))
#line 1510
#undef f1
#line 1510
#undef f2
#line 1510
break;
#line 1510

#line 1521 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_SET */
#line 1521
case FI_CLIST_FILTER_SET:
#line 1521
#define f1 (&(f1_->i_FI_CLIST_FILTER_SET))
#line 1521
#define f2 (&(f2_->i_FI_CLIST_FILTER_SET))
#line 1521
#undef f1
#line 1521
#undef f2
#line 1521
break;
#line 1521

#line 1528 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_ECLIST */
#line 1528
case FI_ECLIST_FILTER_ECLIST:
#line 1528
#define f1 (&(f1_->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
#define f2 (&(f2_->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
#undef f1
#line 1528
#undef f2
#line 1528
break;
#line 1528

#line 1539 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_SET */
#line 1539
case FI_ECLIST_FILTER_SET:
#line 1539
#define f1 (&(f1_->i_FI_ECLIST_FILTER_SET))
#line 1539
#define f2 (&(f2_->i_FI_ECLIST_FILTER_SET))
#line 1539
#undef f1
#line 1539
#undef f2
#line 1539
break;
#line 1539

#line 1546 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_LCLIST */
#line 1546
case FI_LCLIST_FILTER_LCLIST:
#line 1546
#define f1 (&(f1_->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
#define f2 (&(f2_->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
#undef f1
#line 1546
#undef f2
#line 1546
break;
#line 1546

#line 1557 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_SET */
#line 1557
case FI_LCLIST_FILTER_SET:
#line 1557
#define f1 (&(f1_->i_FI_LCLIST_FILTER_SET))
#line 1557
#define f2 (&(f2_->i_FI_LCLIST_FILTER_SET))
#line 1557
#undef f1
#line 1557
#undef f2
#line 1557
break;
#line 1557

#line 1587 "filter/f-inst.c"
 /* Comparison for FI_ROA_CHECK_IMPLICIT */
#line 1587
case FI_ROA_CHECK_IMPLICIT:
#line 1587
#define f1 (&(f1_->i_FI_ROA_CHECK_IMPLICIT))
#line 1587
#define f2 (&(f2_->i_FI_ROA_CHECK_IMPLICIT))
#line 1559 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1559

#line 1559

#line 1587 "filter/f-inst.c"
#undef f1
#line 1587
#undef f2
#line 1587
break;
#line 1587

#line 1609 "filter/f-inst.c"
 /* Comparison for FI_ROA_CHECK_EXPLICIT */
#line 1609
case FI_ROA_CHECK_EXPLICIT:
#line 1609
#define f1 (&(f1_->i_FI_ROA_CHECK_EXPLICIT))
#line 1609
#define f2 (&(f2_->i_FI_ROA_CHECK_EXPLICIT))
#line 1591 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1591

#line 1591

#line 1609 "filter/f-inst.c"
#undef f1
#line 1609
#undef f2
#line 1609
break;
#line 1609

#line 1625 "filter/f-inst.c"
 /* Comparison for FI_ASPA_CHECK_EXPLICIT */
#line 1625
case FI_ASPA_CHECK_EXPLICIT:
#line 1625
#define f1 (&(f1_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1625
#define f2 (&(f2_->i_FI_ASPA_CHECK_EXPLICIT))
#line 1613 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1613

#line 1613

#line 1625 "filter/f-inst.c"
#undef f1
#line 1625
#undef f2
#line 1625
break;
#line 1625

#line 1640 "filter/f-inst.c"
 /* Comparison for FI_FROM_HEX */
#line 1640
case FI_FROM_HEX:
#line 1640
#define f1 (&(f1_->i_FI_FROM_HEX))
#line 1640
#define f2 (&(f2_->i_FI_FROM_HEX))
#line 1640
#undef f1
#line 1640
#undef f2
#line 1640
break;
#line 1640

#line 1645 "filter/f-inst.c"
 /* Comparison for FI_FORMAT */
#line 1645
case FI_FORMAT:
#line 1645
#define f1 (&(f1_->i_FI_FORMAT))
#line 1645
#define f2 (&(f2_->i_FI_FORMAT))
#line 1645
#undef f1
#line 1645
#undef f2
#line 1645
break;
#line 1645

#line 825 "filter/decl.m4"
 /* Comparison for FI_ASSERT */
#line 825
case FI_ASSERT:
#line 825
#define f1 (&(f1_->i_FI_ASSERT))
#line 825
#define f2 (&(f2_->i_FI_ASSERT))
#line 1649 "filter/f-inst.c"
if (strcmp(f1->s, f2->s)) return 0;
#line 1649

#line 1649

#line 825 "filter/decl.m4"
#undef f1
#line 825
#undef f2
#line 825
break;
#line 825

#line 746 "filter/decl.m4"

    }
  }
#undef f1_
#undef f2_
  return 1;
}


/* Part of FI_SWITCH filter iterator */
static void
f_add_tree_lines(const struct f_tree *t, void *fit_)
{
  struct filter_iterator * fit = fit_;

  if (t->data)
    BUFFER_PUSH(fit->lines) = t->data;
}

/* Filter line iterator */
void
f_add_lines(const struct f_line_item *what, struct filter_iterator *fit)
{
  switch(what->fi_code) {
#line 291 "filter/f-inst.c"
 /* Iteration for FI_ADD */
#line 291
case FI_ADD:
#line 291
#define whati (&(what->i_FI_ADD))
#line 291
#undef whati
#line 291
break;
#line 291

#line 296 "filter/f-inst.c"
 /* Iteration for FI_SUBTRACT */
#line 296
case FI_SUBTRACT:
#line 296
#define whati (&(what->i_FI_SUBTRACT))
#line 296
#undef whati
#line 296
break;
#line 296

#line 301 "filter/f-inst.c"
 /* Iteration for FI_MULTIPLY */
#line 301
case FI_MULTIPLY:
#line 301
#define whati (&(what->i_FI_MULTIPLY))
#line 301
#undef whati
#line 301
break;
#line 301

#line 307 "filter/f-inst.c"
 /* Iteration for FI_DIVIDE */
#line 307
case FI_DIVIDE:
#line 307
#define whati (&(what->i_FI_DIVIDE))
#line 307
#undef whati
#line 307
break;
#line 307

#line 317 "filter/f-inst.c"
 /* Iteration for FI_AND */
#line 317
case FI_AND:
#line 317
#define whati (&(what->i_FI_AND))
#line 313 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 317 "filter/f-inst.c"
#undef whati
#line 317
break;
#line 317

#line 328 "filter/f-inst.c"
 /* Iteration for FI_OR */
#line 328
case FI_OR:
#line 328
#define whati (&(what->i_FI_OR))
#line 323 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 328 "filter/f-inst.c"
#undef whati
#line 328
break;
#line 328

#line 338 "filter/f-inst.c"
 /* Iteration for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT:
#line 338
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
#undef whati
#line 338
break;
#line 338

#line 378 "filter/f-inst.c"
 /* Iteration for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT:
#line 378
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
#undef whati
#line 378
break;
#line 378

#line 385 "filter/f-inst.c"
 /* Iteration for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT:
#line 385
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
#undef whati
#line 385
break;
#line 385

#line 435 "filter/f-inst.c"
 /* Iteration for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT:
#line 435
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
#undef whati
#line 435
break;
#line 435

#line 442 "filter/f-inst.c"
 /* Iteration for FI_NEQ */
#line 442
case FI_NEQ:
#line 442
#define whati (&(what->i_FI_NEQ))
#line 442
#undef whati
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Iteration for FI_EQ */
#line 449
case FI_EQ:
#line 449
#define whati (&(what->i_FI_EQ))
#line 449
#undef whati
#line 449
break;
#line 449

#line 460 "filter/f-inst.c"
 /* Iteration for FI_LT */
#line 460
case FI_LT:
#line 460
#define whati (&(what->i_FI_LT))
#line 460
#undef whati
#line 460
break;
#line 460

#line 471 "filter/f-inst.c"
 /* Iteration for FI_LTE */
#line 471
case FI_LTE:
#line 471
#define whati (&(what->i_FI_LTE))
#line 471
#undef whati
#line 471
break;
#line 471

#line 476 "filter/f-inst.c"
 /* Iteration for FI_NOT */
#line 476
case FI_NOT:
#line 476
#define whati (&(what->i_FI_NOT))
#line 476
#undef whati
#line 476
break;
#line 476

#line 485 "filter/f-inst.c"
 /* Iteration for FI_MATCH */
#line 485
case FI_MATCH:
#line 485
#define whati (&(what->i_FI_MATCH))
#line 485
#undef whati
#line 485
break;
#line 485

#line 494 "filter/f-inst.c"
 /* Iteration for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH:
#line 494
#define whati (&(what->i_FI_NOT_MATCH))
#line 494
#undef whati
#line 494
break;
#line 494

#line 499 "filter/f-inst.c"
 /* Iteration for FI_DEFINED */
#line 499
case FI_DEFINED:
#line 499
#define whati (&(what->i_FI_DEFINED))
#line 499
#undef whati
#line 499
break;
#line 499

#line 500 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type:
#line 500
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
#undef whati
#line 500
break;
#line 500

#line 503 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4:
#line 503
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef whati
#line 503
break;
#line 503

#line 516 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT */
#line 516
case FI_VAR_INIT:
#line 516
#define whati (&(what->i_FI_VAR_INIT))
#line 516
#undef whati
#line 516
break;
#line 516

#line 527 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0:
#line 527
#define whati (&(what->i_FI_VAR_INIT0))
#line 527
#undef whati
#line 527
break;
#line 527

#line 536 "filter/f-inst.c"
 /* Iteration for FI_VAR_SET */
#line 536
case FI_VAR_SET:
#line 536
#define whati (&(what->i_FI_VAR_SET))
#line 536
#undef whati
#line 536
break;
#line 536

#line 543 "filter/f-inst.c"
 /* Iteration for FI_VAR_GET */
#line 543
case FI_VAR_GET:
#line 543
#define whati (&(what->i_FI_VAR_GET))
#line 543
#undef whati
#line 543
break;
#line 543

#line 556 "filter/f-inst.c"
 /* Iteration for FI_CONSTANT */
#line 556
case FI_CONSTANT:
#line 556
#define whati (&(what->i_FI_CONSTANT))
#line 556
#undef whati
#line 556
break;
#line 556

#line 557 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty:
#line 557
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
#undef whati
#line 557
break;
#line 557

#line 558 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty:
#line 558
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef whati
#line 558
break;
#line 558

#line 559 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty:
#line 559
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef whati
#line 559
break;
#line 559

#line 562 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty:
#line 562
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef whati
#line 562
break;
#line 562

#line 584 "filter/f-inst.c"
 /* Iteration for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START:
#line 584
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
#undef whati
#line 584
break;
#line 584

#line 593 "filter/f-inst.c"
 /* Iteration for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT:
#line 593
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 593 "filter/f-inst.c"
#undef whati
#line 593
break;
#line 593

#line 602 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT:
#line 602
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 602 "filter/f-inst.c"
#undef whati
#line 602
break;
#line 602

#line 611 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT:
#line 611
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 611 "filter/f-inst.c"
#undef whati
#line 611
break;
#line 611

#line 620 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT:
#line 620
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 620 "filter/f-inst.c"
#undef whati
#line 620
break;
#line 620

#line 636 "filter/f-inst.c"
 /* Iteration for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 636
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 636 "filter/f-inst.c"
#undef whati
#line 636
break;
#line 636

#line 644 "filter/f-inst.c"
 /* Iteration for FI_CONDITION */
#line 644
case FI_CONDITION:
#line 644
#define whati (&(what->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 641 "filter/f-inst.c"
if (whati->fl3) BUFFER_PUSH(fit->lines) = whati->fl3;
#line 644 "filter/f-inst.c"
#undef whati
#line 644
break;
#line 644

#line 652 "filter/f-inst.c"
 /* Iteration for FI_PRINT */
#line 652
case FI_PRINT:
#line 652
#define whati (&(what->i_FI_PRINT))
#line 652
#undef whati
#line 652
break;
#line 652

#line 659 "filter/f-inst.c"
 /* Iteration for FI_FLUSH */
#line 659
case FI_FLUSH:
#line 659
#define whati (&(what->i_FI_FLUSH))
#line 659
#undef whati
#line 659
break;
#line 659

#line 673 "filter/f-inst.c"
 /* Iteration for FI_DIE */
#line 673
case FI_DIE:
#line 673
#define whati (&(what->i_FI_DIE))
#line 673
#undef whati
#line 673
break;
#line 673

#line 713 "filter/f-inst.c"
 /* Iteration for FI_RTA_GET */
#line 713
case FI_RTA_GET:
#line 713
#define whati (&(what->i_FI_RTA_GET))
#line 713
#undef whati
#line 713
break;
#line 713

#line 858 "filter/f-inst.c"
 /* Iteration for FI_RTA_SET */
#line 858
case FI_RTA_SET:
#line 858
#define whati (&(what->i_FI_RTA_SET))
#line 858
#undef whati
#line 858
break;
#line 858

#line 913 "filter/f-inst.c"
 /* Iteration for FI_EA_GET */
#line 913
case FI_EA_GET:
#line 913
#define whati (&(what->i_FI_EA_GET))
#line 913
#undef whati
#line 913
break;
#line 913

#line 989 "filter/f-inst.c"
 /* Iteration for FI_EA_SET */
#line 989
case FI_EA_SET:
#line 989
#define whati (&(what->i_FI_EA_SET))
#line 989
#undef whati
#line 989
break;
#line 989

#line 999 "filter/f-inst.c"
 /* Iteration for FI_EA_UNSET */
#line 999
case FI_EA_UNSET:
#line 999
#define whati (&(what->i_FI_EA_UNSET))
#line 999
#undef whati
#line 999
break;
#line 999

#line 1000 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__len */
#line 1000
case FI_METHOD__T_NET__len:
#line 1000
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 1000
#undef whati
#line 1000
break;
#line 1000

#line 1001 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__len */
#line 1001
case FI_METHOD__T_PATH__len:
#line 1001
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 1001
#undef whati
#line 1001
break;
#line 1001

#line 1002 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__len */
#line 1002
case FI_METHOD__T_CLIST__len:
#line 1002
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 1002
#undef whati
#line 1002
break;
#line 1002

#line 1003 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__len */
#line 1003
case FI_METHOD__T_ECLIST__len:
#line 1003
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 1003
#undef whati
#line 1003
break;
#line 1003

#line 1005 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__len */
#line 1005
case FI_METHOD__T_LCLIST__len:
#line 1005
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 1005
#undef whati
#line 1005
break;
#line 1005

#line 1041 "filter/f-inst.c"
 /* Iteration for FI_NET_SRC */
#line 1041
case FI_NET_SRC:
#line 1041
#define whati (&(what->i_FI_NET_SRC))
#line 1041
#undef whati
#line 1041
break;
#line 1041

#line 1078 "filter/f-inst.c"
 /* Iteration for FI_NET_DST */
#line 1078
case FI_NET_DST:
#line 1078
#define whati (&(what->i_FI_NET_DST))
#line 1078
#undef whati
#line 1078
break;
#line 1078

#line 1088 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__maxlen */
#line 1088
case FI_METHOD__T_NET__maxlen:
#line 1088
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1088
#undef whati
#line 1088
break;
#line 1088

#line 1098 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__asn */
#line 1098
case FI_METHOD__T_NET__asn:
#line 1098
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1098
#undef whati
#line 1098
break;
#line 1098

#line 1100 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__ip */
#line 1100
case FI_METHOD__T_NET__ip:
#line 1100
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1100
#undef whati
#line 1100
break;
#line 1100

#line 1109 "filter/f-inst.c"
 /* Iteration for FI_ROUTE_DISTINGUISHER */
#line 1109
case FI_ROUTE_DISTINGUISHER:
#line 1109
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1109
#undef whati
#line 1109
break;
#line 1109

#line 1112 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__first */
#line 1112
case FI_METHOD__T_PATH__first:
#line 1112
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1112
#undef whati
#line 1112
break;
#line 1112

#line 1115 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last */
#line 1115
case FI_METHOD__T_PATH__last:
#line 1115
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1115
#undef whati
#line 1115
break;
#line 1115

#line 1118 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last_nonaggregated */
#line 1118
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1118
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1118
#undef whati
#line 1118
break;
#line 1118

#line 1121 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__asn */
#line 1121
case FI_METHOD__T_PAIR__asn:
#line 1121
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1121
#undef whati
#line 1121
break;
#line 1121

#line 1124 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__data */
#line 1124
case FI_METHOD__T_PAIR__data:
#line 1124
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1124
#undef whati
#line 1124
break;
#line 1124

#line 1127 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__asn */
#line 1127
case FI_METHOD__T_LC__asn:
#line 1127
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1127
#undef whati
#line 1127
break;
#line 1127

#line 1130 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data1 */
#line 1130
case FI_METHOD__T_LC__data1:
#line 1130
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1130
#undef whati
#line 1130
break;
#line 1130

#line 1133 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data2 */
#line 1133
case FI_METHOD__T_LC__data2:
#line 1133
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1133
#undef whati
#line 1133
break;
#line 1133

#line 1136 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__min */
#line 1136
case FI_METHOD__T_CLIST__min:
#line 1136
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1136
#undef whati
#line 1136
break;
#line 1136

#line 1139 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__max */
#line 1139
case FI_METHOD__T_CLIST__max:
#line 1139
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1139
#undef whati
#line 1139
break;
#line 1139

#line 1142 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__min */
#line 1142
case FI_METHOD__T_ECLIST__min:
#line 1142
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1142
#undef whati
#line 1142
break;
#line 1142

#line 1145 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__max */
#line 1145
case FI_METHOD__T_ECLIST__max:
#line 1145
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1145
#undef whati
#line 1145
break;
#line 1145

#line 1148 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__min */
#line 1148
case FI_METHOD__T_LCLIST__min:
#line 1148
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1148
#undef whati
#line 1148
break;
#line 1148

#line 1150 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__max */
#line 1150
case FI_METHOD__T_LCLIST__max:
#line 1150
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1150
#undef whati
#line 1150
break;
#line 1150

#line 1176 "filter/f-inst.c"
 /* Iteration for FI_RETURN */
#line 1176
case FI_RETURN:
#line 1176
#define whati (&(what->i_FI_RETURN))
#line 1176
#undef whati
#line 1176
break;
#line 1176

#line 1235 "filter/f-inst.c"
 /* Iteration for FI_CALL */
#line 1235
case FI_CALL:
#line 1235
#define whati (&(what->i_FI_CALL))

#line 1217 "filter/f-inst.c"
    if (!(what->flags & FIF_RECURSIVE))
      BUFFER_PUSH(fit->lines) = whati->sym->function;

    #line 1235 "filter/f-inst.c"
#undef whati
#line 1235
break;
#line 1235

#line 1240 "filter/f-inst.c"
 /* Iteration for FI_DROP_RESULT */
#line 1240
case FI_DROP_RESULT:
#line 1240
#define whati (&(what->i_FI_DROP_RESULT))
#line 1240
#undef whati
#line 1240
break;
#line 1240

#line 1281 "filter/f-inst.c"
 /* Iteration for FI_SWITCH */
#line 1281
case FI_SWITCH:
#line 1281
#define whati (&(what->i_FI_SWITCH))

#line 1264 "filter/f-inst.c"
    tree_walk(whati->tree, f_add_tree_lines, fit);

    #line 1281 "filter/f-inst.c"
#undef whati
#line 1281
break;
#line 1281

#line 1290 "filter/f-inst.c"
 /* Iteration for FI_IP_MASK */
#line 1290
case FI_IP_MASK:
#line 1290
#define whati (&(what->i_FI_IP_MASK))
#line 1290
#undef whati
#line 1290
break;
#line 1290

#line 1298 "filter/f-inst.c"
 /* Iteration for FI_PATH_PREPEND */
#line 1298
case FI_PATH_PREPEND:
#line 1298
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1298
#undef whati
#line 1298
break;
#line 1298

#line 1306 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_PAIR */
#line 1306
case FI_CLIST_ADD_PAIR:
#line 1306
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1306
#undef whati
#line 1306
break;
#line 1306

#line 1313 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_INT */
#line 1313
case FI_CLIST_ADD_INT:
#line 1313
#define whati (&(what->i_FI_CLIST_ADD_INT))
#line 1313
#undef whati
#line 1313
break;
#line 1313

#line 1327 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_IP */
#line 1327
case FI_CLIST_ADD_IP:
#line 1327
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1327
#undef whati
#line 1327
break;
#line 1327

#line 1334 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_QUAD */
#line 1334
case FI_CLIST_ADD_QUAD:
#line 1334
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1334
#undef whati
#line 1334
break;
#line 1334

#line 1341 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_CLIST */
#line 1341
case FI_CLIST_ADD_CLIST:
#line 1341
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1341
#undef whati
#line 1341
break;
#line 1341

#line 1348 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_EC */
#line 1348
case FI_ECLIST_ADD_EC:
#line 1348
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1348
#undef whati
#line 1348
break;
#line 1348

#line 1355 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_ECLIST */
#line 1355
case FI_ECLIST_ADD_ECLIST:
#line 1355
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1355
#undef whati
#line 1355
break;
#line 1355

#line 1362 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LC */
#line 1362
case FI_LCLIST_ADD_LC:
#line 1362
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1362
#undef whati
#line 1362
break;
#line 1362

#line 1369 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LCLIST */
#line 1369
case FI_LCLIST_ADD_LCLIST:
#line 1369
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1369
#undef whati
#line 1369
break;
#line 1369

#line 1376 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_INT */
#line 1376
case FI_PATH_DELETE_INT:
#line 1376
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1376
#undef whati
#line 1376
break;
#line 1376

#line 1388 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_SET */
#line 1388
case FI_PATH_DELETE_SET:
#line 1388
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1388
#undef whati
#line 1388
break;
#line 1388

#line 1396 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_PAIR */
#line 1396
case FI_CLIST_DELETE_PAIR:
#line 1396
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1396
#undef whati
#line 1396
break;
#line 1396

#line 1403 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_INT */
#line 1403
case FI_CLIST_DELETE_INT:
#line 1403
#define whati (&(what->i_FI_CLIST_DELETE_INT))
#line 1403
#undef whati
#line 1403
break;
#line 1403

#line 1417 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_IP */
#line 1417
case FI_CLIST_DELETE_IP:
#line 1417
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1417
#undef whati
#line 1417
break;
#line 1417

#line 1424 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_QUAD */
#line 1424
case FI_CLIST_DELETE_QUAD:
#line 1424
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1424
#undef whati
#line 1424
break;
#line 1424

#line 1431 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_CLIST */
#line 1431
case FI_CLIST_DELETE_CLIST:
#line 1431
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1431
#undef whati
#line 1431
break;
#line 1431

#line 1442 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_SET */
#line 1442
case FI_CLIST_DELETE_SET:
#line 1442
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1442
#undef whati
#line 1442
break;
#line 1442

#line 1449 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_EC */
#line 1449
case FI_ECLIST_DELETE_EC:
#line 1449
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1449
#undef whati
#line 1449
break;
#line 1449

#line 1456 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_ECLIST */
#line 1456
case FI_ECLIST_DELETE_ECLIST:
#line 1456
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1456
#undef whati
#line 1456
break;
#line 1456

#line 1467 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_SET */
#line 1467
case FI_ECLIST_DELETE_SET:
#line 1467
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1467
#undef whati
#line 1467
break;
#line 1467

#line 1474 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LC */
#line 1474
case FI_LCLIST_DELETE_LC:
#line 1474
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1474
#undef whati
#line 1474
break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LCLIST */
#line 1481
case FI_LCLIST_DELETE_LCLIST:
#line 1481
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1481
#undef whati
#line 1481
break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_SET */
#line 1492
case FI_LCLIST_DELETE_SET:
#line 1492
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1492
#undef whati
#line 1492
break;
#line 1492

#line 1503 "filter/f-inst.c"
 /* Iteration for FI_PATH_FILTER_SET */
#line 1503
case FI_PATH_FILTER_SET:
#line 1503
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1503
#undef whati
#line 1503
break;
#line 1503

#line 1510 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_CLIST */
#line 1510
case FI_CLIST_FILTER_CLIST:
#line 1510
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1510
#undef whati
#line 1510
break;
#line 1510

#line 1521 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_SET */
#line 1521
case FI_CLIST_FILTER_SET:
#line 1521
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1521
#undef whati
#line 1521
break;
#line 1521

#line 1528 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_ECLIST */
#line 1528
case FI_ECLIST_FILTER_ECLIST:
#line 1528
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1528
#undef whati
#line 1528
break;
#line 1528

#line 1539 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_SET */
#line 1539
case FI_ECLIST_FILTER_SET:
#line 1539
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1539
#undef whati
#line 1539
break;
#line 1539

#line 1546 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_LCLIST */
#line 1546
case FI_LCLIST_FILTER_LCLIST:
#line 1546
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1546
#undef whati
#line 1546
break;
#line 1546

#line 1557 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_SET */
#line 1557
case FI_LCLIST_FILTER_SET:
#line 1557
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1557
#undef whati
#line 1557
break;
#line 1557

#line 1587 "filter/f-inst.c"
 /* Iteration for FI_ROA_CHECK_IMPLICIT */
#line 1587
case FI_ROA_CHECK_IMPLICIT:
#line 1587
#define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1587
#undef whati
#line 1587
break;
#line 1587

#line 1609 "filter/f-inst.c"
 /* Iteration for FI_ROA_CHECK_EXPLICIT */
#line 1609
case FI_ROA_CHECK_EXPLICIT:
#line 1609
#define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1609
#undef whati
#line 1609
break;
#line 1609

#line 1625 "filter/f-inst.c"
 /* Iteration for FI_ASPA_CHECK_EXPLICIT */
#line 1625
case FI_ASPA_CHECK_EXPLICIT:
#line 1625
#define whati (&(what->i_FI_ASPA_CHECK_EXPLICIT))
#line 1625
#undef whati
#line 1625
break;
#line 1625

#line 1640 "filter/f-inst.c"
 /* Iteration for FI_FROM_HEX */
#line 1640
case FI_FROM_HEX:
#line 1640
#define whati (&(what->i_FI_FROM_HEX))
#line 1640
#undef whati
#line 1640
break;
#line 1640

#line 1645 "filter/f-inst.c"
 /* Iteration for FI_FORMAT */
#line 1645
case FI_FORMAT:
#line 1645
#define whati (&(what->i_FI_FORMAT))
#line 1645
#undef whati
#line 1645
break;
#line 1645

#line 825 "filter/decl.m4"
 /* Iteration for FI_ASSERT */
#line 825
case FI_ASSERT:
#line 825
#define whati (&(what->i_FI_ASSERT))
#line 825
#undef whati
#line 825
break;
#line 825

#line 770 "filter/decl.m4"

  }
}


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

